Acknowledgements

Copyright© 2003-2004
Image Line Software BVBA
All rights reserved.

  • Setup Wizard
  • FL Studio Basics
  • What is new in FL Studio
  • Installing & Using VST(i)/DX(i) Plugins
  • Compatibility with Older Projects


SETUP WIZARD

Setup Wizard

This wizard will help you to set up the preferences of FL Studio properly.

You will setup the audio output properties as well the MIDI input and output settings. It's important to perform the following operations as described, or otherwise FL Studio might not function properly!

Click NEXT to proceed with the Setup Wizard

Back Next


SETUP WIZARD

Audio Output Setup

Click the Audio tab in the System Settings window.

If the window isn't automatically opened when you start FL Studio, you can launch it by selecting Audio Settings in the Options menu.

In the Output panel there is a combo box with a list of available audio devices on your system. FL Studio supports ASIO and DirectSound standards.

It is recommended that you use ASIO driver if you have such available for your sound card (the name in the list starts with "(ASIO)"), as this usually leads to better performance compared to DirectSound drivers.

If you want to select a DirectSound driver (the name starts with "(DS)"), avoid drivers which have "(emulated)" at the end of the name. Using such driver leads to worse performance compared to a native DirectSound driver.

If you plan to use FL Studio together with another application that uses the same audio device, it is recommended that you check the Auto Close Device check box. When you have that option turned on FL Studio releases the wave output device when it looses focus, so other applications may use it.

Back
You selected ASIO driver
You selected DirectSound driver


SETUP WIZARD

ASIO Driver Setup

The ASIO streaming buffer section contains information about the buffer length used by the driver. You may click the ASIO Panel button that will bring a window with additional settings for the ASIO driver.

For more information on the rest of the settings in that section go to the Audio Settings page.


SETUP WIZARD

DirectSound Driver Setup

In the DirectSound streaming buffer section you'll see a slider that sets the audio buffer length. Bigger buffer means more stable performance (without underruns). Longer buffer, however, means also that there will be lagged response while playing notes, tweaking wheels and pushing sliders (this does NOT affect already recorded events). The lag length is equal to the buffer length. The optimal buffer size depends much on your CPU speed and type of sound card you have. It's recommended that now you leave the default settings and when you try some of the demo songs included in the installation try to find the best setting (buffer as small as possible without any underruns). Note that the best buffer size may vary from project to project, depending on the CPU usage of the song.

For more information on the rest of the settings in that section go to the Audio Settings page.


SETUP WIZARD

MIDI Setup

Click the MIDI tab in the System Settings window.

The Remote Control Input combo box contains a list of devices capable of MIDI output - such devices are MIDI keyboards and external MIDI controllers, such as PhatBoy(TM). The device you select in this box will be used for remote control in Fruity (to play notes and set properties from external MIDI devices).

The Output port mapping section contains a list of software/hardware MIDI synthesizers on your system that can be used for MIDI Output in FL Studio (such as loopback devices, hardware and software synthesizers etc.). Here you can map those MIDI drivers to a MIDI port in FL Studio. To map a device, select it in the list and set a port number in the box below. Selecting "---" in that box means you leave the device unmapped and it can't be used in FL Studio (but it will be free to use with other sequencers/players running at the same time).

In the Master Sync Output combo box you may select the device FL Studio will send master sync signal to the device chosen here (if Enable MIDI Master Sync is turned on in Options menu). FL Studio can be synced as a master with external MIDI devices. You can also sync with MIDI sequencers by using a virtual MIDI cable software, such as MIDI Yoke.

For more information on the rest of the settings in that section go to the MIDI Settings page.


SETUP WIZARD

File Settings Setup

Click the File tab in the System Settings window.

The Browser extra search directories section lets you set additional directories you want to see in the Browser (such as locations that contain sample collections, FLP files, presets etc.). Those folders are also used when FL Studio searches for missing samples when loading a project file.

You can either double-click the fields in the Directory column to enter these paths manually, or click the corresponding browse button on the left side of each field to browse the folder. The Name column contains fields where you can set the name that is shown in the Browser for the corresponding directories. Double-click to edit a name.

The default folder where FL Studio will search for VST effects and instruments (VSTi) is "<FL Studio Root>/Plugins/VST". However, if you have other applications that support VST plugins, you may want FL Studio to load VST effects from their location. Then click the browse button in the VST plugins extra search directory section to set one additional VST folder in FL Studio.


SETUP WIZARD

Finished

You completed the basic setup of FL Studio.

Information on the rest of the settings available in FL Studio is covered in this electronic manual (see System Settings and Project Settings).


FL STUDIO BASICS

What is FL Studio?

FL Studio is a full-featured sequencer perfectly suited for creation of complex songs and realistic drum loops, with 32 bit internal mixing and advanced MIDI support. The resulting song or loop can be exported to a WAV/MP3 file and all MIDI events can be exported to a standard MIDI file.

FL Studio is a pattern based sequencer, which means you create your songs in pieces (patterns) using the Step Sequencer and the Piano Roll view and then weld those pieces together using the Playlist window (the Playlist also supports full-featured audio tracks with hardrrive streaming). Then you can add a wide range of effects to your instruments (reverb, phaser, flanger etc.) and route the resulting mixer tracks in any way you like to create complex mixing chains with ease.

Main Features:

  • Internal 32 bit floating point mixing, up to 96kHz stereo.
  • Supports DirectSound and ASIO enabled sound cards for audio output.
  • Ability to function as a VSTi, DXi and a ReWire client.
  • Ability to host ReWire clients itself.
  • Realtime linear interpolation & sophisticated interpolation algorithms at rendering time.
  • Open architecture allowing third-party instruments (enhanced proprietary FL instruments standard, VSTi and DXi2) and effects (enhanced proprietary FL effects standard, VST, VST2 and DirectX).
  • A full set of high-precision mastering and special effects filters: reverb, compressor, procedural equalizer, distortion, phaser, flanger, bass boost, delay line and other.
  • Advanced sequencing methods allowing quick entering of realistic drum loops (step sequencing grid) and composing complex instrumentals (advanced piano roll, arpeggiator, keyboard tracking, real-time gate).
  • Unique note properties morphing ability (pitch, cutoff, resonance, panning).
  • Advanced mixer: 68 mixer tracks (64 insert and 4 send tracks) supporting up to 8 filters each; mixer tracks rerouting for creating of complex mixer chains; track recording with ASIO input support (for recording MIDI, vocals etc.); integrated procedural equalizer, volume and panning for each mixer track.
  • Integrated instruments: Sampler, TS404 (the popular bassline engine), 3xOSC (subsynth), Plucked! (plucked strings), MIDI Out, DX10 (FM synth), Scratcher (turntable emulator), WaveTraveller (wave bend synth), Wasp (demo), SimSynth Live (demo), and more.
  • Advanced playlist & full-featured audio tracks.
  • Live recording of control movements & integrated automation events editor.
  • Easy MIDI remote controlling of most parameters (VST plugins supported as well).
  • Procedural control over parameters by using special controller plugins.
  • Click removal & volume ramping to avoid pops.
  • Imports *.WAV, *.SYN (SimSynth 1 & 2), *.DS (DrumSynth) files, with effects applied.
  • Imports MIDI sequences and controller events.
  • Exports audio to 16Bit or 32Bit *.WAV file, *.MP3.
  • Can export MIDI notes & controller events to a standard MIDI file.


FL STUDIO BASICS

What is New in FL Studio 5

This is a list of the important new features in FL Studio 5. For a complete list of new features (and bugfixes) in this and older FL Studio releases, please check WhatsNew.doc in the FL Studio root folder.

If you have created projects in earlier releases of FL Studio (and FruityLoops), please be sure to check the Compatibility with Older Projects page.

Time-Stretching in Audio Tracks and Sampler

  • FL Studio features the high quality ZPlane Elastique time-stretching technology. Tonal, drums, slices and resample time-stretching are available.
  • Sampler and Audio Clips support time-stretching (resizing audio clips stretches them in time).

Automation Clip & Improved Audio Clips

  • Brand new Automation Clips added to the Playlist. Each clip supports a spline-based envelope and an LFO unit.
  • Added option to trim audio clip parts outside playlist selection.

Improved Recording

  • Added loop recording/overdub ability.
  • Audio recording can now be undone.
  • Right-click arm a Mixer track for a quick default name.
  • Ability to leave tracks armed after recording.
  • Selecting an ASIO input arms the track automatically.

New Plugins:

  • FPC - FL Studio MPC, a new self-contained drum machine plugin.
  • WaveShaper - Graph based distortion with supersampling.
  • Video Player - Synchronized playback of video content inside FL Studio.

Improved Plugins

  • Granulizer is vastly improved (supports transients, new key-to modes).
  • Sytrus adds global envelopes, new curve types and more.
  • Fruity Slicer is improved to support the new slicing engine & time stretching capabilities; FL Studio and Slicer load ReCycle Loop Files.
  • DrumSynth Live now supports up to 120 patches at once.

New Tools

  • New powerful Arpeggiator tool in piano roll.
  • New Drum Flam tool in the Piano Roll.
  • Note legato and Articulation tool in the Piano Roll.
  • Brush tool added to the Event Editor.

Other New Features

  • New realtime interpolation options for high-quality realtime playback.
  • New option to render audio files with note slice markers.
  • Tempo tapping added to tempo's right-click menu
  • MP3 files can be loaded into sampler channels and audio clips.
  • And a lot more! For a full list, see WhatsNew.doc.


FL STUDIO BASICS

General Notes About the Interface

This section contains notes about the interface controls of FL Studio.

Wheels & sliders

  • Common Features - All wheels and sliders in FL Studio are instances of the same type of graphic control. To set the value of any of them you can left-click them and drag up/down (left/right for horizontal sliders).
  • Fine Adjustments - To fine-tune the value of a control, hold the CTRL key while dragging. Holding ALT and left-clicking a control resets it to its default value.
  • Snapping - Some of the controls will pause for a while in their default values while you tweak them. If you want to avoid that behavior, hold down the SHIFT key while using a control.

LCDs

The value of the LCD control is normally set by "dragging" the screen with your left mouse button up and down (just like a wheel). But you can also increment or decrement the LCD value one step at a time: place your mouse pointer over the top (to increment) or bottom (to decrement) edge of the control - the pointer shows the increment or decrement cursor respectively ( [image]). Now click to increment/decrement the LCD value.

Scrollbars

Scrollbars in FL Studio have one special feature - drag them with your right mouse button (instead of using the left one as usual) to enter in a special scrolling mode, which allows you to drag the view simultaneously in all directions.


FL STUDIO BASICS

Keyboard Shortcuts

This page lists some of the keyboard shortcuts to useful commands in FL Studio.

File Operations
Ctrl+O | Open File
Ctrl+S | Save File
Ctrl+N | Save New Version
Ctrl+Shift+S | Save As...
Ctrl+R | Export Wave File
Ctrl+Shift+R | Export MP3 File
Ctrl+Shift+M | Export MIDI File
Alt+1..8 | Open Recent Files 1..8

Pattern Selector (Numpad)
1..9 | Select Patterns 1..9
+ | Next Pattern
- | Previous Pattern
Right Arrow | Next Pattern
Left Arrow | Previous Pattern
F4 | Next Empty Pattern

Step Sequencer
1...9, 0 | Mute/Umute First 10 Channels
Ctrl+1..9,0 | Solo/UnSolor First 10 Channels
Up Arrow | Select Previous Pattern
Down Arrow | Next Pattern
Ctrl+Del | Delete Selected Channel(s)
Alt+G | Group Selected Channels
Alt+Z | Zip Selected Channel(s)
Alt+U | Unzip Selected Channel(s)
Alt+Up Arrow | Move Selected Channel(s) Up
Alt+Down Arrow | Move Selected Channel(s) Down
Page Up | Next Channel Group
Page Down | Previous Channel Group
Ctrl+X | Cut Channel Steps/Score
Ctrl+C | Copy Channel Steps/Score
Ctrl+V | Paste Channel Steps/Score
Ctrl+Shift+C | Clone Channel(s)
Shift+Left Arrow | Shift Steps Left
Shift+Right Arrow | Shift Steps Right
Alt+R | Randomize
Alt+P | Send to Piano Roll
K | Show Keyboard Editor
G | Show Graph Editor

Record / Playback / Transport
BackSpace | Toggle Line/None Snap
Space | Start/Stop Playback
L | Switch Pattern/Song Mode
R | Switch On/Off Recording
0 (NumPad) | Fast Forward
/ (NumPad) | Previous Bar (Song Mode)
* (NumPad) | Next Bar (Song Mode)
Ctrl+E | Toggle Edit Mode
Ctrl+H | Stop Sound (Panic)
Ctrl+T | Toggle Typing Keypad to Piano Keypad
Ctrl+B | Toggle Blend Notes
Ctrl+Shift+M | Toggle Metronome
Ctrl+I | Toggle Wait for Input

Window Navigation
Tab | Cycle Nested Windows
Enter | Show/Hide/Max/Min Playlist
Esc | Closes a Window
F1 | This Help
F5 | Shows/Hides Playlist
F6 | Shows/Hides Step Sequencer
F7 | Shows/Hides Piano Roll
F8 | Shows/Hides Sample Browser
F9 | Shows/Hides Mixer
F10 | Shows/Hides MIDI Settings
F11 | Shows/Hides Song Info Window
F12 | Close All Windows
Ctrl+Shift+H | Arrange Windows

Playlist
Shift+Ctrl+Ins | Insert Pattern (Before Selected Pattern)
Shift+Ctrl+Del | Delete Selected Pattern
Alt+Up Arrow | Move Selected Pattern Up
Alt+Down Arrow | Move Selected Pattern Down
Alt+G | Grid Color
Alt+C | Color Selected
Al+P | Edit Selected Pattern in Piano Roll
Alt+Q | Quick Quantize
Ctrl+A | Select All
0 (zero) | Center Playback To Playing Position
Alt+F | Clips Flat Display
Ctrl+Alt+F | Clips Glass Effect


INSTALLING & USING VST(i)/DX(i) PLUGINS

Installing & Using VST(i)/DX(i) Plugins

This page gives a step by step instruction about installing VST or DX instruments and effects.

DirectX Plugins

Install DX or DX2 Instruments/Synths/Generators

  1. To be able to use DirectX plugins, make sure you have installed the latest DirectXMedia (now part of DirectX) on your machine. The latest DirectX setup can be downloaded for free at www.microsoft.com.
  2. Install the DirectX plugin by running its setup file. DirectX plugins can be installed in any folder of your preference (for ex. "C:\Program Files\MyPlugin\"). Since those plugins are registered directly in Windows as a part of the DirectX system, FL Studio will detect them and use them no matter where are they installed.
  3. Start FL Studio (if it is not already running).
  4. In the Channels menu, select Add One. In the submenu that opens, select More...
  5. You will see a window listing all instrument plugins available in FL Studio. At the bottom of the window, click the Refresh button and select Fast Scan.
  6. The plugin you have installed should appear in the plugin list in red color. If this does not happen, please make sure you have followed the previous steps properly.
  7. Place a checkmark before the plugin name if you want it listed in your favorites and close the window.
  8. Now the plugin is installed and can be used as a standard FL Studio effect. To add an instance of the plugin to the current project, open the Channels menu, select Add One and in the submenu that appears select the name of the plugin. An instance of the plugin appears in the Step Sequencer window.

Related Links:

  • Generators - Learn more about generators (instruments, synths) in FL Studio.
  • Step Sequencer - All instruments in the current project are listed in the Step Sequencer. It also allows pattern sequencing for basslines, drums and other simple melodic parts.
  • Piano Roll - The Piano Roll is used to create complex melodic parts for the generators.
  • Playlist - The Playlist arranges all pattern in a full song.
  • Generator Plugins - Learn more about the plugin standards supported by FL Studio.

Install DX or DX2 Effects/Filters

  1. To be able to use DirectX plugins, make sure you have installed the latest DirectXMedia (now part of DirectX) on your machine. The latest DirectX setup can be downloaded for free at www.microsoft.com.
  2. Install the DirectX plugin by running its setup file. DirectX plugins can be installed in any folder of your preference (for ex. "C:\Program Files\MyPlugin\"). Since those plugins are registered directly in Windows as a part of the DirectX system, FL Studio will detect them and use them no matter where are they installed.
  3. Start FL Studio (if it is not already running).
  4. If the Mixer window is not visible, open the View menu and select the Mixer item.
  5. In the Mixer window, click the menu button for any of the plugin slots and click the Select item. In the submenu that appears, select More...
  6. You will see a window listing all effect plugins available in FL Studio. At the bottom of the window, click the Refresh button and select Fast Scan.
  7. The plugin you have installed should appear in the plugin list in red color. If this does not happen, please make sure you have followed the previous steps properly.
  8. Place a checkmark before the plugin name if you want it listed in your favorites and close the window.
  9. Now the plugin is installed and can be used as a standard FL Studio generator. To add an instance of the plugin to the current project, select a slot in the Mixer window, open its menu and pick the plugin from the Select submenu. An instance of the plugin appears in the selected mixer slot.

Related Links:

  • Mixing & Effects - Learn everything about mixing and effects in FL Studio.
  • Mixer Plugin Slots - the plugin slots host all effect plugins in FL Studio.
  • Effect Plugins - Learn more about the plugin standards supported by FL Studio

VST Plugins

Install VST2 Instruments/Synths/Generators (VSTi)

VST plugins are DLL files that should be installed in the VST folder of FL Studio in order to use them (<FL Studio Folder>\Plugins\VST). You can also set up an additional VST folder from the Directories settings.

  1. Run the setup file and when prompted, point the installation folder for the VST plugin to: <FL Studio Folder>\Plugins\VST (use the actual folder where FL Studio is installed). If the plugin has no setup file, simply copy the DLL file and its accompanying files to the folder. Note that some plugins have a standalone part and VST connection part. In this case, be careful not to install the standalone version in the VST folder, but the VST plugin itself.
  2. Start FL Studio (if it is not already running).
  3. In the Channels menu, select Add One. In the submenu that opens, select More...
  4. You will see a window listing all instrument plugins available in FL Studio. At the bottom of the window, click the Refresh button and select Fast Scan.
  5. The plugin you have installed should appear in the plugin list in red color. If this does not happen, please make sure you have followed the previous steps properly.
  6. Place a checkmark before the plugin name if you want it listed in your favorites and close the window.
  7. Now the plugin is installed and can be used as a standard FL Studio effect. To add an instance of the plugin to the current project, open the Channels menu, select Add One and in the submenu that appears select the name of the plugin. An instance of the plugin appears in the Step Sequencer window.

Related Links:

  • Generators - Learn more about generators (instruments, synths) in FL Studio.
  • Step Sequencer - All instruments in the current project are listed in the Step Sequencer. It also allows pattern sequencing for basslines, drums and other simple melodic parts.
  • Piano Roll - The Piano Roll is used to create complex melodic parts for the generators.
  • Playlist - The Playlist arranges all pattern in a full song.
  • Generator Plugins - Learn more about the plugin standards supported by FL Studio

Install VST or VST2 Effects/Filters

VST plugins are DLL files that should be installed in the VST folder of FL Studio in order to use them (<FL Studio Folder>\Plugins\VST). You can also set up an additional VST folder from the Directories settings.

  1. Run the setup file and when prompted, point the installation folder for the VST plugin to: <FL Studio Folder>\Plugins\VST (use the actual folder where FL Studio is installed). If the plugin has no setup file, simply copy the DLL file and its accompanying files to the folder. Note that some plugins have a standalone part and VST connection part. In this case, be careful not to install the standalone version in the VST folder, but the VST plugin itself.
  2. Start FL Studio (if it is not already running).
  3. If the Mixer window is not visible, open the View menu and select the Mixer item.
  4. In the Mixer window, click the menu button for any of the plugin slots and click the Select item. In the submenu that appears, select More...
  5. You will see a window listing all effect plugins available in FL Studio. At the bottom of the window, click the Refresh button and select Fast Scan.
  6. The plugin you have installed should appear in the plugin list in red color. If this does not happen, please make sure you have followed the previous steps properly.
  7. Place a checkmark before the plugin name if you want it listed in your favorites and close the window.
  8. Now the plugin is installed and can be used as a standard FL Studio generator. To add an instance of the plugin to the current project, select a slot in the Mixer window, open its menu and pick the plugin from the Select submenu. An instance of the plugin appears in the selected mixer slot.

Related Links:

  • Mixing & Effects - Learn everything about mixing and effects in FL Studio.
  • Mixer Plugin Slots - the plugin slots host all effect plugins in FL Studio.
  • Effect Plugins - Learn more about the plugin standards supported by FL Studio.


MENU BAR

Menu Bar

The Menu bar is located in the Main panel and provides access to the main menus of FL Studio.

File

Edit

Channels

View

Options

Tools

Help


MENU BAR

File Menu

The File menu contains commands for managing files:

  • New - Starts a new empty project using the last selected drumkit as a start point. You will be prompted to save changes to the currently opened project, if any.
  • Open ( [image] Ctrl+O) - Opens an existing project. The Open File dialog in FL Studio is enhanced with a Favorites section.
  • Templates - Contains a submenu with channel presets you can use for quick start of a new project. You will be prompted to save changes to the currently opened project, if any.
  • Save ( [image] Ctrl+S) - Updates your current project by overwriting its last saved copy on disk. For a list of available save formats, go to File Formats pages. If the current project was never saved before, this command works like Save As.
  • Save As ( [image] Shift+Ctrl+S) - Lets you save your current project under different name and/or format. For a list of available formats, go to File Formats pages. The Save File dialog in FL Studio is enhanced with a Favorites section.
  • Save New Version - Saves the current project in a file with unique name (so it won't overwrite any existing file). For example, if you have a project called MyProj, this command saves a file MyProj_2, next time it will be MyProj_3 etc. Useful for quickly saving variations of the project without overwriting the original file.
  • Import - Loads files that are not in FL Studio native projects. For a complete list of file types you can import into FL Studio, go to Open/Import File Formats pages. The Import File dialog in FL Studio is enhanced with a Favorites section.
  • Export - Converts the current project to various file formats. For a complete list of file types you can export to, go to File Formats pages. The Export File dialog in FL Studio is enhanced with a Favorites section.
  • Export / Project Data - Saves copies of all samples, TS404 shapes and SimSynth/DrumSynth presets and other plugin data you use in the current project into a single folder of your choice.
  • Export / Project Bones - Use this command as a shortcut to export all generator/effects settings as presets (*.FST files) and score/automation data as score files (*.FSC files) used in the current project. This is useful feature when you want to merge features from one project into another. Also, a *.NFO file will be created in the folder you selected to store the preset/score data, that is used by the Browser.
  • Exit - Closes FL Studio. You will be prompted to save changes to your current project, if any.
  • History List ( [image] Alt+ 1-8) - Appears as a list of 8 most recently opened projects at the bottom of the File menu, with the most recent one at the top.


MENU BAR

Edit Menu

The Edit menu contains commands for selecting and editing channels and notes:

  • Undo/Redo ( [image] Ctrl+Alt+Z/Ctrl+Z) - These two commands allow you to browse through the edit history of FL Studio (to see a list of the actions currently stored in the history, open the Project Browser / History folder). Ctrl+Alt+Z goes back in the history. Ctrl+Z goes forward in the history, unless you are at the latest step (in this case, Ctrl+Z works as a standard one step undo/redo shortcut).
  • Cut ( [image] Ctrl+X) - Cuts the notes from all selected channels in the Step Sequencer to clipboard. Currently the automation events can not be cut with this command.
  • Copy ( [image] Ctrl+C )- Copies the notes from all selected channels in the Step Sequencer to clipboard. Currently the automation events can not be copied with this command.
  • Paste ( [image] Ctrl+V ) - Pastes notes from clipboard starting with the topmost selected channel in the Step Sequencer.
  • Select All - Selects all channels in the Step Sequencer.
  • Shift Left ( [image] Shift+Left) - Shifts the notes from all selected channels in the Step Sequencer one step left. First notes become last ones.
  • Shift Right ( [image] Shift+Right) - Shifts the notes from all selected channels in the Step Sequencer one step right. Last notes become first ones.
  • Randomize ( [image] Alt+R / Alt+H) - Brings up the Randomizer dialog that lets you create random notes and randomize the note properties for all selected channels in the Step Sequencer.
  • Send to Piano Roll - Moves the notes from all selected channels in the Step Sequencer to the Piano Roll of each channel. Shuffle is preserved (see Step Sequencer).


MENU BAR

Channels Menu

The Channels menu contains commands for managing channels.

  • Add One -Contains a list of all generators selected as favorites. Choosing a generator from this menu will add a single instance of it at the bottom of the Step Sequencer window. Click More... to open the Select plugin window, which contains a list of all generators present in FL Studio (including VSTi and DXi). Double-click a generator name to add an instance of it in the Step Sequencer. Click the check box preceding each name to mark it as a favorite (all plugins preceded by a check mark will appear in the favorites list). NOTE: To see newly installed plugins, click Refresh in the bottom of the Select plugin window and select Fast Scan (it is recommended that you use Fast Scan than Scan & Verify, because it may crash FL Studio with some bad plugins).
  • Clone Selected - Insert a clone of each selected channel in the Step Sequencer right after it. The clone retains the generator type of the original, as well as all of its settings, but does not contain its notes and events.
  • Delete Selected - Removes all selected channels in the Step Sequencer.
  • Move Selected Up ( [image] Alt+Up) - Moves all selected channels one step up in the Step Sequencer.
  • Move Selected Down ( [image] Alt+Down) - Moves all selected channels one step down in the Step Sequencer.
  • Group Selected ( [image] Alt+Z) - Adds all selected channels to a group (a popup window displays to enter the name of the group). If a group with the name you specified doesn't exist, it will be automatically created. For more information on channel grouping see the Channel Filtering section in the Step Sequencer page.
  • Zip Selected ( [image] Alt+Z) - Turns all selected channels in the Step Sequencer into compact view mode. Right-click the button of a zipped channel to unzip it.

  • Unzip All ( [image] Alt+U) - Unzips all channels in the Step Sequencer.


MENU BAR

View Menu

The View menu contains commands for showing/hiding and arranging FL Studio' windows.

  • Playlist ( [image] F5) - Shows/hides the Playlist window.
  • Step Sequencer ( [image] F6) - Shows/hides the Step Sequencer window.
  • Piano Roll ( [image] F7) - Shows/hides the Piano Roll window.
  • Browser ( [image] F8) - Shows/hides the Browser window.
  • Effects ( [image] F9) - Shows/hides the Mixer window.
  • Channel Settings - Shows/hides the Channel Settings window.
  • Arrange Windows ( [image] Shift+Ctrl+H) - Contains a command that arranges FL Studio' windows.
  • Close All Windows - Closes all windows in FL Studio.
  • Undo History - Expands the history section in the Project Browser.
  • Automation - Expands the history section in the Project Browser.
  • Generators in Use - Expands the generators section in the Project Browser.
  • Effects in Use - Expands the effects section in the Project Browser.
  • Undo History - Expands the history section in the Project Browser.
  • Remote Control - Expands the remoting section in the Project Browser.
  • Background Wallpaper - Contains a command that allows you to choose a custom image or HTML page to be used as a wallpaper.


MENU BAR

Options Menu

The Options menu contains commands that set various options in FL Studio.

  • MIDI Settings ( [image] F10) - Shows/hides the MIDI Settings window.
  • General Settings - Shows/hides the General Settings window.
  • Audio Settings - Shows/hides the Audio Settings window.
  • File Settings - Shows/hides the File Settings window.
  • Project Info ( [image] F11) - Shows/hides the Project Info window.
  • Project Settings - Shows/hides the Project Settings window.
  • Enable MIDI Remote Control - When not checked, you will not be able to use MIDI remote control in FL Studio, but the device you use for remote control will be released for use in other applications you run simultaneously with FL Studio.
  • Enable MIDI Output - When not checked, you will not be able to use MIDI output in FL Studio, but the device you use for output will be released for use in other applications you run simultaneously with FL Studio.
  • Enable MIDI Master Sync - If checked, FL Studio will sync (as a master) with an external MIDI device or a sequencer. You can choose a device to sync with in the MIDI Settings window.
  • Typing Keyboard to Piano ( [image] Ctrl+T) - When turned on, you can use your typing keyboard to record notes as you would do with a real MIDI keyboard.
  • Metronome ( [image] Ctrl+M) - When turned on, you will hear a short "metronome" sound in the beginning of each beat with an accent at the beginning of each bar. It is especially useful when you need to keep yourself "synced" with song tempo when recording a melody from a MIDI keyboard.
  • Recording Precount ( [image] Ctrl+P) - When turned on, you will hear countdown metronome ticks before the start of a recording session.
  • Start on Input ( [image] Ctrl+I) - When turned on, pressing the play button will set FL Studio in waiting mode and actual playing/recording begins at the moment input data is received (for example, when key is pressed on the MIDI keyboard).
  • Blend Recorded Notes ( [image] Ctrl+B) - When turned on, the notes you record will blend with any already existing ones, otherwise recorded notes will overwrite the old ones.
  • Step Recording ( [image] Ctrl+E) - Switches step recording on and off.


MENU BAR

Tools Menu

The Tools menu contains useful tools for working with channels, patterns an effects, and gives you the ability to use external application as tools in FL Studio.

Misc Macros:

  • Switch Smart Disable for all Effects - Turns on Smart Disable for all effects (see Mixer window).
  • Color Selected Channels - Colors all selected channel buttons in the Step Sequencer. You will be asked for start end end color (for gradient coloring).
  • Select All Unused Channels - Selects all channels that do not contain any notes (neither in the Step Sequencer or the Piano Roll) in any pattern.
  • Go To Next Empty Pattern ( [image] F4) - Switches to the next pattern that does not contain any note events (either in the Step Sequencer or the Piano Roll) in any channel.

Add External Tools

Opens the External Tools dialog that lets you set external applications (wave editors, sample browsers etc.) as tools in FL Studio.

Custom Tools List

Contains a list of tools you have set using the External Tools dialog.


MENU BAR

Help Menu

The Help menu contains commands for access to this reference system and other help documents. It also contains some other useful commands related to your work in FL Studio.

  • Help ( [image] F1)- Opens this help system.
  • Download In-depth Manual - This is a link to a web page where you can download the detailed manual of FL Studio.
  • About - Shows the About box of FL Studio.
  • Register - Click here if you want to register the demo of FL Studio. If it is already registered, this item is grayed.
  • Other Products From Image-Line - This is a link to a web page where you can check out other products created by Image-Line.

Plugins:

  • About FL Studio Plugins - Opens the help pages for the plugins that come with FL Studio.
  • Find Plugins Online - This is a link to a web page that contains information for other plugins compatible with FL Studio.

Online Community:

The online community services is a system for downloading and uploading FL Studio projects, so everyone can add his "touch" to the song. You can upload a work you started by yourself, but it is advisable that you first download a song, modify and refine it, and then upload it so other users can continue working on it.

  • Download Live Loop- Select this command to download a live loop.
  • Upload Live Loop - Select this command to upload a live loop.
  • Upload Project - Select this command to upload a project.
  • BeatSlicer & Zero-X BeatCreator Homepage - This is a link to the homepage of BeatSlicer. The BeatSlicer engine is integrated with FL Studio and is used in the Beat to Slice feature. You can use the standalone BeatSlicer editor with FL Studio as well.
  • TS404 Homepage - This is a link to the homepage of TS404. TS404 generator is integrated in FL Studio.
  • SimSynth Homepage - This is a link to the homepage of SimSynth. FL Studio can render SimSynth presets & loops directly.
  • DrumSynth Homepage - This is a link to the homepage of DrumSynth. FL Studio can render DrumSynth presets directly.
  • LAME MP3 Encoder - This is a link to the homepage of LAME MP3 Encoder. LAME MP3 Encoder is integrated in FL Studio and is used for exporting MP3 files.

  • Stop Sound (Panic) ( [image] Ctrl+H) - Silences audio and MIDI. Notice that this function works by setting all notes to release state, so if release is not short, sound may not stop immediately.
  • Cancel Current Recording - Use this command to stop your current recording session and not to apply any recorded notes and events to the project. This command works only while recording, not after that. If you want to delete recorded notes and events after recording was stopped, use the Undo feature instead.


MENU BAR

External Tools Dialog

The External Tools dialog lets you set up external applications (wave editors, sample browsers etc.) for use as tools in FL Studio.

    1. Tools List - Displays a list of all configured tools. Before setting up a new tool click an empty field in the list, otherwise the new tool will overwrite the older one. You can also drag the entries up and down to change tools order.
    2. Tool Properties - Displays the program icon of the application and lets you set the name that will be used when displaying the tool in Tools menu.
    3. File Location - You should enter here the full path to the external application you want to use as a tool. You can also click the button on the right to browse the application.
    4. Tool Type - Sets the launching option for the tool. Launch with the Current Channel Sample option is suitable for wave editors, enabled together with Default Editor, this external tool replace the internal Wave Editor inside FL Studio. Launch with the Samples Path is useful for batch audio processing applications and external sample browsers. Launch at Startup can be used to launch automatically software synthesizer you want to control from FL Studio.


MENU BAR

Favorites Section

All open/import and save/export dialogs in FL Studio has been enhanced with Favorites section, which you can use to quickly transfer to frequently used folders.

    1. Favorites Combo Box - Contains a list with shortcuts to all favorite folders you have set.
    2. Set As Favorite - Adds the current folder to the favorites.
    3. Remove From Favorites - Removes the currently displayed folder in the combo box from the favorites list.


PANELS

Panels

FL Studio panels are located at the top of the screen, and provide you with quick access to many commands and options, many of which are available also in FL Studio menus and windows. The panels behave much like standard Windows toolbar controls - they can be reordered in any way, undocked and docked to the top and the bottom of the screen by dragging a special handle located in the left side of each panel. If you right-click the empty area at the top of the screen, a menu will pop up that contains a list of all panels. Those that are visible are preceded by a check mark. You can use this menu to toggle the visibility of the indidivual panels in FL Studio, except the main panel (which always remains visible). Checking "Lock" will lock the panels into position so that you can not move them by accident.

Main Panel

Transport Panel

Output Monitor Panel

CPU Panel

Shortcut Panel

Recording Panel

Time Panel


PANELS

Main Panel

The Main panel contains some essential controls for each application - the title bar, the main menu bar, a hint panel and the minimize, maximize/restore and close buttons. It also contains the global volume and pitch controls.

    1. Menu Bar - Provides access to the main menus in FL Studio. For more information, go to Menu bar pages.
    2. Hint Bar- When you position you cursor over any control, its short description will appear here. The hint bar will also display the value of a wheel or slider while you tweak it etc.
    3. Title Bar - You can see here the name of the song currently opened in FL Studio.
    4. Minimize - Hides the main window.
    5. Maximize/Restore - Maximizes/restores FL Studio main window.
    6. Close ( [image] Alt+F4) - Closes FL Studio.
    7. Sync LED - It blinks in orange color at the beginning of each beat and in yellow color at the beginning of each bar (it works only when the Enable MIDI Output option in Options menu is checked).
    8. MIDI Activity LED - It blinks when MIDI data is received from the MIDI input device (see Live Recording Using MIDI Controller).
    9. Main Volume - Sets the main volume in FL Studio.
    10. Main Pitch - Sets the main pitch of generators in FL Studio.


PANELS

Transport Panel

The Transport panel contains controls for playing, recording, setting song's position and tempo.

  1. Pattern/Song Mode ( [image] L) - Switches between pattern and song mode. In pattern mode, only the current pattern is played, while in song mode the whole sequence in the Playlist is played. If the Playlist is empty, in song mode FL Studio will play the patterns in successive order. Right-clicking this control shows/hides the Playlist window.
  2. Play/Pause ( [image] Space) - In record mode, plays/pauses the song and records MIDI input & wheels/sliders tweaks, otherwise just plays/pauses the song.
  3. Stop ( [image] Space) - Stops recording/playing.
  4. Record ( [image] R) - Switches between record and play mode.
  5. Tempo - Contains the song tempo and tempo fine tune song controls:
    • Song Tempo (bigger digits) - Shows/sets song tempo. Right-click the LCD screen for some tempo presets & commands:
      • Tap - You can now tap the tempo in FL Studio. Click the tap command and you'll see the tempo tam window appear (you can have the song playing before you launch the tap tool). Click the tap icon repeatedly with the desired tempo in mind. You will see the tempo adjust to new levels after some taps. For best results, tap at least 10-16 times until the tempo is stabilized. Clicking the OK button accepts the new tempo.
      • 80bpm-160bpm - Some useful tempo presets.
      • Twice Slower - Plays the song twice slower. This option does not set the actual tempo of song twice slower (so the value displayed in the LCD won't change). It is a temporary tweak to make it easier for the user to record notes/events. After recording, this option may be turned off to return to the original tempo.
      • The rest of the commands match the standard commands for an automatable control.
    • Tempo Fine Tune (smaller digits) - This control lets you fine tune the tempo of the current project in measure of 1/1000 bpm. The value set here will be added to the base tempo. Note that it's not recommended to use that setting when starting a new song (it is better to use a whole number for your tempo). However, it can be used to match the exact speed of another song to be mixed in a FL Studio project (for making using existing sampled loops, "cover songs" etc.).
  6. Pattern Selector ( [image] + /for next pattern/; [image] - /for previous pattern/) - Shows/sets the current pattern. You can have up to 999 patterns.
  7. Song Position Slider - Shows/sets the current song position.


PANELS

Output Monitor Panel

The Output Monitor panel contains controls for monitoring the audio output of FL Studio.

    1. Oscilloscope - Oscilloscope view displays the wave output of FL Studio. Right-click the Oscilloscope view to set various options for its look.
    2. Peak Meter - Meters the loudness of wave output in FL Studio. It will turn red if it is too loud (and so clipping occurs).
    3. Monitor Switch - Switches on and off oscilloscope and peak meter views.


PANELS

CPU Panel

The CPU panel displays the polyphony and CPU usage of the project.

    1. CPU Meter - The CPU Meter shows how much of the CPU is used for playing the current project. Left-click the view to make it refresh more frequently (clicking again will turn it back to normal refresh frequency).
    2. CPU Meter % - Shows the CPU usage in percents.
    3. Polyphony - Shows amount of voices being mixed at the same time.

Note that TS404 channels are not counted when displaying the polyphony.


GLOBAL

Shortcut Panel

The Shortcut panel provides shortcuts for some frequently used commands.

  1. Save Project As ( [image] Ctrl+Shift+S) - Acts like Save As command in File menu.
  2. Open Project ( [image] Ctrl+O) - Acts like Open command in File menu.
  3. Save Project ( [image] Ctrl+S) - Acts like Save command in File menu.
  4. Export to Wave File ( [image] Ctrl+R) - Acts like Export Wave command in File menu.
  5. Playlist ( [image] F5) - Shows/hides the Playlist window.
  6. Step Sequencer ( [image] F6) - Shows/hides the Step Sequencer window.
  7. Piano Roll ( [image] F7) - Shows/hides the Piano Roll window.
  8. Browser ( [image] F8) - Shows/hides the Browser window.
  9. Mixer Window ( [image] F9) - Shows/hides the Mixer window.


PANELS

Recording Panel

The Recording panel sets some recording related options and contains the global snap selector.

  1. Typing Keyboard to Piano ( [image] Ctrl+T) - When turned on, you can use your typing keyboard to record notes as you would do with a real MIDI keyboard. Right-click the LED to select the base octave for mapping the keyboard keys.
  2. Recording Countdown ( [image] Ctrl+P) - When turned on, you will hear countdown metronome ticks before the start of a recording session. Right-click the LED to select the number of bars to countdown.
  3. Blend Recorded Notes ( [image] Ctrl+B) - When turned on, the notes you record will blend with any already existing ones, otherwise recorded notes will overwrite the old ones.
  4. Loop Record / Overdub - Enable this option to loop the recorded pattern indefinitely until stop is hit. If a there is a time selection in the Piano Roll that selection wlil be looped instead. This feature allows you to "overdub" content on each loop (for ex. recording the score individually for a channel on each repetition).
  5. Snap Selector - This control sets the global snap value that is used in the Piano Roll, the Event Editor and the Playlist. When you choose Auto, snap will conform to the zoom level you set in each of the windows. You can also right-click the selector to select the default note length from the menu that appears (used when drawing notes in the Piano Roll).
  6. Metronome ( [image] Ctrl+M) - When turned on, you will hear a short "metronome" sound in the beginning of each beat with an accent at the beginning of each bar. It is especially useful when you need to keep yourself "synced" with song tempo when recording a melody from a MIDI keyboard. Right-click the LED for a different metronome sound.
  7. Start on Input ( [image] Ctrl+I) - When turned on, pressing the play button will set FL Studio in waiting mode and actual playing/recording begins at the moment input data is received (for example, when key is pressed on the MIDI keyboard). Right-click the LED to select if you want this option when playing too (or only when recording).
  8. Step Recording ( [image] Ctrl+E) - Switches step recording on and off.
  9. Auto Scroll - Turning this option on enables auto scroll in the Step Sequencer, Playlist and Piano Roll, when the time markers (playing position) go outside of the window.


PANELS

Time Panel

The Time panel displays the song time in various formats (bars, minutes).

    1. Step/Beat switch (S/B) - This switch selects whether the time is displayed in steps (S) or beats (B). This option applies to bar display mode only, see the next option.
    2. Bar/Minute Mode switch - This switch selects whether the time is displayed in BARS:BEATS/STEPS:TICKS format (B) or MINUTE:SECOND:1/100 SECOND format (M).
    3. Time Display - Shows the song time in format according to the settings.


STEP SEQUENCER

Step Sequencer

The Step Sequencer is the main part of FL Studio' interface. It contains a button for each channel in your song, from which you can call its Channels Settings, Piano Roll etc. It also contains a pattern grid, where you can create drum loops and simple melodies.

    1. Pattern Length (Number of Beats) - Sets the number of beats for the current pattern. If you leave this value undefined: "--", the pattern obeys the global value for the project. You can change the global value and the beat length in your Project General Settings window.
    2. Repeat Step Sequencer - If this option is checked, the grid sequence will repeat itself throughout the pattern if it contains longer automation or Piano Roll sequence (otherwise this settings has no effect).
    3. Swing - Slide it to right to add "swing" to the notes you write in the Step Sequencer.
    4. Graph Editor Button ( [image] G) - Shows/hides the Graph Editor.
    5. Keyboard Editor ( [image] K) - Shows/hides the Keyboard Editor.
    6. Channels Area - Contains the channels and the pattern grid.
    7. Channel Display filter ( [image] Page Down for next group; Page Up for previous group)- Here you can set the group of channels to show in the Step Sequencer (read the Channel Filtering paragraph below for more information)
    8. Playing Step Leds - These leds will show the current playing step in the pattern.
    9. Channel Panning Wheel - Use this wheel to set channel's panning.
    10. Channel Volume Wheel - Use this wheel to set channel's volume.
    11. Channel Settings Button - Displays the channel name & shows/hides Channel Settings window, where you can set how the channel should sound.
    12. Channel Selector - When this led is turned on, the channel is considered selected (used in cut, copy etc. operations - see Edit menu).
    13. Sequence Steps - Each step represents a 16-th note in the pattern. You can turn on and off those step buttons to create the desired loop.
    14. Mute switch ( [image] 0-9 to mute/unmute; Ctrl+0-9 to solo/unmute all) - Turning this led off will mute the channel. Clicking it again unmutes it. You can also quickly solo channel - right-click the led and from the popup menu select Solo. Repeat that action to unsolo the channel (unmute all).
    15. Piano Roll Preview- If you don't have active steps in the current pattern and you have notes in the Piano Roll, the steps are replaced by a preview of the Piano Roll. With the preview available you are aware of how your pattern looks without opening each time the Piano Roll view. However, you can not edit notes in that preview. Click it once to show/hide the real Piano Roll window. The lighter and darker blocks in the preview mark the number of bars contained in the Piano Roll sequence (each block is a bar).

Each line in the Step Sequencer represents a single channel with its pattern grid. Each button in the grid represents a 16-th note. The default pattern length is 16 dots, but you may change this setting from the Project General Settings window. Additionally, you can set a custom length for each individual pattern with the Pattern Length control (1).

Left-clicking a grid button turns it on; right-clicking turns it off. Note that if you have turned off Use Both Mouse Keys option in the General Settings page, left-clicking turns both on and off the buttons.

You can also set the button's note (pitch) using the Keyboard Editor view. Each note has some additional properties (panning, volume etc.) that you can set using the Graph Editor view.

Right-clicking the Channel Button (11) brings up a menu that provides some commands for managing channels (see Channel Menu). Additionally, this menu provides access to the Piano Roll window which is designed for entering of complex melodic parts (unlike the sequencing grid, which is optimized for quick entering of drum loops and basic bass lines).

The main Edit menu also contains commands for working with Step Sequencer.

Channel Filtering

Having too much channels can make the work in the Step Sequencer slow and tedious. To optimize your workflow and project structure, you can combine several channels in a group and set the Step Sequencer to display only specific group of channels (for example percussion group or lead synth group). To control which channels should be visible you can use the Channel Display Filter control (7). Left-click to open the channel filter menu. Selecting "All" shows all channels at once, no matter if they are part of any group or unassigned. Selecting "Unsorted" displayed only the unassigned channels. Also, if you have made any channel groups, you can select them for display from this menu. To add empty group, right-click and select Add Filter Group. With the group displayed, right-click the Channel Display Filter control to see commands for renaming and deleting a group (deleting a group won't delete the channels in it, but make them unassigned). To add all selected channels to a group, use the Group Selected command from the Channels menu.

When adding new channels, they are inserted in the currently selected group.


STEP SEQUENCER

Keyboard Editor

The Keyboard Editor view lets you set the pitch of notes in the Step Sequencer. It is a set of piano keyboards (all of them rotated 90 degrees counterclockwise) - one for each dot in the Step Sequencer. Note that actions you do in the Keyboard Editor have effect on ALL selected channels.

    1. Keyboard Editor button - Shows/hides the Keyboard Editor.
    2. Slide/Portamento Line - Used to apply a slide/portamento effect to the notes in the Step Sequencer. Note that although this line appears for all generators, some of them might not support the portamento feature (the VSTi and DXi instruments and some Fruity Plugin generators do NOT support portamento). Left-click to set slide/portamento on, right-click to set it off.
    3. Active Note - This orange button shows that the dot it belongs to is active, and also shows its pitch. Left-click to set another pitch for the dot (also if it was turned off, this makes the dot active).
    4. Inactive Note - This light orange button shows that the step it belongs to is inactive. Right-click to set another pitch for the dot (also if it was turned on, this makes the dot inactive). Inactive notes are not used by the generators, they are just notification for the default note pitch used when activating the step.

You can also drag all notes at once - hold Ctrl and then drag a note, the rest will follow.


STEP SEQUENCER

Graph Editor

The Graph Editor lets you set additional properties of notes in the Step Sequencer. You can set each note's panning (Pan), velocity (i.e. note's volume - Velocity), cutoff (Filter cut), resonance (Filter res), pitch (Pitch) and shifting (Shift). Shifting creates delay between the timing of a note event and the time it is actually triggered. 100% shift means one 16-th time delay. The pitch property sets note's pitch, but is more intended for use with drum channels and effects - if you want to enter a melody, use the Keyboard Editor instead.

    1. Graph Editor button - Shows/hides the Graph Editor view.
    2. Property Selector slider - Lets you select what property to edit. With all generators you can set panning, velocity, cutoff, resonance, pitch and shifting. However, some external generators may not support all those properties (for instance, a mono generator may ignore the panning property).

Left-click a column and drag up/down to adjust the property. You can drag all values at once - hold Ctrl and adjust one, the others will follow. You can also create "lines" with values in the Graph Editor - right-click a value and drag to another, FL Studio will automatically interpolate the in-between values.

It is important that you understand in the Graph Editor you set note's properties - these are not separate events. So, although you can set all panning values, only those that correspond to active dots will be used.


STEP SEQUENCER

Channel Menu

This menu provides some commands for editing channels.

  • Piano Roll - Shows/hides the Piano Roll view. Appears only when there aren't any active steps in the Step Sequencer.
  • Send to Piano Roll - Converts any active steps to Piano Roll notes and opens the Piano Roll view. Appears only when there are active dots for the channel.
  • Load Sample - Appears in Sampler channels only. This command opens a dialog where you can select a sample to fill the sample bank of a Sampler.
  • Cut Itself - Checking this option makes each active note cut the previous one. What actually happens is FL Studio assigns a unique value in both Cut and Cut By fields in the Miscellaneous Channel Settings.
  • Edit - Contains a submenu that wraps some commands from the main Edit menu.
  • Fill Each 8 Notes - Turns on 1-st, 9-th, 17-th etc. dots in Step Sequencer's pattern grid. All other dots are turned off.
  • Fill Each 4 Notes - Turns on 1-st, 5-th, 9-th etc. dots in Step Sequencer's pattern grid. All other dots are turned off.
  • Fill Each 2 Notes - Turns on 1-st, 3-th, 5-th etc. dots in Step Sequencer's pattern grid. All other dots are turned off.
  • Insert Channel - Contains a list of all generators selected as favorites. Choosing a generator from this menu will add a single instance of it below the current one. Click More... to open the Select plugin window, which contains a list of all generators present in FL Studio (including VSTi and DXi). Double-click a generator name to add an instance of it in the Step Sequencer. Click the check box preceding each name to mark it as a favorite (all plugins preceded by a check mark will appear in the favorites list). TS404 and Sampler are internal for FL Studio, so they always appear in the Favorites list (and not in the Select plugin list).
  • Clone Channel - Inserts a clone of the channel after it. The clone retains the generator type of the original, as well as all of its settings, but does not contain the events and the notes.
  • Delete Channel - Removes the channel.


PIANO ROLL

Piano Roll This feature is available only in FruityLoops Edition and Producer Edition.

The Piano Roll lets you construct songs with unlimited complexity, that would be hard or impossible to do with the Step Sequencer's grid.

  1. Piano Roll Menu Button
  2. Toolbar: Draw ( [image] P); [image] Paint ( [image] B); [image] Erase ( [image] D); [image] Cut ( [image] C); [image] Select ( [image] E); [image] Zoom to selection ( [image] I); [image] Playback (Scrub) ( [image] I); [image] Interpolate ( [image] I);
  3. Time (Horizontal) Zoom
  4. Color Group Selector
  5. Slide Toggle ( [image] S)
  6. Display Mode ( [image] M) : Keyboard; [image] Mini Keyboard; [image] Text (Drum Names, Slice names etc.);
  7. Preview Keyboard
  8. Property/Event Selector
  9. Slide Event
  10. Note Events
  11. Integrated Event Editor

Basics

Notes in Piano Roll are displayed as horizontal bars (10) and slides are shown as horizontal bars with a small triangle drawn in the left side (9). You can preview tones by left-clicking the Preview Keyboard keys (7). Pitch is mapped from bottom to top. Horizontal dimension represents time and each number in Piano Roll's ruler represents single bar.

Click channel's name in the title bar to select another channel to display in the Piano Roll.

Operating with Notes

Each note in the Piano Roll has its own length, as a difference from the Step Sequencer, where the only way to turn off a note is to cut it off using another one. Switching to draw mode ( [image]) lets you draw, edit and delete notes. The paint mode ( [image]) is similar, but allows you to draw multiple notes at once while dragging horizontally in the Piano Roll.

In draw or paint mode, left-click in the Piano Roll's grid to draw a note. After that you can drag its left side to move it vertically and horizontally. Dragging its right side horizontally changes the note's length. You can right-click a note to erase it (you may instead switch to erase mode to erase with left-clicks ( [image]) ).

You can select several notes, so you can move and resize them all at once. Press and hold Ctrl key and either click a note to select it, or drag a rectangle to select all notes in enclosed area. Hold Ctrl and Shift together while selecting to add notes to the existing selection. To deselect inidividual notes, hold Ctrl and click a note from the selection.

To resize (time stretch) an entire sequence, select the sequence, hold SHIFT and drag the right edge of a note in the selection.

You can also Ctrl+click or double-click the time ruler and drag along it to select all notes in a specified time range, or Ctrl+click the Preview Keyboard (7) to select a range of notes with the same pitch.

To deselect all notes, while holding Ctrl key, click empty space in Piano Roll's grid. Instead of holding Ctrl key, you can also switch Piano Roll to select mode by clicking the select mode button ( [image]).

A quick way to clone the notes in the current selection is to drag with the SHIFT button pressed in advance.

You can also draw complete chords at once instead of single notes. Right-click the draw mode button (2) and from the menu select a chord type. Now when you draw in the Piano Roll, FL Studio automatically creates a chord. To draw single notes again, right-click the draw mode button and select None ( [image] Shift+N).

The Cut tool ( [image]) allows you to split one or more notes in the manner you wish. To use the cut tool, make sure you're in cut mode (the Cut button is pressed), left-click in the grid area and drag to define the "cut line" direction and length. Release the mouse button to split all notes at their intersection point with the cut line.

The Playback tool ( [image]) enables you to preview the current sequence by dragging horizontally in the piano roll (thus enabling you to define the playback speed and order). Alternatively, hold ALT key while in draw mode.

Understanding Slides

In the Piano Roll you can make group of notes slide gradually from one pitch to another. For this purpose, you draw special slide events, which describe for FL Studio how notes should be slid. Slides look exactly as note events, but they have a small white rectangle drawn in their left side (8). To draw slides, click the slide toggle button (11). Then you can click it again to draw note events. Note that slides do NOT produce a sound themselves (although they preview when created/moved). Instead they make existing notes slide. When you draw a slide event, FL Studio will start sliding existing notes towards pitch where the slide is positioned. If several notes are slid simultaneously, the topmost is taken as a reference for the pitch offset (see picture below). At the end of the slide event, all notes are slid, so the topmost note has the pitch of the slide event. After the slide event ends, notes still remain offset from their original pitch.

This image shows how pitch changes with the slide event.

Note that the slide events have all usual properties of a note - velocity (note volume), panning, cutoff and resonance, so during pitch sliding, it also "slides" all properties from those of the playing notes to those of the slide.

Slide Color Groups

You can draw notes and slides in four colors - green, cyan, pink and yellow. The color you use does not make a difference in note's sound, it is instead used when sliding. Slides will apply only to notes that have their color. For example, yellow slide will bend the pitch of yellow notes, but will ignore green notes. This way you can have up to four notes sliding simultaneously in different directions (one for each color group). To select the current drawing color, click the appropriate button on the color group selector (12).

Slide color groups are also used with the Mono mode in the polyphony settings (see Miscellaneous Channel Settings). Mono mode applies to each color group separately. So using all four colors actually can result in a polyphony of up to 4 voices at once.

Integrated Event Editor

The Piano Roll includes an integrated event editor (10), which lets you quickly edit channel's volume, panning and pitch right inside the Piano Roll. However, the event editor in Piano Roll has one extension - you can also edit notes properties. Notes properties behave similar to the normal events, and are displayed in the event editor as lines with a small square at the top. Using this extension you can edit note's velocity (local note volume), panning, cutoff and resonance - these are exactly the same properties you can edit using the Graph Editor if you were entering notes in the Step Sequencer. Note that since note's properties are part of the actual note, you can not move, delete or interpolate any of them. When you move a note horizontally (thus changing its start position), its properties also move with it. To choose what property or event type to edit, click the property/event selector (14) and choose property/event type from the menu that appears.

NOTE: When several notes start at the same time you can not set the properties of each individual note (they are all set at once). To solve this issue, first select the notes you want to modify - editing this way alters only the properties of the selected notes. Another solution is to use the Note Properties Box (explained below).

Everything else in this integrated event editor works as in normal Event Editor window.

Note Properties Box

There is another way to set notes properties. It is useful when you want to set different properties for notes that start simultaneously (so their properties appear as one in the integrated event editor). Double-click a note to display its properties box.

1. Levels

Lets you change note's properties - panning, velocity (note's volume), cutoff and resonance. The reset button next to Level's panel title bar resets note's properties to levels they had before launching the properties box.

Invert Porta - Inverts the portamento state for this note. If the global portamento (see Misc Channel Settings) for this channel is off, for this note it is on and vice versa.

NOTE: If the note you double-click is a part of a selection, then the properties you set apply to all notes in that selection. The Time section is not available in that case, because the selected notes might have different length or start point.

2. Time Section

Lets you change note's start position and length. For each of both settings there are three LCD-s, for entering position length in bars:steps:ticks format.

Piano Roll Menu

This menu provides many important functions for working with the Piano Roll, such as copying and pasting notes, converting color groups etc. You can access Piano Roll's menu by clicking the Piano Roll menu button (1). For more information, see the Piano Roll menu page.


PIANO ROLL

Piano Roll Menu This feature is available only in FruityLoops Edition and Producer Edition.

This menu provides many important functions for working with the Piano Roll, such as copying and pasting notes, converting color groups etc.

1. File

  • Open Score - Lets you load notes from a FSC file in the Piano Roll.
  • Save Score As - Lets you save all notes in the current Piano Roll view as a FSC file.
  • Copy ( [image] Ctrl+C) - Copies all selected notes/slides to clipboard.
  • Import MIDI ( [image] Ctrl+M)- Shows the Import MIDI Data dialog box, which lets you import notes from MIDI files to the Piano Roll. Selecting this command from a Piano Roll window imports only note events. To import controller data (cutoff, resonance etc.) from a MIDI file, launch the Import MIDI Data dialog box from a separate Event Editor window.
  • Paste from MIDI clipboard ( [image] Shift+Ctrl+V)- Works exactly as the previous command, but uses the MIDI clipboard data rather than a MIDI file. You can paste data from any sequencer that can copy to MIDI clipboard format, as for example Cakewalk Pro Audio (TM).

2. Edit

  • Cut ( [image] Ctrl+X) - Cuts all selected notes/slides to clipboard.
  • Copy ( [image] Ctrl+C) - Copies all selected notes/slides to clipboard.
  • Paste ( [image] Ctrl+V) - Pastes notes/slides from clipboard.
  • Delete ( [image] Del) - Deletes all selected notes/slides.
  • Delete All ( [image] Ctrl+Del) - Deletes all notes, slides and events in the Piano Roll.
  • Select All ( [image] Ctrl+A) - Selects all notes, slides and events in the Piano Roll.
  • Select By Color- Selects all notes and slides that have the same color as the current one.
  • Invert Selection - Inverts the selection.
  • Insert Space ( [image] Ctrl+Ins) - Creates empty space that matches the current selection start and length by shifting all following notes and events forward.
  • Delete Space ( [image] Ctrl+Del) - Erases all notes and events in the current selection and shifts back the remaining notes and events to close the gap.
  • Change Color ( [image] Alt+C) - Repaints all selected notes/slides in the current drawing color (if nothing is selected, applies to all).
  • Insert Current Controller Value ( [image] Ctrl+I) - Initializes the integrated event editor with the current value of the corresponding automated control. If you have selected a time slice in the graph, the current values is inserted at the beginning of the selection instead.

3. Tools

  • Quick Legato - Performs a quick "legato" to the sequence in the Piano Roll (applies only to the selection if any). This tool is a quick preset for the Articulate tool (see below).
  • Articulate - Opens the Articulate tool dialog which allows you to apply staccato, portato, legato and similar effects to the sequence in the Piano Roll (applied only to the selection if any).
  • Quick Quantize ( [image] Alt+Q) - Applies basic quantize to all selected notes/slides depending on the global snap setting in the Recording panel (if nothing is selected, applies to all).
  • Quantize ( [image] Ctrl+Q) - More advanced version of the quantize feature. Opens the Quantizer settings dialog.
  • Quick Chop ( [image] Alt+U) - Slices long notes into many shorter, based on the global snap setting in the Recording panel (if nothing is selected, applies to all).
  • Chop ( [image] Ctrl+U) - More advanced version of the chop feature. Opens the Chopper settings dialog.
  • Arpeggiate - A powerful arpeggiator based on specialized score presets. See Arpeggiator for more information.
  • Strum ( [image] Alt+S) - Shifts the timing and velocity of the individual notes in chords to simulate strumming (as in guitar playing and some other string instruments). See Strum settings dialog.
  • Flam - Applies "drum flam" effect to the score (applies only to the selection if any). See Flam for more info.
  • Randomize ( [image] Alt+R) - Opens the Randomizer dialog where you can generate random note sequences based on a specific scale and/or randomize the note levels (including those of existing notes).
  • LFO ( [image] Ctrl+L)- Shows the LFO box, which lets you draw LFO-shaped events in the integrated event editor. Note that this feature is enabled only when in the property/event selector (15) type of event is selected, instead of a note property type.

4. View

  • Grid Color ( [image] Alt+G) - Opens a standard Color dialog box, where you can set a color for Piano Roll's grid.
  • Ghost Channels ( [image] Alt+V) - When selected, the Piano Roll will show the scores of all channels in the current pattern (they are displayed in the background and have a semitransparent look). Note that these scores are displayed only like a reference for easier sequencing - you can not select or edit them in any way.
  • Black Keys ( [image] Alt+B) - When selected, the Piano Roll grid displays rows corresponding to black piano keys darker, for easier orienting.

5. Zoom

Contains a submenu with a set of quick zooming levels: Far ( [image] 1); Medium ( [image] 2); Close ( [image] 3); Best Fit ( [image] 4); On Selection ( [image] 5);

On Selection zooms the time line to fit the selection (the command will be disabled if no time region is selected in the timeline).

6. Chord

Shows a manu with predefined chord types. Select a chord and draw chords in the Piano Roll. Select None ( [image] Shift+N) to draw single notes again.

7. Auto Locate Channel

When selected, the Piano Roll will automatically display the first non-empty channel when switching between patterns.

8. AutoSmooth

When checked, the drawn automation events are automatically interpolated upon mouse button release.

9. Center ( Backspace)

Scrolls the grid so the playing position marker appears in the middle. Useful when you want to see the playing position in a long sequence.


PIANO ROLL

Piano Roll Articulate This feature is available only in FruityLoops Edition and Producer Edition.

The Piano Roll Articulate tool allows you to apply quick portato, staccato and legato layout to your scores.

Options

  • Options Menu- Open the menu to find some useful quick presets.
  • Multiply - Sets the length of the individual notes as a percentage of their length (10% to 100%)
  • Use Length - If enabled, the length is calculated using the original notes' length, otherwise the length is computed so that the notes run in succession without gaps ("legato").
  • Variation - Randomizes the length with the amount specified.


PIANO ROLL

Piano Roll Quantizer This feature is available only in FruityLoops Edition and Producer Edition.

The Piano Roll Quantizer is an advanced note quantizer, that can use standard score files as groove presets.

1. Groove Template

The Piano Roll Quantizer uses standard FL Studio Score files (*.FSC) as groove templates to quantize the notes. Click the Browse button to select a groove template. See below for some guides about making such templates.

The Piano Roll shows the snap grid (vertical red lines) generated by the groove preset.

2. Strength

This section lets you set the options that will be used for quantizing.

  • Start Time wheel - Lets you mix the original start times of the notes (turn left) with the quantized start times (turn right).
  • Sensitivity wheel - Lets you set the snap sensitivity: how close to the grid should be a note feature (start time, end time) to be quantized. Turn the wheel to right to increase the sensitivity.
  • Duration wheel - Lets you mix the original duration of the notes (turn left) with the quantized duration (turn right). In Quantize End Time mode (see below), this wheel mixes the end time position instead.
  • Quantize Mode combo box - Selects the quantize mode. The start time is quantized in all modes. Quantize Duration: quantizes the length of the notes according to the snap grid; Quantize End Time: snaps the end time of the notes to the snap grid; Leave Duration: retains the original note duration after snapping the start time of the notes; Leave End Time: Retains the original end time of the notes.
  • Levels wheels - With these controls you can mix the original note properties (turn left) with those used in the groove preset (turn right).
  • Humanize switch - When this switch is on, the levels wheels are used to set the amount of randomization applied to the note properties. Turn the wheels to right to apply more randomization.
  • Randomize button - Changes the randomzation seed for the humanized properties.

3. Apply button

Applies the changes to the Piano Roll score.

Guides for making groove templates

The templates are regular Piano Roll scores, however they are interpreted in a special way to fit the purposes of the tool.

  • Only the position and length of the notes are used. Pitch it ignored.
  • Note start times are attracted to the nearest start time of the notes in the template. Similar process occurs for the end times.


PIANO ROLL

Piano Roll Chopper This feature is available only in FruityLoops Edition and Producer Edition.

The Piano Roll Chopper is an advanced note slicer, than can use standard score files as patterns for slicing.

Options

1. Pattern

The Piano Roll Chopper uses standard FL Studio Score files (*.FSC) as slice patterns . Click the Browse button to select a groove template. The Piano Roll shows real-time preview of the results. See below for some guides about making such patterns.

2. Options

This section lets you set the options that will be used for slicing.

  • Time Multiplicator wheel - With this setting you can speed up (turn right) or speed down (turn left) the pattern tempo. The chopper uses the original pattern speed by default.
  • Absolute Pattern switch - When switched on, slicing is based on the Piano Roll grid. When switched off, each note is sliced relative to its start time (see the example image below).
  • Levels wheels - With these controls you can mix the original note properties (turn left) with those used in the chop pattern (turn right).

3. Apply button

Applies the changes to the Piano Roll score.

Guides for making Chopper patterns

The templates are regular Piano Roll scores, however they are interpreted in a special way to fit the purposes of the tool.

  • Pitch is not ignored, so this can be used to create transposed melodies out of a chopper preset using a single root note.
  • A yellow note is ignored for chopping, so it can be used to define the length of the pattern, which is useful to fine-tune the length of looped patterns.
  • The start of the score matches start of the processed score in absolute pattern mode, and start if each individual note relative pattern mode (absolute mode off).


PIANO ROLL

Piano Roll Arpeggiator This feature is available only in FruityLoops Edition and Producer Edition.

The Piano Roll Arpeggiator tool allows you to apply arpeggio effect to your scores based on fully customizable arpeggio scores and a set of additional options. Unlike the the arpeggiator available in the Time Channel Settings, this is not a real-time effect, however it allows much higher level of customization and control over the results.

Options

  • Pattern (Browse) - Allows you to load an FL Studio Score files (*.FSC) file to be used as arpeggiatro pattern. See guides for creating such scores below.
  • Pattern - You will see the following options. Normal: uses the pattern as defined; Flip vertical: reverses the order of the notes in the pattern; Alternate: alternates between normal and flipped mode with each repetition.
  • Time Multiplication - Stretches the time of the pattern score by integer amounts (1x, 2x, 3x, 4x slower when turned right and 1x, 2x, 4x, 8x faster when turned left).
  • Range- The pattern range in octaves. This will basically switch the pattern to a higher octave on each repetition until the range allows. Then the cycle repeats.
  • Range Pattern - The combo box on right of the Range property sets the octaves order similar to the Pattern property, however it applies for entire octaves.
  • Sync - Lets you select what kind of event is considered the end of the loop in the loaded pattern. Time: this selection will disable repetitions; Block: end of loop is considered the time all notes are turned off; Chord: end of loop is considered the time when one of the notes from the chord turns off;
  • Gate - Shortens the length of the arpeggiated notes by the specified amount to create a gating effect.
  • Levels - Allows you to mix the per-note levels (pan, volume, pitch etc.) of the current score with those of the loaded pattern turn to right to mix more of the levels in the pattern).

Guides for making Arpeggiator patterns

The Apeggiator pattern are regular Piano Roll scores, however they are interpreted in a special way to fit the purposes of the Arpeggiator tool.

  • The notes in the pattern are considered relative to the note being arpeggiated. C5 means the arpeggiated note, C#5 is the note above it etc.
  • A note that covers the whole pattern is considered a "sustained note" - a note that won't be arpeggiated and left intact.
  • A yellow note is ignored, it can be used to define the length of the pattern, which is useful to fine-tune the length of looped patterns.
  • Purple notes are not affected by the octaves range set in the dialog. This is useful for providing some more complex behaviour in your patterns.


PIANO ROLL

Piano Roll Strum Tool This feature is available only in FruityLoops Edition and Producer Edition.

The Strum tool lets you shift the timing and velocity of the individual notes in chords to simulate strumming (as in guitar playing and some other string instruments).

Any set of partially or fully overlapping notes which share the same start time are considered a chord. The dialog box lets you set three kinds of modification to the chords: start time shifting, velocity shifting, and end time shifting.

1. Start section

Enable this section by activating the led at its top left corner. The Start section lets you modify notes' start time and/or velocity.

Time:

Lets you shift the start time of chord notes to create a strumming effect.

  • Start knob - Adjusts the amount of time shift applied to the notes. You can also apply negative shift to strum from high notes to lower notes.
  • Tension knob - Adjusts the strum 'tension', i.e. acceleration. Set a positive value to accelerate the strumming, or a negative value to decelerate.

Velocity:

Let's you increase or decrease the velocity (volume) of the subsequent notes in strummed chords.

  • Start knob - Adjusts the amount of velocity shift applied to the notes. A positive value decreases the velocity with time, and negative value increases it
  • Tension knob - Adjusts the velocity shift 'tension', i.e. acceleration. Set a positive value to decelerate the shifting with time, or a negative value to accelerate it.
  • Preserve end - Enable this option to preserve the end time of the affected notes (note that the End section can still modify the end time) thus modifying the notes' length.

2. End section

Enable this section by activating the led at its top left corner. The End section lets you modify notes' end time.

Time:

Lets you shift the end time of chord notes.

  • Start knob - Adjusts the amount of time shift applied to the end of the notes. You can also apply a negative shift.
  • Tension knob - Adjusts the strum 'tension', i.e. acceleration. Set a positive value to accelerate the effect with time, or a negative value to decelerate it.

3. Alternate Direction

Enable this option to reverse the strumming direction for every odd chord (single notes are ignored when counting the chords).


PIANO ROLL

Piano Roll Flam This feature is available only in FruityLoops Edition and Producer Edition.

The Piano Roll Flam tool allows you to add "drum flam" effect to your scores. Flamming is essentially adding quick strokes before every note, an effect which is very useful in adjusting percussion performances.

  • Options drop down menu - Open the drop down menu to find some useful presets.
  • Time - Sets the length of the quick strokes added before each note.
  • Absolute - Selects absolute or tempo based time for the Time knob.
  • Before - Places the quick strokes before the original notes' start time.
  • Velocity - Sets the velocity applied to the quick strokes.


PIANO ROLL

Import MIDI Data Dialog This feature is available only in FruityLoops Edition and Producer Edition.

This dialog shows when you import notes in the Piano Roll either from MIDI clipboard or a MIDI file.

  • Which Tracks to Import - Click the combo box to select which MIDI tracks to import in the Piano Roll.
  • Which Channels to Import - Lets you select which channels should be imported. Left-click a channel number (it will be marked in red) to include it in the imported channels, right-click it to exclude it from the imported channels.
  • Blend with Existing Data - When turned on, imported notes will mix with the already existing ones. Otherwise the existing notes will be overwritten by imported data.


PIANO ROLL

Randomizer

The Randomizer dialog lets you create random notes in the Step Sequencer, or Piano Roll (depending on the selected window). The notes can be based on a chord map, the dialog also allows you to randomize the notes properties such as pan, velocity etc.

Several options (such as Length, Variation, Stack etc.) are available only for the Piano Roll window.

1. Pattern Section

This section lets you set up the options used when generating the random notes (disable the section if you don't want to add random notes).

  • Octave - Sets the base octave used when generating notes.
  • Range - Specifies the octave range will fit in while creating random notes.
  • Key - Sets the base tone for notes.
  • Scale - Here you can select the chord type that will be used as a base for creating notes.
  • Length - Sets the note length used for the generated notes (this option is available only for the Piano Roll).
  • Variation - Sets the note length variation for the generated notes (this option is available only for the Piano Roll). Turn the wheel to left to make the notes equal or shorter than the specified length. Turn to right to make notes equal or longer than the specified length (the middle position disables the length variance).
  • Population - Specifies the amount of notes that will be generated. The more you turn this wheel to the right, the more the notes generated.
  • Stack - Sets the note polyphony used for the generated sequence (this option is available only for the Piano Roll).
  • Random Portamento - If checked, the notes will have random values for the portamento switch (checked or not) in the Miscellaneous Channel Settings.
  • Merge Same Notes - If checked, two or more consecutive notes of the same pitch will be merged into a single longer note.
  • Seed - Click the back and forward arrows to generate random note combinations based on the settings above (in all selected channels for the Step Sequencer, or the selected timeline section in the Piano Roll). You can use this feature to generate various (seeded) combinations until you're satisfied with the result. To hear the combinations you generate, hit the play button in the Transport panel before you bring up the Randomizer dialog (or you can also call the Randomizer and then press [image] Space to toggle play/stop mode).

2. Levels Section

This section lets you set up the options that will be used to randomize the levels (pan, velocity etc.) for all selected notes/channels (disable the section if you don't want to randomize the note levels).

  • Levels - These wheels lets you select the note properties you want randomized and the amount of randomization (this applies to the note levels only, not automation events!). Each wheel has a range from -100% to 100%. At 0% the levels are left at their original values.
  • Reset Before Processing - Reset the note levels to their default values before randomizing.
  • Bipolar - Check to randomize the note levels 'bipolar', i.e. the levels will be randomized to both higher and lower values than the original values (as opposed to shifting them only higher or only lower depending on the wheel values).
  • Seed - Click the back and forward arrows to randomize the note properties based on the settings above (in all selected channels for the Step Sequencer, or the selected notes in the Piano Roll). You can use this feature to generate various combinations until you're satisfied with the result. To hear the combinations you generate, hit the play button in the Transport panel before you bring up the Randomizer dialog (or you can also call the Randomizer and then press [image] Space to toggle play/stop mode).


PIANO ROLL

LFO Tool This feature is available only in FruityLoops Edition and Producer Edition.

The LFO tool allows you to draw LFO shapes in the Event Editor.

LFO is drawn only in the selected time range. If nothing is selected, LFO will select automatically the first bar.

1. Start

  • Value - Sets the value of LFO.
  • Range - Sets the range between the lowest and highest points in LFO.
  • Speed - Sets the frequency of the LFO (i.e. its speed). Right-click for a menu with tempo-based presets.

2. End

Contains the same parameters as the Start section. When you turn on the led in the top left corner of this section, LFO's settings will vary from those in the Start section to those in the End section. If led is turned off, then only the settings from the Start section are used.

3. Shape

Sets the shape of the LFO - sine, triangle or square (to select a shape click any of the icons at the top left corner of this section). Phase wheel sets the phase of the LFO (basically this moves the LFO shape left and right).


BROWSER

Browser

The Browser is a convenient way to browse your sample collections, presets and projects directly inside FL Studio, without wasting time to browse files through standard Windows dialog boxes. It can be docked on the left or right sides of the main window (just drag it to either side of the screen).

Title Bar

The Browser title bar contains the following controls:
    1. Collapse Structure - Collapses all expanded folders in the Browser window.
    2. Reread Structure - Rereads the contents of all folders in the Browser. Click this button to see any new files and folders that were created after FL Studio was started.
    3. Close - Closes the Browser.

Project Browser

Since FL Studio 3.1, the Browser contains a special folder named Current Project. When expanded, this folder shows a list of patterns that contain events for one or more automated controls. For more information, see the Project Browser page.

Browser Items

Each file appears in the Browser with a special icon on the left side of its name:

FL Studio project files

Left-click to load the project in FL Studio:
  • FL Studio loop file (*.FLP) - Left-click to load the project in FL Studio.
  • Zipped loop file (*.ZIP) - Left-click to load the project in FL Studio.

Samples and Patches

Left-click to preview (SoundFonts don't support preview). Right-click to send to the currently selected channel or new Sampler, Granulizer or Fruity Slicer channel:
  • Wave sample / TS404 shape (*.WAV)
  • SoundFont library (*.SF2). Can be sent only to a Fruity SoundFont player channel.
  • Speech preset (*.SPEECH)
  • SimSynth preset (*.SYN)
  • DrumSynth preset (*.DS)
  • FastTracker extended instrument (*.XI)

Other

Left-click to preview (applies to Sampler presets only). Right-click to send to the current or new channel (applies to channel presets only):
  • Generator/Effect preset (*.FST)

Right-click to apply the score to the current channel:

  • FL Studio Score file (*.FSC) or MIDI file (*.MID)

Right-click to apply the humanize preset to the current channel:

  • Humanize preset (*.FPR)

Right-click to apply the score to the current channel:

  • - Piano Roll score.

Most if the items can be also applied with standard drag and drop operations. For example to apply a channel preset to a channel, just drag and drop the preset on the appropriate channel settings button (see Step Sequencer) or drop it directly on the Channel Settings window. You can drop the channel preset or sample below the last channel to create new one.

Browser Folders

Left-click a folder to expand/collapse it. Right-click and select Explore Folder to open the folder in a Windows Explorer window. Rollover the name of a folder for a short description. The folders seen by default in the Browser window include:

  • All subfolders of FL Studio Folder/Samples - Contains a collection of generator/effects presets, scores, samples etc.
  • FL Studio Folder/Loops - Contains a collection of sample projects (FLP files). This folder is seen in the Browser as "FLP loop files"

You can also add custom folders to be seen in the Browser from the File Settings window.


BROWSER

Project Browser

The FL Studio Browser contains a special folder named Current Project. This folder contains various information about the current project, such as a list of patterns, automated controls, generators and an undo history list. This page explains the folders in the Current Project section and the information they hold.

History

The folder contains a set of undo steps ("history"). The last action you performed is at the bottom of the list. You can go to any available step in the history by left-clicking on the desired history step. You can also browse through the history by using the available Undo and Redo commands in the Edit menu.

The maximum number of history steps depends on your General Settings.

Automation

The folder contains a list of initialized & automated controls:

Initialized Controls

The Initialized Controls folder contains a list of controls that were initialized. Right-click an entry and select Delete Event to remove the initialization.

Patterns List

All patterns which contain one or more automated controls are listed in the Automation folder as folders. The folders contain the automated controls themselves.

  • Left-clicking an entry for a control opens its Event Editor.
  • Right-clicking displays a menu that allows you to open an Event Editor in a new window and link the control to a MIDI controller for remote controlling.

Note: The Automation folder can also list patterns contain Piano Roll data & the individual scores in each pattern. Right-click the Automation folder and deselect Show Automation Only (on by default). You will see a list of patterns that contain Piano Roll sequence(s) as well.

Generators / Effects

The Generators and Effects folders list all generators and effects, respectively, that are used in the project. This does not include integrated generators, such as Sampler, TS404, Layer and other.

Each generator/effect is listed like a folder containing all automatable controls for the plugin:

  • Left-clicking an entry for a control opens its Event Editor.
  • Right-clicking displays a menu that allows you to open an Event Editor in a new window and link the control to a MIDI controller for remote controlling.

Remote Control

Contains a list of controls that were linked to MIDI or Internal controllers. Right-click an item in this folder to see the automation menu for the control.


GENERATORS

Generators (Instruments)

Each channel in FL Studio contains one generator. The generator is a synthesizer that creates the actual melody. Generators are all bass lines, strings, kicks, snares, cymbals etc. FL Studio comes with several built-in generators, and also supports third party plugin generators in VSTi and DXi format (see Fruity Wrapper's help), and its own generator plugin format.

Sampler Generator

Audio Clip Generator

Automation Clip Generator

TS404 Generator

Layer Channel

Other Included Generators

Channel Settings


GENERATORS

Sampler

The Sampler uses a wave sample to generate its sound. It contains 4 real-time envelopes and 5 LFO-s for controlling volume, panning, pitch, cutoff and resonance of the output. For more information, see Sampler Channel Settings and Instruments Channel Settings.


GENERATORS

TS404

TS404 is unique bass-line synthesizer that can resemble the sound of many classic synthesizers, such as TB-303, but can also create many distinctive, TS404-specific sounds as well. Contains two oscillators, cut/res filter, envelope, LFO and a distortion unit. For more information, see TS404 Channel Settings.


GENERATORS

Audio Clip

The Audio Clip channel is a special version of the Sampler channels. Some Sampler options are not available to Audio Clip channels (such as loop points, envelopes etc.).

Although you can play the sample in the Step Sequencer or the Piano Roll, the Audio Clip's main purpose is to feed the audio tracks in the Playlist window where you can perform advanced operations such as slicing the audio and rearranging the slices to your preferences.

Each time you drop a new sample in the audio tracks, a new Audio Clip channel is created, and each sample placed in an Audio Clip channel becomes available in the audio tracks.

Normally all new audio clips are inserted in the dedicated Audio Clips group (for more information on groups, see Step Sequencer). It's a good practice to keep the audio clips in separate groups, as you will normally not use the grid or Piano Roll to trigger them.

NOTE: Some features supported by the standard Sampler channels are not supported by the Audio Clip channels. The unsupported features and settings are: Instrument Channel Settings, Function Channel Settings, portamento and polyphony settings and loop points.


GENERATORS

Automation Clip

The Automation Clip channel is an internal controller plugin which feeds the audio/automation tracks in the Playlist window. There you can perform advanced operations such as defining the clip envelope and LFO articulation, slicing the clip and rearranging the slices to your preferences.

Normally all new automation clips are inserted in the dedicated Automation Clips group (for more information on groups, see Step Sequencer). It's a good practice to keep the clips in separate groups, as you will normally not use the grid or Piano Roll to trigger them.

To learn more about the settings you see when you open the channel settings of an audio clip, see Automation Clip Channel Settings.

To learn more about using these clips in the playlist window, slicing them, creating envelopes etc., see Playlist Clip Tracks.


GENERATORS

Layer

The Layer channel does not produce any sound by itself - it is instead used to control a set of other layers.

Playing a note on a Layer channel results in playing the same note on all children of that channel. This allows you to create complex instruments with different samples and envelopes assigned to key regions, or mix the sound of several generators in one instrument controlled by a single Layer channel.

Child of a Layer channel can be any sampler channel, as well any Fruity Plugin generator, or VSTi/DXi generator, except another Layer channel.

For more information on the channel settings for Layer chanels, see Layer Settings.


GENERATORS

Other included generators.

FL Studio comes with many great plugin generators. For more information, see:

Generator Plugins

Note: FL Studio includes only the DEMO VERSIONS of the following generators: SimSynth, Wasp, DrumSynth Live, SoundFont Player, Fruity DX10. The demo versions function exactly like the commercial versions, but their channels will not be saved in the project files. You can purchase the full versions of these generators at www.flstudio.com.


CHANNEL SETTINGS

Channel Settings

The Channel Settings window contains all options that define how a generator sounds. To open it, click the Channel Settings button in the Step Sequencer. The following settings pages are available in this window:

Main Channel Settings

Sampler Settings (SMP)

Automation Clip Settings

Layer Settings

TS404 Settings (TS404)

Plugin Settings (PLUGIN)

Instrument Settings (INS)

Miscellaneous Settings (MISC)

Function Settings (FUNC)

To change the name of a channel, right-click the title bar of the window. Write a new name and press enter.

To change the button color of a channel, right-click the title bar of the window, and click the color sample on the right side of the name edit field. Select a new color and press Enter.

There is also a menu with additional options you can access by clicking the button at the top left corner of the Channel Settings window (as shown in the picture below).

Channel Settings menu commands:

  • Save Channel State as - Allows you to save the current channel settings as a preset file. Preset is saved as a FST file. It is recommended that you save your presets in the default location FL Studio chooses, so they can be properly detected and shown in the list of available presets for the generator.
  • Assign Free FX Track - Links the channel to the first empty (without effects) FX track available. This is reflected in the FX selector in the Main Channel Settings. This command will not appear in channels that hold MIDI generator or other generators that do not output wave data (only wave output can be processed by effects). For more information on FX tracks, see Mixer window.
  • Rename... - Select this command to rename a channel (the same can be done by right-clicking the title bar of the window).
  • Sample > Reload - Use this command to reload samples when they were altered in external applications (wave editors etc.), after FL Studio was started. This command appears only in channels that hold Sampler generator.
  • Sample > Save as... - Allows you to save the currently loaded sample with all precalc effects applied to it (see Sampler Channels Settings). This command appears only in channels that hold Sampler generator.
  • Sample > Edit... ( [image] E) - Opens the integrated Wave Editor with the current sample, or the custom wave editor you have selected in the Tools window.
  • Sample > Detect Tempo - Opens the Tempo Detection Wizard which asks you to select one of several tempo ranges the sample might be in. Select a range and the Time property of the channel will be automatically adjusted (see Sampler ). Note that the accuracy of the autodetection depends on the source material and might not always match the real sample tempo. The best practise in this case is to know in advance the real loop tempo and embed that information in the sample by using a wave editor.
  • Interpolate All TS404 Events - Interpolates the automation of all TS404 specific channel settings (all contained in the TS404 Channel Settings page). This command will appear only in channels that hold a TS404 generator.


CHANNEL SETTINGS

Main Channel Settings

The Main Channel Settings are located at the top of each Channel Settings window. They are some common options every generator has. You can double-click the title of the Channel Settings window to shrink it, so only the Main Channels Settings area remains visible. Double-click again to expand.

    1. Channel Panning - Sets the panning of a channel.
    2. Channel Volume - Sets the volume of a channel.
    3. Channel Pitch - Tweaking this wheel adds and subtracts cents from the pitch of a channel. To set wheel's range you can use the pitch bend range LCD (it sets the range in semitones. 100 cents are one semitone).
    4. FX Selector - This control lets you choose which FX track (of 64 available) will filter the current channel. By default, all generators are mixed in the master mixer track (the LCD displays "--"). Just left-click and drag up/down to set a desired FX track number. This control will not appear in channels that hold MIDI generator or other generators that do not output wave data (only wave output can be processed by effects). You can double-click the FX Selector to bring up the Mixer window.


CHANNEL SETTINGS

Sampler Channel Settings (SMP)

The Sampler Channel Settings page holds properties specific for the Sampler generator. It also appears in plugin generators that support custom shapes for their oscillators. In such case, only the sample bank is visible in this tab.

NOTE: Disabled options - You might notice that some of the options in your Sampler channels are disabled, however you can still toggle them on/off. This is done to improve workflow when trying out many samples in the same channel.

For example, you can turn Keep on Disk even on a sample that can't be kept on disk due to its format or precalc effects. If you load a sample with the correct format, it will be automatically kept on disk if possible.

1. Sample Bank

The sample bank contains the wave that Sampler uses for synthesis. Left-click the button on the left side to browse a sample or SimSynth/DrumSynth preset for the sample bank. The Open dialog has been enhanced with Favorites section. The combo box on the right side displays the name of the currently selected sample. If you left-click it, a history list with recently opened samples shows.

2. Wave

Contains general wave handling routines.

  • Keep on Disk - Turning this option on lets you save memory by streaming the sample from your hard disk, instead of loading it entirely in the memory. Note that to be able to use this option, the sample needs to be in 44100 kHz 16 bit Stereo format. Also, you can not use precalculated effects (4), because they are applied to the whole wave at once.
  • Resample - If your sample is not at 44100 kHz 16 bit Stereo format, resampling with this option results in higher quality output. It is not recommended to turn this on for looped samples. Since all loop points are sample aligned, resampling may cause "clicks". Note that while this option improves the real-time playback, it requires additional CPU and memory (resampled waves are bigger). Also, if you use hermite curve interpolation or better in your audio or export settings, the quality of non-resampled waves won't be degraded.
  • Load regions - Whether to load the regions/slices markers available in some wave samples and in the ZGR / REX loop files. If the loaded sample contains any regions/slices data, this option will be available (label won't be grayed out). Regions/slices are used during time stretching for more accurate sample processing (see below).
  • Load ACID markers - Whether to load the ACID beat markers for the sample if available.

3. Loop

Contains options concerning sample looping.

  • Use Loop Points - If the sample contains loop points (this is visible in the Sample view described below), you can check this option to make the sample loop. It will start playing from the beginning, then when it reaches the loop end point, it will "jump" back to the first loop point, thus creating sound with unlimited length, useful for instruments like strings, organs etc.
  • Ping Pong Loop - This effect will take the wave between the loop markers and insert it reversed right before the loop end marker. The audible effect is like sample "ping-pongs" between the start and end loop points, instead of just jumping back to the start loop point.

4. Time stretching

Time-stretching allows you to preprocess samples on the fly to adjust them to your project's tempo.

FL Studio's time stretching algorithms preserve pitch & aren't applied at runtime, but as a high-quality sample preprocessor which is run on the fly as needed. This allows higher quality output and no CPU is spent for constantly processing the samples during playback. The only exception is "resample" stretching which won't preserve pitch and is very light on processor resources.

The non-realtime time stretching algorithms adjust the samples to match project's base tempo. This means that if you adjust your base tempo and there are samples which use time stretching, you will be prompted to process all samples for the new setting. Dynamic tempo changes during the song (tempo automation) can't be compensated for, so resampling is used to keep the time stretched samples in sync.

To disable time stretching for the sample, turn the Time knob maximum to left (set to 0). This is the default mode which won't use resampling during dynamic tempo changes to preserve sync.

  • Pitch Shift (PITCH) - Allows you to shift the sample pitch while preserving its length. Since this kind of processing is not possible if the stretching method selected is "resample", the method is automatically changed to "auto" after tweaking this knob.
  • Time Multiplicator (MUL) - Use this knob as a modificator to the sample length. Using the multiplicator you can quickly, for example, stretch the sample to twice its length without the need to modify the Time setting.
  • Time Stretch (TIME) - This parameter sets the sample length (sample "time") using tempo-based measures (bars, steps etc.), so that you can link the sample with the base project tempo. While adjusting the knob you can see the assigned time value in the hint bar, as well as the computed "actual" tempo FL Studio gets for the sample tempo according to the set length. If the tempo is too high or too low, you'll see a note "unrealistic tempo" shown instead. Right-click menu: the right click menu for this parameter shows some handy presets & the autodetect command which makes an attempt to autodetect the tempo of the sample (the results may vary depending on the source material). NOTE: Audio clips will adjust the Time property accordingly when stretched;
  • Stretch Method (combo box) - Selects the time stretch method. Several of the methods feature the high-quality ZPlane Elastique engine which performs the processing as a precalculated effect as needed. Resample is the most basic stretching method and it doesn't preserve pitch (note that some Sampler Plugins change that, for ex. Granulizer). This is the only method which is applied at runtime during playback, so it responds to dynamic tempo changes. Elastique (drums) is a transients aware algorithm which is best suited for time-stretching drum loops. Elastique (tonal) is best used with vocals and complex audio material (such as full songs). Elastique (slices) auto-slices the source sample (if it has no loaded slices) and stretches it using the same algorithm found in the Fruity Slicer plugin. Slice map also performs the auto-slice step (if no slices are loaded from the sample) but it plays the sample without creating transitions to "stitch" the individual slices. This method is best used on some drum loops. Auto performs an automatic selection of one of the methods covered here as follows: if the sample has no loaded slices/regions: elastique (drums) is used; if there are regions, and the stretch is moderate or extreme: elastique (slices) is used; if there are regions loaded, and the stretch is minor: slice map is used.

5. Precomputed effects

This is a set of effects and processing routines for the sample loaded in the sample bank. None of them requires additional CPU power to play your song, because they are all applied precomputed - FL Studio processes the sample and then it loads it in the memory with all effects already applied. However, this fact makes the automation of those effects impossible (see Automation). Also, applying them to streamed samples (when the Keep on Disk option is turned on) will cause the entire sample to be loaded in RAM (which is not desired for long samples).

  • Remove DC Offset - Removes any DC offset in the loaded sample.
  • Reverse Polarity - "Flips" the waveform vertically.
  • Normalize - Maximizes the sample volume without clipping.
  • Fade Stereo - Creates a stereo fade from the left to the right channel of the sample.
  • Reverse - Reverses the sample.
  • Swap Stereo - Switches left and right channel of the loaded sample.
  • Fade In (IN) - Applies a quick fade in to the sample (turn maximum to left to disable).
  • Fade Out (OUT) - Applies a quick fade out to the sample (turn maximum to left to disable).
  • Pitch bend (POGO) - Applies pitch bend to the sample. Useful with drum samples.
  • Crossfade Loop (CRF) - Allows you to crossfade the sample for the creation of smooth loop sections (turn maximum to left to disable).
  • Trim Threshold (TRIM) - FL Studio trims the silence in the end of the samples, as this frees up RAM and does not alter the resulting sound. This control allows you to raise the volume threshold below which FL Studio detects "silence". Using this control you can allow FL Studio to filter very quite noise in your sample, or set the threshold to zero to filter only pure "mathematical" silence.

6. Sample View

The sample view displays the loaded sample (with all precomputed effects applied). It also shows the loop points and region locations, if such exist (loop points and regions can be set by using an external wave editor). The first vertical red line is the loop start point; the second one is the loop end point. Left-clicking the sample view previews the sample (if time stretching is enabled, the preview is tempo synchronized). Right-clicking it shows a menu with additional channel settings and commands. It contains exactly the same entries as the menu you can call by clicking the button at the top left corner of the Channel Settings window.

7. SimSynth Preset

This panel appears only when a SimSynth preset is used to fill the sample bank.

Enable the Use Riff option if you want to generate the whole riff in the preset (this option is disabled if the preset you used does not contain riff data). The Tempo wheel lets you set the tempo of the generated riff.

8. DrumSynth Preset

This panel appears only when a DrumSynth preset is used to fill the sample bank. They are few parameters that define the generated sound and they are identical to the same options in DrumSynth standalone.

  • Tone (TONE) - Sets the loudness of the sine oscillator in DrumSynth.
  • Overtone (OVER) - Sets the loudness of the second oscillator in DrumSynth.
  • Noise (NOISE) - Sets the amount of white noise added to the sample.
  • Noise Band (BAND) - Sets the loudness of noise band generator in DrumSynth.
  • Time (TIME) - Sets the length of the generated sample.

9. Legacy Precomputed Effects

This panel contains old deprecated precalculation effects. It is visible only if you select Show Legacy Precomputed Effects in your General Settings and it is included for compatibility with projects created in earlier releases of the product.

It is recommended not to use these effects with new projects.

  • Amplify (AMP) - You can use this effect to to distort your sample or to amplify low volume samples.
  • Boost (FX1) - This effect is useful for boosting up & overdriving your sample.
  • Sine FX - Applies a sine modulation to the sample. The first wheel controls the amount of modulation; the second one controls the sine frequency.
  • Cutoff & Resonance (CUT & RES) - Applies a low pass cutoff and resonance filter (for a real-time automated cutoff and resonance filter, see Instrument Channel Settings).
  • Reverb - Use this effect to add "smooth" echoes to your sample. You have two different modes of reverb available - A & B. The wheel controls the amount of reverb applied to the sound. This effect may extend your sample at the end to fit the whole reverb (it is recommended that you use the real-time reverb effect included with FL Studio - Fruity Reeverb, see Effects).
  • Stereo Delay (S.DEL) - This effect applies a short delay between the left and the right side of the sample, which creates a pseudo stereo effect. Turning the wheel to right slides the left channel forward, while turning it left slides the right channel forward. Note that it is recommended not to use that effect on looped samples. Since all loop points are sample aligned, sliding either channel may cause clicks.


CHANNEL SETTINGS

TS404 Channel Settings (TS404)

The TS404 Channel Settings page appears only in channels that hold a TS404 generator. This page holds the specific properties for TS404.

1. Oscillators Section (OSC 1 & OSC 2)

This section contains the oscillator generation options. An oscillator is a waveform with specific repeating pattern, which is then filtered to create the way TS404 sounds. Oscillators in TS404 have a similar function as the wave sample in the Sampler.

TS404 has two oscillators (OSC1 & OSC2). Each of them can have one of the following wave shapes - saw, rounded square, sine, square and custom (wave shape buttons are at top of each oscillator panel). Custom lets you use a short wave file to be the shape of an oscillator. FL Studio comes with several sample shapes that are located in the "TS404 Shapes" folder in the Browser. You can change the custom shape using the sample bank field in the Sampler Channels Settings.

  • Coarse Pitch Tune (CRS) -Allows you to set the pitch of an oscillator in range of two octaves.
  • Fine Pitch Tune (FINE) - Allows you to fine tune the pitch of an oscillator.
  • Pulse Width (PW) - Pulse width makes oscillator's shape restart preliminary without finishing its phase.
  • Frequency modulation (FM) - Applies frequency modulation to the second oscillator, based on the output from the first one.

2. Oscillators Mixer Section (OSC 1+2)

  • Mix (MIX) - Determines how the outputs of OSC 1 and OSC 2 are mixed together. The more you turn that wheel left, the more you hear oscillator 1. The more you turn it right, the more you hear oscillator 2.
  • Ring Modulation (RM) - Turning this wheel up adds an amount of ring modulated version of the oscillators' output.
  • Synchronize (SYNC) - Turning this option on will synchronize the phases of the oscillators.

3. Envelope

Applies an envelope to the filter and the volume of TS404. The envelope behaves much like a standard ADSR envelope, but has some additional properties (sustain hold and gate).

  • Attack (ATT) - Sets the attack value of the envelope.
  • Decay (DEC) - Sets the attack value of the envelope.
  • Sustain Hold (SUS) - With this wheel you can set a period of "holding" the sustain state before release.
  • Sustain Level (SL) - Sets the sustain value of the envelope.
  • Release (REL) - Sets the attack value of the envelope.

4. Filter

Applies cutoff & resonance filter to the TS404 sound. You can choose among several types of cutoff and resonance filter to be applied. Filter mode buttons are located at the top of filter's panel.

  • Cutoff (CUT) - Sets the cutoff value of the filter.
  • Resonance (RES) - Sets the resonance value of the filter.
  • Envelope Follow (ENV) - Sets the degree to which the envelope of the TS404 is applied to the resonance value.

5. LFO Section

Controls a LFO that can modulate one of the following properties: volume of the oscillators (OSC), resonance (RES), cutoff (CUT) or pulse width of the first oscillator (PW). The buttons allowing you to select what to modulate are located at the top right corner of the LFO panel. You can also select a shape for the LFO (sine, square and triangle). The buttons are at the top left corner of the LFO panel.

  • Amount (AMT) - Determine the amount of modulation applied to the altered value.
  • Speed (SPD) - Sets the frequency (i.e. speed) of the LFO.

6. Distortion Section

Contains controls that allow you to add distortion to the TS404 sound. You can choose between two distortion modes (A & B buttons, located on top of distortion's panel).

  • Amount (AMT) - Sets the amount of distortion.
  • Threshold (THR) - Selects the frequency band to be distorted. The more you turn this wheel to right, the wider the band is.


CHANNEL SETTINGS

Plugin Channel Settings (PLUGIN)

The Plugin Channel Settings page will appear only in channels that hold external plugin generators. This page in Channel Settings holds the plugin editor where you set its specific options (that are different for every generator). Usually, the editor is displayed inside the Channels Settings window, when you click the PLUGIN tab button. However, some generators have bigger interfaces that do not fit inside that area, so they will appear in a separate window. In this case, the PLUGIN tab button will launch the editor's window when clicked.

For more information on installing and using 3rd party VST/DX plugins, click here.

Supported Generator Standards

FL Studio supports VSTi and DXi plugins and its own Fruity Plugin format.

DirectX Instruments (DXi, DXi2)

FL Studio supports DirectX plugin generators standard developed by Twelve Tone Systems (R) and Microsoft (R). DirectX plugins are registered on installation directly in Windows, so FL Studio will detect them no matter in what folder they were installed. However, in order DirectX plugin system to work, you need to have installed the latest DirectXMedia (it is now included in DirectX 8 run-time installation, which can be downloaded from www.microsoft.com).

VST2 Instruments (VSTi)

VST2 instruments are supported in FL Studio by using the special Fruity Wrapper plugin (generator version). VSTi plugins are DLL files that should be installed in the VST folder of FL Studio in order to use them (<FL Studio Folder>\Plugins\VST). You can also set up an additional VST folder from the Directories window. For more information, see Fruity Wrapper's help.

Buzz Generators

The Buzz generator plugins are an open plugin format for implementing instruments in Buzz (tracker software). FruityLoops supports Buzz effects through its Buzz Generator Adapter plugin.

Fruity Plugin Generator Standard

FL Studio has an open plugin generators standard. Fruity Plugins have their own editor interface and still events can be automated and edited using the Event Editor (just right-click a control in the editor).

Multiple Outputs Support

FL Studio supports VSTi plugins with multiple outputs. In the plug-in window, click the down-arrow menu (upper left corner under the red plug-in icon). If the plugin supports multiple output, you will see "enable multiple outputs", select it. Now the first output will be set to whatever FX channel is initially assigned to that plug-in, and each successive FX track will contain the additional outs. For example, a plugin with 4 outputs assigned to FX track 10, takes tracks 10, 11, 12 and 13.

Plugin Options

You can access a menu with useful commands and settings by clicking the button at the top of the Plugin Channel Settings panel OR for plugins which display their editor in a separate window, click the button on the left side of the editor's titlebar.

  • Select - Contains a list of all synths selected as favorites. Selecting a plugin from this menu will add one instance of it to the Step Sequencer. Click More... to open the Select plugin window, which contains a list of all synth plugins available to FL Studio. Double-click a plugin name to create a new instance. Click the check box preceding each plugin to mark it as a favorite (all plugins preceded by a check mark will appear in the favorites list). NOTE: To see newly installed plugins, click Refresh in the bottom of the Select plugin window and select Fast Scan (it is recommended that you use Fast Scan instead of Scan & Verify, because the latter may crash FL Studio with some badly programmed plugins).
  • Presets - Contains a submenu with a list of presets for the synth. In the bottom of the list you can see the Randomize and Hybridize commands. Randomize gives random values to the published (i.e. known to FL Studio) plugin settings. Hybridize is a switch. When enabled, selecting a preset will load a random 50% of the settings in a preset, so you can quickly mix different presets and create new sounds.
  • Browse Presets - Opens the plugin's presets folder in the Browser panel. The Browser has better capability of displaying large number of presets.
  • Save Preset as - Allows you to save custom presets for the plugin assigned to the plugin slot. Presets are saved as FST files. It is recommended that you save preset files in the default location FL Studio chooses, so they can be properly detected and added to the Presets menu.
  • Last Tweaked Parameter - Displays the standard popup menu for the last parameter tweaked on the plugin's interface (applies only to automatable parameters). This option is useful for VSTi synths that have their own interface (as you can not open the FL Studio property menu by right-clicking a control in them).
  • Browse Parameters - Opens the plugin's parameters folder in the Browser panel. The Browser will list all automatable properties defined by the plugin, even if they are not automated in the current project.

Note: Some generators support custom wave samples / oscillator shapes. In such generators, the Sampler Channels Settings page is visible, where you can set the wave file to be used as custom sample/shape.


CHANNEL SETTINGS

Instrument Channel Settings (INS)

The Instrument Channel Settings page contains options for additional adjusting how the Sampler plays a note. It appears in Sampler generators and Sampler plugins (these plugins replace the function of the wave sample in the Sampler).

1. Envelope & LFO Section

Contains envelopes and LFO-s for pan, volume, cutoff, resonance & pitch values in the Sampler. With the tab buttons bar at the top of the Instruments Channel Settings you choose which envelope/LFO to edit. So there are 4 envelopes (pan does not support envelope) and 5 LFO-s for each setting on the tab bar. An envelope is applied only when it is turned on from the orange led at the top left corner of the envelope section.

Envelope Section

Envelopes in this section behave much like standard ADSR envelope, but they have been enhanced with few additional properties (delay, hold and amount). You can control the envelope properties from the wheels, or you can drag up/down directly the elements in the envelope preview.

  • Time/Tension mode switch (TIME/TNS) - These buttons switch between time and tension editing for the envelope. In time edit mode, the wheels set the length of the attack, decay, release etc. envelope elements. In tension edit mode, you set the shape of the elements instead (logarithmic, linear or exponential).
  • Delay (DEL) - Delay can be used to add a "gap" between note's actual start and the envelope attack state.
  • Attack (ATT) - Controls attack length of the envelope (attack shape in tension edit mode).
  • Hold (HOLD)- This property "holds" the attack at its maximum level for a period before the decay starts.
  • Decay (DEC) - Controls decay length of the envelope (decay shape in tension edit mode).
  • Sustain (SUS) - Determines sustain level of the envelope.
  • Release (REL) - Determines release length of the envelope (release shape in tension edit mode).
  • Amount (AMT) - Controls the way envelope is applied to the property it modulates. Volume does not contain such wheel, because the envelope is applied "straight" to note's volume - lowest point is zero volume, highest means highest volume (of course with respect to channel's volume). However, channel's cutoff, resonance & pitch values are already set in the Sampler (pitch is notes & slides, cutoff and resonance is explained in the Filter section below in this page). That is the reason why their envelopes act as an offset of the actual values. If the Amount wheel is centered, the envelope is NOT applied in any way to the values. The more you turn it right, the more envelope adds to the value it modulates. The more you turn it left, the more envelope subtracts from the value it modulates.
  • Tempo Based (TB) - Turning this option on makes lengths of attack, hold, decay etc. tempo based, so they change accordingly when tempo is changed. With this option checked, you can right-click all wheels in an envelope section (except Amount and Sustain, which don't set a time period) and point to the Set menu item. A submenu will open that contains some predefined tempo based lengths. Select any of them to apply it. If you select a predefined tempo-based length from this menu and the Tempo Based option is not checked, it will turn itself on automatically.
  • Log Attack - If Log Attack is turned on, the attack of the envelope has logarithmic shape (the logarithmic shape is not reflected in the envelope display).
  • Log Decay - If Log Decay is turned on, the decay of the envelope has logarithmic shape (the logarithmic shape is not reflected in the envelope display).

LFO Section

Applies LFO modulation to pan, volume, cutoff, resonance and pitch settings. You can choose among 3 LFO shapes - sine, triangle, square (shape selector is located in top left corner of LFO section).

Delay (DEL) - Delay can be used to add a "gap" between note actual start and LFO applying.

Attack (ATT) - This property sets attack length in the LFO modulation.

Amount (AMT) - Amount wheel controls the way LFO is applied to the property it modulates (LFO is applied as an offset of the original value of a property). If Amount wheel is centered, LFO is NOT applied in any way to the values. The more you turn it right or left, the more LFO is applied to values. Turning wheel to right causes the values above center in the LFO to be added to the values, and those below center to be subtracted. Turning to left will act the opposite way.

Speed (SPD) - Controls the frequency (speed) of the LFO.

Tempo Based (TB) - Turning this option on makes lengths of delay, attack and speed tempo based, so they change accordingly when tempo is changed. With this option checked, you can right-click all wheels that control those values in a LFO section and point to the Set menu item. A submenu will open that contains some predefined tempo based lengths. Select any of them to apply it to the wheel. If you select a predefined tempo-based length from this menu and the Tempo Based option is not checked, it will turn itself on automatically.

Global - Turning this options on makes the current LFO global, so it does not restart in the beginning of each note. If unchecked, LFO is local to each note.

2. Filter Section

This section controls the cut/reso filter type and it's cutoff & resonance values. Cutoff (CUT) wheel controls the cutoff threshold, Resonance (RES) wheel controls the resonance level. The combo box below them shows the currently set cut/reso filter type. Left-click it to set another filter type from the menu that appears.

3. Preview Keyboard

The preview keyboard lets you preview (left-click a key) the generator, sets the root key (right-click a key), and set key region of the channel (drag the gray ruler to define the region).

Root Key - The orange rectangle in the ruler above the piano keys shows the root key of the channel. Since each sample has particular pitch (except probably noise samples), FL Studio has to know how to interpret it - when you set the root key to C6, FL Studio maps pitches considering that when played at its original speed, sample has pitch of C6. All other notes are generated by changing sample's speed (and thus changing its pitch). So actually setting the root key higher makes all notes sound lower. For example if a sample has pitch C5, and you map it to C6, FL Studio will consider that C5 sample as C6, thus shifting all notes one octave down. To set the root key right-click a key on the preview keyboard.

Key Region - When you set key region for a channel, all note events outside the region will be ignored (not played). This feature is not useful when using a channel by itself. However, when using a channel as a layer in a Layer channel to create complex instruments, you might want some of the layers to play only in their specified region, for example, having different sample for each octave (each sample is placed in a separate channel). Drag the ruler above the piano keys to define key region for this channel. Once created, you can edit the limits of the region by dragging its end points.

Note that the Preview Keyboard also appears in Miscellaneous Channel Settings page, and there it contains some additional options, like fine-tuning the base note, reset command etc.


CHANNEL SETTINGS

Miscellaneous Channel Settings (MISC)

The Miscellaneous Channel Settings page contains various generator settings. These settings appear in all generators (including third party ones).

1. Levels Adjustment

This section contains four wheels that control the volume (VOL), panning (PAN), cutoff (CUT) and resonance (RES) levels of the channel. They duplicate, more or less, the functionality of other controls found in the Channel Settings window. However, they are still useful for some reasons:

Easier automation - You can, for example, create a fade in/out effects for a channel using the volume adjustment wheel instead of the channel volume control. This allows you to independently set the overall volume level using the channel volume wheel, without needing to recreate the automation data. Another example is to use the pan adjustment wheel in this section to create panning LFO without automating the channel pan wheel - so you can adjust the overall panning without recreating any automation data.

Wider range - The volume adjustment wheel has a range of 0% to 200% as a difference from the channel volume wheel (0%-100%). This way you can preamp the volume up to twice louder the original level without using additional effects for that purpose.

2. Cut / Cut By

Using Cut/Cut By you can set triggering of a note in one channel to cut notes in another one. To do this you set the Cut value (the LCD on the left) to some number in the channel that will cut notes and then set the Cut By value (the LCD on the right) to the same number in another channel (that will be cut from the first one). FL Studio will not detect if the Cut value is set to the same number in several channels, so you may freely create any combination to suit your needs. You can also make a channel to cut itself - just set its Cut/Cut By values to the same number. FL Studio will do this automatically (finding unique numbers, not used in other channels) if you check the Cut Itself button.

Please note that cutting just sets all notes' envelopes to release state. So if release you set is long, you will still hear a note fading out after it was cut.

This section will not appear in the TS404 generator, because it uses different approach for generating its sound.

3. Polyphony/Portamento

Drag up and down in the Max Polyphony LCD (MAX) to reduce the maximum number of voices this channel will play simultaneously. Setting this property to lower number reduces the amount of CPU used to play the song. If the LCD displays dashes, this means that polyphony is not restricted to any number.

Turning on the Mono button sets the generator to monophonic mode (maximum one note played at a time). In this mode, when two notes overlap (the overlap amount does not matter) they will "slide" one to another (including their properties - cutoff, resonance and panning). You can set the transition length with the Portamento Time wheel.

Turning on the Porta button enables the portamento feature for this channel (sliding the pitch from note to note). In FL Studio the portamento transition includes also all other properties of the note (cutoff, resonance and panning).

Portamento Time wheel (SLIDE) is used to set the slide length when portamento is turned one. This setting is also used for overlapping notes in Monophonic mode. The more you turn the wheel to right, the longer the slide.

This section will not appear in a TS404 channel, because it works only in monophonic mode.

NOTE: Portamento and sliding of overlapping notes is not supported by DXi and VSTi generators. It may also not be supported by some Fruity Plugin generators (those that do not support pitch bending).

4. Preview Keyboard

The preview keyboard lets you preview (left-click a key) the generator, sets the root key (right-click a key), and set key region of the channel (drag the gray ruler to define the region).

Root Key - The orange rectangle in the ruler above the piano keys shows the root key of the channel. Since each sample has particular pitch (except probably noise samples), FL Studio has to know how to interpret it - when you set the root key to C6, FL Studio maps pitches considering that when played at its original speed, sample has pitch of C6. All other notes are generated by changing sample's speed (and thus changing its pitch). So actually setting the root key higher makes all notes sound lower. For example if a sample has pitch C5, and you map it to C6, FL Studio will consider that C5 sample as C6, thus shifting all notes one octave down. To set the root key right-click a key on the preview keyboard.

Key Region - When you set key region for a channel, all note events outside the region will be ignored (not played). This feature is not useful when using a channel by itself. However, when using a channel as a layer in a Layer channel to create complex instruments, you might want some of the layers to play only in their specified region, for example, having different sample for each octave (each sample is placed in a separate channel). Drag the ruler above the piano keys to define key region for this channel. Once created, you can edit the limits of the region by dragging its end points.

The panel above the preview keyboard contains some additional options:

  • Enable Main Pitch - If you turn off this option, channel's pitch won't be altered when you change the main pitch value (see Main panel).
  • Add to Key - When this option is on, the root key works, as expected, by offsetting the whole keyboard including all key range specific options (like samples assigned to specific range of notes). So when you set the root key to C6 when it is normally C5, and play C6, it's exactly like if you played C5 with root key C5 (the preview keyboard shows the actual note being played in this mode as well). When this option is off, however, only the pitch is offset, and the rest of the features remain as they were with the default root key. So, if in the previous example you set the Add to Key option off, playing C6 will result in hearing a C5 tone, but with the samples and properties that are mapped to C6. This feature makes no difference for generators that have single sample and properties along the whole keyboard. However, it will act differently when used with generators like the Fruity SoundFont2 player or the Fruity Slicer generator, where different samples may be assigned to different keys.
  • Reset - Sets back the default base note and removes the key region (all notes will be played). For the Sampler & DrumSynth that is C5. For SimSynth it depends on how the preset was set in SimSynth.
  • Sampler & SimSynth/DrumSynth - These buttons appear only in Sampler generator, when SimSynth or DrumSynth preset is used to fill the sample bank in Sampler Channel Settings. If the Sampler button is clicked, the base note you set in preview keyboard is used as usual by the Sampler as a base tone of the sample (in this case the sample generated by the SimSynth/DrumSynth preset). When the SimSynth/DrumSynth button is clicked, the base note is used by the SimSynth's or DrumSynth's engines respectively for a pitch of the sample generated.
  • Fine tuning (FINE) - You can use this wheel to fine-tune the base note in cents. 100 cents are one semitone.


CHANNEL SETTINGS

Function Channel Settings (FUNC)

The Function Channel Settings page is a set of event filters and processors: echo delay, arpeggiator, keyboard tracker, time shifting and a gate. These processors are available for all generators (including third party ones), except the TS404, which has different sound generation approach, so it can not have echoed or arpeggiated note events (you can still have echoes in TS404, see TS404 Channel Settings).

1. Echo Delay Section

This section lets you set up echoes for the channel, but be warned that this is NOT a real delay line. It does not create echoes of the wave output of the channel, but creates echoes of the note events instead. This enables some special effects like pitch shifted echoes, but also requires additional CPU power for each echo generated (because each echo created with this section is a normal note event). If you want to use a standard delay line, use the Fruity Delay effect instead (see Effects).

All options described below are applied additive to each successive echo. For example, if you set the pitch wheel to +10 cents, the first echo will have 10 cents higher pitch than the original sound. The second will have 20 cents higher pitch than the original sound etc.

  • Feedback (FEED) - Sets the volume of echoes. If this wheel is centered, echoes have the same volume as the original note. Turning it to left creates fading out echoes. Turning it to right increases the volume of each successive echo. Turning this wheel to the leftmost point turns echo delay off.
  • Pan (PAN) - Sets the panning of echoes.
  • Cutoff (CUT) - Sets the cutoff value of echoes.
  • Resonance (RES) - Sets the resonance value of echoes.
  • Pitch (PITCH) - Sets the pitch offset of echoes.
  • Time (TIME) - Sets the delay period between echoes in units of beats. This enables you to set a tempo based delay, so echo will follow properly tempo changes in the song.
  • Number of Echoes (# ECH) - Sets the number of echoes generated for each note. It is recommended to keep this number down for lower CPU usage.
  • Ping Pong - If turned on, the pan value will "bounce" when it reaches 100% left or right panning.
  • Fat Mode- This is a special mode of the echo delay effect, which makes subtler echoes with alternating panning - useful for creating flange and chorus-like effects. If this option is turned off, some options of the echo delay unit are reset to their defaults. The reason is that settings that sound fine in fat mode, usually are extremely loud in normal mode.

NOTE: If you click the small arrow at the top left of this panel you can access some presets for this section.

2. Arpeggiator

This section lets you add a real-time non-destructive arpeggio effect to the sequence of an instrument. To use the arpeggiator, select a direction from the icons in the top left corner of this section. The available options are: Off (default; turns off the arpeggiator), Up, Down, Up-Down, Up-Down (twice the lowest and highest notes), Random (selects random notes from the range and chord specified).

The arpeggiator can operate in generally two modes - classic arpeggiator which works based on any chords present in the sequence, or it can use a predefined chord template to apply to the instrument sequence. The mode is selected from the Arpeggio Chord option (see below):

  • Arpeggio Time (TIME) - Select the delay between the successive notes generated by the arpeggiator. Right-click the wheel and select Set for some time presets.
  • Arpeggio Gate (GAT) - Applies gate the notes generated for creating short, staccato sounds.
  • Slide (Slide) - Check this option to make the arpeggiator slide between notes. This option will not work with generators that do not support slides.
  • Arpeggio Range (RANGE) - Lets you set the arpeggio range in octaves. The arpeggiated chord is transposed within the specified range to create additional notes for the effect.
  • Arpeggio Chord (CHORD) - Select None if you want the arpeggiator to progress with a step of 12 semitones (1 octave) within the specified octave range. Select Auto or Auto (sustain) to set the arpeggiator in classic mode - it will create arpeggio effects based on any chords contained in the instrument sequence. The rest of the presets are a set predefined chords that will be applied to the instrument sequence (sequence chords will not be arpegiated as in classic mode). Auto (sustain) will not apply arpeggio effect on monophonic sequences (given that the octave range is set to 1)

3. Time

Two filters are available in this section - a gate that "truncates" the note events when they pass a specified limit and a filter that shifts notes' start time.

  • Gate (GAT) - The time interval you set with this wheel is the maximum length of a note event for this channel - longer notes are truncated to the maximum length. Look in the hint bar (see Main Panel) to see the length you set in STEPS:TICKS format. Turn the wheel maximum to right to disable the gate filter.
  • Time Offset (OFS) - Turn this wheel to right to delay notes' triggering with up to 16-th note time period (one step).

4. Velocity/Keyboard Tracker

This section contains the settings of the velocity and keyboard trackers. The keyboard tracker "links" the note number (i.e. note pitch) to the cutoff, resonance and panning properties of the notes. Thus you can set the keyboard tracker, so higher note offsets the cutoff frequency to a higher value, for instance. The velocity tracker works exactly in the same way, but instead of following note's pitch, it uses note's velocity.

  • VOL/KB Switch - Click VOL to set the properties for the velocity tracker and KB to set the properties for the keyboard tracker. Selecting either of the trackers does not deactivate the other one, to turn off a tracker completely, reset its PAN, CUT and RES wheels (right-click a wheel and select the Reset command).
  • Middle value (MID) - For both trackers there is a middle value where no offsets are generated. Higher values generate positive offsets for the properties and lower values generate negative ones. For the keyboard tracker, the role of a middle value plays note's pitch (for ex. C5 or B3). For the velocity tracker that is note's velocity.
  • Panning Offset (PAN) - Sets the offset for note's panning. Turning this wheel to right means panning to right for notes with higher than the middle value and left panning for those with lower value. Turning the wheel to left generates the opposite effect.
  • Cutoff Offset (CUT) - Sets the offset for note's cutoff frequency. Turning this wheel to right means higher cutoff frequency for notes with higher than the middle value and lower cutoff frequency for those with lower value. Turning the wheel to left generates the opposite effect.
  • Resonance Offset (RES) - Sets the offset for note's resonance. Turning this wheel to right means more resonance for notes with higher than the middle value and less resonance for those with lower value. Turning the wheel to left generates the opposite effect.

The image below shows how offsets look for the sample settings in the screenshot.


GENERATORS

Generator Plugins

This section contains the helps for all generator plugins that come with FL Studio.

3x OSC

BeepMap

BooBass

Buzz Generator Adapter

Dashboard

FL Keys

FL Slayer

FPC

Fruit Kick

Fruity DrumSynth Live

Fruity DX10

Fruity Granulizer

Fruity Keyboard Controller

Fruity Slicer

Fruity Soundfont Player

Fruity Vibrator

Fruity Video Player

Fruity Wrapper

MIDI Out

Plucked!

ReWired

SimSynth

Sytrus

Wasp

Wave Traveller


GENERATORS

3xOSC

3xOsc is a combo of 3 oscillators feeding the FL Studio Sampler. Its purpose is to generate a bright sound to be filtered by the channel's instrument tools.

It can also produce its own kind of stereo chorus.

To spare CPU & memory, the oscillators are antialiased at rendering time only, not realtime. As a result, rendered tracks may sound better, but rendering will be slower.

Parameters

OSC 1, 2, 3 Parameters

This section covers parameters for all of the oscillators.

  • Shape Selector - You can see the oscillator shape selector buttons in each of the oscillators, allowing on of the following choices: since, triangle, square, saw, TB303 saw, noise, custom. Custom uses whatever sample is loaded in the channel's Sampler Settings page.
  • Invert Switch (INV) - This switch allows you to invert the phase of the oscillator. When you mix two oscillators with equal settings and one of them is inverted, they cancel each other and no sound is produced. However, if you set the Fine frequency to a slightly different value, this can produce interesting flanging effects.
  • Stereo Phase (SP) - This wheel allows you to set different phase offset for the left and right channels of the generator. The offset results in the oscillator starting at a different point on the oscillator's shape (for ex. start in the highest value of the sine function instead at zero point). Having stereo phase offset adds to the sound richness and stereo panorama of the produced sound.
  • Stereo Detune (SD) - This wheel allows to detune the stereo sound of the generator, by applying a slightly different frequency at the left and right sound channels. This adds to the stereo panorama of the produced sound and creates a "stereo flange" effect. When the wheel is in the middle, the effect is turned off.
  • Volume (VOL) - Sets the relative volume of each of the oscillators. Relative means that the overall sound output is kept at the same level, but the relative amount of each of the oscillators is adjustable. The first oscillator lacks this control, as you always need at least one oscillator to produce sound. For ex. to mix 50% of oscillator 1 and 2, set the volume of oscillator at 100%. To mix all 3 oscillators at 33.33..%, set the volume knobs to 100% for oscillators 2 and 3. To mix only oscillator 1 at 100%, set all other volume levels to zero.
  • Panning (PAN) - Sets the stereo panning of the individual oscillators.
  • Coarse Tuning (CRS) - Sets the coarse tuning (range -24 to +24 semitones) of the individual oscillators.
  • Fine Tuning (FINE) - Set the fine tuning ( range -1 to +1 semitone) of the individual oscillators.

Other Parameters

  • OSC 3 Amplitude Modulation (OSC 3 > AM) - Turn on this switch and Oscillator 3 will be used as an amplitude modulation of the other 2 oscillators.
  • Stereo Phase Randomness (PR) - This wheel allows you to adds "randomness" to the stereo phase of all oscillators. Low values can make the sound slightly more natural, while higher values can be used as a special effect.

Notes & Tips

  • Since the 3xOsc generator acts as an addition to the standard integrated Sampler, it is usually not enough to save direct 3xOsc presets rather than full channel presets which hold the complete sound. As a result, default 3x Osc presets will be found in /Channel presets/3x Osc/ in the browser.
  • Stereo Phasing can introduce clicks since the oscillators start somewhere "inside" the shape function. You can easily fix this by using a volume envelope with a short attack time.

Plugin Credits: Didier Dambrin


GENERATORS

BeepMap

BeepMap is an image synth (generates sound based on an image).

Any color can be seen as a combination of red, green & blue components and any sound can be seen as a combination of sine waves with different frequencies.

BeepMap, like any other stereo image synth, will translate red color into the amplitude of a sine wave on the left channel, & green color into a sine wave on the right channel. As a result, yellow will sound equally on both channels.

The frequency of each sine wave depends on its vertical position in the bitmap.

Optionally, the blue component will be used to define the frequency range per pixel.

Parameters

  • Frequency (FREQ) - Select the frequency range for the whole bitmap height.
  • Length - Set the duration of a pixel. The higher, the longer the sound will last.
  • Linear - Switch between linear frequency (Hz), & pitch scale in cents (1/100 semitone).
  • Use Blue - Enable blue color.
  • Grainy - Sound will be heard as small grains.
  • Loop - Loop the whole bitmap, or play it once.
  • Max Bitmap Height - Set the max height for loaded bitmaps, that is the number of sine waves to be added. The amount of CPU needed to process a voice depends on that value.

Notes & Tips

  • There's no built-in graphic editor, so the cut/paste feature is very handy.
  • Unlike as with sample files used in a project, the bitmap is saved inside the FLP project (or FST preset), thus the file size can grow quickly.

Plugin Credits: Didier Dambrin


GENERATORS

BooBass

BooBass is a realistic bass generator with adjustable frequency response. BooBass is monophonic and supports portamento slides.

Parameters

  • Bass - Lets you equalize the low (bass) frequencies of the generator.
  • Mid - Lets you equalize the middle frequencies of the generator.
  • Treble - Lets you equalize the high (treble) frequencies of the generator.

Notes & Tips

since BooBass is monophonic, delay echoes will not work properly (see Function Settings).

Plugin Credits: David Billen


GENERATORS

Buzz Generator Adapter

Buzz Generator Adapter is a wrapper for Buzz generator machines. You can find a huge collection of Buzz machines at www.BuzzMachines.com.

Parameters

  • Note Parameter - Selects which parameter is used to send note messages. Not all plugins use this format for notes (but MIDI notes).
  • Polyphony - Sets the polyphony of the loaded plugin. Some plugins may not use this property.
  • Don't Send Note Offs - Some synth do not require note off messages and sending such can cause problems. Use this parameter only if needed.
  • Use MidiNote() - Uses an alternative for passing notes to the plugins. Some plugins may require Note Parameter instead (consult the plugin's manual).
  • Select Machine - Click this button to browse for a Buzz machine plugin.
  • Parameter Sliders - The sliders are used to control Buzz machine parameters. They are exposed as normal FL Studio parameters (right-click the sliders to bring the default parameter menu of FL Studio).
  • Attributes - Click this button to launch a window with additional parameters for the machine.
  • Commands - Click this button to launch a menu with commands for the machine. When the machine doesn't have commands, this button is disabled.

Plugin Credits: Oskari Tammelin


GENERATORS

Dashboard

Dashboard allows you to create software interfaces to your external MIDI hardware, such as keyboards, mixers, samplers etc. You can even use the integrated automation system to record the changes as your song progresses. You can also set up interfaces that act as internal controllers.

Dashboard includes several premade panels (presets) for popular MIDI devices you can use directly in your projects. You can customize the existing panels for your own use or create new ones from scratch. This way you can adapt Dashboard for any MIDI device you own without using plugins dedicated to a specific hardware.

How to Use

Standard Components

Component API

Dashboard Menu

Plugin Credits: Frederic Vanmol


GENERATORS

Dashboard: How to Use

This page covers some basics about building, modifying and employing interfaces in Dashboard.

Building or Modifying Panels

The Dashboard interfaces are built of separate components, for example, wheels, switches, sliders, buttons etc. Dashboard contains a standard set of components you can employ in your projects, and the advanced users can also define their own components with the provided Component API.

To modify an existing panel or create a new one from scratch, you need to enter in design mode (turn off the lock switch - [image]). This mode allows you to create new instances of the available components and modify their properties.

Add a New Component

To add a new component, open the menu (the arrow icon button next to the lock switch) and select Add Control. You will see a submenu containing all available controls grouped by type. Select a control from one of the groups and it appears on the grid.

Adjust the Size and Position of a Component

In design mode, you can find out if a component is selected by the presence of the "arrow" icons (as shown on the picture).

To reposition a component, left-click on its surface and drag it to a new location on the panel.

Some of the components are resizable as well. In this case you will see an additional handle at the bottom right corner of the selected control. Drag that handle to resize the control.

You can change scale and size by directly manipulating the component properties as well, see the next section.

Adjust the Component Properties (Component Inspector)

In design mode, you can see an additional panel displayed on the right side of the window of the Dashboard plugin. This panel is the component inspector, which allows you to select a component for editing and modify its properties.

  • Select a Control - The combo box at the top of the component inspector contains a list of available components on the current Dashboard panel. Select a component from the list to select it in the panel as well & to display its properties in the inspector.
  • Modify Component Properties - The inspector displays a list of properties available for the selected control, grouped by meaning. Click the + icon next to the name of each group to expand it and reveal the properties inside. You can freely edit the properties

For more information on the specific properties for each component type, see Components & Properties.

Using Complete Panels.

As soon as the panel is locked ( [image]) it can be used as a standard interface as you would use in any other plugin. All rules that apply to the regular FL Studio controls, apply here as well (right-click menu, CTRL+drag for slow motion etc.).


GENERATORS

Dashboard: Components & Properties

This page explains the basic types of components, their properties & shows a preview of the included styles.

Component Properties

This section covers the properties available for the components (displayed in the component inspector). The properties are grouped by meaning (click the + sign to expand the group). Is a property or group is not available to a component or is exclusive to a component this is remarked after the property/group name with "applies to" or "exception".

Appearance

  • Height (applies to: resizable components) - Lets you set the component height.
  • Width (applies to: resizable components) - Lets you set the component width.
  • Left (exception: main panel) - Sets the horizontal position of the top left corner of a component.
  • Top (exception: main panel) - Sets the vertical position of the top left corner of a component.
  • Caption (exception: main panel, page selectors, patch selectors) - Sets the caption name of a component.
  • Caption Position (exception: main panel, page selectors, patch selectors) - Sets the caption position of a component (the available choices are Left, Right, Top, Bottom).
  • Show Caption (exception: main panel, page selectors, patch selectors) - Lets you select whether the component caption is visible.
  • Line Width (applies to: wheels) - Sets the line width for wheel components (available choices are Normal and Thick).
  • Line Color (applies to: wheels) - Sets the line color for wheel components.
  • Pressed Color (applies to: wheels) - Sets the pressed line color for wheel components (when the user is dragging the wheel).
  • Transparent (applies to: components with 8-bit skins) - Some of the components allow you to set their outer skin color transparent. This can improve the component look over some bitmap backgrounds.
  • Font (applies to: labels) - Sets the font used for a label component.
  • Font Color (applies to: labels) - Sets the font color used for a label component.
  • Label Font (applies to: main panel) - Sets the font used for the caption of all components (except labels which have independent settings).
  • Label Color (applies to: main panel) - Sets the font color used for the captions of all components (except labels which have independent settings).
  • Page (exception: page selectors, main panel) - This property appears only if you set multiple interface pages for Dashboard (see page selectors below). Set (all) to display the component in all pages, or select a page the component is exclusive to.

Behavior

  • Move Speed (applies to: sliders, wheels) - Sets the motion speed for sliders and wheels. The higher the number, the faster the motion.
  • Full Range (applies to: selectors) - Selectors have a fixed number of ordered predefined items to pick from. Enabling this option lets you map the selector items with values spread over the full range of the controllers (first item: 0, last item:65536). If the option is not enabled, the range is limited by the number of items - 3 items are mapped in the range 0..2 (item1 - 0, item2 - 1, item3 - 2), 10 items are mapped in a range of 0..9 etc. The default state of this option differs for each selector type and guarantees its proper operation.
  • FX Attack (applies to: switches) - Sets the effect "fade in" time (the smaller the number, the faster the fade).
  • FX Blink (applies to: switches) - Allows the control to blink with the FX Type selected on a certain event. You can select among On Press and On Over.
  • FX Release (applies to: switches) - Sets the effect "fade out" time (the smaller the number, the faster the fade).
  • FX Type (applies to: switches) - Sets the effect type to be used (color of blend). If None is selected, the other FX settings have no effect.
  • FX When (applies to: switches) - Sets the event which triggers the effect. You can select On Press or On Over (mouse events).

Controller (exception: main panel, page selectors, patch selectors).

This section sets the controller message that is transmitted by a component. That can be a MIDI message or an internal controller message. Some of the controls have a different function and the Controller group is not available to them.

  • Controller Number - Sets the control number used for the messages. This parameter is not used for internal controllers and aftertouch.
  • Control Type - Sets the controller type for the messages. You can select CC, RPN, NRPN, Aftertouch, Internal Controllers.
  • Min/Max - Sets the value range used by the components.

Grid (applies to: main panel)

Sets the options for the panel's snap grid.

  • Grid Color - Sets the grid color.
  • Grid Size - Sets the grid spacing (in pixels).
  • Snap to Grid - Is set to True, the controls snap to the grid as you drag them.

Other

  • Instruments (applies to: main panel) - This property appears only if you have installed any instrument definitions (*.INS) in the Artwork/Instruments folder. It allows you to select one of the definitions to be used by the patch selectors.
  • Panel (applies to: main panel) - Lets you select a background (skin) for the panel. If you want a resizable panel, select Gray or Dark.
  • Control (exception: main panel) - Sets the component style from the ones available.
  • Name (exception: main panel) - Sets the component name.

Pages (applies to: main panel)

  • Page Names (applies to: main panel) - Set here a list of page names to create multi-paged interfaces. For more information, see Page Selectors below.

Component Types

Component Name | Component Styles | Description
Main Panel -

The main panel of Dashboard is also treated as a component and displays its parameters in the component inspector when selected (just click on the panel).

If you want to resize the panel, adjust its Height and Width properties (you need to select a resizable background in the Panel property.
Digits | These controls are equivalent to the LCD controls used in FL Studio.
Patch Selector

The patch selectors allow you to set the bank and patch numbers of Dashboard in a more convenient way (using instrument names mapped to bank/patch values).

Dashboard comes with a General MIDI patch selector, Roland XP-30 selector and two selectors which use the installed Cakewalk instrument definitions you have (*.INS). The definitions should be installed in Dashboard's Artwork/Instruments folder.
Selector | The selectors are combo boxes where different message values are mapped to a certain text name. Dashboards comes with volume, pan, tempo and other selectors and you can build your own ones using the Component API.
Slider

The sliders are equivalent to the ones used in FL Studio. Note, however, that some of the skins were designed specifically for some of the Dashboard presets and may not look good on the generic panel skins.

You can add your own skins using the Component API.
Switch | The switches are two-state buttons (on-off) with adjustable blend/color effects.
Wheels

The wheels are equivalent to the ones used in FL Studio. Note, however, that some of the skins were designed specifically for some of the Dashboard presets and may not look good on the generic panel skins.

You can add your own skins using the Component API.
Label | The label objects are static objects (do not transmit messages) you can use to put notes and labels on the Dashboard's panel.
Page Selector

The page selector provides you with a way to create multi-paged interfaces in Dashboard. this can be useful for many reasons, like saving space for interfaces that use large amount of components, or organizing the components into logical groups.

How to set up a multi-page interface:

  1. Set a list of page names in the panel's Page Names property. Each text line is the name for a page.
  2. Set up the components appearance options: expand the Appearance group and set the Page property. Set (all) to make a component that is shared among all pages (visible for all pages), or set the name of a page to display the component only for that page.
  3. Add a page selector to the panel. The component automatically obtains the list of pages and displays the current page.


GENERATORS

Dashboard: Component API

This page explains how to customize and create new components for Dashboard.

Basics

A Dashboard component is built of an initialization file (*.INI) and a set of bitmap images (*.BMP, *.JPG and *.TGA are supported) that define the component appearance (skin). The INI files resides in the Artwork folder of Dashboard ([FL Studio]/Plugins/Fruity/Generators/Dashboard/Artwork), or in subfolder of that folder. The images can be placed anywhere, but it is best to place them where the INI file is, so you can reference the images directly, without path.

There can be several section in the INI file:

  • Info
  • Properties (optional)
  • Items (only for some types of components)

Each section contains one or more properties. A property entry looks like this:

propertyName=value

For ease of use, it is best to use relative paths when you link to image files. You can link to a folder relative to the INI position or the Artwork folder:

  • Relative to the Artwork folder : [Folder]\image.bmp (links to Artwork\[Folder]\image.bmp).
  • Relative to the INI file : .\folder\image.bmp (links to Artwork\[INI Folder]\image.bmp).

INI File Sections

The INI file contains the following sections:

[Info] Section

You should include these properties in the info section:

  • Name - The name of the control. Make sure the name is unique to the other component names. This property is required.
  • Kind - The component type. The possible values are: 0 = DigiWheel; 1 = Slider; 2 = Wheel; 3 = Panel; 4 = Switch; 5 = Label; 6 = Image; 7 = Selector; 8 = Patch selector; 9 = Page selector; This property is required.
    Default - Indicates if this control is the default control for its kind (Default=1) or not (Default=0). A default control is used in panel presets which contains missing controls (not installed in this copy of dashboard). For example, a missing wheel component is replaced with the default wheel component. This property is optional.
  • Background - This is a reference to the image file that will be used as background for the control. If a background is specified, it determines the control's width and height. If you want to allow the user to make a background transparent, you have to specify an 8-bit .bmp file. Not all controls supports transparency. This property is optional.
  • Foreground - This is a reference to the image file that will be used as a foreground for the control. This could be a knob for a slider, for example. Not all controls will use this value (for example page selectors). This property is optional.

[Properties] Section

This section defines the values to be used for the properties of a control. They are all optional. You can see a full list of properties you can set here in the component inspector for each component.

[Items] Section

This section is only valid for selectors and patch selectors. It defines the values that will be available in the selector. The values are specified as a list of text lines (each line is a value) ending with "=":

valueName=

For patch selector controls, you also include the bank and program numbers that correspond to the instrument names:

valueName=Bank MSB, Bank LSB, Program Number

EXAMPLE:

[items]
100% Left=
50% Left=
Centered=
50% Right=
100% Right=

Component Types

This is a more in depth description for each component type (you specify in the Kind property).There are currently ten different control kinds.

DigiWheel (Kind=0)

  • Wheel which displays a different image for each value (the images should be ordered sequentially in a horizontal strip).
  • It can be used as a controller.
  • The background is used for the border around the control.
  • The foreground is used for the values (see the supplied DigiWheel controls).

This additional parameter is supported in the [Properties] section (not visible in the component inspector):

  • Border - Specifies the border size of the background image as follows:

    Border=left, top, right, bottom

Slider (Kind=1)

  • An up/down slider control.
  • Can be used as a controller.
  • The foreground is used as the knob of the slider. Most of the time, this is a 32-bit *.TGA file which can be transparent.

Wheel (Kind=2)

  • A wheel control with a line as indicator of the value.
  • Can be used as a controller.
  • The foreground image is not used.

This additional parameter is supported in the [Properties] section (not visible in the component inspector):

  • Line Length - the length of the indicator line, as a percentage of the width/height of the control.

Panel (Kind=3)

  • This component allows you to add custom backgrounds to the dashboard's panel.
  • The foreground image is not used.

This additional parameter is supported in the [Properties] section (not visible in the component inspector):

  • Border - Specifies the border size of the background image as follows:

    Border=left, top, right, bottom

Switch (Kind=4)

  • This is a two-state toggle button (on-off).
  • Can be used as a controller.
  • The foreground should contain two images, one for up and one for down
  • The background is not used.

Label (Kind=5)

  • This is a simple control that displays text labels.
  • Background and Foreground are not used.

Image (Kind=6)

  • This control simply displays an image.
  • Foreground image is not used.

Selector (Kind=7)

  • This is a combo box control, showing a custom list of values.
  • The list of values is read from the [Items] section of the *.INI file.
  • Foreground image is not used.
  • It can be used as a controller.

Patch Selector (Kind=8)

  • This control allows the user to select a patch from a list of predefined values.
  • The list of values is read from the [Items] section of the *.INI file.
  • Each value should have a Bank MSB, Bank LSB and a Patch Number information appended (see the description of the [Items] section above).
  • Foreground image is not used.

Page Selector (Kind=9)

  • This is a special type of control which allows you to select the visible interface page (if there are any).
  • Foreground image is not used.

Notes & Tips

  • A control is identified by its name, so make sure to give it one that's both descriptive and unique.
  • Preferably put all controls of a certain group in a directory away from the rest.
  • If you don't specify a background image for a control, it's transparent. Not all controls support this very well.
  • Take a look at the provided controls, they'll show you most of what you need to know.


GENERATORS

Dashboard: Menu

This page covers the command available in the Dashboard's menu (click the arrow button next to the lock switch).

Menu Commands

  • Clear Panel - Clears the panel of all components.
  • Add Control - Contains a submenu with all installed components, grouped by type (wheels, sliders etc.).
  • Snap All Controls to Grid - Snaps all controls on the panel to the grid.
  • Clone - Clones the selected component.
  • Delete - Deletes the selected component.
  • Export to Text File - Exports a definition of the current panel contents to a text file.
  • Import from Text File - Restores a panel from a description in a text file.
  • ZIP Used Files - Exports all component files used in the current panel to a ZIP files.
  • UnZIP Files - Installs components from a ZIP file (exported earlier with the previous command). This feature makes it easy to transfer new controls on other systems using Dashboard.


GENERATORS

FL Keys

FL Keys is a realistic piano simulator with optimized CPU and memory usage.

With the help of several additional modules included in FL Studio, FL Keys can also operate as Rhodes & Roto Organ (note: additional modules might be available from www.flstudio.com).

Parameters

Sample Set

Here you can select the sample set to be used by FL Keys for synthesis. Default is Piano.

Environment

  • Decay - Sets the note decay while the key is pressed. The higher the knob value, the longer time it takes for the tone to decay. You can also adjust decay to minimum to set FL Keys to sustain mode (notes do not decay). This is useful for organs and other non-decaying sounds.
  • Release - Sets the release (fade out) time after the key is released.
  • Autopan/Tremolo (PAN) - This knob combines two functions: from middle position to left, the knob applies, respectively, 0% to 100% of autopanning effect to the sound. The autopanning speed depends on the LFO parameter in the Misc section; from middle position to right, the knob applies, respectively, 0% to 100% of tremolo effect to the sound. The tremolo speed depends on the LFO parameter in the Misc section;
  • Stereo - Sets the key to pan position ("left" piano keys are panned to left, "right" piano keys are panned to right), with additional stereo ambience at high settings.

Misc

  • Overdrive - Applies a soft overdrive to the generated sound.
  • LFO - Sets the frequency of an LFO unit which is used in the autopanning and tremolo effects (see above).
  • Treble - A simple peaking filter which allows you to decrease or increase the treble levels of the generated sound.
  • Stretch - Sets the amount of "stretching" used for high-pitch notes (C#5 and above: the higher the note pitch, the more the stretching that is applied to it). The knob has a range of -50 to +50 cents. Set to 0 cents (middle) to turn the effect off.

Velocity

  • Muffle - Applies a subtle low pass filter to "muffle" the generated sound. Use the linked velocity knob to determine how velocity affects muffle.
  • Hardness - Adjusts the sample ranges up or down to change the virtual "size" and brightness of the piano. Use the linked velocity knob to determine how velocity affects hardness.
  • Sensitivity - Adjust the volume sensitivity of FL Keys to the note velocities. Set to minimum to make the synthesizer ignore velocities.

Tuning

  • Tune - Allows you to offset the tuning of all notes from -100 cents to +100 cents.
  • Detune - Allows you to apply a custom amount of random detuning to the pitch of the notes. This effect allows you to simulate a Honky Tonk piano sound. Light amounts of detuning can add realism to the piano sounds. Set the Detune amount to 0 for perfect tuning (unless Stretch is used, see above).

Plugin Credits: Paul Kellett (engine), Frederic Vanmol (FL Plugin adaptation & interface)


GENERATORS

FL Slayer

FL Slayer is a realistic electric guitar simulation originally developed by reFX. It uses a hybrid synthesis similar to physical modeling. The simulator is equipped with a high quality amp section and effects rack enabling you to recreate the complete electric guitar sound without additional plugins.

Parameters

Guitar Site Simulation Properties

Playing Mode (combo box)

This parameter controls the playing style used by Slayer:

  • None - Handles notes like a standard synthesizer.
  • Autochords - Creates guitar style chords based on the played notes (you can control the strum speed with the Speed knob).
  • Powerchords - Creates power chords automatically based on the played notes. The keyboard is split into two sections. C5 and higher notes produce C1-G1-C2 style chords; the lower range produces C1-F1-C2 style chords (you can control the strum speed with the Speed knob).
  • Strumming - Strumming is designed for individual guitar chords on live playing. Single notes are played as usual, but all chords are automatically strummed (you can control the strum speed with the Speed knob).
  • SoloFixed - This is a monophonic mode, where overlapping notes create a portamento/glide effect. In this mode, the portamento speed is a constant value for all transitions and is defined by the Speed knob (speed is linked to the current tempo).
  • SoloDynamic - This is a monophonic glide mode similar to SoloFixed, however the glide speed depends on the pitch difference between the start and end notes. A glide from C3 to E6 will take longer than a glide from D6 to E6. You can control the glide speed with the Speed knob (speed is linked to the current tempo).

Basic Properties

  • Speed wheel - Affects the strumming/gliding speed used in some of the playing modes (see above).
  • Hold switch - If the hold button is on, notes are not muted after releasing a key, unlike the usual behavior (if the switch is off). You can link this parameter to your sustain pedal, so that pressing the pedal keeps the guitar strings "vibrating".
  • Glissando switch - FL Slayer supports two sources of pitch bending (glissando). One is coarse pitch bend (+-12 semitones range), the other one is fine pitch bend (+-1 semitone range). Since there is one pitch bend wheel, and Slayer needs two, Slayer includes a second pitch bend wheel on its interface - Pitch Bend 2. This switch lets you select which pitch bend is the coarse: PB1 sets the regular pitch bend to the coarse range; PB2 sets the Pitch Bend 2 knob to the coarse range.
  • Pitch Bend 2 - A second pitch bend control for the Slayer channel. See Glissando switch above.

String Types

The string radio buttons let you select the string type used in the guitar simulation:

  • Noise - The classic Karplus Strong algorithm.
  • 6String1/6String2/6String3 - These are best used to simulate electric guitar string sounds.
  • Slap - Used to simulate the string sounds of a slap bass.
  • EBass - Used to simulate the string sounds of a hard played E-bass.
  • Fretless - Used to simulate the string sounds of a fretless bass.

Coil Type

Select the type of used coil simulation:

  • None - No pickup simulation is used. The sound is taken "as is" directly from the string simulation.
  • Single - Simulates the sound of a single coil pickup. You can additionally control how the pickup simulation sounds by moving the pickup (with mouse) to different positions. Note that you need to move the mouse up/down.
  • Double - Simulates the sound of a double coil pickup. You can additionally control how the pickup simulation sounds by moving the pickup (with mouse) to different positions. Note that you need to move the mouse up/down.

Additional Guitar Simulation Properties

  • Tone - Sets the pitch of the formant filters which changes the overall tone of the instrument.
  • Slap - Controls the "slap level" of the signal. The higher the note velocity, the more "slap" occurs. If the Slap knob is set to 0 (zero), the slap effects is disabled for all velocitites.
  • Fret - Controls how much fret noise is mixed together with the guitar sound. You can use high settings for more aggressive pluck sounds in basses.
  • Harmonic - Used to simulate the different pickup types used in electric guitars. High settings are for bright sounding pickups, low settings for darker sounding pickups.
  • Vel - Sets the velocity sensitivity of Slayer. Use high settings for very dynamic sounds like slap basses. Use low settings for non-velocity sensitive sounds like power chords.
  • Damping - Controls the decay time of the sound. Muted guitars use a high dampening amount.
  • Velocity Control of Damping (Vel) - Defines how the damping reacts to velocity. High settings allow you to control the damping amount with the notes' velocity.

AMP Section

AMP Type

This radio button group selects the amplifier type used in the simulation:

  • Dry - Signal is passed through EQ. No feedback, no presence. Drive knob is used as a gain control of the signal. Use this setting for unplugged sounds.
  • Tube - Simulation of a three-stage valve amplifier with soft saturation. Signal is passed through presence, distortion, EQ, Speaker simulation.
  • EQ - Signal is passed through EQ before it passes through 3-stage distortion. This amplifier can be the best choice for effects like Talkbox.
  • Bandpass - This is a special amplifier. Signal is passed through band passes and soft saturators in 3-stages. Presence controls band pass cut-off. Finally it goes through EQ. Try boosting low and high band of EQ for "fat" sounds.

Cabinet Type

This radio group selects the cabinet type of cabinet used in the simulation:

  • Dry - This is the sound you would get if the guitar is connected directly to a Hi-Fi system (linear sound, no distortion). You can use this mode for unplugged sounds.
  • British - Simulates a British Cabinet. Use this for aggressive sounds.
  • Combo - A combo box simulation. Use this for softer sounds.
  • StaX - Very aggressive cabinet with a big boost on high frequencies. Use it for heavy metal style sounds.

Additional Amplifier Properties

  • Drive - Controls the level of distortion.
  • Presence - A simple high–shelf filter that adds or removes brightness to the sound.
  • Feedback - Amount of feedback that is returned from the output of the amplifier simulation back to the site
    simulation.
  • Low - Controls the bass level below 200 Hz.
  • Mid - Controls the mid level around 1000 Hz.
  • High - Controls high frequencies above 2.5 KHz.

MFX-90 Effects Unit Properties

The effects unit contains a combo box which selects the effect type and two additional knobs which sets parameters specific for each effect type.

Effect Type

Selects the effect type. Two general effect types are available: AMP - A pedal effect applied before the amplifier; MST A master effect that is applied after the amplifier;

  • Dry - No effect is applied.
  • AMP: Phaser - The signal is modulated & mixed with dry signal to create a phasing effect. The first parameter controls the LFO speed for modulation. The second one is the feedback level.
  • AMP: Tremolo - AMP type tremolo effect. It automatically retriggers on new notes and syncs with the song tempo. First parameter controls LFO speed. Second one controls modulation depth.
  • AMP: WahWah - A low-pass filter with resonance and an envelope follower. The first parameter controls the attack speed, the second controls the modulation depth.
  • AMP: WahWah LFO - A WahWah with LFO. The first parameter controls the LFO speed, the second - the modulation depth. The LFO automatically syncs with the played notes.
  • AMP: Ringmod - Ring-modulation that automatically tunes harmonic with the played notes. Parameter 1 controls the harmonic for the modulator.
  • AMP: Fuzz Box - Signal-shaper for adding grunge to the signal. Please use this effect carefully since it adds a high amount of harmonics to the signal, which can damage your equipment! Parameter 1 controls Fuzz Box drive. The second parameter adds digital distortion.
  • AMP: Harmonizer - This effect adds harmonics one octave below and one octave above the current played note. Parameter 1 controls the mix level for the upper harmonics, parameter 2 the mix level for the lower harmonics. This effect only works well on single notes (avoid it with chords).
  • AMP: Talkbox - Simulates human-voice formants. Parameter 1 selects the LFO modulation speed; parameter 2 selects the formant pitch. This effect often sounds better with coil simulation set to "none" (see above).
  • MST: Chorus - Smooth stereo chorus. The first parameter controls LFO modulation speed, the second parameter modulation depth.
  • MST: Flanger - Flanger with feedback. The first parameter controls LFO modulation speed, the second parameter modulation depth.
  • MST: Phaser - Stereo phaser. The first parameter controls the LFO speed for modulation, the second parameter controls feedback level.
  • MST: Leslie - The popular "leslie" effect known from Hammond Organs, originally created by a speaker rotating around a microphone. The first parameter controls rotation speed, the second one controls modulation depth.
  • MST: Tremolo - Creates tremolo effect. First parameter controls LFO speed. Second one controls modulation depth. It automatically re-triggers on new notes and syncs with song tempo.
  • MST: DubDelay - A simple left-right delay for adding some spatial depth to the sound. Parameter 1 controls delay time.
  • MST: Multitap - A stereo-tap-delay with filter. The first parameter controls delay time, the second one controls feedback. It automatically syncs with the song tempo.

Plugin Credits: reFX (engine), Frederic Vanmol (FL Plugin adaptation & interface)


GENERATORS

FPC

FPC (FL Pad Controller) is a software plugin similar to the hardware Akai MPC unit, coded & optimized for the FL Studio platform.

FPC is a self-contained drum machine which makes it easy to create, edit and swap drumkits on the fly to tune the sound of the drumloops in your project. FPC supports 16 multi-layered patches per drumkit bank.

The interface is separated into three parts you can display using the tabs on top of the window. In the first tab you can see the main pad properties section which shows/sets the properties of the currently selected pad (explained below).

Main Pad Properties

The parameters affect the currently selected pad and appear in the first two tabs of the FPC interface.

  • The pad selector (on left) lets you change the selected pad.
  • The pad name box shows the pad name, which you can change by right-clicking the box and filling a new name in the window that will pop up.
  • The next two knobs set the pad's volume (on left) and stereo panning (on right).
  • The mute knob is active when lit on (green). It mutes the current pad.
  • The solo knob is active when it's red. It mutes all other pads, but the current pad (and any other soloed pads).
  • The scale volume knob allows you to map the input note velocities to pad volume. Normally you'll prefer this option enabled, unless you want to handle velocity changes entirely with multiple velocity-sensitive layers (see Layer Properties below).

Pads View

The Pads view is the place where you can quickly preview a pad or set its key/cut groups.

The pad controls are ordered from left to right and then bottom to top (i.e. pad 1 is bottom left, pad 16 is top right). To select and preview a pad, click the big preview button on each of the pad button on right (see the image on right). To just select without previewing, click the Pad Properties button. The Previous and Next buttons allow you to switch between several alternative versions of that pad. Each drumkit may (or may not) include several samples for each pad to switch between.

On right you can see a set of controls (following the same order) containing four boxes for each pad (change the value by dragging up/down).

The first row sets the key the pad is assigned to. The box on left sets the key inside the octave, the one on right sets the octave.

The second row sets the cut groups for the pad. The cut groups are identical in functionality to those found in the Misc Channel Settings section of regular Sampler channels (and other plugins). Using these groups you can 'kill' a pad which plays (like an open hi-hat) when another pad is triggered (like a closed hi-hat). To do this, set the pad to cut to a certain cut group (the box on left), then set the pad to be cut with the same cut group in the cut by group box (on right).

Layer Properties view

Each pad in FPC can consist of multiple samples, layered in such a way that each sample responds to a specific note velocity range. This ability can be important for achieving realism with acoustic drumkits.

The Layer Properties view allows you to create and edit the layers of the currently selected pad.

Basic Operations

  • Hit the Create button (top left in the window) to add a new empty layer to the pad. To erase it, select it (hit the Select knob of the layer) and click the Delete button.
  • Once added, you can load a sample to the layer by clicking the Browse button (the button on left in the Sample File controls below) and selecting a sample.
  • You can reverse a sample's playback by enabling the Reverse option at the bottom.
  • To reorder the channels, select a channel and use the Move Up/Down buttons on top of the interface.
  • The Spread Even button spreads the velocity ranges evenly among the existing layers without overlap (see layer properties below).
  • The Lock Layers button locks the layer ranges in a way to prevent velocity range overlap (one sample will play at a time for any given velocity).
  • To preview how the pad will sound with different velocities with all layers applied to it, click the Full Pad Preview at the velocity value you want to preview.

Layer Properties

The controls on each layer are (from left to right):

  • Select Knob - Click this button to mark the channel as selected. This is required for some operations, like browsing for a new sample, move up/down, delete, display in the big sample preview (in the bottom) and the reverse playback switch.
  • Volume Knob - Sets the volume of the layer.
  • Pan Knob - Sets the stereo panning for the layer.
  • Layer Tune Knob - Allows you to offset the pitch up/down (faster/slower playback) from the original playback speed of the sample. The knob ranges from -1 to +1 octave pitch shift.
  • Mini Sample Preview - Displays the loaded sample (if any). Click to preview the sample.
  • Velocity Range - This control sets the active velocity range for the layer, i.e. for which velocity values the sample will play (for the rest it is muted). The velocity is mapped from left (minimum) to right (maximum). Drag the handles to define the active region. Overlapping of several samples in the same range is allowed, unless the Lock Layers button (see above) is enabled.

Mixer View

The mixer view duplicates the properties found in the Main Pad Properties & adds the mixer track offset property. Since all pads are displayed at once in a single view, it is easier to adjust many pads at once.

Each mixer "strip" (column) corresponds to a single pad, ordered from left (pad 1) to right (pad16). The controls found on each strip are as follows (from top to bottom):

  • Mixer Track Offset - This property allows you to send a specific pad to a different FL Studio mixer track than the one FPC is linked to. The parameter specifies a positive offset, for ex. if FPC is linked to track 10, then all pads are sent to track 10, however you can set offset 4 for pad16, so that it will be sent to track 14 instead. By default all pads are mixed in the default mixer track (the control displays "--").
  • Stereo Panning / Volume / Mute / Solo - Those properties are identical to those found in the main pad properties section (however the volume is a slider for easier control).
  • Pad Name - Displays the channel name. Again, like in the main pad properties, you can right-click this box and fill a new name for the pad in the window that appears.

Plugin Credits: Robert Conde


GENERATORS

Fruit Kick

Fruit Kick is a simple kick drum synthesizer.

Parameters

  • Start sweep frequency (MAX) - Defines the start frequency of the kick sound.
  • End frequency (MIN) - Defines the "sweep to" (end) frequency.
  • Sweep time (DEC) - Defines the pitch sweep time (i.e. pitch decay).
  • Amplitude decay (A. DEC) - The amplitude (volume) decay length.
  • Click (CLICK) - Adds phase offset to the kick sound to produce a click. Turn right for louder click.
  • Distort (DIST) - Applies hard clipping to the sine wave oscillator for "punchier" kick sounds.

Plugin Credits: Didier Dambrin


GENERATORS

Fruity DrumSynth Live

DEMO ONLY: DrumSynth Live comes as a demo version in FL Studio and needs to be purchased separately so you could save projects containing DrumSynth Live channels.

Fruity DrumSynth Live is the FL Studio plugin version of the popular DrumSynth standalone created by Maxim Digital Audio.

DrumSynth Live features simultaneous support for 120 real-time programmable drum patches, each assigned to a separate key (C0 to B9). You can morph dynamically from one drum patch to another - just select the patch to morph to and tweak the morph amount wheel.

The sound is created by two noise generators, filtered by bandpass filters with an incredible range - you can set anything from single frequency (sine wave) to full white noise. The first oscillator can also act as swept frequency sine wave generator for creating kick drums and tom sounds. The second oscillator has more advanced envelope: adjustable attack length and envelope mapping shape (from logarithmic to linear), useful for snare drums and hi-hats. The envelope retrigger controls allow for quick creation of clap sounds and can be also used for harder attack in the drum sounds.

Velocity to Property (Black) Wheels

Some properties can change according to the note velocity. Such controls have a velocity mapping wheel on their left (all the big black wheels in the interface). If a velocity wheel is turned to right, higher note velocities increase the property value. Turn left to lower the property value with velocity increase instead.

Parameters

Testing Keyboard

The testing keyboard has two functions - it lets you test the drum patches and select a drum patch for editing: just left-click a note, the orange rectangle shows the currently edited patch.

There is also a right-click menu which allows you to copy and paste the patch settings from one key to another.

You can reset a patch to one of the default sounds in the preset. Right-click a note and select an entry from the "Set to default patch" submenu. The default patch for the current key is displayed in bold.

The keyboard displays 2 octaves simultaneously. You can scroll the keyboard to see the required range using the scroll button above the keyboard: . If the AUTO option is enabled, the keyboard will autoscroll to display the proper range as notes are played.

Wave Panel

DrumSynth Live can mix recorded drum samples with the noise generator. In this section you can set the wave properties and mix amount.

  • Wave Selector - Select one of several high-quality drum/percussion samples to be mixed with the white noise generator.
  • Sample Tuning (TUNE) - Sample pitch (transpose).
  • Mix Amount (MIX) - Turn right to mix more of the wave sample and less of the noise in the oscillators.

Oscillator 1 (OSC 1)

  • Frequency slider - Center frequency for the bandpass filter/sweep tone.
  • Sweep Up/Down slider - Frequency offset to sweep from. Slide right to sweep from higher frequency, slide left to sweep from lower frequency. Appears only when using the oscillator in sweep tone mode (see below: Sweep Tone/Noise switch).
  • Bandwidth slider - Sets the bandwidth of the bandpass filter. You can set anything from single frequency bandwidth (turn left) to full white noise (turn right). Appears only when using the oscillator in noise mode (see below: Sweep Tone/Noise switch).
  • Harmonics wheel (HARM) - Applies waveshaping distortion to the oscillator (turn to left applies odd harmonics, turn to right applies even harmonics).
  • Envelope Decay wheel (DEC) - Sets the envelope decay for the oscillator. Turn right for slower decay.
  • Sweep Time wheel (SWEEP) - Sets the sweep speed. Turn to right for longer sweep time. Applies only when using the oscillator in sweep tone mode (see below: Sweep Tone/Noise switch).
  • Noise/Sweep Tone switch (NOISE) - When turned on, the oscillator operates in noise mode: white noise processed with a bandpass filter. When turned off, the oscillator operates in sweep tone mode: a sine wave that can sweep from higher or lower frequencies with adjustable sweep time, useful for toms, kicks and various effects.
  • Invert Phase switch (INVERT) - Inverts the phase of the oscillator. Useful for fixing situations where the two oscillators might phase each other.
  • Output Level wheel (MIX) - The output volume of the oscillator. Higher output levels produce hard clipping useful for rim-shot sounds and similar effects.

Oscillator 2 (OSC2)

  • Frequency slider - Center frequency of the bandpass filter.
  • Bandwidth slider - Bandwidth of the bandpass filter. You can set anything from single frequency bandwidth (turn left) to full white noise (turn right).
  • Osc1 to Osc2 Rind Modulation (RING) - Ring modulates Oscillator1 with Oscillator2.
  • Envelope Attack wheel (ATT) - Envelope attack time (fade in) for the oscillator. Turn right for slower attack.
  • Envelope Decay wheel (DEC) - Envelope decay (fade out) for the oscillator. Turn right for slower decay.
  • Envelope Shape wheel - Changes the envelope shape from logarithmic (turn left) to linear (turn right).
  • Envelope Release wheel (REL) - Envelope release length of the oscillators (affects both the OSC1 and OSC2).
  • Output Level wheel (MIX) - The output volume of the oscillator. Higher output levels produce hard clipping useful for rim-shot sounds and similar effects.

Trigger Settings (TRIG)

Contains misc. patch settings and controls for envelope retriggering.

  • Voice Mode select - Voice mode for the current drum patch. The possible voice modes are: Mono - each trigger of this patch cuts the previous; Poly - polyphonic model, no voices are cut; Group 1/2/3/4 - four global (for the channel only) cut groups. If you select a group, each patch will cut itself and also cut any other patches with the same group setting.
  • Count wheel (COUNT) - Number of envelope retriggers to occur when playing the patch. Turn right for more retriggers.
  • Rate wheel (RATE) - Time between each trigger (turn right for slower trigger rate).
  • Trigger Decay wheel (DEC) - Decay (fade out) speed for each trigger (turn right for slower decay).
  • Tone Filter wheel (TONE) - Turn left to apply lowpass filter to the patch sound, turn right to use highpass filter.
  • Click Amount (WAVE) - Phase offset for the oscillators. The phase offset can be used add 'click' effect to the patch. Turn max to right for random phase offset on each patch triggering.

Morph Controls (MORPH TO)

You can morph the settings of any patch to the settings of another patch.
  • Morph To list - Shows a list of patches to morph to. The morphing uses the current settings of the patch you select, not the default settings.
  • Morph Amount wheel - Turn up to morph to the patch selected in the Morph To list.

Output Settings

  • MAIN OUT: Panning wheel (PAN) - Panning of the current patch.
  • MAIN OUT: Volume wheel (VOL) - Volume of the current patch.
  • SEND TO: Send Track LCD (NUM) - Selects the send effects track to send the patch output to.
  • SEND TO: Send Level wheel (LVL) - Send amount (volume) of the current patch.
  • Patches list - Shows the currently edited patch. Click the combo box to select another patch.
  • Hide/Show Keyboard switch - Shows/hides the testing keyboard and morphing controls.

Notes & Tips

  • Most properties of DrumSynth are read once for each triggered voice (drum note), so changing the properties of an already running voice has no effect.
  • A DrumSynth preset saves the entire drumkit, i.e. saves all "drum notes" at once in single preset.

Plugin Credits: Paul Kellett (engine), Frederic Vanmol (conversion), Didier Dambrin (interface)


GENERATORS

Fruity DX10

DEMO ONLY: Fruity DX10 comes as a demo version in FL Studio and needs to be purchased separately so you could save projects containing Fruity DX10 channels.

Fruity DX10 is 8-voice polyphonic FM synth and is designed for high quality (low aliasing) sound and low processor usage. This plugin is an enhanced version of Paul Kellett's DX10 FM synth.

Click the piano icon at the top right corner of the interface to show/hide the keyboard in Fruity DX10's interface.

Parameters

Misc Section

  • Wave Brightness (WAVE) - Turning the wheel to the right adds brightness to the generated sound.
  • Octave Shift (COARSE) - Use this wheel to shift the octaves of the synth.
  • Vibrato LFO Rate (LFO RATE) - Sets the speed of the vibrato effect.
  • Vibrato Amount (VIB) - Sets the vibrato amplitude amount (vibrato strength).

Amplitude Section

Contains controls to set the volume envelope of the sound

  • Envelope Attack (ATT) - Sets the attack (fade in) length of the synth.
  • Envelope Decay (DEC) - Sets the decay (fade out) length of the synth.
  • Envelope Release (REL) - Sets the release (fade out after key is released) length of the synth.

Modulation Sections

  • Coarse Tune (COARSE) - Use to set the modulation speed (pitch).
  • Fine Tune (COARSE) - Use to fine tune the modulation speed (pitch).
  • Modulation Velocity (VEL.SENS) - Sets the velocity of the modulation.
  • Pass Though (THRU) - Turn to the right to mix the modulation wave with the output (apart from modulation of the signal). This control is available only for the first modulator.
  • Amplitude Init (INIT) - The start amplitude of the modulation.
  • Amplitude Time (TIME) - Time needed for the modulation amplitude to reach the sustain level (see below).
  • Amplitude Sustain (SUS) - The sustain amplitude of modulation.
  • Amplitude Release (REL) - The time needed for the modulation amplitude to reach zero after key release.

Plugin Credits: Paul Kellett (original code), Frederic Vanmol (conversion), Didier Dambrin (interface)


GENERATORS

Fruity Granulizer

Fruity Granulizer is a generator plugin that utilizes the granular synthesis technology.

Granular synths split the wave sample into many small pieces ("grains"). Then those grains are played back according to the settings of the generator. The length and spacing of the grains can also be altered to achieve different effects.

Granular synthesis can be used to stretch a wave without altering its pitch and vice versa. It can be used to create lots of complex special effects. Since all of the parameters are automatable, you can even start with normal playback and then "morph" to some kind of effect.

Parameters

Grains Section

  • Attack wheel (ATT) - Sets the attack and decay length of each grain (i.e. fade in/fade out time). The time is added (twice - fade in and fade out) to the length of the grain.
  • Grain Hold wheel (HOLD) - Specifies the length of each grain.
  • Grain Spacing wheel (G.SP) - Controls the grain spacing in playback. Turn to right for greater spacing between played grains (slower playback). Turn to left for smaller spacing (faster playback).
  • Wave Spacing wheel (W.SP) - This parameter controls the amount of grains generated from the wave sample. This value ranges from -300% to 300%. Small values means more grains generated for the wave (smaller wave spacing). Using negative values for this property results in reversed playback of the grains (note that it is the grain playback order that's reversed, not the sound contained in each separate grain).
  • Sample Start wheel (START) - This wheel sets the position in the sample used when playing starts. When turned maximum to left, the sample starts playing from the beginning. Turn the wheel to right to start playing offset inside the sample.

Note: If you want to achieve normal playback, set both Grain Spacing and Wave Spacing to 100%.

Effects Section

  • Stereo Separation wheel (PAN) - The more you turn it to right, the more even grains are panned to right, and odd ones panned to left. To disable the effect, turn the wheel maximum to left.
  • Effect Depth wheel (FX.D) - This setting determines the amplitude of the LFO applied to the wave spacing value. Turn to right to increase the amplitude. To turn the LFO off, turn the wheel maximum to left.
  • Effect Speed wheel (FX.S) - This wheel determines the speed of the LFO applied to the wave spacing value. Turning to right makes the LFO faster, while turning it to left makes it slower.
  • Randomness wheel (RAND) - Applies randomness to grain playback. Turn the wheel to right to increase the effect. To disable the effect, turn it maximum to left.

Transients Section

The Granulizer plugin is aware of transients (either autodetected or processed from the sample if slices were loaded). When a grain crosses a transient, it's aligned to it & is set a new user-defined length. This gives better quality when stretching certain material, like drum-loops.

  • Hold - Sets the length or transient grains.
  • Switch - OFF: Transients are disabled; USE REGIONS: Uses the slices loaded from the sample, if any; DETECT - Autodetects transients, even if slice/region info is available in the sample.

Time Section

  • Loop switch - When turned on, the wave loops.
  • Hold switch - While pressed, the playing position won't change. It has the the same effect as if the wave spacing setting is set to 0% for a moment.
  • Key To - Maps keys to several different properties: Key to pitch: maps keys to pitch (default); Key to percent: keys from C5 to C7 correspond to 0%-100% start position for the sample. For example, to start the sample from the middle, trigger C6 key; Key to step: keys C5 & above offset the sample start with a step (C6 offsets 12 steps, C7 - 24 etc.); Key to transient: keys C5 & above trigger the sample starting from a specific slice.

Notes & Tips

  • Time stretching in the Sampler Settings has a special meaning for this generator. The sample will be stretched according to the settings, however, without altering its pitch.

Plugin Credits: Didier Dambrin


GENERATORS

Fruity Keyboard Controller

Fruity Keyboard Controller is a very useful internal controller plugin,which allows you to map notes and their velocity to any automatable property within FL Studio & the loaded plugins.

This plugin allows you to quickly implement Pattern Controlled Filtering (PCF), or accurate semitone-to-semitone slides for plugins which do not support natively such features (VSTi and DXi plugins).

The Keyboard Controller exports the following internal controllers:

  • Kb Ctrl - Note - The value of this controller depends on value assigned to each key via the Value for the Current Key parameter (see below).
  • Kb Ctrl - Velocity - The value of this controller depends on the velocity of the triggered notes.

Parameters

Mapping controls

  • Mapping Drop-Down Menu - Click the button with arrow icon to access the automatic mapping menu. You can map the controller values from 0 (min) to 1 (max) gradually though the entire currently selected region (see Keyboard View below). You can select to map only white keys or white and black keys.
  • Current Note Display - The LCD shows the currently selected note in the Keyboard View (see below).
  • Value for the Current Key - The wheel next to the LCD sets the value of the Kb Ctrl - Note controller for the current note. This parameter does not affect the Kb Ctrl - Velocity controller which uses the note velocity.
  • Release Switch - Turn this option on to set the Note controller to another value on key release.
  • Release Value - The wheel next to the release switch sets the value used after key release (only if the switch is turned on). The value is global for all keys.
  • Smoothing (Envelope Speed) - Sets the attack ("fade in") and release ("fade out") time of the controller. Increase the value of this property to create smoother transitions between the different values of the controller.

Keyboard View

The keyboard view is very similar to the preview keyboard you can see at the bottom of those channel settings pages: Function Settings; Misc Settings; Instrument Settings; Plugin Settings.

It is used to show the current key and set a range for automapping.

  • Current Key - The orange rectangle in the ruler above the keyboard view shows the currently edited key for the controller. Left-click any key to set it asa current key.

  • Key Region - The key region defines the area that is used during automapping. The first note in the region is set to the minimum value (0), while that last is set to the maximum value (1). The rest of the keys in the region are a transition between those two values. You can set the limits of the region by dragging its end points.

Notes & Tips

  • Mapping the keyboard controller to the pitch bend controller of native FL Studio synth properly (transposing), requires a range of 8 octaves + 1 semitone. The proper mapping is also present like a preset for the Keyboard Controller: To pitch bend (transposing).
  • If you need to map different range (+-12 semitones range for standard VSTi synths), do not forget you need to automap black & white keys, not only white.

Plugin Credits: Didier Dambrin


GENERATORS

Fruity Slicer

Fruity Slicer uses beat detection algorithms to slice up a wave file into pieces and then makes the slices accessible via the Piano Roll. If the loaded loop contains slices/regions they will be recognized and used instead of autodetecting them.

Fruity Slicer offers playback and reordering of the individual slices and time-stretching capabilities optimized for drum loops.

Parameters

  • BMP / BEATS controls - Sets the tempo (speed) and beats (length) the original loop is expected to be. Those settings are automatically set to the correct values if such information if embeded in the loop, otherwise Slicer will try to guess the loop tempo and length (the longer the loop, the less accurate the detection may be).
  • Open sliced beat groove button ( [image]) - Lets you import groove files (*.ZGR) created by BeatSlicer/BeatCreator. Note that the groove files do not contain the sample data, so if the Fruity Slicer doesn't find the corresponding wave file it will ask for the sample location as well.
  • Open and slice up a sample button ( [image]) - This button allows you to open a sample file (*.WAV, Recycle *.REX / *.RCY / *.RX2 etc.) and have it sliced up automatically.
  • Open beat slicer button ( [image]) - Let's you select the method used to slice the loaded loop:
    • Use Sample Built-In Slicing - Uses the slices loaded from the sample (if any). This is the best option as long as the loop is sliced properly.
    • Dull / Medium / Sharp Auto-slicing - Those three options perform auto-slicing of the loop with three predefined values for the slice thresholds (see the threshold knobs explained below). The slicing performed is rough/normal/fine respectively.
    • 1/6 Beat, 1/4 Beat ... Beat - Slices with the given measure regardless of the content (i.e. no slice autodetection).
    • None - The whole loop is treated as a single slice.
    • Zero cross check slices - If you hear click/pop artifacts while playing the slices, you can call this option after slicing the loop with any of the options above. This will snap the slice markers to the nearest zero crossing.
    • Open BeatSlicer - This will Sends the the current sample and groove file (if it exists) to the registered beat slicer (e.g. BeatSlicer or BeatCreator) for further slice editing and refinement. After exporting the new groove file in your beat slicer you need to reload the groove into the generator ( [image]).
  • Dump beat to piano roll button ( [image]) - Allows you to "dump" the beat to the Piano Roll (uses a time selection, if any) by writing a sequence of notes in it (each of them corresponding to a single slice). Click to see a list of available "dump" presets:
    • Normal - Writes the notes to match the beat length (adjusted to current tempo).
    • Reverse - As normal, however the sequence is reversed (each individual slice is still played forward).
    • Random - Each slice is placed on random location while preserving the loop groove and length. The sequence will be different with every call to the command.
    • Flatten (groove) - The loop groove is preserved (slice locations) however all slice locations are played with the first slice.
    • Shift Up / Shift Down - The groove is preserved but all slices are shifter up/down with one slice.
    • Quantize / Swing - As normal, however the timing is adjusted (quantized and swing).
    • Accentuate Beat - The first slice in each beat (beat as a measurement) is assigned a higher velocity.
    • Pitch Up Beat - Every slice which belongs in an odd beat (1-st, 3-rd etc.) is assigned a higher pitch.
    • Widen Stereo - The panning alternates between medium left panning and medium right panning for every next slice.
    • Crazy - The pan, pitch and velocity values of every slice are randomized (every time the values will be different).
    • Stutter (half) / Stutter Half - Each slice is broken into two pieces (half) or four pieces (quarter) to create a "stuttering" effect.
    • Original Length - Dumps the slices to the piano roll to match the loop's original speed (at the current tempo).
  • Pitch Shift slider (PS) - Allows you to offset the pitch of all slices, up or down (middle position = original pitch).
  • Fill Gaps slider (FILL GAPS) - Stretches the end of the slices to remove any gaps (when playing the sequence slower for example). The middle position means no stretch. You can match the stretching perfectly to the current project tempo if you right-click and select Autodetect.
  • Auto Dump switch - When enabled, Fruity Slicer will dump the sliced beat automatically after loading and when adjusting the loop's tempo/length.
  • Auto-fit switch - If enabled the loaded loop will the adjusted to fit to the current project tempo on load.
  • Play to End - When enabled, each slice plays to the end of the loop.
  • DeClick - Applies very small fade in/out amounts to the slices, only to remove click/pop artifacts.
  • Attack slider (ATT) - Applies a fade in effect to the slices. Push the slider to the bottom to turn off that effect.
  • Decay slider (DEC) - Applies a fade out effect to the slices. Push the slider to the bottom to turn off that effect.

Slices Preview screen

Shows the sample and the generated/imported groove (where each slice is separated from the rest with vertical red lines). If you hold your mouse over a slice in this area, the hint panel in FL Studio will show the corresponding note that triggers it in the Piano Roll and the Step Sequencer. Click a slice to play it and select it for editing in the Slice Properties view

Slice Properties view

Above the Slicer Preview screen you can see the selected slice and some of its properties.

  • You can click "REVERSE" to reverse that slice (every time the slice is played it will be reversed)
  • Click the drum name to select a name for the slice. The name is displayed in this plugin and in the Piano Roll (when "names" mode is selected).
  • Click the key value to assign this slice to a different key.

Slice Thresholds

These knobs (found at the bottom of the interface) define the low and high thresholds used during autoslicing (slice detection) of the loaded loop. Keep in mind that tweaking any of those options will cancel your previous setting (for ex. use built-in slices or slice per 1/2 beat etc.) and switch to autoslicing with thresholds based on those knobs.

Notes & Tips

  • The tempo of any (correctly sliced up) loaded loop will automatically be adjusted to the tempo of your song.
  • As you can access any of the slices in the loop in the Piano Roll you can easily rearrange the loop in any way.
  • You can apply an effect (pitch, volume etc) to each slice in the loop in the Piano Roll.
  • Be picky about the slicing. If the slice markers aren't positioned perfectly or if a slice marker is missing, don't hesitate to press open the loop in BeatSlicer ( [image] ) and fine tune the slice markers in BeatSlicer/BeatCreator. We can assure you that it will be well worth the small effort.

Plugin Credits: Didier Dambrin (Slicer plugin), Peter Segerdahl (BeatSlicer engine)


GENERATORS

Fruity Soundfont Player

DEMO ONLY: Fruity Soundfont Player comes as a demo version in FL Studio and needs to be purchased separately so you could save projects containing Fruity Soundfont Player channels.

Fruity SoundFont Player is an advanced sampler which can load SoundFont2 instruments/drumkits collections.

This plugin uses the LiveSynth SF2 rendering engine (for more information visit www.livesynth.com).

Parameters

  • Load SoundFont - This button is located in the top left corner of the interface. Click it and select a SoundFont2 instruments/drumkits bank file to load (*.SF2).
  • Edit SoundFont - This button is located in the top right corner of the interface. Click it to open the current SoundFont bank in a SoundFont editor to edit to instrument definitions. The first time you run this feature, the SoundFont player will ask you to browse and select a SoundFont Editor to be used for this button.
  • Patch LCD - Here you can set the patch (instrument) number in the SoundFont collection to be played by the generator.
  • Bank LCD - Here you can set the bank number in the SoundFont collection to be used by the generator.
  • Name - Shows the name of the selected instrument. Click this area to see a full list with instruments/drumkits available in the currently loaded SoundFont collection.

Reverb Section

This section gives you the ability to use a set of Fruity/VST/DX effects on a send track as a reverb effect for the SoundFont player instead of generator's internal reverb effect (which is generally with lower quality).

  • Send To LCD - Select here the send track number to use for reverb send effect.
  • Send Amount wheel - Use this wheel to add more or less reverb to the instruments (it multiplies the reverb amount for each instrument, so instruments with no reverb will remain with no reverb).
  • Use Built-in - If you turn on this option, the SoundFont player will use its built-in reverb effect instead of using FL Studio's send track.

Chorus Section

This section gives you the ability to use a set of Fruity/VST/DX effects on a send track as a chorus effect for the SoundFont player instead of generator's internal chorus effect (which is generally with lower quality).

  • Send To LCD - Select here the send track number to use for chorus send effect.
  • Send Amount wheel - Use this wheel to add more or less chorus to the instruments (it multiplies the chorus amount for each instrument, so instruments with no chorus will remain with no chorus).
  • Use Built-in - If you turn on this option, the SoundFont player will use its built-in chorus effect instead of using FL Studio's send track.

Envelope2 Section

You can use this section to override the volume envelope settings used in the SoundFont instrument. The four sliders represent the Attack (A), Decay (D), Sustain (S), Release (R) levels of the SoundFont envelope. Keep these slider maximum to down to disable overriding of the predefined values.

LFO2 Section

You can use this section to override the pitch LFO settings used in the SoundFont instrument. The three wheels represent the Predelay (DEL), Amplitude (AMT), Speed (SPD) levels of the SoundFont LFO. Keep these wheels turned maximum to left to disable overriding of the predefined values.

Misc Section

  • Send Amount wheel - You can use this wheel to override the cutoff level used in the SoundFont instrument. Keep the wheel turned maximum to left to disable overriding of the predefined cutoff levels.
  • Modulation - Turn this wheel to right to add modulation to the instrument.
  • HQ Rendering - Turn this switch on to get higher quality rendering.

Plugin Credits: Didier Dambrin (interface, conversion), LiveUpdate (LiveSynth SF2 engine)


GENERATORS

Fruity Vibrator

Fruity Vibrator adds vibes to your songs using any force feedback device present on your PC.

The plugin loads & maps .ffe effect files across the keyboard, & plays them back (with velocity).

Such .ffe effect files can be created using the Microsoft Force Editor tool (fedit.exe) that can be found in the latest DirectX Developer SDK.

You can find the DirectX Developer SDK here:

www.microsoft.com/directx/

Notes & Tips

  • For the best timing accuracy, the Enable MIDI output option in FL Studio must be switched on.
  • Force Feedback devices might take some time to warm up when playing effects, so you may have to trigger them a little ahead in order to have them synchronized with the music.

Plugin Credits: Didier Dambrin, Frederic Vanmol


MIXING & EFFECTS

Fruity Video Player

Fruity Video Player allows you to open and play video files synchronized with your song.

This is a very useful tool for those who need to synchronize a soundtrack with certain video content.

Keep in mind that FL Studio will not export the video you load, and the plugin can be used only for preview purposes. The audio is streamed into FL Studio like any other audio plugin, however to achieve best synchronization and quality for exported audio tracks, it is highly recommended to export the audio as wave file and use it like a regular audio track inside FL Studio.

Parameters

  • Browse Button - Click this button to browse and open a video file in the player.
  • Progress Bar - Shows the playback position of the video (the lit up section of the bar) and allows you to limit the video segment to be played from both sides (see the black handles over the progress bar).
  • Loop - If the video is shorter than the project you're working on, enabling this option will loop the video to fill the entire length of the project.
  • Aspect - Enable this option to preserve the original aspect ratio of the movie as you resize the window. Disabling it will fit the video perfectly in the window but may stretch it to an incorrect aspect ratio.
  • Mute - Enable this option to mute the video completely (no audio streamed in FL Studio).
  • Volume - Sets the volume of the audio track inside the video.

Plugin Credits: Duncan Fewkes, Frederic Vanmol


MIXING & EFFECTS / GENERATORS

Fruity Wrapper

Fruity Wrapper brings compatibility with Steinberg's VST2/VSTi plugins and DXi2 plugins (the screenshot above demonstrates Fruity Wrapper hosting Audio Simulation's DreamStation DXi2 plugin). For more information on those plugins formats, click here. For more information on installing and using 3rd party VST/DX plugins, click here.

The Fruity wrapper comes in 2 versions: effect & generator. While the effect version provides a complete support for both effects and generators, the generator version is more intuitive and fast to use as it doesn't require (but still supports) a MIDI Out channel to send note messages to the plugin.

Parameters

  1. Input/Output Port - Allows you to set the input/output MIDI port mapping for the hosted plugin (depending on the selection in the Additional Settings Menu, see below).
  2. Additional Settings Menu - Additional menu with plugin specific commands. This menu differs for VST2/VSTi and DXi plugins. See Additional Settings Menu below.
  3. Context Menu - The standard FL Studio plugin menu.
  4. Select a Plugin - This button allows you to replace the hosted plugin with another one.

Additional Settings Menu

The menu contains various plugin specific commands such as preset management, MIDI mapping and service functions. The commands are different depending on the type of plugin loaded in the wrapper.

Common commands

The following items appear for all plugins:

  • Show MIDI In Port / Show MIDI Out Port - These menu items let you display either the assigned MIDI input or output port (1) assigned to the plugin.
  • Reload Current Plugin - A quick way to reset the plugin to its initial state.

VSTi/VST2 commands

Most of the VST plugins come with a bank of factory presets called programs. Programs are defined inside the plugin, unlike presets saved as physical files (similar to the FL Studio state file (FST)), however they can still be redistributed in the form of Cubase FXB files (full program banks) and Cubase FXP files (separate programs saved as presets).

The default program bank is loaded with each instance of the plugin and its programs can be modified and renamed in the span of that specific plugin instance. Any changes to the plugin instance's programs or banks are saved in the FL Studio state files (FST) and FL Studio project files (FLP). Resetting the plugin (via using Reload Current Plugin) restores the original "factory" program bank defined for the plugin.

The commands in this section deal with managing plugin's bank of programs.

  • Allow Program Editing - The default behavior of FL Studio is to treat the plugin programs as "read-only", meaning that loading a program, modifying the plugin settings further and reloading the same program will not keep the custom modifications. Enable this option to allow program modifications for the current plugin instance much like how many other VSTi hosts operate.
  • Rename Program - Allows you to rename to currently active program. Allow Program Editing needs to be turned on for this command to be enabled.
  • Copy Program - Copies to currently active program to the clipboard. Allow Program Editing needs to be turned on for this command to be enabled.
  • Paste Program - Overwrites the settings of the active program with the program in the clipboard. Allow Program Editing needs to be turned on for this command to be enabled. The command will be disabled in the clipboard is empty (you need to copy a program first).
  • Import Cubase Bank/Preset - Allows you to import a standard Cubase bank (FXB) or preset (FXP) in the currently hosted plugin instance. A bank replaces all of the the programs for this plugin instance, while loading a preset replaces only the currently active program.
  • Export Cubase Preset - Allows you to export the current program as a Cubase preset (FXP).
  • Export Cubase Bank - Allows you to export the entire program library (including any additional loaded or modified programs in it) as a Cubase bank (FXB).

DXi commands

  • Use Big Buffers - FL Studio optimizes data flow and processing via using very small variable sized buffers. While the majority of plugins are completely compatible with such processing, some DXi plugins might cause problem. In this case enable this option so the wrapper provides a compatibility mode for the plugin.

Plugin Credits: Frederic Vanmol, Didier Dambrin


GENERATORS

MIDI Out

MIDI Out is a powerful MIDI output plugin, supporting 8 pages of 9 freely assignable controllers each.

Parameters

  • Channel - The MIDI output channel number. Generally channel #10 is the drum channel.
  • Bank - The patch bank number (MSB & LSB).
  • Patch - The patch (instrument) number. This parameter is automated. The combo box displays the name of the general MIDI instrument for the selected patch number. It may not match the current instrument if your device is not using a general MIDI mapping. For some devices, the patch number also selects the drumkit for drum channels.
  • Reset - Sends a reset (CC #121) message to your MIDI device, then updates all enabled controls. This switch is handy when you have disabled a control and you want its assigned controller to be reset by the MIDI device.
  • Page - The current controller page (right click to rename). Each page supports 9 freely assignable controllers (all automatable).
  • Controller Wheel - Each wheel represents a single controller. The unassigned wheels in each page are labeled with three dashes (---). Click the label to enable/disable the corresponding controller (all controllers are disabled by default). Right click a control to configure it (controller assignment, range etc.).

Notes & Tips

  • Though MIDI out was made to replace the (limited) MIDI channels in FL Studio 2.x, it isn't compatible at all. Older projects won't create MIDI out channels automatically.
  • Pan, filter cutoff & resonance per note (by the graph edit or the piano roll) is not supported - the MIDI standard only supports velocity per note.
  • There's no standard rule for mapping velocity values (0..127) to dB, so the level scale of MIDI channels might not fit the internal mixer levels.

Plugin Credits: Didier Dambrin


GENERATORS

Audigy MIDI Out

Audigy MIDI Out allows you to utilize the power of your Audigy MIDI synthesizer.

Parameters

  • Channel - The MIDI output channel number. Generally channel #10 is the drum channel.
  • Bank - The patch bank number (MSB & LSB).
  • Patch - The patch (instrument) number. This parameter is automatable. The combo box displays the name of the general MIDI instrument for the selected patch number.
  • Reset - Sends a reset message to your Audigy synthesizer, then updates all enabled controls. This switch is handy when you have disabled a control & want its assigned controller to be reset by the MIDI device.
  • Page - The current controllers page. Each page contains a specific group of settings for your Audigy synthesizer. The available pages are: Filter; Volume Envelope; Modulation Envelope; Modulation LFO; Vibrato LFO; Effects; Special.
  • Controller Wheel - Each wheel represents a single controller for the Audigy synth. The remaining free wheels in the page are labeled with three dashes (---). Click the label to enable/disable the corresponding controller. All controllers are disabled by default.

Notes & Tips

  • Pan, filter cutoff & resonance per note (by the graph edit or the piano roll) is not supported - the MIDI standard only supports velocity per note.
  • There's no standard rule for mapping velocity values (0..127) to dB, so the level scale of MIDI channels might not fit the internal mixer levels.

Plugin Credits: Didier Dambrin


GENERATORS

Plucked!

Plucked! is a Karplus-Strong plucked string generator.

Parameters

  • Normalize - Tries to make the decay the same for all semitones. Otherwise higher notes have a shorter decay.
  • Gate - Stops the voices abruptly when released. Otherwise the decay keeps going.
  • Widen - Enriches the stereo panorama of the sound.

Notes & Tips

  • Pitch bends are not supported for this generator.
  • The Piano Roll allows an offset on the decay & color per voice. While slides can be used to change the decay on the fly, the color works at trigger time only (i.e. they don't change as the voice is running).

Plugin Credits: Didier Dambrin

Thanks To: Perry Cook for his work on physical synthesis


GENERATORS

ReWired

ReWired allows you to host any compatible ReWire device in FL Studio, including sample accurate streaming audio input, synchronized transport and playback controls and MIDI data receive/transmit.

For more information, please see the Rewire Host Mode pages.

Plugin Credits: Frederic Vanmol


GENERATORS

SimSynth Live

DEMO ONLY: SimSynth Live comes as a demo version in FL Studio and needs to be purchased separately so you could save projects containing SimSynth Live channels.

SimSynth Live is the FL Studio plugin version of the widely popular SimSynth standalone created by David Billen.

SimSynth Live is modeled after the classic analogue synthesizers of the 80's and is capable of producing a wide range of instruments and effects: from strings and pads to deep bass lines.

The sound is created by three oscillators, filtered by a SVF section (State Variable Filter) and amplified by an ADSR envelope. The unit includes a programmable LFO section that can control some of the parameters in the oscillator and SVF sections. Finally you can filter the sound with a chorus effect to widen the stereo panorama of the patch.

Parameters

Oscillators Section (OSC1, OSC2, OSC3)

  • Oscillator ON/OFF switch - Each oscillator has a checkbox on its left that can be used to turn it on/off. An orange light indicates the oscillator is turned on.
  • Oscillator Waveshape selector - The selector is placed on the top of each oscillator. You can use it to select the wave shape used for synthesis: Pulse/Square – This produces a bright tone sounds. The pulse width can be adjusted with the PW knob (and can also achieve square oscillator shape); Saw – Produces bright tone sounds yet with different harmonics than Pulse/Square; Triangle – Produces dark tone sounds; Noise – Produces random white noise. The frequency range of the noise can be adjusted using the Frq knob where zero is white noise (full spectrum); Sine – This produces a very dark and pure tone. The sine can be varied from standard to the 4th power using the PW knob.
  • Pulse Width wheel (PW) – Adjusts the pulse width of the Pulse wave shape. This varies the harmonic content of the oscillator (technically it varies it from odd harmonics to all harmonics). It also affects the Sine wave shape - from standard sine to 4th power of sine.
  • Frequency wheel (CRS) – Offsets the frequency of the oscillator in semitones. Has a two octave range, from –12 to +12.
  • Fine Frequency (FINE) – Offsets the frequency of the oscillator in cents, (1/100-th’s of a semitone). Has a two semitone range, from –100 to +100.
  • Level wheel (LVL) – Sets the output level (volume) of the oscillator from 0 to 100%.
  • LFO Modulation wheel (LFO) – Specifies the amount of frequency modulation from the LFO unit. Has a two octave range, from –100% to +100%. Note that in order for the LFO to modulate around a tuned frequency, the CRS and/or FINE knobs must be adjusted to compensate for the variation.
  • Envelope Modulation wheel (ENV) -
    Specifies the amount of frequency modulation from the Amplitude Envelope. Has a two octave range, from –100% to +100%.
  • Mix One Octave switch (1) – Mixes additional wave in the oscillator (one octave higher). Adds an octave to the oscillator. Best used with the sine and triangular wave shapes.
  • Mix Two Octaves switch (2) – Mixes additional wave in the oscillator (two octaves higher). Best used with the sine wave shape.
  • Warm Oscillator switch (WARM) – Softens the oscillator sound by mixing a second wave with slightly detuned frequency (without variation).
  • Rind Modulation switch (Ring 1x2) – Ring modulates Oscillator 1 by Oscillator 2. This produces a "harsh" sound that was expensive with the older analogue synths.

Filter Section (SVF)

  • Filter Envelope Attack wheel (ATT) - The amount of time required for the envelope to go from zero to full when a new note is played.
  • Filter Envelope Decay wheel (DEC) – The amount of time required for the envelope to fall from full to the sustain level after the attack.
  • Filter Envelope Sustain wheel (SUS) – The level at which the filter envelope will sustain as long as a note is held.
  • Filter Envelope Release wheel (REL) – The amount of time required for the envelope to fall from the sustain level to zero after the note is released, or through being held.
  • Envelope to Filter wheel (ENV) - The amount of modulation of the filter envelope over the filter cutoff value (negative or positive). This amount is added to the existing cutoff value.
  • LFO Modulation wheel (LFO) - The amount of modulation of the LFO over the cutoff value (negative or positive). This amount is added to the existing cutoff value. Important: You must turn on the LFO unit first for this knob to have any affect.
  • KB to Cutoff wheel (KB) – The amount of modulation of the notes pitch over the cutoff values.
  • Track Amp switch (TRACK AMP) - This switch disables the filter envelope, and the Amplitude Envelope is used instead. The ENV wheel then controls the modulation of the Amplitude Envelope over the cutoff level. This makes editing easier when creating presets with identical filter and amp envelopes.
  • Cut Off Frequency wheel (CUT) – The base cutoff frequency of the filter, from 0% to 100%.
  • Filter Emphasis wheel (EMPH) – Also called resonance and Q. Emphasizes the frequencies near the cutoff. A little emphasis is useful for general purpose synthesis. A lot of emphasis sounds highly electronic and is useful for techno or special effects (together with cutoff frequency variations).
  • High Pass Frequency wheel (HIGH) – Sets the high pass frequency of the filter. Note that this knob reduces low pass output as high pass output is increased. Set to 50% to produce a notch filter.
  • Band Pass Frequency wheel (BAND) – Sets the band pass frequency of the filter. Note that this knob reduces low pass (or high pass as specified by the high knob), as band pass output is increased.

Amplitude Envelope (AMP)

  • Amplitude Envelope Attack wheel (ATT) - The amount of time required for the envelope to go from zero to full when a new note is played.
  • Amplitude Envelope Decay wheel (DEC) – The amount of time required for the envelope to fall from full to the sustain level after the attack.
  • Amplitude Envelope Sustain wheel (SUS) – The level at which the filter envelope will sustain as long as a note is held.
  • Amplitude Envelope Release wheel (REL) – The amount of time required for the envelope to fall from the sustain level to zero after the note is released, or through being held.
  • Volume wheel (LVL) – The overall volume of the audio output of SimSynth.

Low Frequency Oscillator Section (LFO)

  • LFO Waveshape selector - The selector is placed on the top of the LFO section. You can use it to select the shape used for oscillation: Square – Alternates between the max and min values; Saw – Falls gradually down to the min value then switches to max again; Triangle – Alternates gradually between the max and min values; Noise – Produces random values.
  • LFO Rate wheel (RATE) - The LFO speed.
  • LFO Delay wheel (DEL) - The amount of time required for the LFO to take affect after a note starts. It can be seen as fade in or attack time for the LFO.
  • LFO retrigger switch (RETRIGGER) - When selected, the LFO starts at zero when a note is played. Also, the delay (see above) begins with each note. When not selected, the LFO cycles continually for all notes.

Chorus Switch

  • Chorus switch (CHORUS) - When turned on, applies a chorus effect to sound. The chorus widens the stereo output by slightly delaying and modulating the frequency of the sound. It usually adds a nice, stereo touch to any preset - however, it can cause a side effect called "phase cancellation" which might not be desired.
  • Phase cancellation might cause problems with bass sounds, especially if they get mixed to mono and played through a subwoofer at some point).

Plugin Credits: David Billen (engine), Frederic Vanmol (conversion), Didier Dambrin (interface)


GENERATORS

Sytrus

Sytrus is a powerful and versatile synthesizer featuring 6 customizable operators for FM and RM synthesis, plucked strings synthesis, 3 SVF (filter) & distortion modules, effects module with chorus effects and 3 delay lines & unique programmable unison mode.

The rich implementation characteristics of Sytrus allow for an extremely wide range of sounds, including bass lines, bells, pads, drums, pianos, strings, organs and even entire drum and synth loops (in a single patch/note), made possible by the completely customizable envelopes supported by each module.

Basics of FM Synthesis and the Modulation Matrix

Working with Envelopes

The Main Module

The Operator Module

The Filter Module

The Effects Module

Notes & Tips to Patch Creators

Plugin Credits: Didier Dambrin


GENERATORS

Sytrus - Basics of FM Synthesis and the Modulation Matrix

Basics of FM Synthesis

Most of the software synths nowadays use subtraction synthesis - a spectrum rich oscillator (saw, square, triangle etc.) is processed with a low-pass, band-pass or high-pass resonant filter to produce the final sound.

FM (Frequency Modulation) uses another approach: additive synthesis. Pure tones (sine waves) are mixed and processed in a such way that additional harmonics are created and added to the signal to produce the final sound.

Unlike subsynths, the basic module of the FM synth is called an "operator". An operator includes a pure tone oscillator (sine wave) and an articulation section (at the basic level the articulation section is at least a simple ADSR volume envelope):

FM Synths contain 2 or more operators (Sytrus supports 6 operators). When an operator is connected to the input of another (see the modulator input in the diagram above), a pitch (frequency) modulation occurs. The modulating operator is called "modulator" while the modulated operator is called "carrier" (in Sytrus a single operator can act both as a carrier and modulator):

If the modulator has an extremely low frequency (as in the example on the left), the result is simply a vibrato effect on the carrier. High modulating frequencies however produce complex, rich sounds. The arrangement which defines how each operator interacts with the other (modulate, be modulated or simple mix) is called an FM synthesis algorithm. In Sytrus, the creation of an algorithm is made easy with the modulation matrix interface (see Modulation Matrix below).

Sytrus Implementation

Sytrus offers everything found in classic FM synthesizers and supports 6 operators and a modulation matrix where you can define the synthesis algorithm. Sytrus also includes a set of advanced features which allow you to create many unique sounds:

  • Custom Oscillator Shape - The oscillator shape of each operator can be tweaked in various ways, such as adding harmonics, morphing to other shapes than sine (square, triangle), pulse width, add noise etc. An operator can also be set to generate plucked string tones with fully customizable damping envelope, which can be indispensable for string and pads patches.
  • Ring Modulation - Sytrus operators can interact not only via FM (frequency modulation) and a simple mix, but also via RM (ring modulation). Ring Modulation is a process where the spectra of two input signals are multiplied together to produce another spectrum, often having characteristics qualitatively different than the input signals.
  • Support for Subtractive Synthesis - Sytrus includes 3 full-featured SVF (filter) modules which can be used to filter the operators' output. By combining both additive (FM/RM) and subtractive (SVF) synthesis techniques into a single product, Sytrus is extremely flexible and can produce a wide range of sounds without additional plugins and processing.
  • Effects Module - The Effects module in Sytrus offers a range of effects to touch-up the patch sound. Included are 3 delay lines (which can process in parallel or in serial mode) and a high-quality chorus effect to add depth to your Sytrus patches. Additionally the signal from the effects module can be sent to a mixer send track for additional processing.
  • Fully Customizable Articulation - The mapping diagrams, LFO and envelopes in Sytrus extend far beyond the simple ADSR volume envelope support. Each diagram and envelope state can be comprised of unlimited number of curve segments, and allow you to control pitch, volume, panning, velocity mapping, unison settings etc., thus allowing complex patch structure, including even programming whole drum and synth loops into a single patch/voice.
  • Programmable Unison Mode - Sytrus provides unison mode which supports sub-level voices, variable pitch, pan, volume and envelope variation. Uniquely, each property which can be targeted in the articulation sections of the modules can be mapped by the patch creator to the unison voices following 100% customizable mapping graphs, which allows practically every voice in the unison to have different properties (for more information, see the main module).

Note: If you intend to author your own Sytrus patches or modify the existing ones, it's recommended to check the Sytrus processing diagram. It describes in detail how the Sytrus modules are processed and mixed:

The same diagram is quickly accessible from a button on the Sytrus interface:

Modulation Matrix

The modulation matrix of Sytrus is where you setup the FM synthesis algorithm. Additionally the matrix contains the necessary controls to adjust the operator send levels to the effects and filter modules, panning and "dry" output level.

Each knob controls a certain function or mapping controlled by its value (explained below). The neutral position for each knob is the middle (Alt + left click to reset a knob to its neutral position). You can also right-click a knob for a quick mute/unmute while preserving the knob value (this feature is useful while you are testing and tuning a patch):

The matrix comprises of several discrete parts. Below we take a deeper look into each section and explain its usage:

Modulation Setup

The FM/RM section sets up the modulation algorithm of Sytrus.

Each row represents an operator and sets up which operators modulate it and how much. The knobs determine the amount of modulation, where if the value set is negative (turn the wheel on left) the modulation phase will be inverted. At the neutral level (Alt + left click a knob) no modulation occurs.

It is not required for an operator to be modulated to produce output.

Note: if you hesitate for the purpose of a knob in the matrix, simply rollover it with the mouse and check out the FL Studio hint bar.

Here are few very basic algorithms and their representation in the Sytrus matrix:

In these examples operator 1 is used as a carrier and the rest of the active operators are modulators. You can modulate an operator by itself (in example 3, row 2, column 2 - modulating operator 2 by itself) thus creating a feedback effect.

Notice that the carrier must be assigned an output, either a direct (as in the examples) or via the filter modules. For more information on the filters and output assignment, check the other two matrix sections covered below.

Sytrus also supports RM (ring modulation) interaction between the operators. To see and adjust the RM setup, click the FM/RM switch at the bottom of the matrix:

Please keep in mind the switch only affects the modulation setup section of the matrix, as the rest of the settings (pan, FX send, filter send etc.) are shared among the FM/RM setups.

Filter Send Levels

This section adjusts the amount of signal sent from each operator to the filter modules. Negative values will send inverted signal to the filter modules.

Sytrus includes 3 filter modules, and each row in the section represents one of them. If you want to send 50% of the operator 3 and 4 output to filter section 2, adjust the knobs as follow: in row F2 (filter section 2), adjust the knob in column 3 (operator 3) to 50%; in the same row adjust the knob in column 4 (operator 4) to 50%.

To reset a knob to a neutral position, hold Alt and left-click it.

Note that to hear the output of the filter sections, they need to be assigned an output. To learn more about this check the Pan, FX Send and Output section covered below.

Pan, FX Send and Output

In this matrix section you can define the panning, effects send amount, and output amount for each of the operators and the three filter sections.

The first column sets the panning of its corresponding module (operator or filter). The default position is centered.

The second column defines the amount of signal sent to the effects module. If you set this knob to a negative value, the signal sent to the effects module will be inverted. The default neutral position (middle) sends no signal to the effects module.

The third column defines the output amount for its corresponding module (operator or filter). Negative value sends inverted signal to the output.

IMPORTANT: Neither the operators or the filter modules in Sytrus make their output automatically audible. Instead, you have these choices to make the output audible:

1. Assign an output level for the module from this matrix section

2. Assign an effects send level for the module (the effects module is automatically send to the output).

3. (operators only) Assign the operator a filter send level via the Filter Send Levels matrix section (see above). The filter module you send to needs to "reach" an output on its own.

4. (filters only) Use the Send to Next knob level (please check the filter module page for more info).


o

GENERATORS

Sytrus - Working with the Envelope Editor

The envelope editor in Sytrus is where you adjust the articulation settings of a module: all envelopes, LFO and mapping charts. The envelopes in Sytrus are highly customizable and each map or envelope segment can be comprised of unlimited number of with customizable tension (acceleration). The articulator also combines the best of multipoint envelopes & the best of simpler ADSR envelopes via special section markers which make ADSR automation possible.

Common Functionality & Spline Editing

Although there are several types of envelopes and maps in Sytrus, they all share this common functionality:

Enable/Disable Switch

To use an envelope/mapping, you need to enable it first via turning on the LED at the bottom left side of the editor (see the screenshot above).

Load/Restore & Copy/Paste

Please check the placement of the load/restore button in the screenshot above.

The complexity of the Sytrus envelopes makes the save/restore feature a very handy tool for organizing a library of frequently used envelopes or complex shapes. Please notice that envelopes are previewed live in the editor as soon as you select a preset in the file open dialog box.

The menu also contains copy/paste commands to assist you in replicating an envelope to another property in the patch (however you can not paste one type of envelope to another - for example ADSR to LFO).

Common Settings

  • Freeze - Enable this switch to lock the envelope curve to its current setup. This feature is helpful after you finish with the changes to the spline structure of an envelope and want to protect it from accidental edits (it also hides the handles providing a clear view of the shape).
  • Step - Enable this option to set the editor in step editing mode - drag in the editor to create a "free hand" curve where a new control point is defined for every step in the timeline. Hold SHIFT key while dragging to draw "pulse" lines (straight vertical/horizontal lines only). Note that each new segment created this way uses the last tension set while adding a segment.
  • Snap - Enable this option if you want the control points to snap to the nearest step in the timeline while dragging.
  • Slide - Enable this option to preserve the relative distance between a dragged control point and all control points following it (this option is enabled by default).

Curve Editing

Here are several basic operations you can perform to edit the envelope/mapping shape:

  • Add a new Control Point - Position your cursor over the line until the add point cursor appears ( [image]). Right-click and a new point will be added.
  • Reposition a Control Point - You can drag the control points with your left mouse button. Hold SHIFT while dragging to lock vertical position or CTRL to lock horizontal position.
  • Delete a Control Point - Right-click a control point and select Delete. Alternatively hold ALT and left-click.
  • Change Segment Type - Sytrus offers three types of spline segments to select from. Right-click a control point and you will see three spline type options (the affected segment is the one preceding the control point): Single Curve - the default mode which allows you to create linear, ease in and ease out curves (depending on the tension); Double Curve - allows linear, ease in-out and ease out-in curves (depending on the tension); Hold - creates "hold" or "pulse" curves which are handy for creating abruptly value changes in your envelope.
  • Change Segment Tension (Acceleration) - You can drag the tension handle (see the screenshot above) of each spline up/down to change the spline appearance. Right-click the handle to reset to a straight line. Hold CTRL during adjustment to fine tune.

Envelope Sections (ADSR)

Some of the envelopes/mappings are divided into sections to provide classic ADSR (attack, decay, sustain, release) envelope functionality.

Sytrus uses special section markers (see the screenshot above) to mark the end of a section and the start of the next one. There are few markers available:

  • S (sustain): Marks the end of the decay section and the start of the release section.
  • L (loop): Marks the start of a sustain loop section, thus enabling you to define an envelope section to be repeated while a voice is sustaining.
  • D (decay): Marks the the start of the decay section.
  • DL (decay/loop): Combines the function of the D and L markers.

It's not required to use all or any of the provided markers. Without markers the envelope will be played once as a 'static' definition played once from start to finish for each voice. You can also use certain combinations as needed.

How to Add a Marker:

Right-click the control point where you want to set the section marker. From the menu select the marker you want to add. If the item you want to add is disabled make sure you're trying to insert the marker at the correct place (a sustain loop start can not be after sustain loop end, for example).

To make a DL marker, simply check both Decay and Sustain Loop Start entries in the right-click menu.

How to Remove a Marker:

Right-click the control point where the marker is placed and uncheck the item representing the marker name.

Keep in mind that removing some markers might make another marker(s) pointless, so they are removed automatically as well (if you remove the sustain loop end marker, a sustain loop start marker would not have a purpose).

Envelope/Mapping Types

There are few types of envelopes/mappings which define the articulation of a specific property: ENV, LFO, KEY M, VEL M etc. (the only exception, WS /waveshaper/ in the filter module is also covered below):

ADSR Envelope (ENV)

This is a "classic" ADSR envelope plus the possibility to define a sustain loop section & the power of unlimited spline segments to refine the various envelope sections as you need.

Besides the editable envelope curve, the envelope also provides the regular envelope level controls, so you can lock the curves and still adjust some basic aspects of your envelope. All values are applied relative to the curve defined in the editor:

  • Attack (ATT) - Defines the attack length/speed.
  • Decay (DEC)- Defines the sustain section length/speed.
  • Sustain (SUS) - Defines the sustain section slope ("decay" amount).
  • Release (REL) - Defines the release length/speed.
  • Tempo - This switch lets you determine whether the envelope length is relative to the project tempo (changes with tempo) or absolute in time.
  • Global - Enable this option to use global envelopes. The envelope of all notes (including those already playing) restarts as each new note starts playing (so all notes share the same envelope). This is useful for making perfectly synchronized gated presets and some special effects.

Note: While adjusting one of those properties you can see a preview of the effect of the knob value on the envelope shape. However once you release the mouse key the envelope is restored to its previous view. The knob still has its effect, though it is not reflected in the curve to avoid distortion and to make editing easier.

For more information on the available envelope sections (attack, decay, sustain, sustain loop, release) and how to define/remove a section marker, please check the Envelope Sections (ADSR) paragraph above.

Low Frequency Oscillator (OSC)

This unit allows you to vary the controlled property with an LFO. The LFO also includes a full envelope to define its strength in time.

The secondary blue curve you can see behind the envelope is a preview of the LFO "in action" as with the applied envelope, shape speed and settings.

The following knobs are additionally available for this unit:

  • Speed (SPD) - Defines the LFO speed.
  • Tension (TENS) - Defines the LFO curve "tension" - basically this parameter lets you morph the LFO shape from triangular through sine-like to pulse-like (square) shape.
  • Skew (SK) - Defines a balance between the odd/even splines in the LFO visible as shape 'skew'.
  • Pulse Width (PW) - Sets the pulse width, i.e. basically the balance between the first and the second half of the LFO phase.
  • Tempo - This switch lets you determine whether the envelope/LFO speed is relative to the project tempo (changes with tempo) or absolute in time.
  • Global - Normally the LFO envelope is started from the beginning for each voice ("local" LFO) . If this option is enabled, the envelope is "global" and thus stays in the sustain state without restarting for the whole duration of the song.

Mappings - Key M, Vel M, Mod X, Mod Y, Rand, Uni

The mapping units let you map the value of the controlled property to the values of another property (keyboard key, velocity etc.).

The mapping is basically a single continuous curve where the horizontal direction represents the values of the source property used for mapping - min>max = left>right, and the vertical direction represents the values of the controlled property (articulation target) - min>max = bottom>top. By defining the mapping curve you define how the horizontal positions are related to vertical positions, this way mapping the source property to the controlled property.

You can notice a brighter vertical line in the graph - it represents the current value of the source property used for mapping (or the default value, if current is unavailable /such as with velocity/).

The Sytrus graphs cover several mapping sources:

Keyboard Mapping (KEY M)

With keyboard mapping you can define how the controlled property is offset depending on the keyboard key (note) pressed to generate a voice. At the bottom of the graph you can see the keyboard range (the highlighted range matches the range displayed by the integrated Sytrus keyboard).

Velocity Mapping (VEL M)

With this graph you can define how the voice's own velocity value relates to the controlled property.

Modulation X/Y (MOD X and MOD Y)

These two graphs allow you to map the values of the integrated X/Y controller (you can find the X/Y Controller in the main module of Sytrus) to changes of the controlled property.

Random Mapping (RAND)

The random mapping lets you define the amount of randomization to the controlled property (one random value per voice is generated). This can be useful to simulate a live performance or the slight innacurracy of old analogue synths.

A random floating point number is selected for each voice, in the range of 0% to 100%. The curve lets you define how the random number relates to changes in the controlled property. So the more curve "dots" there are there for a certain vertical position, the greater the chance is this value will be selected by the random generator, thus allowing you to fine tune the behavior or the random generator and effectively defining the "chances" for certain values to be be selected for each voice.

Unison Mapping (UNI)

This mapping is used by the unison feature of Sytrus (see the main module for more information on the unison mode) and it has effect only if the unison mode is enabled for the current patch.

The unison mode works by triggering a user-defined number of subvoices with altered properties for each actual voice in your sequence. The unison mapping lets you define how the controlled property varies across each of the subvoices inside the unison.

By default the unison uses only its global variation levels (if enabled) as specified in its global settings. But defining a mapping curve in this unit you are given a much greater control over which property, in which module is varied and how exactly it varies.

WaveShaper Mapping (WS)

This is the only articulated property defined with a single mapping and is available in each of the filter modules. The curve basically defines how the signal is distorted by the waveshaper features in the filter modules - the original input levels and how they relate to the processed output levels.


GENERATORS

Sytrus - The Main Module

The main module contains some global settings of the current patch and provides the less experienced users with easier to use global filter and volume envelope levels, thus allowing them to adjust the existing patches to their preferences even if they don't have experience in programming FM synths.

Master Levels

  • Master Level (VOL) - Sets the master volume level of the patch.
  • Master LFO (LFO) - Sets the master LFO influence level. Notice that the property range is -128 to 128, so to effectively disable all the LFO-s accross the patch, position the slider at the middle (or Alt+click to reset to the neutral value).
  • Master Pitch (PITCH) - Sets the master pitch of the patch. The range of this property is -2 octaves to +2 octaves (to use the original pitch, position the slider in the middle or Alt+click).

Global Volume Envelope Levels

These properties allow you to define global offsets to the volume envelopes of all modules in the patch.

  • Attack (ATT) - Defines the attack length/speed.
  • Decay (DEC)- Defines the sustain section length/speed.
  • Sustain (SUS) - Defines the sustain section slope ('decay' amount).
  • Release (REL) - Defines the release length/speed.

Global Filter Envelope Levels

These properties allow you to define global offsets to the cutoff/resonance filter envelopes in the patch.

  • Attack (ATT) - Defines the attack length/speed.
  • Decay (DEC)- Defines the sustain section length/speed.
  • Sustain (SUS) - Defines the sustain section slope ('decay' amount).
  • Release (REL) - Defines the release length/speed.

Unison Mode

The highly customizable unison mode is a great feature of Sytrus which allows you to quickly add depth and texture to even simple sounds.

Unison works by triggering a user-defined number of "subvoices" for each actual voice in your sequence. Each subvoice can have slightly varied panning, volume, pitch, phasing etc. which generates a softer sound with rich stereo panorama.

The global unison settings are:

  • Unison Order (ORD) - Sets the number of voices in the unison (drag up-down). Drag down until the indicator dissapears to turn the effect off (default).
  • Unison Mapping (PN) - Sets the panning variation accross the unison voices.
  • Unison Volume (VL) - Sets the volume level variation accross the unison voices (the closer to the center a voice is, the louder it is).
  • Unison Pitch (PT) - Sets the pitch variation (detune) accross the unison voices.
  • Unison Sub-Level (SB) - If this parameter is set higher than zero, a duplicate for each unison voice is created, with a pitch offset of -1 octave. The parameter sets the volume of the sub-level voices.
  • Unison Phase (PH) - Sets the initial oscillator phase variation accross the unison voices.
  • Envelope variation (EV) - Sets the amount of variation added to the attack and decay of the filter cutoff, resonance and volume envelopes of each unison voice.

Additional to the global settings in this section, unison is completely programmable via the unison mapping available in the articulation section for each module.

You can load several presets for the unison settings by clicking the Options button on the Sytrus interface ( [image]) and pointing to the unison submenu.

Note: Keep in mind that unison triggers actual voices instead of simulating the effect via processing an audio signal (such as the available chorus effect in the effects section). The polyphony of Sytrus in unison mode is multiplied by the number of unison voices (in the case of sub level higher than zero, additional copy of each subvoice is generated). This can take a lot of CPU if not used carefully, so use unison mode with moderate number of voice and try to use the integrate chorus effect if you don't want to use any of the advanced features of the unison mode.

Modulation (X/Y Controller)

The modulation interface represents two adjustable controllers (horizontal and vertical direction). These controllers have no standalone effect over the patch sound and parameters. They are provided only by mean for easy control of key properties by mapping their values to certain controllable parameters in the articulation section for each of the modules.

You set the values of both controllers by dragging inside the controller screen or via directly adjusting the knob values provided for the X and Y values.

You can also set the initial Mod X/Y values for each individual note via the Piano Roll properties (in the note properties menu you will find two additional entries: Mod X and Mod Y).

The Smooth option can be enabled if gradual smooth changes are preferred over quick changes for the linked properties and articulators.

For more information on the Mod X/Y mappings, check the envelope editor page.

Equalizer (EQ)

Sytrus includes a parametric 3-band equalizer, which can filter the effects module signal and/or the output signal.

  • Scheme Selection (LED check boxes) - Allows you to select how the equalizer is processed in the synth's mixing chain. OFF: disables the equalizer; OUT+FX: Filters both the effects module signal and the main output signal; OUT - Filters only the main output signal; FX - Filters only the FX module signal;
  • Equalizer Bands - The equalizer has 3 bands with adjustable range and frequency. The first band is low shelf, the second is peaking band and last is high shelf. Using these three bands you can achieve all basic flavors of frequency filtering you may need - low pass, high pass, band pass, peaking, notch filter, bass boost etc.
  • Frequency Knobs - These knobs let you adjust the frequency of each corresponding EQ band (turn to right to increase frequency).
  • Range Knobs - These knobs let you adjust the range (width) of each corresponding EQ band (turn to right to increase band range). Bands with wider range have more impact over the filtered signal.

Misc Settings

  • Random - This option enables the random mapping in the articulation sections of each module (see the envelope editor page for more information on random mapping). If you use slight property variations via random mapping to introduce more innacurate performance (to simulate a live performance or the slight innacurracy of old analogue synths), this option allows you to quickly turn the randomness off and get "perfect" output without braking your settings.
  • Mono Key - Enable this option to limit the number of voices per key to one (unison voices are still generated if unison is enabled). Depending on the kind of patch created it may be more appropriate to leave this option on or off. For example, you might want to turn it on for a guitar patch, and leave it off for a pad synth patch.
  • Soften - This feature allows Sytrus to apply softening filter to the attack of voices with velocity less than the default (100 for MIDI input/importinput/import). Turning the knob to right increases the effect while turning it max to left disables this feature.
  • Global Pitch - Enable this option to make the pitch articulation of Operator1 global, so that all other operators use it as a base from which to offset their own pitch settings.
  • Center - Enable this switch to remove the DC offset from the final Sytrus output. This switch needs to be enabled of DC offset is present which affects the sound quality.

Quality Settings

The quality settings are split into two sections - draft (real-time) and rendering, thus allowing you to optimize Sytrus for real-time performance and for high-quality output during rendering.

  • HQ Envelopes - Increases the envelope accuracy at the cost of higher CPU usage. In many cases turning this option is not needed, as the default quality proves sufficient for most settings.
  • Interpolate - Enable this option to interpolate the operator shapes. Since the shapes are defined with high detail, this option can have little effect on the overall output quality, however it might improve quality of an operator used at very low frequency (for example as a modulator to produce vibrato effect on the carrier). It is recommended to leave this option off for draft performance and on for rendering time.
  • Oversampling Factor - Enable oversampling to increase the accuracy of the Sytrus rendering engine thus smoothing out potential aliasing and interference problems. It is recommended to use oversampling only during rendering, unless the patch complexity and your CPU allow for higher quality real-time performance. Note: oversampling might sligtly alter the sound of the FM feedback and the filter sections in some cases, so it's advised to test how your patch sounds with oversampling in realtime if you plan to use oversampling for your final output.

Info / Comments

In this area you can the patch name, author name and any comments on the patch usage (such as X/Y controller usage, recommended patch usage etc.)


GENERATORS

Sytrus - The Operator Module

The operator modules are the core of the Sytrus engine. Here the operator shape and pitch are defined, and the module supports full articulation section (envelopes & mappings of volume/pitch/phase etc.)

Oscillator Settings

Harmonics

This graph allows you to enrich the operator shape with frequencies that are harmonic to the operator base frequency (x2, x3, x4 etc. the base frequency). After the mix is calculated, the shape amplitude is normalized to 100%.

The first row sets the amount of harmonics mixed with the shape (order increases from left to right). Left-click and drag inside the row to add harmonics to the shape. Right-click and drag to draw 'lines' inside the graph. Alt+click to reset the harmonics levels to neutral position.

The second row sets the harmonic phase. These parameters have meaning only if the corresponding harmonic has a level higher than 0.

Shape Preview

The shape preview shows the shape after it is being processed with the harmonics and modifiers and contains 3 switches on its top (from left to right):

  • Half - Uses only the first half of the shape phase in the sound generation.
  • Even - Each odd phase of the shape is rendered silence.
  • Absolute - The shape values are made absolute (only above the middle line).

Shape Modifiers

The modifiers are a set of parameters which can help you in adjusting the operator shape to suit your needs. Alt+click a modifier to reset it to its default level:

  • Shape (SH) - Allows to morph the shape to sine, triangle and pulse (via the other modifiers you can also achieve saw and other shapes).
  • Tension (TN) - Sets the tension (distortion) of the base operator shape.
  • Skew (SK) - Allows you to "skew" the base operator shape.
  • Sine Shaper (SN) - Applies a transform which is useful for certain patch types (such as bells).
  • Pre-Filter (FL) - Applies a smoothing (low-pass) filter to the shape. This can reduce potential aliasing artifacts but makes the sound less bright.
  • Noise (NS) - Adds a real-time noise to the filter shape. This can be useful with plucked mode (which requires rich spectrum) and drum/percussion samples.

Pitch Offset & Multiplicator

Here you can set the base pitch of the operator. Position the cursor over a digit from either display and drag up/down.

  • Frequency Offset allows you to adjust the pitch as an absolute offset in Hz.
  • Frequency Ratio is a multiplication over the base pitch. The default value is 2. To increase the pitch with an octave, multiply by 2 (x2, x4, x8, x16 etc). To decrease with an octave divide by 2 (x1, x0.5, x250 etc.).

Misc Settings

  • Phase (PHS) - Sets the initial phase offset for the operator when a voice is started (or global offset, depends on the next option).
  • Global - Enable this option to use a "global" phase for the operator in all voices (i.e. sync the phase between all voices for the operator).
  • Declick - Applies a special filter to avoid clicks when starting a voice (useful for operators with sharp attack).
  • Center - A DC offset removal.
  • Plucked - Plucked mode turns the operator into a plucked string simulation unit. The unit basically starts with the original spectrum as set by all harmonics and modifiers then a gradual "damping" occurs which filters that spectrum to a sine wave with the pitch value of the operator. For this mode to work it is recommended to start with a spectrum rich operator (if you start with a simple sine there is no audible effect). The damping amount is controlled via the DAMP articulation target (see articulation below). Note that an operator in plucked mode can not be frequency modulated (FM) by other operators, so its FM row in the matrix will be disabled while plucked mode is on (however ring modulation /RM/ is still available).
  • Volume (VOL) - Sets the operator volume. The modulation levels in the matrix can not be automated, however this volume property has the same effect for modulators and can be automated.
  • Pitch Envelope/LFO Amount (PE) - This property sets the range the pitch articulators operate with (the default value is 12 semitones).

You can copy all the settings defining the oscillator and paste them tko a different operator by using the Copy/Paste Oscillator Settings command in the Options menu ( [image]). The menu also contains the Reset Oscillator Settings in case you need to quickly revert all oscillator settings to their default position.

Articulation Section

The articulation section allows you to apply an envelope, LFO, map keys, velocity or unison mode voices to a set of predefined properties. To see the full list of envelopes/mapping in the articulation section and their meaning, please check the envelope editor page.

The filter mode supports the following articulation targets (controlled parameters):

  • Panning (PAN) - Sets the operator output panning (graph bottom = left panning, graph top = right panning).
  • Volume (VOL) - Sets the operator output volume (graph bottom = no output, graph top = maximum output).
  • Modulation Influence (MOD) - Defined the amount of 'influence' other operators (as modulators) can have on the current operator (graph bottom = no modulation, graph top = maximum modulation).
  • Pitch Offset (PITCH) - Sets an offset to the operator base pitch (graph bottom = -100% offset, graph top = +100% offset).
  • Phase Offset (PHASE) - Sets an offset to the operator phase (graph bottom = -100% offset, graph top = +100% offset). If you vary the phase via the LFO articulation unit, the result is a vibrato effect.
  • Plucked Damping (DAMP) - This target has effect only if the plucked strings mode is enabled for the operator. This envelope/mappings set controls the plucked string dampening amount (graph bottom = 100% dampening, graph top = no dampening).


GENERATORS

Sytrus - The Filter Module

The filter module is a full-featured SVF (state variable filter) section with complete articulation section allowing you full control over the filtering parameters. The module also includes a waveshaping distortion with customizable mapping.

The SVF filter is capable of handling 3 filter modes simultaneously - low-pass, band-pass and high-pass.

Settings

Filter Mode

Here you can select the filter mode to be used. You can select between several dB ranges starting with 12dB up to 36dB.

Common Filter Settings

These settings control some common aspects of the filter (cutoff, resonance etc.)

  • Cutoff LFO/Env. Amount (ENV) - The influence amount of the cutoff LFO/Envelope articulation section over the cutoff value. Turn maximum to left to practically disable the cutoff articulation.
  • Cutoff (CUT) - The filter frequency for the filter (this setting affects all three output of the filter - low, band and high).
  • Resonance (RES) - The resonance or "sharpness" of the filter (this setting affects all three output of the filter - low, band and high).
  • Flatter Resonance (FLAT) - Enable this option to make the filter resonance sound similar to other non-SVF filters.
  • Double Quality (HQ) - Improves the filter quality. This option is primarily needed when operating at sample rates or 44kHz or less and using the high-pass result of the filter.

Low/Band/High Levels

Each slider controls the output amount of one of the filter modes: L: low-pass, B: band-pass, H: high-pass.

By default, the low-pass level is set to maximum while the rest are muted.

WaveShaper Settings

Each filter module includes an optional waveshaper distortion. This distortion maps the input signal amplitude to another amplitude based on the waveshaper mapping (check in the articulation section below).

To enable the effect, turn on the Enabled LED.

  • Preamp (PRE) - Allows you to increase the amplitude levels of the signal before it is processed with the waveshaping distortion.
  • Mix Level (MIX) - Sets the mix balance between the unprocessed and distorted signal.

Send to Next

This knob allows you to send the audio processed by the current filter module to the next one.

The feature is available only in the first 2 filter modules.

Articulation Section

The articulation section allows you to apply an envelope, LFO, map keys, velocity or unison mode voices to a set of predefined properties. To see the full list of envelopes/mapping in the articulation section and their meaning, please check the envelope editor page.

The filter mode supports the following articulation targets (controlled parameters):

  • Panning (PAN) - Sets the filter output panning (graph bottom = left panning, graph top = right panning).
  • Volume (VOL) - Sets the filter output volume (graph bottom = no output, graph top = maximum output).
  • Cutoff (CUT) - Offsets the cutoff levels for the filter (graph bottom = -100 offset, graph top = +100 offset).
  • Resonance (RES) - Offsets the resonance levels for the filter (graph bottom = -100 offset, graph top = +100 offset).
  • Low-pass, Band-pass, High-pass Levels (LOW, BAND, HIGH) - Sets the output volume of the corresponding filter mode (graph bottom = no output, graph top = maximum output).
  • WaveShaper Mapping (WS) - This is the only articulation target without a full set of envelopes, LFO etc. - since this is simply a map describing the relation between the input audio amplitude and the waveshaper processed signal. The horizontal direction represents the input levels (left>right = min>max) while the vertical direction represents the output levels (bottom>top = min>max).
  • WaveShaper Mix Level (WMIX) - Sets the output volume of waveshaper processed signal (graph bottom = no distortion mix, graph top = maximum distortion mix level).


GENERATORS

Sytrus - The Effects Module

The effects module offers high-quality chorus effect, 3 delay lines which can process either in parallel or in serial and the possibility to send the module output to a mixer send track for further processing.

Settings

Panning (PAN)

Allows you to pan the signal before it is processed by the effects.

Chorus Effect

The chorus effect enables you to enrich the stereo panorama and depth even for simple patches. It can also be used as a less CPU-intensive alternative to the integrated unison mode (see the main module page), if you don't need to use any of the advanced unison features, such as sub-level voices, custom parameter mapping etc.

  • Order (ORD) - Sets the number of "stacked" flangers to be used for the effect. Using more flangers makes the effect smoother and richer. Drag the screen down until the indicator disappears to disable the effect.
  • Depth (DP) - Controls the "chorus depth" (amplitude of pitch oscillation for each of the stacked flangers).
  • Speed (SP) - Controls the flange speed (speed of pitch oscillation).
  • Delay (DL) - Variable amounts of delay can be applied to each of the stacked flangers. Use this parameter to define the overall amount of delay applied.
  • Spread (SR) - Each flanger is assigned a different speed, depth etc. in a range defined by the basic properties provided for the Chorus effect. Increase the SPRD value to "smooth" the spreading of the stacked flangers across the parameter ranges.
  • Chorus Stereo Cross (CR) - This parameter applies a stereo cross mix between the left and right channel audio output of the Chorus effect. Increase the parameter value to mix more of the left channel sound in the right one and vice versa. The parameter has range of -128 to 128. Negative values mix inverted sound in the opposite channel.
  • Chorus Level (VL) - Determines the level of the processed signal into the overall mix.

You can load several presets for the chorus effect by clicking the Options button on the Sytrus interface ( [image]) and pointing to the chorus submenu.

Send Track Settings

Here you can select a mixer send track and send level if you want to send the signal to a track for further processing.

Select the send track number from the LCD (NUM) and adjust the send level (VOL).

Delay Line Settings

The effects module includes 3 separate delay lines (echo) which can process either in parallel or in serial.

To see the settings for each delay line, select one via the D1/D2/D3 switches.

To enable the effect, turn on the Enabled LED.

  • Delay Feedback (FB) - Sets the feedback volume. Setting this to maximum will create feedback that never fades out, while setting it to minimum will result in no feedback.
  • Delay Time (TM) - Sets the signal delay time (and amount of time between echoes in the feedback).
  • Delay Stereo Offset (SO) - Lets you set a time offset for the left or right audio channel, thus creating richer stereo panorama of the delay effect. To delay the left channel, use a negative offset value. To delay the right channel, use a positive value.
  • Delay Volume (VL) - Sets the delay line output. Keep in mind this parameter has a range of -128 to 128 - to decrease the delay volume, position the slide near the middle. Negative values produce echoes with inverted signal (phase).
  • Delay feedback Mode (NORMAL, INVERTED, P.PONG) - Sets the feedback stereo mode. Normal preserves the original stereo, Inverted swaps the left and right channels once, Ping Pong swaps the left and right channels for each successive echo.
  • Tempo Based (TEMPO) - Enable this switch to make the delay speed tempo based rather than absolute in time.
  • Serial Processing (SERIAL) - Enable this switch to feed the next delay filter with the output of the current delay (thus processing in serial as opposed to independent parallel processing). Only the first two delay effects have this option.
  • Enabled (ENABLED) - Turn this switch on to enable the current delay line.

Articulation Section

The articulation section allows you to apply an envelope, LFO, map keys, velocity or unison mode voices to a set of predefined properties. To see the full list of envelopes/mapping in the articulation section and their meaning, please check the envelope editor page.

The filter mode supports the following articulation targets (controlled parameters):

  • Panning (PAN) - Sets the module panning (graph bottom = left panning, graph top = right panning).
  • Volume (VOL) - Sets the module volume (graph bottom = no output, graph top = maximum output).


GENERATORS

Sytrus - Notes & Tips to Patch Creators

Recommendations for Patch Authoring

Please check the following rules to ensure that the patches you make are immediately usable, merge with the other presets, & don't spend a lot of CPU power when it can be avoided at no quality loss:

  • It is recommended to copy/paste the details text from the Default preset. The provided layout and colors are easy to read and provide a common format for the details text in all patches.
  • Patch filename: try to put a category name before the patch name, otherwise you will get some presets with a category & some others without. Example: "Piano - rhodes.fst".
  • Don't leave knobs in the matrix active if they are not to be used. For example, if a filter is not used, it should not have an output level.
  • Envelopes: pay attention to the sustain point, it is the most important part of the ADSR envelope. A voice stops when all of the envelopes have completed their release part. The envelope section after the sustain point is important and it is recommended that all of the operators & FX should match it.
  • When previewing your patch, try to press a key for a very short time, & see if it still releases properly (if there is a problem, you will hear a "lag" in release response even if you don't use long release time). If not, an articulator inside your synth is holding the voice active, try to find it and adjust it accordingly.
  • For patch sounds like bells or drums, if a voice needs to act like a "one shot" regardless of the voice length, you can duplicate the part before the release section after the release section (if a voice is released instantly, the release section is used, otherwise the sustain section is used, yielding identical results in either case).
  • Pay attention to possible DC offset. If your patch causes a DC offset, switch the "center" option on for the oscillator(s) that cause that effect.
  • Pay attention to keyboard mapping. With FM synthesis you might need to check if higher notes produce aliasing, & reduce the modulators levels using the keyboard mapping if needed. The last key you've pressed shows in the keyboard mapping editor.
  • To increase usability of the preset, always try to give a use to the integrated X/Y Controller (Mod X/Y) and explain what each direction means, as in the included presets.
  • Chorus/unison : do not set Order to max, if 4 or 5 sounds the same or similar enough. This is especially true for the unison effect, where with the increase of order, more and more actual voices are generated and mixed together to produce a single voice in your sequence (order 6 = 6 subvoices per voice) which substantially increases CPU usage for your patch. If sublevel is used, then additional set of voices is generated.
  • Aliasing: try to avoid aliasing using normal means, before using the oversampling feature: 4x oversampling = 4x more CPU usage.
  • Shapes: try to avoid using custom shapes for more than 2 or 3 operators (unless the specific patch requires it). Due to the serialized processing, it matters for the cache, thus to the CPU usage. Try to keep at least 3 oscillators as pure sines, so that they are shared.

Other Tips

  • If you want to start a patch from scratch, load the Sytrus preset named Default. All controls in this preset are reset to their default state.
  • Always ensure the oscillator has rich spectrum if you are going to use it in plucked string mode. The best way to ensure that is to add good amount of noise via the Noise modifier.
  • You can use a modulator with very low pitch as a vibrato effect on the carrier.
  • If you don't use the advanced features of the unison mode, you can try using the chorus effect in the effects section instead and save some CPU power.


GENERATORS

Wasp

DEMO ONLY: Wasp comes as a demo version in FL Studio and needs to be purchased separately so you could save projects containing Wasp channels.

Wasp is a 3-oscillator synth with 2 LFO's and 2 ADSR envelopes, a ring modulator, FM, PWM and a distortion unit.

Parameters

Filter Section

The Filter section is located on top left.
  • Cutoff (CUT) - Adjusts the Filter cutoff frequency. The keyboard track ("KB TRACK") button makes the cutoff frequency dependent on the actual note played - higher notes mean higher cutoff, lower notes means lower cutoff.
  • Resonance (RES) - Adjusts the Filter resonance.
  • Envelope Amount (ENV) - The amount the filter cutoff frequency is affected by the Filter ADSR.
  • Filter Type - The 6 green buttons select the filter type. LP[fat] = 24 dB Lowpass Filter, LP+NOTCH = 12 dB Lowpass + Notch Cascade, DBL NOTCH = double notch filter, BP = 24 dB Bandpass Filter, HP = 24dB Highpass Filter.

Oscillator section

  • Coarse Tuning (CRS) - The two CRS wheels set the pitch for the first and second oscillators. Coarse tuning is adjustable in the range -3/+3 octaves.
  • Fine Tuning (FINE) - The two CRS wheels set the pitch for the first and second oscillators (fine tuning in -1/+1 semitone).
  • Oscillator Shape - The green buttons set the shape for the first two oscillators. The third oscillator can only use square or sawtooth shape.
  • Mix Slider - The slider between OSC1 and OSC2 adjusts the mix of the oscillators in the final sound. Slide max to left to hear only OSC1, slide max to right to hear only OSC2.
  • Amount (AMT) - Sets the volume of the third oscillator, which is zero (inaudible) by default.
  • Ring Modulator (RING MOD) - If turned on, modulates oscillator 1 and 2. This often leads to a harsh metallic sound, dependent on the shapes and frequencies of the oscillators.
  • Pulse Width (PW) - This property has effect when at least one of the oscillators is set to the square shape. It shortens 1 of the square shape sides, thus altering the final sound. Turn max to left to use the default square shape.
  • Frequency Modulation (FM) - When turned on, modulates the frequency of oscillator 2 with the output of oscillator 1. To hear the effect, set the mix slider to the right. Classic FM uses sinewaves (the 3rd oscillator shape).

LFO-1

  • LFO Shapes - the green buttons select the LFO shape to be used. This can be sawtooth, square, sine or noise.
  • OSC 1+2 / FILTER / PW - LFO-1 can modulate the pitch of the output (OSC1+2), the filter cutoff frequency (FILTER) or the Pulse Width (PW) depending on the highlighted option.
  • SYNC - Synchronizes the frequency of the LFO to a multiple of the current tempo.
  • RESET - Sets the LFO to the beginning of the LFO waveform (phaze is zero) when a note is triggered.
  • AMT - Sets the effect's strength over the controlled value.
  • SPD - Sets the modulation speed.

LFO-2

  • LFO Shapes - the green buttons select the LFO shape to be used. This can be sawtooth, square, sine or noise.
  • OSC 1 / OSC MIX / AMP - LFO-2 can modulate the pitch of Oscillator 1 (OSC1), the mixing ratio of oscillator 1 & oscillator 2 (OSC MIX) and the volume of the whole output (AMP). SYNC+RESET work as described above.
  • SYNC - Synchronizes the frequency of the LFO to a multiple of the current tempo.
  • RESET - Sets the LFO to the beginning of the LFO waveform (phase is zero) when a note is triggered.
  • AMT - Sets the effect's strength over the controlled value.
  • SPD - Sets the modulation speed.

Amplitude ADSR

This is a standard ADSR volume envelope. The link button links the filter and amplitude envelopes for editing convenience.

Filter ADSR

This is a standard ADSR filter envelope.

Distortion Parameters

  • Distortion (DIST) - The green button turns the distortion unit on/off.
  • Drive (DRV) - Adjusts the drive. More drive means heavier distortion.
  • Tone (TONE) - Changes the color of the distortion. Turned to the left, the sound gets muddy, turned to the right, more bright.

Plugin Credits: Richard Hoffmann, Didier Dambrin (interface)


GENERATORS

Wave Traveller

Wave Traveller is an accurate vinyl scratch simulator.

Instead of trying to recreate the effect by operating in realtime on a virtual turntable, like with the Scratcher plugin, here you can assign a scratch "phrase" to each note by drawing and fine tuning special "path" splines the generator follows to recreate the effect.

You have a complete freedom on the spline forms, wave range and speed.

1. Preview Panel

2. Patch Selector

3. Keyboard View Scroll

4. Path Definition Panel

5. Mutes Definition Area

How to Use

Select a Sample to Scratch

Click the Browse Sample button at the top left side of the window and select a sample to use.

Select a Patch to Edit

Each note of the channel contains a separate patch, with its own settings and scratch phrase. To select a patch to display and edit, please click on the Patch Selector (2) or click the corresponding key on the preview keyboard. If the key is not visible, use the Keyboard View Scroll buttons (3) to display different octaves on the keyboard.

Define a Phrase for the Patch

The phrase depends on the active region you select to use for the scratch, the speed and the path spline. You can also define a custom attack (fade in) and release (fade out after key release) for each patch.

The region is defined by the Start and End button you can find at the bottom left and bottom right side of the Preview Panel (1). You can see in the preview panel the section which is going to be used for the phrase.

The Speed wheel and the T-A switch define the speed of the phrase (which also affects its pitch, like with a real vinyl). Read more about these settings in the Parameters section below.

The path spline is defined in the Path Definition Panel (5). This is basically a spline which defines the way the generator "travels" back and forth on the sample as time progresses, i.e. horizontal dimension represents time, while vertical dimension represents the wave position (only in the region defines by the Start and End buttons). You can see the used section of the wave displayed vertically on the right side of the panel (as you can see in the screenshot above). The path spline itself it a set of basic spline section connected to each other. For more information on how to work with this panel, see the Parameters section below.

NOTE: You can also define a spline to alter the volume over time in the same panel or mute certain sections of the phrase, see Parameters below for more information.

Play a Patch

To play a patch simply use the Piano Roll or Step Sequencer to trigger the note the patch is assigned to.

Parameters

Preview Panel

The preview panel displays a preview of the full wave, the range defined by the Start and End buttons and the path spline inside that region.

Settings Panel

  • Start - This wheel is positioned at the top left side of the Settings Panel and defines the start point of the region used in the current patch.
  • End - This wheel is positioned at the top right side of the Settings Panel and defines the end point of the region used in the current patch.
  • Patch Selector (2) - Click on the patch selector to see a list of patches available to the generator (each note holds a single patch). Select a patch to edit and you will see its properties displayed in the window.
  • Speed (SPD) - The speed wheel defines the scratch phrase speed and support two modes (which you select with the T-A switch, see below). In Tempo Based mode, the speed wheel defines a number of steps as the length of the phrase (fractions are also allowed), while in Absolute mode you set the speed as a percent of the original wave speed (i.e. 100% speed with a straight path spline plays the wave at normal speed).
  • T-A Switch - This switch defines whether the phrase speed is defined as tempo based value (steps) or absolute value (as a percent of the original wave speed).
  • Attack (ATT) - This wheel allows you to define an attack time (fade in) for the current patch.
  • Release (REL) - This wheel allows you to define a release time (fade out after key release / note end) for the current patch.
  • Keyboard View Scroll Keys (3) - These keys allow you to scroll the preview keyboard left or right with an octave so you can access the whole piano range available to the FL Studio generators.

Preview Keyboard

The Preview Keyboard allows you to preview and select patch for editing (simply click a key to select/preview).

If the key is not visible, use the Keyboard View Scroll Keys (3) to scroll the view to access it.

Path Definition Panel

The Path Definition panel allows you define the actual phrase"path" inside the wave region selected by the Start and End buttons. You can also adjust the volume envelope and mute certain section in the phrase.

Working with the Spline Editor

The spline is a set of points connected by simpler spline types (sine, line etc.), where the segment types, points number and positions are user defined.

  • To add a new point, left-click in the panel area.
  • To delete a point, right-click it and from the menu select Delete.
  • To change a segment type, right-click the point on its right side and select a spline type to be used: Half Cosine, Linear, Bezier, Tension, Quarter Since, Quarter Cosine.

Spline Segment Types

The following spline types are available:

Spline Name | Spline Preview | Description
Half Cosine | This spline represent 1/2 of the phase of the cosine function.
Line | Connects the two points with a straight line.
Bezier

This is a classic bezier spline with two handles which can be used to adjust the spline's start and end slope.

This spline type provides an additional setting - Locked (right-click a point for bezier segment and check or uncheck Locked). When Locked is on, the two handles that appear on the left and right side of two bezier segments are locked in a straight line, ensuring a smooth transition between the segments.
Tension | This is a special 'tension'-based spline segment the shape of which depends on the position of a special handle (the circle in the middle of the spline).
Quarter Sine | This spline represent the first 1/4 of the phase of the sine function.
Quarter Cosine | This spline represent the first 1/4 of the phase of the cosine function.

Setting the Volume Envelope

Each patch in fact contains two paths - "travel" path, displayed by default, and a volume envelope path you can see and edit by using the WAVE/VOL switch at the bottom right of the panel. The volume envelope can be defined using the same spline segments, where the bottom most position means volume 0% and the topmost - 100%.

Mute Regions in the Patch

You can select specific regions to be muted inside the current patch. Left-click and drag in the Mutes Definition Area (5). The black region created as a result is muted. To unmute a region, right-click and drag instead.

Notes & Tips

  • The motion of a moving hand (as with a real scratching) is best approximated by the Half Cosine spline.
  • The Bezier spline can create a curve that goes outside of the range of the two points that define it (horizontally). Since time always progresses linearly for the phrases, such sections of the spline are ignored.

Plugin Credits: Robert Conde


MIXING & EFFECTS

Mixing & Effects

Before you hear any of the instruments in your song, their audio output must be processed though the FL Studio's mixer system. Each of the instrument' output is directed to one of the 64 insert mixer tracks where the sound is processed with a set of mastering filters, and may optionally be processed with a set of additional external filters and special effects.

FL Studio comes with lots of high-quality effects, so you can add reverb, phaser, flange, delay line and many other professional filters in your project without purchasing any 3rd party plugins.

However, since FL Studio is an application with an open architecture, you can also incorporate most of the popular standards of 3rd party filter plugins in the mixing chain. For more information on the effects standards supported by FL Studio, click the Supported Effects Standards link below.

In the default setup of the Mixer, all mixer tracks are processed in parallel, then sent to the master mixer track before the final sound is formed. However, with the 4 additional send tracks, and the ability to route the audio output of a mixer track to any other track, you have the freedom to create complex hierarchical mixing chains. To learn more about the mixer structure and functionality, click the Mixer Window link below.

Mixer Window

Supported Effects Standards

Note: For more information about the effects included in FL Studio select Plugins/About FL Studio Plugins in the Help menu.


MIXING & EFFECTS

Mixer Window

This section explains the Mixer functionality and interface. Click on the links below for more information:

Mixer Track Types

Plugin Effects

Mixer Track Properties

Audio Input/Output Routing

Disk Recording

Mixer Pop-Up Menu


MIXING & EFFECTS

Mixer Track Types

This section explains the various types of tracks available in the Mixer.

    1. Mixer Menu
    2. Tracks Group Selector
    3. Solo Switch (activate to hear only the audio output from the selected mixer track)
    4. Mixer Tracks
    5. Track Panning
    6. Track Volume
    7. Master Track
    8. Insert Tracks
    9. Send Tracks
    10. External Effects Banks
    11. Mixer Track Properties
    12. Audio Input/Output Routing

The Mixer contains 64 insert tracks (8), 4 send tracks (9) and a master track (7). The insert tracks display in groups of 16 tracks at once. To access the other groups, use the Tracks Group Selector (2). Group A displays tracks 1-16, group B displays tracks 17-32, group C - tracks 33-48 and group D - tracks 49-64.

  • Insert Tracks - The output of all audio instruments in FL Studio is routed to one of the 64 available insert tracks. In the default Mixer setup, once the audio signal is processed with the integrated filters (equalizer, volume and panning) it is send to the master mixer track (7). However, you are free to select the output of each insert track - you can also route the audio output to any ASIO output (for users with ASIO enabled audio cards) or even another insert track. The latter is a very powerful feature allowing you to create advanced mixer setups with groups and subgroups of insert tracks (see Mixer Track Properties).
  • Send Tracks - FL Studio contains four send tracks. The send tracks do not receive a direct audio input from the instruments, but they can receive audio from one or more of the 64 insert tracks (you can adjust the amount of signal sent by each insert track from its properties panel, see Mixer Track Properties below). The purpose of send tracks is the ability to setup common effects (for ex. reverb and delay) once in a send track and then being able to mix more or less of the insert tracks audio with it, as opposed to adding the same effect in each insert track.
  • Master Track - Unless some of the insert tracks are routed directly to an ASIO output, the whole audio output of FL Studio goes though the master mixer track for final processing before the final output.


MIXING & EFFECTS

Plugin Effects

This section covers the Mixer functionality and interface.

    1. Mixer Menu
    2. Tracks Group Selector
    3. Solo Switch (activate to hear only the audio output from the selected mixer track)
    4. Mixer Tracks
    5. Track Panning
    6. Track Volume
    7. Master Track
    8. Insert Tracks
    9. Send Tracks
    10. External Effects Banks
    11. Mixer Track Properties
    12. Audio Input/Output Routing

A. Effect Pop-up Menu

B. Effect Name (Label)

C. Effect Mute

D. Effect Mix Level

Each mixer track can have up to 8 external (plugin) effects hosted in its effects bank (10). For a list of supported plugin standards, see Supported Effects Standards.

To open a new effect in the effects bank, select a free slot in the bank and open it's pop-up menu (A). In the Select submenu, select a plugin to insert, or click More... to see a full list of effects available to FL Studio (for more information see the menu description below). NOTE: To remove an effect, simply select "None" in the Select submenu.

Once you insert the effect, you will see the plugin's editor window (a window where you can adjust all settings of the plugin). You can click the effect's label (B) to show/hide this window.

While working on your project, you may want to bypass some of the filters while adjusting your mix. You can use the mute switch (C) to disable an effect temporarily (this switch is automatable as well). You can also fine tune the mix levels ("wet" and "dry" signal) of each effect with the Effect Mix Level knob (D). Turn this wheel maximum to left to effectively mute the effect. Turn it maximum to right to mix the effect at 100%.

Effect Pop-up Menu (A) :

  • Select - Contains a list of all effects selected as favorites. Selecting an effect from this menu will assign it to the corresponding plugin slot. Click More... to open the Select plugin window, which contains a list of all effects available to FL Studio. Double-click a plugin name to assign it to the effect slot. Click the check box preceding each plugin to mark it as a favorite (all effects preceded by a check mark will appear in the favorites list). NOTE: To see newly installed plugins, click Refresh in the bottom of the Select plugin window and select Fast Scan (it is recommended that you use Fast Scan instead of Scan & Verify, because the latter may crash FL Studio with some badly programmed plugins).
  • Presets - Contains a submenu with a list of presets for the effect. In the bottom of the list you can see the Randomize and Hybridize commands. Randomize gives random values to the published (i.e. known to FL Studio) effect settings. Hybridize is a switch. When enabled, selecting a preset will load a random 50% of the settings in a preset, so you can quickly mix different presets and create new effects. The Presets menu is disabled if there is no effect assigned to the plugin slot.
  • Browse Presets - Opens the plugin's presets folder in the Browser panel. The Browser has better capability of displaying large number of presets.
  • Save Preset as - Allows you to save custom presets for the plugin assigned to the plugin slot. Presets are saved as FST files. It is recommended that you save preset files in the default location FL Studio chooses, so they can be properly detected and added to the Presets menu.
  • Last Tweaked Parameter - Displays the standard popup menu for the last parameter tweaked on the plugin's interface (applies only to automatable parameters). This option is useful for VST effects that have their own interface (as you can not open the FL Studio property menu by right-clicking a control in them).
  • Browse Parameters - Opens the plugin's parameters folder in the Browser panel. The Browser will list all automatable properties defined by the plugin, even if they are not automated in the current project.
  • Link to MIDI Controller - Allows you to link the effect to a MIDI controller, so its settings can be remotely controlled. For more information, see Live Recording Using MIDI Controller.
  • View Editor - Shows/hides the effect's editor window.
  • Set Name - Opens a box where you can edit the name of the plugin.
  • Smart Disable - If this option is checked, FL Studio will pause the effect if the mixer track it belongs to receives 4 seconds of audio silence. The plugin will resume again at the moment any sound is received in the track. This feature works smoothly, without clicks, pops or other artifacts while enabling/disabling the effect, but it will not work correctly with plugins that apply "long effects", such as reverb that has more than 4 seconds long decay, delay lines and similar effects. However, it will work fine with all kinds of equalizers, flangers, phasers, compressors etc. Using Smart Disable may significantly lower the CPU usage of your songs.
  • Move Up - Moves the effect one slot up.
  • Move Down - Moves the effect one slot down.

Note that you can access the same pop-up menu from the effect's editor window:


MIXING & EFFECTS

Mixer Track Properties This feature is available only in Producer Edition

This section covers the Mixer track properties panel.

    1. Mixer Menu
    2. Tracks Group Selector
    3. Solo Switch (activate to hear only the audio output from the selected mixer track)
    4. Mixer Tracks
    5. Track Panning
    6. Track Volume
    7. Master Track
    8. Insert Tracks
    9. Send Tracks
    10. External Effects Banks
    11. Mixer Track Properties
    12. Audio Input/Output Routing

E. Parametric Equalizer: Band Levels

F. Parametric Equalizer: Band Frequency

G. Parametric Equalizer: Band Width

H. Parametric Equalizer: Preview Graph

I. Stereo Separation

J. Stereo Panning

K. Volume & Stereo Peak Meter

L. Volume/Panning Preview Graph

M. Send Levels

The mixer track properties panel (11) integrates some common mastering filters, the recording switch and the send level buttons (insert tracks only).

Integrated Filters

The integrated filters include a 3-band parametric equalizer, volume, panning and stereo separation.

The equalizer is very similar to the standalone Parametric EQ plugin which comes with FL Studio. However, the band types in this version are predefined and can not be changed: Band 1 - Low Shelf; Band 2 - Peaking; 3 - High Shelf;

The stereo separation filter allows you to increase or decrease the amount of difference between the left and right audio channels of your mix. In the default position (middle), the stereo separation filter is disabled. Turn the wheel to left to decrease the stereo separation (turning maximum to left results in a mono sound), turn right to increase it. Note that filter has no any effect if the input sound is mono.

The volume and panning filters helps you to avoid the use of dedicated plugin filters to adjust the track's volume and pan levels. The volume and panning controls are also available for all visible mixer tracks (5 and 6), so you can adjust the mix levels of the mixer track quickly and easily, without selecting each individual track to see its properties panel.

All of those integrated filters are applied after the sound has been processed with the plugin effect placed in the mixer track.

Send Levels

The four send level wheels (M) appear only in insert tracks. They allow you to set the amount of signal sent to each of the four send tracks in the Mixer. Turning a send level wheel maximum to left turns this feature off for the specified send track (send amount 0%).


MIXING & EFFECTS

Audio Input/Output Routing This feature is available only in Producer Edition

This section covers the I/O routing panel in the Mixer window.

    1. Mixer Menu
    2. Tracks Group Selector
    3. Solo Switch (activate to hear only the audio output from the selected mixer track)
    4. Mixer Tracks
    5. Track Panning
    6. Track Volume
    7. Master Track
    8. Insert Tracks
    9. Send Tracks
    10. External Effects Banks
    11. Mixer Track Properties
    12. Audio Input/Output Routing

N. Disk Recording Switch

O. Show Audio Input(I)/Output(O) Switch

P. Audio Input/Output Routing

The audio input/output panel (12) contains the I/O routing options and the recording switch.

Routing

The basic functionality of all mixer tracks lays in the concept of taking an input audio signal from one or more sources, processing it and then outputting the processed audio to another location.

By default, all insert tracks take the instruments assigned to them for input signal and output to the master track (and may output to one or more send tracks if set so). The send tracks can take the signal from the insert tracks and output to the master track. Finally, the master track outputs the resulting mixed signal to the audio card of your PC.

This scheme is easy to understand and is enough for most of the mixing tasks you will perform while creating simple melodies and loops. However, for bigger projects you may need to create more complex mixing chains, with groups and subgroups of mixer tracks. The audio input (N) and output (O) routing settings allow for such scenarios, so you can, for example, assign the output of one insert track to another one.

Users who use ASIO drivers for audio output can route the tracks to the various ASIO outputs their audio card provides. These can be outputs to the individual channels of a 5.1 surround system, hardware mp3 compressors, disk streaming outputs etc. Additional outputs appear also when using the FL Studio multi output VSTi connection.

Most of the ASIO drivers provide ASIO inputs for microphone, line in etc. as well. You can route such inputs to the mixer tracks. Note that the ASIO inputs will not replace but mix together with any input audio the track receives from other sources (instruments, other tracks etc.).

Limitations of routing:

1. Only one track at a time can output to the primary DirectSound driver (usually this is the master track). This limitation does not apply if you use ASIO for audio output.

2. FL Studio will disable certain routing choices if this would create a circular dependency (for example trying to route a track to itself).

3. Send tracks can not be routed to insert tracks.

4. None of the tracks can be routed to a send track. Instead, use the Send Levels (M) knobs to adjust the amount of signal sent from an insert track to the send tracks.

Prepare for Recording

The disk button (P) prepares a track for disk recording (to a *.WAV file).


MIXING & EFFECTS

Disk Recording This feature is available only in Producer Edition

This section covers the Mixer's disk recording capabilities.

    1. Mixer Menu
    2. Tracks Group Selector
    3. Solo Switch (activate to hear only the audio output from the selected mixer track)
    4. Mixer Tracks
    5. Track Panning
    6. Track Volume
    7. Master Track
    8. Insert Tracks
    9. Send Tracks
    10. External Effects Banks
    11. Mixer Track Properties
    12. Audio Input/Output Routing
FL Studio allows you to record the output of one or more mixer tracks to *.WAV files and auto-insert the resulting audio clips in audio tracks (optionally).

Track recording enables you to quickly replace the real-time effects and instruments rendering for a track with a prerendered audio, thus saving CPU. It helps for easier rendering of separate mixer tracks for additional processing in 3rd party applications. For users with ASIO enabled sound cards, you can route ASIO inputs (see Audio Input/Output Routing above) to the track input (for ex. microphone, line in) and record it in the resulting *.WAV file.

There are two ways to record a track: realtime (interactive), allowing recording of ASIO inputs; and non-realtime, allowing (usually) faster rendering times and higher audio quality.

Non-realtime recording

To do a non-realtime export of a track:

  1. Prepare the tracks: Press the disk icon (P) on the routing panel. In the browse dialog that will open, select a location and name for the *.WAV file to be recorded. The disk icon turns orange to show the track is ready to be recorded. Do the same for all mixer tracks you want to record.
  2. Recording Options: Open the Mixer pop-up menu (1). In the Disk Recording submenu check 32bit floating point recording if you want to render to 32bit wave files. Open the Mixer pop-up menu (1) and the Disk Recording submenu check Auto-create audio tracks to insert the resulting audio clip in the Playlist's audio tracks after recording is completed.
  3. Rendering ( [image] Alt+R): Open the Mixer pop-up menu (1) and the Disk Recording submenu select Render to Wave File. The rendering settings dialog appears. Adjust the settings and press OK to render the track. NOTE: Some of the options available when rendering a full song are not available for track recording: render to MP3 or MIDI file, saving of NFO file with the audio clip and saving ACID-ized audio.
  4. After recording all tracks that were activated for recording go back to their normal state.

NOTE: ASIO inputs are disabled while recording in non-realtime.

Realtime (Interactive) Recording

To do a realtime recording of a track:

  1. Prepare the tracks (arm for recording): Press the disk icon (P) on the routing panel. If you use left-click, select a location in the browse dialog and name the *.WAV file to be recorded. If you use right-click, an automatic file name is assigned to the track. The disk icon turns orange to show the track is ready to be recorded. Do the same for all mixer tracks you want to record.
  2. Recording Options: Open the Mixer pop-up menu (1). In the Disk Recording submenu check 32bit floating point recording if you want to render to 32bit wave files. Open the Mixer pop-up menu (1) and the Disk Recording submenu check Auto-create audio tracks to insert the resulting audio clip in the Playlist's audio tracks after recording is completed.
  3. Rendering: In the Transport panel, activate Record Mode and push the Play button to start recording the state.
  4. When you are finished, press the Stop button. At this point, all armed track will become unarmed, depending on whether you have enabled the Disk Recording > Auto-Unarm option in the Mixer's pop-up menu.


MIXING & EFFECTS

Mixer Pop-Up Menu

This section covers the Mixer pop-up menu commands.

    1. Mixer Menu
    2. Tracks Group Selector
    3. Solo Switch (activate to hear only the audio output from the selected mixer track)
    4. Mixer Tracks
    5. Track Panning
    6. Track Volume
    7. Master Track
    8. Insert Tracks
    9. Send Tracks
    10. External Effects Banks
    11. Mixer Track Properties
    12. Audio Input/Output Routing

The following command are available in the Mixer pop-up menu (1):

File

  • Open Mixer Track State - Allows you to restore a previously saved mixer track state in the selected mixer track.
  • Save Mixer Track State - Allows you to save the state of the selected mixer track, which includes the track settings and plugin filters.

View

  • Controls - Shows/hides the volume and panning control below each mixer track (5 and 6)
  • Names - Shows/hides the vertical name labels for the mixer tracks (4).

Disk Recording

  • Render to Wave File - Renders all tracks prepared for recording to a wave file (see Disk Recording).
  • Auto-Unarm - If enabled, all armed tracks for recording will be automatically unarmed after the recording session is complete.
  • Auto-create Audio Clips - If enabled, FL Studio inserts all rendered mixer tracks as audio clips in the Playlist after recording.
  • Latency Compensation - If enabled, FL Studio attempts to align the recorded audio clips with the input latency. Depending on your system and audio drivers, you might still need to fine tune the clip placement.
  • 32bit Floating Point Recording - If enabled, tracks are recorded as 32bit wave files, otherwise the standard 16bit format is used.

Link Selected Channels

  • To This Track ( [image] Ctrl+L) - All channels selected in the Step Sequencer will be linked to the currently selected mixer track.
  • Starting from This Track ( [image] Ctrl+L) - All channels selected in the Step Sequencer will be linked to individual mixer tracks, starting from the current one. For example, if three channels were selected and the current mixer track is 4, the channels will be linked to tracks 4, 5 and 6.

Select Linked Channels ( Ctrl+L)

Selects all channels that are linked to the currently displayed insert FX track.

Set Name

Lets you set a custom name and color for the current FX track.

Switch Smart Disable for All

Turns the Smart Disable feature for the plugin filters in all mixer tracks.


<

MIXING & EFFECTS

Supported Effects Standards

FL Studio supports VST, VST2, DirectX, DirectX2 and Buzz plugins and its enhanced properietary FL Effects format.

DirectX Plugins

FL Studio supports DirectX plugin effects standard by Microsoft(R). DirectX plugins are registered on installation directly in Windows, so FL Studio will detect them no matter in what folder they were installed. However, in order the DirectX plugin system to work, you need to have installed DirectX Media 5.0 or later (it is now included in DirectX 8 (and later) run-time installation, which can be downloaded from www.microsoft.com).

DirectX2 Plugins

DirectX2 plugins effects are supported in FL Studio by using the special Fruity Wrapper plugin (effect version). DirectX2 plugins are registered on installation directly in Windows, so FL Studio will detect them no matter in what folder they were installed. However, in order the DirectX plugin system to work, you need to have installed DirectX Media 5.0 or later (it is now included in DirectX 8 (and later) run-time installation, which can be downloaded from www.microsoft.com).

VST Plugins

FL Studio supports VST plugin effects standard by Steinberg(R). Some of the effects included with FL Studio are in VST format. VST plugins are DLL files that should be installed in the VST folder of FL Studio in order to use them (<FL Studio Folder>\Plugins\VST). You can also set up an additional VST folder from the Directories window. For more information on these plugins open their help from Help menu.

VST2 Plugins

VST2 plugins effects are supported in FL Studio by using the special Fruity Wrapper plugin (effect version). VST2 plugins are DLL files that should be installed in the VST folder of FL Studio in order to use them (<FL Studio Folder>\Plugins\VST). You can also set up an additional VST folder from the Directories window. For more information, see Fruity Wrapper's help.

Buzz Effects

The Buzz effects plugins are an open plugin format for implementing filters in Buzz (tracker software). FruityLoops supports Buzz effects through its Buzz Effects Adapter plugin.

Fruity Plugin Standard

FL Studio introduces its enhanced properietary plugin effects standard. FL plugins have their own editor interface, most of events can be automated and edited using the Event Editor (just right-click a control in the editor).


MIXING & EFFECTS

Effect Plugins

This section contains the helps for all effect plugins that come with FL Studio.

Buzz Effect Adapter

Fruity 7 Band EQ

Fruity Balance

Fruity Bass Boost

Fruity Big Clock

Fruity Blood Overdrive

Fruity Center

Fruity Chorus

Fruity Compressor

Fruity dB Meter

Fruity Delay

Fruity Delay 2

Fruity Fast Dist

Fruity Fast LP

Fruity Filter

Fruity Flanger

Fruity Flangus

Fruity Formula Controller

Fruity Free Filter

Fruity HTML NoteBook

Fruity LSD

Fruity Mute

Fruity NoteBook

Fruity PanOMatic

Fruity Parametric EQ

Fruity Peak Controller

Fruity Phase Inverter

Fruity Phaser

Fruity Reeverb

Fruity Scratcher

Fruity Send

Fruity Soft Clipper

Fruity Spectroman

Fruity Stereo Enhancer

Fruity Vocoder

Fruity WaveShaper

Fruity Wrapper

Fruity X-Y Controller


MIXING & EFFECTS

Buzz Effect Adapter

Buzz Effect Adapter is a wrapper for Buzz effect machines. You can find a huge collection of Buzz machines at www.BuzzMachines.com.

Parameters

  • Select Machine - Click this button to browse for a Buzz machine plugin.
  • Parameter Sliders - The sliders are used to control Buzz machine parameters. They are exposed as normal FL Studio parameters (right-click the sliders to bring the default parameter menu of FL Studio).
  • Attributes - Click this button to launch a window with additional parameters for the machine.
  • Commands - Click this button to launch a menu with commands for the machine. When the machine doesn't have commands, this button is disabled.

Plugin Credits: Oskari Tammelin


MIXING & EFFECTS

Fruity 7 Band EQ

Fruity 7 Band EQ is, as it names suggests, a 7 band (1 low shelf, 1 high shelf & 5 peaking) equalizer plugin, optimized for low CPU usage.

Parameters

The parameters represent the levels of 7 predefined frequency bands. Turn the wheel to right to boost a band, or to left to decrease its level.

Tip

  • You can map the band knobs to the first row of your Phat-Boy (if you have one) for easier handling.
  • Disabled bands (level set to zero) do not load the computer processor.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Balance

Fruity Balance is a balance (not panning) plugin, optimized for realtime automation: the level ramping avoids pops and clicks.

Parameters

  • Balance - Sets the stereo balance of the sound.
  • Volume - Sets the sound volume.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Bass Boost

Fruity Balance is a bass expansion effect.

Parameters

  • Frequency - Adjusts the frequency range to be boosted.
  • Amount - Sets the effect strength.

Notes

  • You might have to adjust the track volume not to get clipping.
  • The parameters are not ramped (no need to automate them).

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Big Clock

The Fruity Big Clock plugin shows the playing time in Bar:Beat:Tick format and Minute:Second:1/100 format. Optionally, it can also display the song time in Bar:Step:Tick format.

To use it, just drop an instance of the plugin on any Mixer track (the position does not matter).

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Blood Overdrive

Fruity Blood Overdrive is a distorter that is specially designed for the needs of digital-audio musicians.

Blood provides overdrive distortion and handles it using classic techniques that give it the compressed and soft sounds, as opposed to the harsh sound produced by many guitar overdrive plugins. The integrated bandpass filter gives the ability to overdrive non-guitar audio that would otherwise produce poor results.

Parameters

  • PreBand - Sets the amount of band filtering that is applied to the audio before it is overdriven. Use this to improve the effect quality that may result from overdriving audio with a broad frequency range.
  • Color - Sets the frequency of the band filtering.
  • PreAmp - Overdrives the audio in order to achieve distortion. As you increase the PreAmp parameter, you need to compensate with the PostGain knob.
  • x100 - Increases the power of PreAmp a hundred times. This is normally only useful on single instrumental tracks.
  • PostFilter - The preamplified audio is low-pass filtered at the frequency specified by this wheel. This is another option for cleaning up the distortion.
  • PostGain - Final gain reducer (at maximum leaves the gain at its original level after distortion). The preamplifier boosts the output considerably, so you need to compensate with this parameter.

Tips and Notes

  • The order in which the filters are applied is: Band Pass Filter (PreBand) > Preamplifier (PreAmp) > 2-Pole Low Pass Filter (PostFilter) > Reduce Gain (PostGain) > Final Digital Clipping.
  • If the output is too loud, do not try to reduce the input to the plugin, reduce it with PostGain (otherwise it will remove the distortion).
  • After the audio has been preamplified and clipped, the signal still can be up to 300% out of range. When it is clipped after PostGain, normal, (harsh sounding), digital clipping is used. Therefore, a better sound is achieved if you take care to always compensate for PreAmp by reducing PostGain.
  • Playing a mix through the plugin, (even without preamplifying), causes upward compression on the independent frequency bands. This gives overall upward compression and flattens the equalizer. This can be used to improve some mixes, and can even be used to master some projects (the compression is caused by non-linear signal response similar to vacuum tube compressors).

Plugin Credits: David Billen


MIXING & EFFECTS

Fruity Center

Fruity Center removes any DC offset in realtime. This can be useful with synthesizers which generate DC offset with certain settings, like TS404.

Parameters

  • Status - Allows you switch the plugin on and off.

Plugin Credits: Didier Dambrin

Thanks to: David Billen for code sample.


MIXING & EFFECTS

Fruity Chorus

Fruity Chrorus is an FL Studio exclusive plugin developed by Smart Electron:x.

Parameters

  • Delay - Sets the minimal delay of the delay-line inside the flanger. The flanger delay will be swept between delay and delay+depth. Range: 0 to 20 milliseconds. For 'deep' flanger effect you should set this parameter to low values.
  • Depth - This controls the range of the flanger action. The flanger delay will be swept between delay and delay+depth. If you set this value to zero, the flanger will remain 'static' as the delay will stay constant. Range: 0 to 20 milliseconds. Setting this parameter to high values will create special effects and heavy modulation.
  • Stereo - Use this control to widen the stereo image. If it's set to 0, the LFO on the left and right channel will be in perfect synchronization. At 180 degrees the left and right channel will be 100% out of phase. This means that the left channel will reach it's maximum when the right channel is at minimum. Range: 0 to 360 degrees. Try setting 10 degrees for subtle stereo enhancement.
  • LFO 1 Freq / LFO 2 Freq / LFO 2 Freq - Sets the LFO-s modulation speed.
  • LFO 1 Wave / LFO 2 Wave / LFO 3 Wave - Waveform of the LFO. Multi-sin is a mix of a normal
    sine wave with a sine wave at three times the speed.
  • Cross Type - This parameter defines whether the plugin works on the lower or higher frequency part of the signal. Process HP processed only high frequencies, Process LP processes only low frequencies.
  • Cross Cutoff - Cutoff frequency of the cross-over filter.
  • Wet Only - If you use the chorus as a send effect you switch this parameter to mix the pure "wet" output with the source sound.

Plugin Credits: Smart Electron:x


MIXING & EFFECTS

Fruity Compressor

Fruity Compressor is a variable-knee compressor with built-in peak limiting.

Fruity Compressor is an FL Studio exclusive plugin, based on fx:compressor, a part of Ultrafunk's Sonitus:fx R2 DirectShow / VST audio plug-in package. Other plug-ins included in the pack are fx:equalizer, fx:modulator, fx:phase, fx:reverb, fx:surround and fx:wahwah.

For more information on Sonitus:fx, visit http://www.ultrafunk.com/products/sonitusfx/.

Parameters

Threshold - The Threshold parameter sets the dB level where the compressor will kick in (with a range from 0.0 to -60.0 dB). The threshold should be adjusted according to the relative input level and the type of audio material. Once the threshold level is reached, compression will start, reducing the gain of the input signal according to the current Ratio, Type, Attack and Release settings.

Ratio - Controls the amount of compression (gain reduction) that will be applied to the signal once the threshold level is reached (with a range from 0.4:1 to 30:1). Ratio denotes the difference in dB between input level and output level, i.e. how much the signal above threshold level will be compressed (or expanded, at ratios below 1:1). For example, a ratio of 4:1 means that when the input level increases by 4dB, the output level of the signal above threshold will only increase by 1dB.

Gain - Controls the amount of make-up gain to be added or subtracted from the compressed output signal (with a range from 30.0 to -30.0 dB). The gain should be adjusted to normalize the signal amplitude after compression, or to control the amount of limiting.

Attack - Controls the time it takes to reach full compression once the threshold level has been reached (with a range from 0.0 to 400.0 ms). A fast attack setting means that compression will be more or less instant. Using a slower attack setting results in the compression being gradually increased, allowing for more variations in the signal than the fast setting. Attack should be adjusted according to the nature of the audio material.

Release - The Release parameter sets the time the compressor takes to go back to an inactive state after the level has fallen below threshold (with a range from 1 to 4000 ms). Short release times will make the compression more flexible and able to adapt to the input signal, but can cause fast changes in gain that may sound displeasing to the ears. Longer release times produce a signal with a more even level and less distortion, but make it harder to maximize the overall compression because small variations in signal level will be ignored.

Type - This parameter controls the knee type and TCR. The possible values are: Hard, Medium, Vintage, Soft, Hard/R, Medium/R, Vintage/R, Soft/R. The knee determines the dB range above and below the threshold where the compression goes from 1:1 to the selected compression ratio. A hard knee setting means that compression will take place immediately after the threshold level is reached, whereas a soft knee setting indicates that compression is gradually applied over a range in the signal. See Knee Type below for more information on the meaning of those values.

Knee Type

The actual values for this property mean:

  • Hard - 0 dB
  • Medium - 6 dB
  • Vintage - 7 dB
  • Soft - 15 dB

The Vintage compression type emulates the compression curve found on some analog compressors, such as the classic Teletronix LA2A. The major difference is that the compression ratio is gradually reduced at a distance above threshold, slowly allowing the level to go back to a ratio of 1:1. This allows the loudest parts of the signal, such as drum beats and other peaks, to pass without being compressed as much as the rest of the signal. In this way, the Vintage compression type emulates electro-optical analog designs and can greatly enhance warmth and 'punch'.

The Vintage compression type also affects the TCR parameter, utilizing a different release time adjustment method.

The /R types enable TCR (Transient Controlled Release), a special algorithm that automatically adjusts the release time in real-time to avoid fast compression changes. The release time is adjusted in relation to the current Release parameter setting. Enabling TCR can have positive effects on some types of audio material, and help to reduce "pumping and breathing", while increasing the overall loudness of the signal.

Plugin Credits: Ultrafunk


MIXING & EFFECTS

Fruity dB Meter

Fruity dB Meter is a peak meter in a dB (decibel) format. The signal louder that 0 dB limit is displayed in orange (the peaks become red).

Hold the mouse cursor over the display to see the decibel level. Right-click it to reset the peak holds.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Delay

Fruity Delay is a delay line plugin, with inverted stereo / ping pong modes & a lowpass filter, optimized for automation (input and feedback values are ramped).

Parameters

  • Input - Sets the volume level of the input signal
  • Feedback - Sets the echo volume. Setting this value at maximum creates a constant level of feedback (i.e. echoes that do not fade out).
  • Cutoff - Sets the cutoff frequency for the low-pass filter used on the echoes. Set at maximum to disable this feature.
  • Tempo - Allows you to set the tempo used to generate the echoes. Auto uses the tempo of FL Studio, the other values for this wheel allow you to set a custom tempo speed to be used.
  • Steps - Determines the time between each echo (by default 3 steps/notes).
  • Mode - Allows you to set the delay filter in a special mode for processing stereo signal: Normal processes the stereo signal as in the original, Inv.Stereo swaps the right and left channels for all the echoes, Ping Pong swaps the left and right channels of the input for each echo and back (thus creating a "bouncing" effect if the source contains panned sounds).

Notes & Tips

  • You might have to use the Fruity Center DC offset removal when the delay is applied on a TS404 channel.
  • Echoes break up if there is tempo automation. This comes from a limitation of the delay engine (the buffer has to be rebuilt with a new length matching the tempo).

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Delay 2

Fruity Delay 2 is an enhanced version of the Fruity Delay VST plugin, with refined controls and some additional features, such as stereo offset and panning control for the input signal.

Parameters

Input Section

Allows you to tune the volume and panning of the input signal.

  • Panning wheel (PAN) - Sets the panning of the input signal.
  • Volume wheel (VOL) - Sets the volume of the input signal.

Feedback Section

Sets various options for the echo feedback.

  • Normal/Inverted/Ping Pong - Normal keeps the stereo data consistent with the input signal; Inverted switches the left and right channels in the feedback (so if the input is panned to right, the feedback will be panned to left); Ping Pong works like Inverted, but switches the left and right channels repeatedly for each echo generated (thus creating a "ping pong" effect).
  • Volume wheel (VOL) - sets the volume of the feedback. Setting this to maximum will create feedback that never fades out, while setting it to minimum (spun maximum to left) will result in no feedback.
  • Cutoff wheel (CUT) - sets the cutoff frequency amount for the feedback. Using this feature allows you to "smooth out" echoes as they fade out thus creating more natural effect.

Time Section

Contains the time settings of the delay effect.

  • Time wheel (TIME) - sets the signal delay time (and amount of time between echoes in the feedback). This setting is tempo based. If you want to set the time to an exact number of steps, right-click the wheel and from the popup menu that appears select the Set submenu for a list of presets.
  • Stereo Offset wheel (OFS) - lets you set a time offset for the left or right audio channel, thus creating richer stereo panorama of the delay effect. To delay the left channel, spin the wheel to the left. To delay the right channel, spin it to the right. To remove the time offset between channels, reset the wheel (right-click the wheel and select the Reset command).

Dry Section

Contains a single wheel (VOL) that sets the amount of "dry" (unprocessed) signal to be mixed with the "wet" (processed by the effect) signal.

If you want to use Fruity Delay 2 in a send track, it is recommended to set the dry volume to 0 (the wheel spun maximum to left).

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Fast Dist

Fruity Fast Dist is a CPU friendly distortion effect. This is the same distortion effect you have in the TS404 synth. This plugin version allows you to apply it to other generators as well (and now you can process the sound before it is distorted).

Parameters

  • Preamp wheel (PRE) - Allows you to amp up or down the signal before it is distorted. The middle position means 100% volume. You might need to increase the volume sometimes with this wheel to get distortion.
  • Threshold wheel (THRES) - Selects the frequency band to be distorted. The more you turn this wheel to right, the wider the band is.
  • A/B switch - Selects among two types of distortion.
  • Mix wheel (MIX) - Allows you to mix the dry sound (unprocessed) with the distorted sound. Turn the wheel maximum to the right to hear only the distorted sound.
  • Post Gain wheel (POST) - If you distort the sound too much, it will become too loud. This wheel lets you reduce the volume AFTER applying the distortion. Rotated maximum to the right gives 100% the volume of the sound.

Plugin Credits: Richard Hoffmann, Didier Dambrin


MIXING & EFFECTS

Fruity Fast LP

Fruity Fast LP is a lowpass filter with very low processor usage, optimized for automation. This filter applies the algorithm used when you select 'Fast LP' filter the Instrument Channel Settings.

Parameters

  • Cutoff - Sets the "cutoff" frequency used in the filter (the higher the value, the wider the band passed through the filter).
  • Resonance - Sets the filter's resonance: this is an amplified frequency band near the cutoff level used to create special effects.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Filter

Fruity Filter is a sate variable filter (SVF) plugin, optimized for automation (level ramping).

Parameters

  • Cutoff Freq - Sets the cutoff frequency for the lowpass/bandpass/highpass filters.
  • Resonance - Boosts a frequency band near the cutoff level to create a sound "sharpening" special effect.
  • Low Pass - The amount of lowpass filter mixed in the output. This filter leaves only low frequencies in the output.
  • Band Pass - The amount of bandpass filter mixed in the output. This filter leaves a certain frequency band in the output and filters all other frequencies.
  • High Pass - The amount of highpass filter mixed in the output. This filter leaves only high frequencies in the output.

Plugin Credits: Didier Dambrin

Thanks To: David Billen for the code sample.


MIXING & EFFECTS

Fruity Flanger

Fruity Flanger is an FL Studio exclusive plugin developed by Smart Electron:x.

Parameters

  • Delay - Sets the minimal delay of the delay-line inside the flanger. The flanger delay will be swept between delay and delay+depth. Range: 0 to 20 milliseconds. For 'deep' flanger effect you should set this parameter to low values.
  • Depth - This controls the range of the flanger action. The flanger delay will be swept between delay and delay+depth. If you set this value to zero, the flanger will remain 'static' as the delay will stay constant. Range: 0 to 20 milliseconds. Setting this parameter to high values will create special effects and heavy modulation.
  • Rate - The rate at which the flanger is modulated. Range: 0 to 5 Hz.
  • Phase - Use this control to widen the stereo image. If it's set to 0, the LFO on the left and right channel will be in perfect synchronization. At 180 degrees the left and right channel will be 100% out of phase. This means that the left channel will reach it's maximum when the right channel is at minimum. Range: 0 to 360 degrees. Try setting 10 degrees for subtle stereo enhancement.
  • Damp - Use this parameter to attenuate the high frequencies of the processed output. Range: 0 (no filtering), 1 (full filtering - no output).
  • Shape - Determines the shape of the LFO. You can vary this between a triangle and a sine LFO. Using sine LFO's will result in smoother transitions, using a triangle will result in more constant pitch-shifting. While subtle, this can help for getting the right sound. Range: smooth transition between sine to triangle.
  • Feed - Sets the feedback amount. Range: 0 to 100 %. Setting to high values to make the flanger 'whistle'. Try high settings with heavy filtering (for example 99% feedback + the filter at 0.95) for special effects.
  • Invert Feedback / Invert Wet - These two switches invert the processed (wet) and feedback signal. Mixing a signal with an inverted version of itself creates the known flanger effect. When both are off the sound is more like a chorus than a flanger. While Invert Wet will directly change the flanger/chorus sound, the Invert Feedback has a less dramatic effect, but can be used to change the sound timbre. Range: on and off.
  • Dry / Wet / Cross - These three knobs determine the output mixture. Dry is the original signal, wet is the effected signal and cross is a left-right inverted version of the wet signal. Range: -inf (silent) to 0dB.

Plugin Credits: Smart Electron:x


MIXING & EFFECTS

Fruity Flangus

Fruity Flangus allows you to enrich the stereo panorama of your mix, add complex flange effects and simulate unison mode synthesis via a set of controllable "stacked" flangers.

Parameters

  • Order (ORD) - Sets the number of "stacked" flangers to be used for the effect. Using more flangers makes the effect smoother and richer.
  • Depth (DEPTH) - Controls the "flange depth" (amplitude of pitch oscillation for each of the stacked flangers).
  • Speed (SPD) - Controls the flange speed (speed of pitch oscillation).
  • Delay (DEL) - Variable amounts of delay can be applied to each of the stacked flangers. Use this parameter to define the overall amount of delay applied.
  • Spread (SPRD) - Each flanger is assigned a different speed, depth etc. in a range defined by the basic properties provided in the Flangus interface. Increase the SPRD value to "smooth" the spreading of the stacked flangers across the parameter ranges.
  • Stereo Cross (CROSS) - This parameter applies a stereo cross mix between the left and right channel audio output of Flangus. Increase the parameter value to mix more of the left channel sound in the right one and vice versa. The parameter has range of -100 to 100. Negative values mix inverted sound in the opposite channel.
  • Dry - Determines the amount of mixing the input (unprocessed) audio signal in the output. The parameter has range of -100 to 100. Negative values mix inverted sound in the output.
  • Wet - Determines the amount of mixing the processed ('flanged') audio signal in the output. The parameter has range of -100 to 100. Negative values mix inverted sound in the output.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Formula Controller

Fruity Formula Controller is a controller plugin which accepts user defined formulas. As all internal controllers, the formula output can range from 0 to 1, using high accuracy floating point numbers.

Parameters

  • Wheel A/B/C - Three wheels that can be used as custom parameters in your formulas. You can access their values via the a, b & c variables (see the list of available objects and functions below).
  • Out - Displays the current formula value (empty bar is 0, full bar is 1). To see how the formula output develops in time, use the Meter view (see below).
  • Formula - Type here the formula to be used. Press ENTER key to compile to formula. If the formula is a valid math expression, you will see a message "Compiled OK" below the formula. Otherwise, you will see an error message explaining where the mistake is.
  • Compile - An alternative to pressing ENTER in the formula edit box, click here to compile the formula.
  • Info - Click INFO to see the formula description written by the author. The text is editable and supports rich text formatting (you can paste rich formatted text from WordPad).
  • Meter - Click METER to see a graph displaying the formula output in time. This is a very helpful view, especially when programming LFO units.

Syntax, Objects & Functions

The following syntax, functions and objects are supported in the Formula Controller:

Operators
Abbreviature | Comment | Example
+ | addition | a+b
* | multiplication | a*b
- | subtraction | a-b
/ | division | a/b
^ | power | a^b
Functions
Abbreviature | Comment | Example
Sin | sine | Sin(a)
Cos | cosine | Cos(a)
Tg | tangent | Tg(a)
Ctg | cotangent | Ctg(a)
Sec | secant | Sec(a)
CoSec | cosecant | CoSec(a)
ArcSin | antisine | ArcSin(a)
ArcCos | anticosine | ArcCos(a)
ArcTg | antitangent | ArcTg(a)
Exp | exponent | Exp(a)
Sqrt | square root | Sqrt(a)
Ln | logarithm base e | Ln(a)
Log10 | logarithm base 10 | Log10(a)
Log2 | logarithm base 2 | Log2(a)
Neg | negative | Neg(a)
Abs | absolute | Abs(a)
Pi | pi | Pi()
Sum | sum of arguments | Sum(a,b)
Min | minimum | Min(a,b)
Max | maximum | Max(a,b)
Round | round to nearest integer | Round(a)
Int | integral part | Int(a)
Frac | fractional part | Frac(a)
IfE | returns 1 if a=b | IfE(a,b)
IfL | returns 1 if a<b | IfL(a,b)
IfG | returns 1 if a>b | IfG(a,b)
IfLE | returns 1 if a<=b | IfLE(a,b)
IfGE | returns 1 if a>=b | IfGE(a,b)
Case | returns b if a=1, else returns c | Case(a,b,c)
Rand | random value (0..1) | Rand()
SeededRand | controlled random value (0..1) | SeededRand(Seed)
Special (related to FL Studio)
Abbreviature | Comment | Example
a | a knob's value | a
b | b knob's value | b
c | c knob's value | c
SongTime | song position, in quarters | SongTime()
Time | system time, in ms | Time()
Tension | same as tension knobs | Tension(Value,Speed)
Gadgets
Abbreviature | Comment | Example
Date | system date | Date()
MouseX | mouse cursor X position | MouseX()
MouseY | mouse cursor Y position | MouseY()

Plugin Credits: Didier Dambrin, Andrew Tumashinov (RapidEvaluator)


MIXING & EFFECTS

Fruity Free Filter

Fruity Free Filter is a general purpose filter plugin.

Parameters

  • Type - Selects the filter type to be used: low pass, band pass, high pass, notch, low shelf, peaking EQ & high shelf.
  • Freq - The cutoff/bandpass/bandcut frequency (depending on the filter type setting).
  • Q - This value has a different (or no) meaning for the different filters. "Q" comes from the analog filters and basically means the filter's "quality". With high pass/low pass filters Q is better known as "resonance", while with others it defines the ability of the filter to create sharp frequency "rolloffs".
  • Gain - This settings has meaning only for "peaking" filters and sets the filter gain. Applies to peaking EQ, low shelf and high shelf filter types.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity HTML NoteBook

Fruity HTML NoteBook is an HTML viewer plugin. Useful to add information to a song, using the richness and power of HTML.

Unlike the Fruity NoteBook, this plugin doesn't save the HTML document in the project file, so be sure to bundle the full HTML document with your project if you distribute it.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity LSD

Fruity LSD wraps the functionality of the DirectMusic software synthesizer to FL Studio and provides 16 MIDI instruments with an option to import DLS level 1 banks.

Since this is a software synthesizer, you can process its output with effects as with any generator. The difference from an usual generator, however, is that the Fruity LSD itself is a combo of 16 instruments (15 instrument channels and 1 drum channel /10/, as in a standard MIDI interface).

You should think for Fruity LSD not as a generator, but as a virtual software MIDI device. You attach the Fruity LSD as an effect in a mixer track. You can control its 16 channels with MIDI Out generators you add in the Step Sequencer just as with a normal MIDI device. Just set the same MIDI port in the LSD plugin and the MIDI Out channels you will use. You can set the patch name and bank number from the MIDI Out channels as well, but since this may be confusing when using custom DLS banks (the MIDI Out channels will display only standard MIDI instruments names), it is recommended that you set the patch from the Fruity LSD's editor directly.

Parameters

Main Parameters

  • Bank - Lets you set the DLS bank to be used for synthesis. Click the browse button to select a DLS file. By default, Fruity LSD uses the Roland GM/GS Sound Set (which is default for the DirectMusic synthesizer as well and is usually located in "<windows directory>/System32/GM.DLS"). The DLS file used is not included in the FLP file, but stored as a path instead.
  • Port - Sets the MIDI port number from where Fruity LSD will receive MIDI events (notes, volume changes etc.). You should set the same port in the MIDI Out channels that will be used to control the Fruity LSD. It's recommended that you avoid using port 0 with Fruity LSD, since this port is reserved for the main MIDI playing output in FL Studio (that one you set as "Playing output" in the MIDI Settings page).
  • Channels List - This is a list of the 16 channels of the LSD with the patch names. Click on a name to select a different instrument for the channel. Channel 10 holds the drum section.
  • Main Volume - This wheel sets the main volume of the LSD output. This parameter is automatable.

Additional Parameters

  • Device - Sets the DirectMusic compatible MIDI device to be used for synthesis. Hardware MIDI devices are filtered in Fruity LSD, since their output can't be routed to FL Studio.
  • Reverb - Turns on/off the global reverb effect.
  • Chorus - Turns on/off the global chorus effect. Note that this effect is not supported in the built in Microsoft Synthesizer. However, it is included for compatibility with third party DirectMusic engines that may be used with Fruity LSD.

Notes & Tips

  • You need DirectX 8 or later installed on your system for the Fruity LSD to function properly.
  • Pan, filter cutoff & resonance per note (in the graph edit or the piano roll) is not supported - the MIDI standard only supports velocity per note.
  • At low volume levels you can notice some noise in the Fruity LSD sound (you can hear it clearly on decaying note if you put a compressor after it in the FX track). This is not an issue in the Fruity LSD plugin itself, but in the DirectMusic synthesizer. You can partially fix this problem with a Fruity Filter or equalizer (to cut the very high frequencies of the output).
  • There are many tools that allow you to create custom DLS banks. DLS supports samples per region, envelopes, LFO-s etc. With tools as Awave, you can also take advantage of hundreds of freeware SF2 (SoundFont) banks you can find on the Internet by converting them to DLS format.
  • See DirectX for copyright notices about the Roland GM/GS Sound Set.

Plugin Credits: Didier Dambrin

Thanks To: Chris Moulios for the source code


MIXING & EFFECTS

Fruity Mute 2

Fruity Mute is a simple plugin to let you record mutes in FL Studio.

Parameters

  • Mute - Turns the sound on/off.
  • Channel - Allows you to select both channels (left & right) for muting, or only one of them.

Plugin Credits: Robert Conde


MIXING & EFFECTS

Fruity NoteBook

Fruity NoteBook is a 100 pages notepad. Useful for song info, story, lyrics or personal notes.

Supports RTF data (you can paste text with various formatting from rich text editors, such as WordPad, but not pictures).

The page number selector is automatable (you can synchronize the pages with the playing song).

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity PanOMatic

Fruity PanOMatic is a panning & volume plugin, especially useful for automation (the plugin uses level ramping to avoid clicks and pops).

The plugin includes a handy volume/pan grid (drag the cross with your mouse) and an adjustable LFO unit.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Parametric EQ

Fruity Parametric EQ is a CPU friendly 7 band parametric equalizer plugin. You can adjust the frequency and width of each band in the EQ. Also, each band can act as high shelf, low shelf, peaking, band pass, notch, high pass or low pass filter. The plugin also contains global gain wheel to adjust the overall volume.

Parameters

    1. Sets the filter type (peaking, low shelf, high shelf etc.).
    2. Adjust the equalization amount (the level of the band). High pass, low pass, band pass and notch filters don't use that parameter (so the slider is invisible when using them).
    3. This wheel lets you adjust the frequency of the band.
    4. Sets the width of the band (turning the wheel to the left makes the band wider).

Notes

Disabled bands (filter type set to off) and peaking/shelf bands that are not amplified & do not use processor time.
The plugin's window is resizable, allowing you to hide the bottom part of the panel.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Peak Controller

Fruity Peak Controller is an internal controller plugin which provides the following controllers:

        Peak Ctrl - LFO - This is an LFO controller.

        Peak Ctrl - Peak - The value of this controller is based on the volume peaks of the input audio signal that the plugin receives.

        Peak Ctrl - Peak+LFO - This controller is the sum of the LFO and Peak controllers.

To use this plugin, place an instance of it in the Mixer track where is the signal you want to use as a "peak source". If you want the input signal the plugin receives to be affected by some of the plugins in the same track, put the Peak Controller after them.

Parameters

Peak Section

Sets the options for the peak controller.

  • Base wheel (BASE) - Sets the base value (offset) of the peak controller.
  • Volume wheel (VOL) - This wheel sets how the volume peaks affect the peak controller. The value you can set ranges from -200% (maximum to left) to 200% (maximum to right). When using positive values for this setting, higher volume means higher value for the peak controller. Negative values result in the opposite effect.
  • Tension (TNS) - Drag up and down to alter the shape of the curve used to map the volume peaks to peak controller values. You can think for this parameter as peak's "tension".
  • Decay wheel (DEC) - Turn to right for faster decay of the peak. Turn to left for slower decay.

LFO Section

Sets the options for the LFO controller.

  • LFO Shape - On the top of that section you can see a set of radio buttons that allow you to set the shape of the LFO. The available choices are sine, triangle, square, saw and noise (random values).
  • Volume wheel (VOL) - This wheel sets the amplitude of the LFO. The value you can set ranges from -100% (maximum to left) to 100% (maximum to right). When using positive values for this setting, LFO's value is summed with the base value. For negative values, LFO's value is subtracted from the base value.
  • Tension (TNS) - Drag up and down to alter the shape of the curve used to map the LFO values to LFO controller values. You can think for this parameter as LFO's "tension".
  • Speed wheel (SPD) - Sets LFO's speed. Turn to left to speed up the LFO. Turn to right to slow down.
  • Phase wheel (PHS) - This wheel sets the phase offset for the LFO. You can use it to adjust the start position of the LFO.

Additional Options

  • Ramp switch - Prevents abruptly changes in controllers' values. Turn this option on if the parameters you link may cause clicks and pops when changed too fast.
  • Mute switch - When turned off, the signal passes through the Fruity Peak Controller plugin. When turned on, the output of the plugin is muted. Turn this option on when the input signal is used only to generate peaks for the Fruity Peak Controller and you don't want to hear it in the final composition.

Monitor Scales

In the top right corner of the editor window you can see three scales. The input monitor (marked with "I") shows the value of the volume peaks detected in the input signal. The peak output monitor (marked with "P") shows the value of the resulting peak controller. The LFO output monitor (marked with "L") shows the value of the LFO controller.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Phase Inverter

Fruity Phase Inverter is a very simple plugin that inverts the phase of either the left or right channel, giving a surround-like effect. Be careful as inverted waves can cancel each other, especially if the output is converted to mono.

This plugin is provided for backwards compatibility since the global surround effect from the earlier releases of FL Studio has been removed.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Phaser

Fruity Phaser is an FL Studio exclusive plugin based on SupaPhaser, a plugin developed by Smart Electron:x.

Parameters

  • Sweep Frequency - Sets the frequency of the LFO which controls the phaser. The range of this parameter depends on the Frequency Range parameter. If the value for that parameter is large, Sweep Frequency will change the frequency between 0 and 10Hz. If the range is small, it will change the frequency between 0 and 2Hz.
  • Min and Max Depth - Control the range of the phaser action. The phaser will be swept between these values.
  • Frequency range - Sets the frequency range using for the Sweep Frequency parameter.
  • Stereo - Use this control to widen the stereo image. If it's set to 0, the LFO on the left and right channel will be in perfect synchronization. At 180 degrees the left and right channel will be 100% out of phase. This means that the left channel will reach it's maximum when the right channel is at minimum. Range: 0 to 360 degrees. Try setting 10 degrees for subtle stereo enhancement.
  • Stages - Stages controls the number of phasing stages. Old stompbox phasers usually have 4 or 6 stages, but this digital equivalent can have up to 23 stages. As the number of stages rises, the effect becomes more aggressive and more pronounced.
  • Feedback - Determines how much of the signal is sent back into the phaser.
  • Dry-Wet - Sets the mixture of processed and non-processed sound.
  • Out-Gain - Sets the additional gain for the signal at the output of the effect. Use this parameter to boost silent signals.

Plugin Credits: Smart Electron:x


MIXING & EFFECTS

Fruity Reeverb

Fruity Reeverb is an FL Studio exclusive plugin based on fx:reverb, a part of Ultrafunk's Sonitus:fx DirectShow audio plug-in package. Other plug-ins included in the pack are fx:equalizer, fx:modulator and fx:phase.

More information on Sonitus:fx plug-ins can be found at http://www.ultrafunk.com/products/sonitusfx/.

Parameters

  • Low Cut - Adjusts the low cutoff frequency. Use this to remove low frequencies from the input signal before reverb is added. For example, if you are adding reverb to, say a drum track, you might want to remove some of the 'rumble' from the bass drum by attenuating the bass frequencies. Setting this parameter to the minimum value will bypass the Low Cut filter, displaying OFF in the value field.
  • High Cut - Similar to the Low Cut, this adjusts the high cutoff frequency. Use this to remove high frequencies from the input signal.
  • Predelay - Controls the delay time between the direct input signal and the first reverb reflection. This should be set to modest values for small rooms, and can be increased in relation to increases in room size. Predelay creates a slap-back echo effect that can both add atmosphere and muffle the signal, so use it wisely.
  • Room Size - Use this to set the size of the virtual room where the reverb is created. The Room Size should be adjusted according to the decay time. Small rooms sound better with a short decay time, large rooms sound better with longer reverb times.
  • Diffusion - Controls the density of the reflections bouncing off the walls of the virtual room. A low diffusion setting makes the reflections sound more distinct, like closely spaced echoes. A high diffusion setting creates reflections so close they sound more like noise, where no echoes can be distinguished.
  • Color - The Color parameter is used for adjusting the decay time of the bass frequencies of the signal. This allows you to change the overall perceived mood or 'sound' of the virtual room. A bright room has a low bass response, while warm rooms have a higher bass response. In a flat room, the response of the bass is equal to the general frequency response. Color has five settings: Brighter, Bright, Flat, Warm, Warmer.
  • Decay - Controls the decay time of the reverb, the time it takes for the signal to decay to -60dB (1/1000 of the maximum amplitude). Use low decay times for small rooms or boxes, and long decay times for large rooms, halls or churches. You should also make sure that the Room Size parameter has an appropriate value.
  • High Damping - This parameter allows you to adjust damping of the high frequencies in the reverb signal over time. Damping refers to the high frequencies being attenuated and dying out. This causes the sound to become gradually muffled and warm like it is being absorbed in the room. Setting this parameter to the maximum value will bypass the High Damping, displaying OFF in the value field.
  • Dry - Sets the relative dry output level.
  • Reverb - Sets the relative reverb (wet) signal level.

Plugin Credits: Ultrafunk


MIXING & EFFECTS

Fruity Scratcher

Fruity Scratcher is a vinyl turntable simulator. You can load any sample FL Studio supports and record your performance in real-time.

You can adjust the turntable's acceleration, weight etc. to suit your needs.

Parameters

  • Smooth 1/2/3/4 - These four parameters control the "gradient" generation of the turntable simulator. Adjusting these values can lead to better result with certain types of source material.
  • Pan - Sets the stereo panning of the audio output.
  • Vol - Sets the volume of the output.
  • Hold - Stops the turntable from playing.
  • Mute - Mutes the sound of the turntable (suitable for automation).
  • Turntable - Left-click and drag up/down to scratch the sample.
  • Play Backwards - Press this button to play the sample backwards when not scratching.
  • Pause - The turntable stays still when not scratching.
  • Play Forward - Press this button to play the sample forward when not scratching.
  • Speed (SPD) - Lets you adjust the playback speed (default: 1x).
  • Acceleration (ACC) - Lets you adjust the motion acceleration for the turntable.
  • Sensitivity (SEN) - Adjust's the turntable's sensitivity to mouse movement. The lower the sensitivity, the slower the rotation from the same mouse movement.
  • Browse for Sample - Click this button to select a sample as the source material to be "scratched".
  • Wave Preview - Displays a preview of the sample. You can also scratch the sample similarly to the turntable display, but horizontally.

Plugin Credits: Robert Conde


MIXING & EFFECTS

Fruity Send

The Fruity Send plugin sends its input to one of the 4 send Mixer tracks. This allows you to include effects in the insert track after the signal is sent to a sent track.

NOTE: This plugin can't be inserted in the master track or any of the send tracks.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Soft Clipper

Fruity Soft Clipper is a CPU friendly soft limiter filter. It allows you to avoid clipping and distortion by applying soft compression to the input signal.

Parameters

  • Threshold (THRES) - The volume threshold above which Soft Clipper will compress the audio signal.
  • Post Gain (POST) - Volume level applied after the compression.
  • Output Meter - Displays the output volume levels of the plugin.
  • Levels display - Displays the compression settings (hold your cursor over the display to see input to output levels mapping in the hint bar). Drag the cursor in the display to change the compression threshold.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Spectroman

Fruity Spectroman is spectrum analyzer plugin. Insert it in a Mixer track you want to monitor and open the editor to see the results.

Plugin Credits: Didier Dambrin, FFT analysis by FFTW library (http://www.fftw.org/)


MIXING & EFFECTS

Fruity Stereo Enhancer

Fruity Stereo Enhancer contains various filters and processors to alter and enrich the stereo image of the input sound.

Parameters

  • Stereo Separation wheel (STEREO SEP) - This parameter lets you increase or decrease the stereo separation of the input signal. It won't have effect in mono input. The value ranges from 0% (turned maximum to right) to 200% (turned maximum to left). At 0% separation the signal becomes mono, at 100% the stereo image remains unaltered.
  • PRE/POST switch - Lets you choose if you want the phase offset effect applied before the other filters in that plugin (PRE) or after the other filters (POST).
  • Invert switch - With this filter you can invert the phase in one of the audio channels. NONE disables the effect, LEFT inverts the left audio channel, RIGHT inverts the right audio channel.
  • Panning wheel (PAN) - Lets you set the panning of the output. When used with small delays, the phase offset effect can make the sound seem panned to left or right. Then you can use this wheel to compensate for this effect.
  • Volume wheel (VOL) - Lets you set the volume of the output. In some cases the stereo separation filter may decrease on increase the volume of the output, then you can use this wheel to compensate for this effect.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity Vocoder

Fruity Vocoder is an advanced realtime vocoder effect with a wide range of adjustable parameters and zero latency.

The vocoded sound is referred to as modulator. The sound used for vocoding is called carrier. A classical example is having a voice as a modulator and a synth as a carrier to create the effect of a "speaking synth".

The vocoder works by detecting the levels of certain amount of frequency bands and based on that information, filter the carrier. This makes the carrier obtain the characteristics of the modulator sound.

In this vocoder plugin, the left channel is considered modulator by default, and the right one, carrier (i.e. the vocoder can process only mono sounds). The channel assigment can be changed from the MIX section. There are many ways to create that combination, for ex., using panning, single channel mute, Fruity Send effect, insert tracks chaining (FL Studio Producer Edition only) etc.

Parameters

FREQ section

  • Min/Max - Those wheels set the frequency range processed in the vocoder. Cutting off high and low frequency regions that are not present in the modulator sound helps you achieve higher quality result with less bands.
  • Scale - Lets you adjust the scale of the frequency (linear or logarithmic). The best value for this property varies with the type of modulator sound (voice, instrument, noise etc.).
  • Invert (INV) - This switch inverts the modulator frequencies.
  • Bandwidth (BW) - This wheels sets the bandwidth of the bandpass filters used to filter the carrier sound. You can think of wider bands as producing softer sound. The best value differs with the different source sounds.

ENV Section

Sets the envelope follower attack and decay. This is the fade in/out times for the envelopes of the frequency bands tracked in the modulator sound.

  • Attack - Sets the "fade in" time.
  • Decay - Sets the "fade out" time.

MIX Section

Allows you to mix the source sounds of the carrier and modulator in the final result (use the sliders), or hear the left (modulator) or right (carrier) channel soloed (click the LCD switches).

You can swap the left and right channels assignments (decide whether the modulator is taken from the left and the carrier from the right one or vice versa) by clicking the L and R labels at the top.

Bands Display

Displays the bands and their volume levels and the sound plays. You can adjust the volume of the individual bands by dragging up/down the sliders in the view.

  • HOLD - Press this switch to hold the current band levels (i.e. "pause" the vocoder's band volume detection). You can automate this switch.
  • Bands - Allows you to select from 4 to 128 bands to be used for vocoding. The more the bands, the higher the output quality (unless you are looking for some kind of special effect), however, more bands consume more processor power. Also note that unlike the FFT-based the vocoders on the market (which usually use 256, 512 or more bands), Fruity Vocoder uses a more precise detection system, so you can achieve better results with much less bands (and no latency, unlike FFT vocoders!) than usual.
  • Filter - Allows you to set the filter order. Higher order allows for "steeper" frequency band edges.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity WaveShaper

Fruity WaveShaper is a wave distortion effect which maps input to output values using flexible spline-based graph.

Effect Parameters

  • Unipolar/Bipolar Switch - When you select unipolar mode, the bottom of the graph corresponds to 0db input and the top corresponds to maximum; Bipolar is aware of the exact position of the sample (above or below DC), so the middle is mapped to DC (0db) and up and down correspond to the offsets at both directions.
  • Pre - Preamplifies the input signal (volume).
  • Mix - Let's you mix the input signal with the processed signal in the final output. Turning to right mixes more signal from the processed version.
  • Post - Postamplification of the sound (volume).
  • Oversample - Oversamples the input to the factor specified, applies the distortion and downsamples. Oversampling helps to avoid aliasing artifacts, if any.
  • Center - Turn on to remove DC offset from the final output.

Spline Editing

Spline Editing Parameters

  • Freeze - Enable this switch to lock the map curve to its current setup. This feature is helpful after you finish with the changes to the shape and you want to protect it from accidental edits (it also hides the handles providing a clear view of the shape).
  • Step - Enable this option to set the editor in step editing mode - drag in the editor to create a "free hand" curve where a new control point is defined for every step in the timeline. Hold SHIFT key while dragging to draw "pulse" lines (straight vertical/horizontal lines only). Note that each new segment created this way uses the last tension set while adding a segment.
  • Snap - Enable this option if you want the control points to snap to the nearest step in the graph while dragging.

Curve Editing

Here are several basic operations you can perform to edit the envelope/mapping shape:

  • Add a new Control Point - Position your cursor over the line until the add point cursor appears ( [image]). Right-click and a new point will be added.
  • Reposition a Control Point - You can drag the control points with your left mouse button. Hold SHIFT while dragging to lock vertical position or CTRL to lock horizontal position.
  • Delete a Control Point - Right-click a control point and select Delete. Alternatively hold ALT and left-click.
  • Change Segment Type - WaveShaper offers three types of spline segments to select from. Right-click a control point and you will see three spline type options (the affected segment is the one preceding the control point): Single Curve - the default mode which allows you to create linear, ease in and ease out curves (depending on the tension); Double Curve - allows linear, ease in-out and ease out-in curves (depending on the tension); Hold - creates "hold" or "pulse" curves which are handy for creating abruptly value changes in your envelope.
  • Change Segment Tension (Acceleration) - You can drag the tension handle of each spline up/down to change the spline appearance. Right-click the handle to reset to a straight line. Hold CTRL during adjustment to fine tune.

Plugin Credits: Didier Dambrin


MIXING & EFFECTS

Fruity X-Y Controller

The Fruity X-Y controller is an internal controller plugin which provides the following controllers:

  • X-Y Ctrl - X - The value of this controller depends on the X (horizontal) position of a target (small circle with a cross) in a 2D grid.
  • X-Y Ctrl - Y - The value of this controller depends on the Y (vertical) position of the target.

To use this plugin, place an instance of it in any effects track. Open the editor window. You can see the target in the middle of a 2D grid. Drag in the grid to change the goal position and the target will follow. The X and Y controllers values also change according to the target movement. The X/Y values reach their minimum at the bottom left corner of the grid and their maximum at the top right corner.

Also, you can control the target with a joystick. You may find Logitech's Wingman Rumblepad (shown on the picture) especially useful, because of its two analog controllers that allows you to control 2 instances of the X-Y controller.

NOTE: See Automation/Internal Controller Plugins in the reference manual for more information on how to use internal controllers.

Parameters:

X/Y Setup Section:

Contains options for the X/Y axis interpreting and goal position.

  • X/Y switch - If you select X, the rest of the controls in that section control the behavior of the X axis, of you click Y, they control the behavior of the Y axis.
  • Level wheel (LVL) - This wheel sets the X or Y (depending on the X/Y switch) goal position the target is moving to.
  • Minimum Value wheel (MIN) - This wheel sets what is value of the X or Y (depending on the X/Y switch) controller when the X/Y coordinate of the target is at its minimum.
  • Maximum Value wheel (MIN) - This wheel sets what is value of the X or Y (depending on the X/Y switch) controller when the X/Y coordinate of the target is at its maximum.
  • Tension (TNS) - Drag up and down to alter the shape of the curve used to map the coordinate values to controller values. You can think for this parameter as controller's "tension".

Additional Options:

  • Speed wheel (SPD) - Turn to right to speed up target's movement toward the goal position. Turn to left to slow down the target.
  • Acceleration wheel (ACC) - Sets the acceleration of the target when the goal position changes. Turning the wheel to right makes the acceleration faster, turning to left makes it slower.
  • Enable Joystick Controller - Turn on this switch if you want to use your joystick to control the target.
  • X and Y buttons - Click to launch menus where you can choose what properties of your joystick should control the X and Y axes.
  • Joystick Speed wheel (SPD) - Sets the speed of the joystick.

Plugin Credits: Didier Dambrin


PLAYLIST

Basics

The Playlist window contains the sequence of patterns and audio/automation clip tracks that form the complete song structure.

  1. Playlist Menu Button
  2. Toolbar: Draw ( [image] P); [image] Paint ( [image] B); [image] Erase ( [image] D); [image] Cut ( [image] C); [image] Select ( [image] E); [image] Zoom to selection ( [image] I);
  3. Live Mode
  4. Horizontal Zoom (Timeline Zoom)
  5. Time Markers
  6. Patterns Tracks
  7. Tracks Tools and Options
  8. Audio/Automation Tracks Vertical Zoom
  9. Audio/Automation Tracks

Patterns vs Audio/Automation Clips

This page covers some generic information about using the Playlist window. For more details on using the patterns and audio/automation clip tracks and when to use which, please check the following pages:

Pattern View

Audio/Automation tracks

Timeline and Time Markers

The horizontal dimension in the Playlist represents time. You can see the timeline displayed on top of the playlist window (4). The numbers in the timeline stand for the number of bars since the start of the song.

You can add named time markers in the timeline, which helps for marking specific a section of your song, and allows a quick selection of a region between two markers.

To add a new time marker, open the Playlist's menu (1) and select Add Time Marker. Type a name for the marker and press Enter. All new markers apears at the start of the timeline. You can move them easily to any position by dragging their left edge with your left mouse button.

You can right-click any existing time marker for a popup menu enabling you to change its name or remove it.

Selection Methods

There are several ways to make a selection in the Playlist:

  • Select rectangular area in the audio or pattern tracks: In draw ( [image]) or paint ( [image]) mode, hold Ctrl and drag an to define the selection area with the left mouse button. You can use left mouse button without Ctrl in selection mode ( [image]).
  • Add to existing selection: Hold Shift and Ctrl while making a rectangular selection to add to the existing selection.
  • Select a set of pattern tracks: Hold Ctrl and drag up/down inside the pattern name are on the left side of the screen.
  • Select a time region: Hold Ctrl and drag left/right inside the timeline (4) area.
  • Select a marked time region: Double-click a time marker in the timeline to select the time region from this marker to the next one (or to the end of the song in case it is the last one).

Playlist Menu

The Playlist menu button (1) shows a menu that contains many useful commands for managing the Playlist.

1. Edit

  • Cut ( [image] Ctrl+X) - Cuts all selected pattern bars and audio clips to the clipboard.
  • Copy ( [image] Ctrl+C) - Copies all selected pattern bars and audio clips to the clipboard.
  • Paste ( [image] Ctrl+V) - Pastes pattern bars and audio clips from the clipboard.
  • Delete ( [image] Del) - Deletes all selected pattern bars and audio clips.
  • Delete All ( [image] Ctrl+Del) - Deletes all pattern bars and audio clips.
  • Select All ( [image] Ctrl+A) - Selects all pattern bars and audio clips.
  • Invert Selection - Inverts the selection.
  • Quick Quantize ( [image] Alt+Q) - Applies basic quantize to all selected pattern bars and audio clips depending on the global snap setting in the Recording panel (if nothing is selected, applies to all).
  • Insert Space ( [image] Ctrl+Ins) - Creates empty space that matches the current selection start and length by shifting all following pattern blocks forward.
  • Delete Space ( [image] Ctrl+Del) - Erases all pattern blocks in the current selection and shifts back the remaining blocks to close the gap.

2. Patterns

  • Set Name - Opens a name popup allowing you to rename the selected patern.
  • Color Selected ( [image] Alt+C) - Opens the standard Windows color picker, enabling you to select a color for the selected pattern track.
  • Open in Project Browser ( [image] Alt+P) - Expands the Project Browser folders to show the selected pattern.
  • Insert One ( [image] Ctrl+Ins) - Inserts blank pattern before the currently selected one.
  • Clone Selected ( [image] Shift+Ctrl+C) - Inserts a clone of the current pattern right after it. The cloned pattern has the same note events (with their velocity, pan etc. properties) in the Step Sequencer as the original, but currently the events are not copied into the new pattern.
  • Delete Selected ( [image] Ctrl+Del) - Deletes the current pattern.
  • Move Selected Up ( [image] Alt+Up) - Moves all selected patterns one step up.
  • Move Selected Down ( [image] Alt+Down) - Moves all selected patterns one step down.
  • Flatten Selected - This option scans the bars of the selected pattern and reconstructs the whole sequence in a big Piano Roll sequence(s) inside the pattern. The separate bars are replaced by a single big bar containing the entire sequence. With this feature you are able to quickly convert repeated patterns in a big sequence where you can variate the separate repetitions without creating a separate pattern for each variation. Note that this function converts all step grid sequences to Piano Roll notes.
  • Merge Selected - Flattens all selected pattern tracks and merges them all in the topmost selected pattern.

3. Audio Tracks

  • Auto Zero Crossing - Enabling this command allows FL Studio to look for the closest zero (middle) level intersection when splitting an audio clip to bars, beats, or when using the Cut tool ( [image]). Splitting at zero intersection strongly reduces the chance of clicks and pops artifacts caused due to the abruptly start of an audio segment.
  • Flat Mode ( [image] Alt+F) - Switches between flat and 3D rendering mode for the audio tracks.
  • Glass Mode ( [image] Ctrl+Alt+F) - Turns on/off the glass shading effects for the audio tracks waveform preview.

4. View

Contains one command - Grid Color, which opens a dialog box that lets you choose a color for Playlist's grid.

5. Zoom

Contains a submenu with a set of quick zooming levels: Far ( [image] 1); Medium ( [image] 2); Close ( [image] 3); Best Fit ( [image] 4); On Selection ( [image] 5);

On Selection zooms the time line to fit the selection (the command will be disabled if no time region is selected in the timeline).

6. Live Mode

Turns on/off the live mode feature of the Playlist. In live mode, you can see an on/off switch next to the name of each pattern track (8), which enables you to quickly turn a pattern playing on and off without drawing a fixed sequence with bars. As the name suggests, this feature is useful primarily for live performances and for testing various playlist arrangements on the fly.

You can control the on/off switches using the keys on your MIDI keyboard as well (see MIDI Settings).

7. Center Grid ( Backspace)

Scrolls Playlist's grid so the playing position marker appears in the middle. Useful when you want to see the playing position in a long sequence.


PLAYLIST

Audio & Automation Tracks This feature is available only in Producer Edition

The Playlist window contains a sequence of patterns and audio/automation tracks that form the complete song structure.

  1. Playlist Menu Button
  2. Toolbar: Draw ( [image] P); [image] Paint ( [image] B); [image] Erase ( [image] D); [image] Cut ( [image] C); [image] Select ( [image] E); [image] Zoom to selection ( [image] I);
  3. Live Mode
  4. Horizontal Zoom (Timeline Zoom)
  5. Time Markers
  6. Patterns Tracks
  7. Tracks Tools and Options
  8. Audio/Automation Tracks Vertical Zoom
  9. Audio/Automation Tracks

The bottom section of the playlist contains the audio/automation tracks (9). The tracks provide the user with an easy visual way to place, arrange and edit a set of audio clips and parameter automation splines, with an intuitive preview of the data held in the clips (waveforms/automation splines - see the picture). It is also possible to cut and split clips in multiple pieces and arange the pieces independently on the audio tracks.

Each clip available in the tracks view is in fact an instance of the Audio Clip generator or the Automation Clip.

Audio clip channels are a special version of the Sampler channels.

Automation clips are a dedicated internal controller plugin.

Each clip channel you add in the Step Sequencer becomes available in the tracks view and vice versa - dropping samples on the audio tracks generates an Audio Clip channel (unless a channel exists with the same sample).

Common Operations on Clips

Basic Operations

To place a clip, switch to draw ( [image]) or paint ( [image]) mode and left-click in a track (of no clip was edited previously, you will see a dialog where you can browse for a sample to be used). Paint mode allows you to draw multiple instances of the clip at once (hold the mouse button and drag).

To erase an audio clip, click it with your right mouse button or use the left mouse button in erase ( [image]) mode.

To switch an audio clip instance to play another Audio Clip channel, open the clip menu (left-click the arrow in the top left corner of the clip) and from the Select Channel menu, pick an Audio Clip channel to switch to.

To open the Channel Settings of the channel associated with the audio clip instance, open the clip menu and select Channel Settings.

From the clip menu, select Preview to listen to the audio clip sample (hit the Stop button in the Transport panel to stop the preview).

Fast Creation of Automation Clips

In the case of automation clips, it is faster and more natural to right-click an automatable control and select Create Automation Clip. This will automatically create an automation clip, link it to the control as needed and select is to that if you click inside the clip tracks an instance of that clip will be created automatically.

FL Studio also provides you with a quick way to automate the volume/pan of an audio clip. Open the clip menu and select either Automate > Panning or Automate > Volume. Keep in mind that this creates an automation clip linked to the volume/panning placed over the audio clip, i.e. it overlays the audio clip and doesn't show the envelope curve inside the audio clip itself. You can use the focus switches (see section 7 above) to bring either clip in front for editing. Read below for more information about working with focus groups and overlayed clips.

Make Unique

By default all instances of a clip you place (either audio or automation) share the same channel. This means that they share the same LFO/envelope and sample selected.

Sometimes you'll want to place an instance of a clip and edit it independently without affecting the other instances. To do this, open the clip options menu (the triangle icon on top left of the clip) and select Make Unique. The clip channel will be cloned and the clone will be assigned to this instance so it's now "unique".

Focus and editing options

The two buttons in section 7 (see the screenshot above) allow you to select the focus of editing in the audio/automation tracks. You can select to bring either audio (left button) or automation clips (right button) to be displayed in front when there are overlapped clips.

This allows you to overlap an audio clip with its matching volume or pan automation clips and selectively bring either in front as you work. CTRL+click both clips so they are selected and can be moved together.

The options below are context-sensitive depending on the selected focus:

  • Audio focus: Zero-Cross - enable this option to allow FL Studio to "snap" clicing and resize operation of audio clips to the nearest zero-crossing around the desired location. This means that sliced audio clips won't create "click" and "pop" sounds at the slice locations.
  • Automation focus: Step - Enable this option to set the automation clip spline editor in step editing mode - drag in the clip to create a "free hand" curve where a new control point is defined for every step in the timeline (steps depend on the current snap settings). Hold SHIFT key while dragging to draw "pulse" lines (straight vertical/horizontal lines only). Note that each new segment created this way uses the last tension set while adding a segment.
  • Automation focus: Slide - Enable this option to preserve the relative distance between a dragged control point and all control points following it (this option is enabled by default).

Splitting and Regions

A powerfull feature of both automation and audio clips is the ability to split them in pieces and arrange the pieces independently on the tracks. Here are the methods you can use to split a clip in multiple pieces:

1. Using the Cut tool ( [image]) - Select the Cut tool. Go to a clip, press and hold the left mouse button. Now drag to define the "cut line" slope and length, then release the button. All audio clips that intersect with the line are splitted at the intersection point.

2. Split on each beat / bar - You can split your audio clips on even pieces for each bar or beat in the timeline. Open the clip menu and from the Chop into menu select Bar or Beat to split in bars or beats, respectively. Beat (Random) splits the audio clip in beats and reorders the resulting pieces in a random order.

3. Autodetect - FL Studio can split your audio clip using its integrated BeatSlicer engine. To auto-split an audio clip, open its menu and from the Chop into menu select Autodetect.

4. Precise split using external cue points - FL Studio reads the cue points embedded in all samples used as audio clips. Cue points can be inserted in most of the popular wave editors, such as Adobe Audition (previously known as Cool Edit®) and SoundForge®. Cue points allow you to create perfectly accurate regions inside the waveform. You also can take advantage of 3rd party tools which create those regions automatically based on a special analisys of the sample (for ex. BeatSlicer, which marks the start of each detected beat with a cue point) and then split the regioned clip in FL Studio.

To split an audio clip into regions, open the clip menu and from the Chop into menu select Regions (if the wave doesn't contain regions, this command is disabled).

You can also directly set an audio clip to show only a specific region contained in the sample. To do so, open the clip menu, and from the Select Region menu select a region name, or select Full Sample to show again the full audio sample (only Full Sample is available for clips without regions).

Automation Clips: Envelopes & LFO Unit

Each automation clip comes with a main envelope (bottom - 0%, top 100% output value), LFO unit and a spline envelope (-100% - 100%) to articulate the LFO output level.

Editing the envelopes is consistent with the other envelopes and plugin in FL Studio and offers a powerful selection of spline segment types and editing modes.

When you create an automation clip, the default settings will show the main envelope and the LFO unit is disabled.

To enable the LFO and be able to see/edit the LFO level articulator envelope, open the clip's Channel Settings and enable "LFO". When the LFO unit is enabled, the main envelope is still active and combined with the LFO output value either by multiplication or addition (offset). This can be set in the channel settings window.

The envelopes of autiomation clips are highly customizable and each envelope can be comprised of unlimited number of with customizable type and tension (acceleration).

Curve Editing

Here are several basic operations you can perform to edit the envelope:

  • Add a new Control Point - Position your cursor over the line until the add point cursor appears ( [image]). Right-click and a new point will be added.
  • Reposition a Control Point - You can drag the control points with your left mouse button. Hold SHIFT while dragging to lock vertical position or CTRL to lock horizontal position.
  • Delete a Control Point - Right-click a control point and select Delete. Alternatively hold ALT and left-click.
  • Change Segment Type - FL Studio offers three types of spline segments to select from. Right-click a control point and you will see three spline type options (the affected segment is the one preceding the control point): Single Curve - the default mode which allows you to create linear, ease in and ease out curves (depending on the tension); Double Curve - allows linear, ease in-out and ease out-in curves (depending on the tension); Hold - creates "hold" or "pulse" curves which are handy for creating abruptly value changes in your envelope.
  • Change Segment Type Tension (Acceleration) - You can drag the tension handle (see the screenshot above) of each spline up/down to change the spline appearance. Right-click the handle to reset to a straight line. Hold CTRL during adjustment to fine tune.


PLAYLIST

Patterns

The Playlist window contains a sequence of patterns and audio tracks that form the complete song structure.

  1. Playlist Menu Button
  2. Toolbar: Draw ( [image] P); [image] Paint ( [image] B); [image] Erase ( [image] D); [image] Cut ( [image] C); [image] Select ( [image] E); [image] Zoom to selection ( [image] I);
  3. Live Mode
  4. Horizontal Zoom (Timeline Zoom)
  5. Time Markers
  6. Patterns Tracks
  7. Tracks Tools and Options
  8. Audio/Automation Tracks Vertical Zoom
  9. Audio/Automation Tracks

The Playlists contains two sets of tracks. The top section contains the pattern tracks (6): each track represents one pattern. The names of the patterns are displayed on the left side of the Playlist (right click a name to change it).

You can set multiple patterns running at the same time, but note that you should not combine patterns that both contain a sequence for a monophonic instrument (such as the TS404 bassline). Since monophonic instruments play one note at a time, only one of the patterns will play, or both patterns may play, but improperly.

To trigger a pattern at a specific time, left-click its track while in draw ( [image]) or paint ( [image]) mode (paint mode allows you to draw several bars at once while dragging horizontally in the Playlist) to create a bar for .

Similar to working with notes in the Piano Roll, once created, you can drag the pattern bars to adjust their start time. Unlike the Piano Roll, however, you can not adjust the bar length in the Playlist. The bar length is fixed and reflects the length of the individual patterns (which is determined by the pattern contents: sequence grid length, notes and automation events).

It is allowed to draw overlapping bars in the playlist, but please note that only one instance of each pattern can play at a given moment (i.e. each new bar "cuts" the playback of the previous bar for the same pattern).

To erase a bar, click it with your right mouse button or use the left mouse button in erase ( [image]) mode.


AUTOMATION & RECORDING

Automation & Recording This feature is available only in FruityLoops Edition and Producer Edition.

In FL Studio you can record three different types of data. Notes (MIDI keyboard performances), audio (mixer, microphone, line-in) & control value changes (volume, pan, cutoff filter tweaks and more). Here you can find more information on these functions and links to pages which cover some of the techniques in detail.

Recording audio (line-in, mixer, microphone...)

FL Studio can also record the output of the various Mixer tracks, or even your microphone or line-in (ASIO sound cards only) and convert the recorded audio to audio clips. For more information see these pages:

Live Recording - Recording mixer tracks to audio files during a live recording session.

Mixer Input/Output Routing - Learn how to adjust the mixer tracks input/output to record line-in and microphone input.

Disk Recording - Learn how to prepare and arm a mixer track for recording.

Recording notes (keyboard performances)

External MIDI keyboards can be used to play and record the synthesizers in FL Studio. For more information on recording a sequence using your MIDI keyboard, see these pages:

Live Recording - Recording performances during a live recording session.

Step Editing - Recording performances step by step.

Recording control changes

Almost any control movement in FL Studio can be recorded, so it turns/slides exactly the way you want it next time when you play the song. You can then refine recorded events using the Event Editor. If you own an external MIDI controller, you can use it to tweak the automated controls as well.

You can also let special internal controller plugins (they can be either effects or generators) move the controls for you programmatically. These plugins can, for example, follow the special features of a sound (like volume envelope, as in the Fruity Peak Controller) and map them to the value of a control of your choice, or provide automatic LFO for controls where otherwise that would be impossible etc. Since FL Studio 5 you can also use the flexible automation clips to animate the controls you need.

To check if any control can be recorded or linked to an external MIDI controller, position the cursor over it and check what is displayed in the hint field of the Main panel. Look for these icons:

- This icon shows the control is automatable (events can be recorded and then edited with an Event Editor)

- This icon shows the control can be remotely controlled by a MIDI controller.

So there are four ways to add "live tweaks" to your project:

Live Recording - Recording control changes during a live recording session.

Event Editor - Editing, refining and drawing control value changes in a graph.

Automation Clips - Automate your controlls easily and naturally with the spline-based automation clips.

Live Recording Using MIDI Controller - Using your MIDI controller during a live recording session.

Internal Controller Plugins - Using plugins to automate control values parametrically.

Click here for a full list of supported external MIDI devices.


AUTOMATION & RECORDING

Live Recording

Basics

Recording sessions allow you to record audio, control changes and melodies you play on your MIDI keyboard in real-time. To start a recording session, turn on the Record button in the Transport panel. Now press the Play button (located in the Transport panel too). FL Studio will play the song as usual, but will also record the MIDI events coming from your MIDI keyboard. You can select whether you want the melody recorded in the Piano Roll score of the channel or the Step Sequencer (see the MIDI settings page).

Recording Controls

However, this is not all you can record during recording session. Except notes, patterns in FL Studio can hold the value changes in time of any control that can be automated (for example, turning up the volume wheel of a channel, tweaking the cutoff of TS404 etc.). During recording sessions, FL Studio records all changes you make in those automatable parameters (wheels, sliders, LCD-s, switches).

If you want to use one global events track for recording automation events (FL Studio 2.x style), you can create a special pattern to hold only automation events. Then place an instance of it in the first bar of the Playlist, select it (so it shows in the Step Sequencer) and make your recording session. FL Studio 2.x projects are imported using this solution - special pattern called "Main Automation" is automatically created and all events are placed in it.

Recording Audio

During a recording session, FL Studio will record any armed tracks to audio files on the disk and can optionally insert the audio as audio clips in the playlist.

To learn more about this process visit the following links:

Disk Recording

Playlist Audio Tracks

Canceling a recording session

You can cancel a recording session (so it does not apply the recorded notes and automation events) in two ways. The first one is to choose Cancel Current Recording command from Help menu, but note that you should do this while recording, BEFORE pressing the Stop button. If you press it, you can still undo the whole recording session by choosing Undo from the Edit Menu. If you had recorded mixer tracks during the last session, you will be prompted if you agree that the files are erased (i.e. undone). Be careful, because once you undo audio recording, the files can not be restored and you will have to record them again if needed.


AUTOMATION & RECORDING

Live Recording Using MIDI Controller

During a recording session, you have to move the wheels and sliders in FL Studio' interface to automate their movement. However, if you own an external MIDI controller, you can control all these controls from it. If the device you use can also send note events (usually these are MIDI keyboards), you can use it to record melodies in FL Studio (see MIDI Settings for various options concerning keyboard input). To use your MIDI controller/keyboard in FL Studio, first ensure you have selected the proper driver in the Remote Control Input combo box, located in the MIDI Settings page. Then check if the Enable MIDI Remote control option is enabled in the Options menu.

Linking control to MIDI device

Right-click a control to be linked and from the menu that appears click Link to Controller. The Remote Control Settings dialog appears.

MIDI Controller:

  • Channel - Choose a channel to link the control to.
  • Controller - Choose a controller to link the control to.
  • Auto Detect - Very useful option that will detect and set the MIDI controller automatically - all you need to do is just tweak the desired control on your MIDI controller.
  • Omni - If this option is not checked, FL Studio will link only the current control to this MIDI controller. Otherwise all controls of the same type are linked automatically too. For example, if this option is turned off and you link a volume wheel, the volume wheels in all channels are linked to the same controller, and the MIDI input gets the currently selected channel.

In addition to the standard MIDI controllers, FL Studio supports several types of custom MIDI controllers (endless wheels, switches etc.). For more information, see MIDI Settings.

Internal Controller:

This section allows you to link the property to an internal controller plugin. It appears only if you have added at least one controller plugin. For more information see Internal Controllers Plugins.

Remove Conflicts

When this option is checked, FL Studio will remove conflicts, like linking two wheels to the same controller (either MIDI or internal).

Reset

Click this button to reset the remote control settings, including mapping formula & smoothing.

Mapping Formula:

Here you can enter a formula that is used to map the controller values to the property you link. The default formula is 'Input', Input is the variable that holds the value of the controller (1:1 mapping). Now you can enter an expression to alter the default 1:1 mapping. For example: 'Input*2' multiplies the controller value by 2. When you write an expression, press Enter. If you see message "Compiled OK" the formula was successfully compiled and you can press the OK button to apply it to the linked control. If a red text appears below, the formula is wrong (usually syntax error or unsupported variable/function was used). Correct the error and press Enter again. For a full list of supported variables and function click here.

Smoothing:

This feature allows you to smoothen the motion produced by the remote control hardware and/or internal plugin. This reduces the need to manually refine recorded automation after live sessions and ensures proper ramping of the control motion to avoid abruptly changes.

  • Time - The amount of smoothing applied to the remote control input. The longer the time, the smoother the motion.

Linking effects

If you want to automate a FL Studio effect, you can proceed with it's controls exactly as with any FL Studio control - right-click it to launch a pop-up menu, from where you can display the Remote Control Settings dialog box. The same goes for VST effects that do not have their own editor's interface. Then FL Studio provides interface for the plugin, and all wheels can be automated as usual.

To link VST effects that have their own interface, call the FX pop-up menu (see Mixer window) and select Link to MIDI controller item. From the submenu that appears, either select All to link all effect's controls at once (for example, if you select controller 8, the first control is mapped to controller 8, the next one to controller 9 etc.), or select a property name to link it alone instead. Be warned that many third-party VST effects do not report properly their settings, and might crash when trying to link them to a MIDI controller. It is highly recommended that you save your project before mapping VST settings for remote control.

Unfortunately, there is no way to link DirectX effects to a MIDI controller. That limitation comes from the DirectX specifications, not from FL Studio itself. Some DirectX plugins might have MIDI remote controller functionality, but NOT through the DirectX interface (so they can not be linked right inside FL Studio). To link such effect, follow the help instructions that come with your DirectX plugin.


AUTOMATION & RECORDING

Internal Controller Plugins This feature is available only in FruityLoops Edition and Producer Edition.

In FL Studio 3.2 or later, you can use special internal controller plugins (they can be either effects or generators) to move the controls for you programmatically. These plugins can, for example, follow special features of a sound (like volume envelope, as in the Fruity Peak Controller) and map them to the value of a control of your choice, or provide automatic LFO for controls where otherwise that would be impossible etc.

Linking a control to internal controller

The controller plugins provide special internal controllers in FL Studio, that are used to link a control to the plugin. To link a control to such internal controller, right-click it and from the menu that appears click Link to MIDI Controller. The MIDI Remote Control dialog appears.

MIDI Controller:

This section allows you to link a control to a MIDI controller. For more information see Live Recording Using MIDI Controller.

Internal Controller:

Here you can linked the property to an internal controller that controller plugins provide. Note that this section is NOT VISIBLE when there aren't any controller plugins added in the current FL Studio project.

  • Record Automation - This switch should be usually turned off. When turned on, all events generated by the controller plugin will be recorded during a live recording session, as if you moved the control manually. However, you may turn this switch on if you want to use the controller plugin as a tool (like you use the LFO tool) to record specific set of events that you can then further refine and edit in the Event Editor window. It also makes possible to record events from controller plugins that might use much CPU when used in real-time. Don't forget to unlink the control after you recorded the events you need, not doing so may result in unwanted behavior (due to conflict between the recorded events and those generated in same time by the plugin).

Remove Conflicts

When this option is checked, FL Studio will remove conflicts, like linking two wheels to the same controller (either MIDI or internal).

Reset

Click this button to reset the remote control settings, including mapping formula & smoothing.

Smoothing:

This feature allows you to smoothen the motion produced by the remote control hardware and/or internal plugin. This reduces the need to manually refine recorded automation after live sessions and ensures proper ramping of the control motion to avoid abruptly changes.

  • Time - The amount of smoothing applied to the remote control input. The longer the time, the smoother the motion.

Mapping Formula:

Here you can enter a formula that is used to map the controller values to the property you link (click the title for a list of formula presets). The default formula is 'Input', Input is the variable that holds the value of the controller (1:1 mapping). Now you can enter an expression to alter the default 1:1 mapping. For example: 'Input*2' multiplies the controller value by 2. When you write an expression, press Enter. If you see message "Compiled OK" the formula was successfully compiled and you can press the OK button to apply it to the linked control. If a red text appears below, the formula is wrong (usually syntax error or unsupported variable/function was used). Correct the error and press Enter again. For a full list of supported variables and function click here.

Linking effects

If you want to automate a FL Studio effect, you can proceed with its controls exactly as with any FL Studio control - right-click it to launch a pop-up menu, from where you can display the MIDI Remote Control dialog box. The same goes for VST effects that do not have their own editor's interface. Then FL Studio provides interface for the plugin, and all wheels can be automated as usual.

To link VST effects that have their own interface, call the FX pop-up menu (see Mixer window) and select Link to MIDI controller item. From the submenu that appears, either select All to link all effect's controls at once (for example, if you select controller 8, the first control is mapped to controller 8, the next one to controller 9 etc.), or select a property name to link it alone instead. Be warned that many third-party VST effects do not report properly their settings, and might crash when trying to link them to a MIDI controller. It is highly recommended that you save your project before mapping VST settings for remote control.

Unfortunately, there is no way to link DirectX effects to MIDI controller. That limitation comes from DirectX specifications, not from FL Studio itself. Some DirectX plugins might have MIDI remote controller functionality, but NOT through the DirectX interface (so they can not be linked right inside FL Studio). To link such effect, follow the help instructions that come with your DirectX plugin.

Included Internal Controller Plugins

FL Studio comes with several internal controller plugins available as effect or generator plugins. These are:

Dashboard

Fruity Formula Controller

Fruity Keyboard Controller

Fruity Peak Controller

Fruity X-Y Controller


AUTOMATION & RECORDING

Step Editing

Step editing is a technique to record melodies note by note using your MIDI keyboard (or computer keyboard if Typing Keyboard to Piano is enabled).

To start the step editing mode, first enable it from the Recording panel or the Options menu. In the Step Sequencer, select the channel you want to step edit.

Now each time you press a key on the MIDI keyboard a new note is added in the Piano Roll (you don't need the Piano Roll window opened to step edit) and the position advances to the next step automatically. The step size is equal to the snap size in the Recording panel.

You can use the [image] Num. pad / key on your keyboard to go back to the previous step position. Adding note in an already filled position erases the old step.

The [image] Num. pad * shortcut sends the marker to the next step position. This way you can leave empty spaces between the steps.

You can also create steps longer than the current snap setting. While holding a MIDI key on your keyboard, press the advance position shortcut ( [image] Num. pad *) one or more times then release the MIDI key.


AUTOMATION & RECORDING

Supported MIDI devices

Automation

General MIDI controllers supported

FL Studio supports all generic MIDI controllers that use absolute value wheels and sliders. Supported devices include:
  • Keyfax Phatboy
  • Doepfer Drehbank & Pocket control
  • all other standard MIDI controller devices

Custom MIDI controllers supported

FL Studio supports several types of custom MIDI controllers. Features supported include endless (relative) wheels, switch controls, support for jog and transport controls. To enable the advanced features of your custom MIDI controller, you need to select it in the Control Surface list in the MIDI settings window. If the device is not listed, it is not supported.

Currently the supported devices in this category include:

  • Peavey StudioMix
  • Tascam US-428
  • Editor PCR-30/50
  • Hercules DJ Console
  • Korg MS-20 Controller
  • Korg microKONTROL

Other similar devices might function properly as well.

Keyboards

FL Studio supports all MIDI keyboards, keyboard synthesizers with MIDI output and all other similar devices with General MIDI output. To play a synth in FL Studio using an external keyboard, select its channel in the Step Sequencer.


AUTOMATION & RECORDING

Mapping Formula

Here is a full list of supported variables and functions you may use to author expressions for the mapping formula in the Remote Control Settings Dialog.

Operators
Abbreviature | Comment | Example
+ | addition | a+b
* | multiplication | a*b
- | subtraction | a-b
/ | division | a/b
^ | power | a^b
Functions
Abbreviature | Comment | Example
Sin | sine | Sin(a)
Cos | cosine | Cos(a)
Tg | tangent | Tg(a)
Ctg | cotangent | Ctg(a)
Sec | secant | Sec(a)
CoSec | cosecant | CoSec(a)
ArcSin | antisine | ArcSin(a)
ArcCos | anticosine | ArcCos(a)
ArcTg | antitangent | ArcTg(a)
Exp | exponent | Exp(a)
Sqrt | square root | Sqrt(a)
Ln | logarythm base e | Ln(a)
Log10 | logarythm base 10 | Log10(a)
Log2 | logarythm base 2 | Log2(a)
Neg | negative | Neg(a)
Abs | absolute | Abs(a)
Pi | pi | Pi()
Sum | sum of arguments | Sum(a,b)
Min | minimum | Min(a,b)
Max | maximum | Max(a,b)
Round | round to nearest integer | Round(a)
Int | integral part | Int(a)
Frac | fractional part | Frac(a)
IfE | returns 1 if a=b | IfE(a,b)
IfL | returns 1 if a<b | IfL(a,b)
IfG | returns 1 if a>b | IfG(a,b)
IfLE | returns 1 if a<=b | IfLE(a,b)
IfGE | returns 1 if a>=b | IfGE(a,b)
Case | returns b if a=1, else returns c | Case(a,b,c)
Rand | random value (0..1) | Rand()
SeededRand | controlled random value (0..1) | SeededRand(Seed)
Special (related to FL Studio)
Abbreviature | Comment | Example
Input | the value sent by the controller you linked (MIDI or internal) | Input
Tension | the same as the tension wheels | Tension(Value,Speed)


AUTOMATION & RECORDING

Event Editor This feature is available only in FruityLoops Edition and Producer Edition.

The Event Editor allows you to see, edit and save/load recorded events. You may also use it to write directly events without making a recording session.

    1. Draw Mode ( [image] P)
    2. Brush Mode ( [image] B)
    3. Erase Mode ( [image] D)
    4. Select Mode ( [image] E)
    5. Zoom To Selection ( [image] E)
    6. Interpolate Mode ( [image] I)
    7. Zoom Time ( [image] PgUp/PgDown)
    8. Vertical Zoom
    9. Event Graph Area
    10. Event Editor Menu Button

The Event Editor looks like a graph - the horizontal axis represents time, and the vertical axis represents the event values. Events are displayed as vertical lines (height represents the value of the event). Each Event Editor window can display only one type of events at a time (for example, cutoff changes). To open an Event Editor, right-click any automatable control in and from the menu that appears, select Edit Events item to switch displayed events in the currently opened Event Editor (or to open a new one if there isn't any). You can also select Edit Events in New Window instead, to open a new Event Editor window.

To create an event in the Event Editor switch to Draw Mode (1) or Paint Mode (2) and left-click in Event Graph Area (9). You can also create whole curves of events - just left-click and drag to create the desired shape. To create straight lines of events instead, right-click in the grid and drag. Draw Mode and Paint Mode are identical, however Paint Mode will ignore the current snap settings. This allows you to draw smooth curves without changing your snapping preferences.

To create interpolation between events, you can use the Interpolate Mode (6). While in this mode, left-click and drag to select the events to be interpolated. The events you select will be marked in blue. When you release the mouse button, all selected events will be refined using linear interpolation. To use spline interpolation, start dragging with your right mouse button instead.

To erase events, use the Erase Mode (3). While in this mode, left-click and drag to select events to be removed. Selected events will be marked in red and are deleted with the release of the button.

To select events in any mode (drawing, erase, interpolate), double-click or Ctrl+click the time ruler and drag to select a time range. You can also use the special Select Mode (4), to select with a single left-click and drag. Selections are used when cutting events and using the LFO tool (see the menu commands described below).

Using the Event Editor with Effects

If you want to open an Event Editor for a FL Studio effect plugin, then you proceed with its controls exactly as with any FL Studio control - you can right-click it to launch its pop-up menu, from where you can open the Event Editor. The same goes for VST effects that do not have their own editor's interface. Since FL Studio provides an editor for the plugin, all controls behave as usual (right-click a control and select either Edit Events or Edit Events in New Window).

To open an Event Editor for a property in VST effects that have their own interface, call the FX pop-up menu (see Mixer window) and select Open Event Editor item. From the submenu that appears, select a property name to open an Event Editor for. Be warned that many third-party VST effects do not report properly their settings, and might crash when trying to open an Event Editor for some of their properties. It is highly recommended that you save your project before trying to use Event Editor for such effects.

Unfortunately, there is no way to open Event Editor for DirectX effects. That limitation comes from DirectX specifications, not from FL Studio itself.

Event Editor Menu

This menu provides useful commands for editing events. You can access Event Editor's menu by clicking the Event Editor menu button (10).

1. File

  • Open Automation - Imports automation data from a score file (*.FSC) in the current Event Editor.
  • Save Automation as - Saves the automation data from the current Event Editor to a score file (*.FSC).
  • Import MIDI ( [image] Ctrl+M) - Shows the Import MIDI Data dialog box that lets you import controller data (cutoff, resonance etc.) from MIDI file to the Event Editor.
  • Paste from MIDI clipboard ( [image] Shift+Ctrl+V) - Works exactly as the previous command, but uses MIDI clipboard data rather than a MIDI file. You can paste data from many sequencers that can copy to MIDI clipboard format, as for example Cakewalk Pro Audio (TM).

2. Edit

  • Cut ( [image] Ctrl+X) - Cuts all selected events to the clipboard. You have to select an area to cut, or this command will be disabled.
  • Copy ( [image] Ctrl+C) - Copies all selected events to the clipboard. You have to select an area to copy, or this command will be disabled.
  • Paste ( [image] Ctrl+V) - Pastes events from the clipboard to the current Event Editor. If you don't select an area to be pasted in, the events will be pasted in the beginning of the pattern.
  • Delete ( [image] Del) - Deletes all selected events in the Event Editor. You have to select an area to delete, or this command will be disabled.
  • Delete All ( [image] Ctrl+Del) - Deletes all events in the current Event Editor.
  • Select All ( [image] Ctrl+A) - Selects all events in the Event Editor.
  • Select Previous ( [image] Ctrl+Left) - Moves the selection backwards so the selection start matches the new selection end. For example, if you select a bar, this command selects the previous bar.
  • Select Next ( [image] Ctrl+Right) - Moves the selection forward so the selection end matches the new selection start. For example, if you select a bar, this command selects the next bar.
  • Insert Space ( [image] Ctrl+Ins) - Creates "empty" space that matches the current selection start and length by shifting the following events forward.
  • Delete Space ( [image] Ctrl+Del) - Erases all events in the current selection and shifts back the following events to close the gap.
  • Insert Current Controller Value ( [image] Ctrl+I) - Initializes the Event Editor with the current value of the corresponding automated control. If you have selected a time slice in the graph, the current values is inserted at the beginning of the selection instead.

3. Tools

  • LFO ( [image] Ctrl+L) - Shows the LFO dialog that lets you draw LFO shapes in the Event Editor.

4. View

  • Grid Color - Opens a standard Windows Color dialog box, where you can set a color for the Event Editor's grid.

5. Zoom

Contains a submenu with a set of quick zooming levels: Far ( [image] 1); Medium ( [image] 2); Close ( [image] 3); Best Fit ( [image] 4); On Selection ( [image] 5);

On Selection zooms the timeline to fit the selection (the command will be disabled if no time region is selected in the timeline).

6. Relocate Events

When turned off, the Paste command will overwrite any existing events, and the Cut/Delete commands leave "holes" in the area selected to cut/delete.

Turning this option on will instead insert the pasted events, and the Cut/Delete commands will shift back all events after the selected area to remove the "hole".

7. Auto Smoothing

When checked, the drawn events are automatically interpolated upon mouse button release.

8. Center ( Backspace)

Scrolls the timeline so the playing position marker appears in the middle. Useful when you want to see the playing position in a long sequence.


AUTOMATION & RECORDING

LFO Tool

The LFO tool allows you to draw LFO shapes in the Event Editor.

LFO is drawn only in the selected time range. If nothing is selected, the LFO tool will select automatically the first bar.

1. Start

  • Value - Sets the value of LFO.
  • Range - Sets the range between the lowest and highest points in the LFO shape.
  • Speed - Sets the frequency of the LFO (i.e. its speed). Right-click for a menu with tempo-based presets.

2. End

Contains the same parameters as the Start section. When you turn on the led in the top left corner of this section, LFO's settings will vary from those in the Start section to those in the End section. If led is turned off, then only the settings from the Start section are used.

3. Shape

Sets the shape of the LFO - sine, triangle or square (to select a shape click any of the icons at the top left corner of this section). Phase wheel sets the phase of the LFO (basically this moves the LFO shape left and right).


AUTOMATION & RECORDING

Import MIDI Data Dialog

This dialog will appear when you import controllers data in the Event Editor either from MIDI clipboard or MIDI file. Controllers in MIDI files are used to hold different properties of channels such as cutoff and resonance levels.

  • Which Tracks to Import - Click the combo box to select which MIDI tracks to import in the Event Editor.
  • Which Channels to Import - Lets you select which channels should be imported. Left-click a channel number (selected channels are marked in red) to include it in the imported channels, right-click it to exclude it from the imported channels.
  • Which Controller to Import - Lets you select the number of the controller to be imported.
  • Blend with Existing Data - When turned on, imported events will mix with the already existing ones. Otherwise any existing events will be overwritten by imported data.


WAVE EDITOR

Wave Editor This feature is available only in Producer Edition

FL Studio includes an integrated wave editor which allows you to edit samples quickly and effortlessly without having to use external applications.

The editor allows you to do all basic operations over the samples, such as fade in/out, record normalize volume etc.

You can edit any sample by opening its Channel Settings and pressing CTRL+E, or by opening the Channel Settings menu and selecting the Edit command.

Select any of the following topics for more information on the integrated wave editor:

Basics

Main Toolbar

Pop-Up Menu

Settings


WAVE EDITOR

Basics This feature is available only in Producer Edition

This page covers the basic interface of the integrated wave editor.

  1. Main Toolbar
  2. Large View
  3. Full Preview

Toolbar

The toolbar contains a set of buttons performing various operations in the wave editor. See Toolbar.

Large View

This area displays the wave selection from the Full Preview (see below).

In selection mode, you can select part of the wave (to be processed), adjust the loop points (by dragging the handles marked with S and E). To select only left or right channel, move the cursor up or down until you see an L or R ext to your cursor. Now select as normal and only the left or right channel will be selected. If you right-click, you can see the wave editor's pop-up menu (for more information, see Pop-Up Menu).

In zoom mode, drag to select an area with your mouse and the view zooms to display your selection. Right-click to zoom out.

Full Preview

This area displays the entire wave and allows you to select which section is shown in the Large View. Drag the left and right edges of the white rectangle to set the visible area.


WAVE EDITOR

Main Toolbar This feature is available only in Producer Edition

This page covers the commands available on the wave editor's toolbar.

Open

Click this button to open a sample for editing.

Save

Saves the changes to the edited sample.

Save As

Allows you to save the current sample to a copy with a different name.

Play

Plays the sample

Play Selection

Plays only the part of the wave you have selected.

Play Loop

Play the loop determined by the loop points of the wave (if any).

Play

Stops Playback.

Loop Mode

This switch turns on/off loop playback mode.

Record

Click this button to record to a new wave (the name and location are determimned by the player's Recording Settings).

Selection Mode

Switches the editor to selection mode.

Zoom Mode

Switches the editor to zoom mode.

Process

Contains the following set of commands to process the wave (most commands require selection to operate properly):

  • Fade In - Applies a fade in effect to the selection.
  • Fade Out - Applies a fade out effects to the selection.
  • Normalize - Increases the overall sample volume as much as posisbel before clipping occurs.
  • Reverse - Reverses the direction of the selected part of the wave.
  • Invert - Inverts the polarity of the selected part of the wave.
  • Stereo <-> Mono - Toggles the wave betwene mono and stereo format. NOTE: When converting from stereo to mono, all stereo data will be lost and can not be restored by switching later back to stereo.
  • Swap Channels - Swaps the left and right channels in a stereo sample.
  • DC Removal - Centers the wave if it has DC offset.
  • Crossfade Loop - Crossfades the looped section of the sample (not selection!) to fix any occuring clicks and pops at the loop points.

Edit

Contains the following set of commands to edit the wave (most commands require selection to operate properly):

  • Cut - Moves the selection to the clipboards
  • Copy - Copies the selection to the clipboard.
  • Paste Over - Replaces the selection witht he clipboard contents (if the selection is shorter, only part of the clipboard contents are used).
  • Paste Insert - Insert the clipboard contents at the start of the current selection.
  • Paste to Stereo - If you have a mono sample, this command converts the sample to stereo and insert the clipboard content in the right channel, while keeping the left channel intact.
  • Import .WAV : To Clipboard - Imports the wave file you select to the clipboard.
  • Import .WAV : To Selection - The wave file you select will replace the selection in the edited sample (if the selection is shorter, only part of the imported wave is used).
  • Crop: Loop - Crops the wave so only the loop section remains.
  • Crop: Selection - Crops the wave so only the selection remains.
  • Crop: End Loop Marker - Crops the content after the loop end marker.
  • Select All - Selects the entire sample.
  • Select Loop - Selects the loop section of the loop.
  • Settings - Opens the wave editor's Settings window.
  • About - Brings a dialog containing information about the wave editor product.

Settings

Opens the wave editor's Settings window.

Undo

Restores the wave to the content before the last edit you have performed.


WAVE EDITOR

Pop-Up Menu This feature is available only in Producer Edition

This page covers the commands available on the wave editor's right-click menu.

Toggle Edit/HZoom

Switches to zoom mode.

Cut

Moves the selection to the clipboards

Copy

Copies the selection to the clipboard.

Paste

  • Paste Over - Replaces the selection witht he clipboard contents (if the selection is shorter, only part of the clipboard contents are used).
  • Paste Insert - Insert the clipboard contents at the start of the current selection.

Goto

  • Loop Start - Scrolls the view (if necessary) to the loop start position.
  • Loop End - Scrolls the view (if necessary) to the loop start position.
  • Selection Start - Scrolls the view (if necessary) to the loop start position.
  • Selection Start - Scrolls the view (if necessary) to the loop start position.

Selection

  • Select All - Selects the entire wave.
  • Select Loop - Selects the loop area.
  • Selection = Left - Selects only the left channel.
  • Selection = Right - Selects only the right channel.
  • Selection = Both - Selects both channels.

Scroll

  • Scroll Left - Scroll the view to the left.
  • Scroll Right - Scroll the view to the right.

Zoom

  • Selection - Zooms to the current selection.
  • In Vertically - Zooms in vertically.
  • Out Vertically - Zooms out vertically.
  • In Horizontal Maximum - Zooms in vertically to the maximum zoom level allowed.
  • Out Horizontal Overview - Zoom out vertically to see the entire span of the wave.
  • In Vertically - Zooms in vertically.
  • Out Vertically - Zooms out vertically.
  • In Horizontal Maximum - Zooms in vertically to the maximum zoom level allowed.
  • Out Horizontal Overview - Zoom out vertically to see the entire span of the wave.

File

  • Open - Click this button to open a sample for editing.
  • Save - Saves the changes to the edited sample.

Play

  • Play Selection - Plays only the part of the wave you have selected.
  • Play Loop - Play the loop determined by the loop points of the wave (if any).
  • Play All - Plays the entire sample.
  • Play Selection Unlooped - Plays only the part of the wave you have selected without looping.

Process

Contains the following set of commands to process the wave (most commands require selection to operate properly):

  • Fade In - Applies a fade in effect to the selection.
  • Fade Out - Applies a fade out effects to the selection.
  • Normalize - Increases the overall sample volume as much as posisbel before clipping occurs.
  • Reverse - Reverses the direction of the selected part of the wave.
  • Invert - Inverts the polarity of the selected part of the wave.
  • Stereo <-> Mono - Toggles the wave betwene mono and stereo format. NOTE: When converting from stereo to mono, all stereo data will be lost and can not be restored by switching later back to stereo.
  • Swap Channels - Swaps the left and right channels in a stereo sample.
  • DC Removal - Centers the wave if it has DC offset.
  • Crossfade Loop - Crossfades the looped section of the sample (not selection!) to fix any occuring clicks and pops at the loop points.

Settings

Opens the wave editor's Settings window.

About

Brings a dialog containing information about the wave editor product.


WAVE EDITOR

Settings This feature is available only in Producer Edition

This page covers the settings window of the integrated wave editor.

View

  • Status Bar - Displays a status bar displays useful information, such as loop points position, total sample length etc.

Play

  • Loop - If checked, the wave will loop playback, otherwise the wave is played once and the playback stops.

Record

  • Auto Start FL - FL Studio starts playing as soon as recording starts.
  • Reset FL - The song position of FL Studio resets to start when recording.
  • Recording Time - Sets the maximum record time to be used in record mode. Using larger value requires more memory and disk space.
  • Recording Buffer - Increase the recording buffer if the recording is instable and there are repeating fragments, pops and clicks.
  • Peak Meter Range - Sets the range of the peak meters displayed in record mode.
  • Crop/Threshold - Check the Crop option if you want the silence on both sides of the wave to be cropped. The threshold option sets the noise level of the record - i.e. all sound with lower volume than the value specified is considered silence.
  • Pause Record - Recording start in paused mode so you can adjust recording levels and prepare to start.
  • Path - Sets the location and name to the wave used for recording.

I/O Device

  • In - Select here the device to be used when recording.

Loop

  • Snap to Zero Crossing - If checked, the loop points will be snapped to the first zero sample nearby. This allows for smoother loop points to avoid clicks and pops while playing the looped sample.


SYSTEM SETTINGS

System Settings

The System Settings window contains options that are global for all projects in FL Studio. All of these settings are saved in FL Studio itself, not in the FL Studio loop file (FLP).

MIDI Settings

Audio Settings

General Setting

File Settings

NOTE: If the system settings icons are not visible in the side bar on left of the screen, click the System button to expand the section.


SYSTEM SETTINGS

MIDI Settings

The MIDI Settings page contains fields for setting which MIDI drivers will be used for input, output and syncing. It also contains options related to MIDI keyboard recording and automation. For a list of supported MIDI devices, see the Supported MIDI Devices page.

Output Port Mapping

In this section you can map the MIDI drivers available on your system (such as loopback devices, hardware and software synthesizers etc.) to a MIDI port in FL Studio. To map a device, select it in the list and set a port number in the box below. Selecting "---" in that box means you leave the device unmapped and it can't be used in FL Studio (but it will be free to use with other sequencers/players running at the same time).

Master Sync Output

FL Studio will send master sync signal to the device chosen here (if Enable MIDI Master Sync is turned on in Options menu). FL Studio can be synced as a master with external MIDI devices. You can also sync with MIDI sequencers by using a virtual MIDI cable software, such as MIDI Yoke.

Remote Control Input

This section sets the remote control MIDI device and its settings.

  • Remote Control Input - The device chosen here will be used for MIDI input in FL Studio. Such devices are MIDI keyboards and external MIDI controllers, such as PhatBoy, Drehbank etc. Additionally, FL Studio supports several types of custom MIDI controllers.
  • Control Surface Select - FL Studio supports all generic MIDI controllers (absolute wheels/sliders). If you use such device, select (generic controller) in this menu. Additionally, several types of custom MIDI controllers are supported: transport controls, jog, endless (relative) wheels and custom switch controls. If you use a supported device (such as Peavey StudioMix and Tascam US-428), just select it in this list to enable its advanced features.
  • Auto Accept Controller - If you turn this option off, you'll have to click the OK button in MIDI Remote Control box to accept a controller mapping and close the box. When turned on, the box will close right after you tweak a controller on you external MIDI controller device (and that tweaked controller will be mapped to the property). For this option to work, you need to turn the Auto detect option in the MIDI Remote Control box.

Keyboard Input:

  • Link Velocity to - [none] : if this option is selected, FL Studio will ignore note velocities sent by MIDI input devices (keyboards) and assign "flat" velocity to all notes. Velocity : enables mapping note velocity from MIDI devices to per-note velocity in FL Studio. Filt. cut / Filt. res : Same as Velocity, however the values are mapped to the per-note cutoff/resonance filter values respectively.
  • Omni Preview MIDI Channel - Lets you set a channel on your MIDI keyboard, where each keyboard key previews one of the channels in the Step Sequencer.
  • Playlist Live Mode MIDI Channel - Lets you set a channel on your MIDI keyboard, where each keyboard key turns on/off one of the patterns in the Playlist window (in live mode).
  • Generator Muting MIDI Channel - Lets you set a channel on your MIDI keyboard, where each keyboard key mutes/unmutes one of the channels in the Step Sequencer.
  • Toggle on Release - When turned on, instead of switching back to the previous state after a second press (in the muting and live mode channels), the state will switch back whenever the key is released.
  • Record to Step Sequencer - If turned on, all recorded notes from your MIDI keyboard will be put in the Step Sequencer, not in the Piano Roll.


SYSTEM SETTINGS

Audio Settings

The Audio Settings page contains options and settings concerning the wave output of FL Studio.

  • Output - The device chosen here will be used for wave output in FL Studio. DirectSound and ASIO standards are supported. DirectSound devices have "(DS)" in the beginning of their names, ASIO drivers start with "(ASIO)". It's recommended that if your sound card has ASIO drivers you use them instead DirectSound, because this usually leads to better performance. When you use DirectSound drivers, try to avoid drivers which have "(emulated)" at the end of the name. Using such driver leads to worse performance compared to a native DirectSound/ASIO driver.
  • Auto Close Device - Releases the wave output device when FL Studio looses focus, so other applications may use the same output.

DirectSound streaming buffer:

Visible only when using DirectSound driver.
  • Buffer Length - This is the length of the DirectSound buffer FL Studio will use. Setting this buffer longer will avoid underruns that may occur while playing songs in FL Studio. Longer buffer, however, means also that there will be lagged response while tweaking wheels and pushing sliders (this does NOT affect already recorded wheels and sliders movements). Lag length is equal to the buffer length.
  • Use Polling - Polling is a technique for managing DirectSound's audio buffer, which usually allows much smaller buffer without underruns. On some PC-s, however, it can have the opposite effect.
  • Use Hardware Buffer - Uses the hardware buffer of DirectSound enabled sound cards.
  • Underruns - Shows the amount of underruns occurred in the current session.

ASIO streaming buffer:

Visible only when using ASIO driver.
  • Buffer Length - Shows information about the buffer length the ASIO device will use. This is a read-only property.
  • Clock Source - Some audio cards might provide external clock source which can fix sync/output problems. However for most cards work properly with the default "Internal" source selected.
  • CPU Limit - Due to architectural specifics of ASIO drivers, high CPU usage in some projects might render the host computer system non-responsive. Enabling this option allows FL Studio do detect CPU peaks and prevent such system lockups.
  • ASIO Panel - Brings up the ASIO driver settings panel.

Plugin output:

Visible only when using FL Studio with the VSTi/DXi connection plugin or as a ReWire client.
  • Slave Tempo - When turned on, FL Studio will synchronize with the tempo of the host.
  • Record Automation - When turned on, remote control messages (MIDI) from the host will be recorded during recording sessions.

Mixer:

  • Sample Rate - Lets you set the sample rate that will be used by the mixer. Have in mind that most generators and effects are optimized to run in the default sample rate of 44100Hz and you might experience problems while running in other sample rate, or some effects or generators might sounds differently. It is recommended that you use 44100Hz unless it is really necessary to change it.
  • Interpolation - Sets the sample interpolation method used in Sampler channels when exporting to wave/mp3. Linear interpolation provides speed and good overall quality. It is suitable for realtime playback. 6-point Hermite applies high quality curve interpolation, and although slower than Linear, is a good choice for exporting audio files & realtime playback on fast machines. Sinc (depths 64, 128, 256) method provides the highest quality interpolation of all methods, but is also very slow. This method is too slow for realtime playback. It is recommended that you use it for your final rendering only. NOTE: The interpolation used for exporting audio files is set in the export dialog, you do not need to modify the interpolation in your audio settings.
  • Reset Plugins on Transport - Resets all plugins when changing song position, starting playback etc. Uncheck for faster response when changing song position.
  • Use Mixer as Playback Position - Enable this option if you experience unstable position indicators with WDM drivers (usually under Windows 2000/XP). If you don't have any problems leave this option disabled as it reduces position indicators' refresh rate with large audio buffers.
  • Preview Mixer Track - You can select here the mixer track used for the metronome clicks and Browser audio previews. FL Studio mixes those sounds directly in the master track by default (select none /"--"/ to achieve this effect).


SYSTEM SETTINGS

General Settings

The General Settings page contains miscellaneous options and settings of the working environment in FL Studio.

  • Skin - Lets you choose a skin for FL Studio. FL Studio comes with several preinstalled variations of the default skin.

System:

  • Associate loop files - Associates FL Studio loop files with FL Studio (so they will be opened by FL Studio when double-clicked).

Undo History:

  • Maximum Undo Levels - Sets the maximum undo steps kept in the history (see Project Browser). Lower number of steps improves performance, whereas more steps ensure greater editing flexibility as you work in FL Studio.
  • Undo Knob Tweaks - Turn this option on to enable recording of all automatable controls (sliders, wheels, checkboxes) as undo steps in the history. Enabling this option allows the history to record a much wider set of user actions, however it may cause performance problems with certain plugins, like X-Y Controller and Scratcher. The default value of this option is off.

Miscellaneous:

  • Auto Channel Naming - Automatically assigns a suitable name to the channels. If it's a Sampler, it takes the name of the sample it contains, else the channels take the name of the generator. If a name repeats with the name of another channel, FL Studio will put a number after the name (for example - "Kick", "Kick #1", "Kick #2" etc.).
  • Auto Empty Channel Zipping - FL Studio will automatically zip all empty channels and unzip all non-empty channels when switching between patterns. Empty is considered a pattern that does not contain active notes and notes in the Piano Roll.
  • Show Channel Activity Meters - Animates the activity meters in the Step Sequencer when notes are played.
  • Autoselect Linked Modules - When turned on, the Mixer window will switch to the assigned mixer track as you focus the different plugin editors.
  • Use of Both Mouse Buttons - If this is unchecked, left mouse click both sets on and off dots in the Step Sequencer. If turned on, left-click turns a dot on, while right-click turns it off.
  • Ultrasmooth Visual Feedback - When turned on, FL Studio will update the playing position indicators smoothly.
  • Don't Limit Windows to Screen - This option is designated for users with multiple monitor PC configurations. It should be turned off on single monitor PC-s.
  • Startup Splash Screen - If turned off, FL Studio will not show its splash screen on startup.
  • Fast Sample Preview - When turned on, FL Studio will not preload the entire sample before playing it (useful for big samples).
  • Peak Meters in DB - This option switches to DB format for the FL Studio peak meters (when the pointer is over the peak meter), as opposed to showing the volume like a percent value (0-100%).
  • Show Legacy Precomputed Effects - Some of the precomputed effects in the Sampler Channel Settings were deprecated or replaced in FL Studio 4 and up. This option allows you to unhide the deprecated effects, so you can work with your older projects.


SYSTEM SETTINGS

File Settings

The File page allows you to set additional visible directories in the Browser, as well as additional search path for VST plugins.

Browser extra search directories:

The folders in that section are shown in the Browser and are used for additional search directories when searching for samples during opening a project.

The Directory column contains the paths to additional directories you will see in the Browser window. You can either double-click the fields to enter these paths manually, or click the corresponding button on the left side of each field to browse the folder. The Name column contains fields where you can set the name that is shown in the Browser for the corresponding directories. Double-click to edit a name.

VST plugins extra search directory:

The folder you set up in that section is used as extra path when scanning for VST/VSTi plugins.

Click the browse button on the right side of the panel to browse the extra VST plugins folder.


PROJECT SETTINGS

Project Settings

Project Settings window contains settings that are local for each project. All of these settings are not saved in FL Studio itself, but in the FL Studio loop file (FLP), where they are set.

Project General Settings

Project Info

NOTE: If the project settings icons are not visible in the side bar on left of the screen, click the Project button to expand the section.


PROJECT SETTINGS

Project General Settings

The Project General Settings page contains the general options of each project file (and they are stored locally in each file).

Time Signature:

  • Bar Length - Lets you set the number of beats (as defined by the next option) that make one bar. Note that this is the general setting, but you can set a custom number of beats for each pattern in the Step Sequencer.
  • Beat Length - Lets you set the number of steps that make one beat. Starting with FL Studio 5, tempo is synchronized (properly) with beats and not steps.
  • Timebase (PPQ) - Lets you set the timebase for the current project. Higher PPQ means a possibility for more refined events, finer processing of slides, envelopes and LFO-s. However, it also means higher CPU usage. The default setting is 96.

Audio:

  • Circular Panning Law - If checked, FL Studio will use circular panning (green graph), otherwise it uses pyramidal panning (red graph).


PROJECT SETTINGS

Project Info

The Project Info page contains fields for song's title and for additional information about the project.

  • Title - In this field you can write the title of your song.
  • Genre - Genre for your song. This parameter is compatible with genres in MP3 and WAV files and is exported when you export your project to audio files.
  • Author - Fill here the project author (composer). This information is saves in MP3 / WAV files on export.
  • Info - Here you can write additional information about the song. This field supports RTF (Rich Text Format) data. This means it preserves the font, color and other characteristics of the text you paste from RTF clipboard (i.e. you can paste properly text from Word, Wordpad etc.).
  • URL - You can write here the URL of your homepage or your e-mail address.
  • Show it on Open - If turned on, a small window will show when opening a project, which shows its title, info and URL (URL can be clicked to follow the link).


REWIRE SUPPORT

ReWire Support This feature is available only in FruityLoops Edition and Producer Edition.

ReWire is a technology by Propellerhead Software which enables various instruments and sequencers to connect to each other and share common audio and transport functionality, with sample accuracy.

FL Studio now adds support for both client and host mode to support the widest range of existing ReWire applications. The following pages describe how FL Studio implements ReWire and contain step-by-step guides how to use ReWire to connect FL Studio with Cubase SX, Sonar 2 (client mode), ReBirth and Reason (host mode).

Client Mode

Host Mode

Note: You can also link FL Studio in client mode as a VSTi or DXi synth.


REWIRE SUPPORT

Client Mode This feature is available only in FruityLoops Edition and Producer Edition.

FL Studio can function as a ReWire client with ReWire enabled hosts. When functioning as a ReWire client, FL Studio sends all of its audio output to the ReWire host (providing up to 16 individual stereo outputs). FL Studio synchronizes with the host transport controls as well (playback/stop, song position) and has ability to send and receive MIDI data from the host.

Implementation Characteristics

The implementation of the FL Studio ReWire device has the following specifics:

Exported Audio Outputs

When used as a ReWire device, FL Studio provides 16 stereo outputs (32 paired mono channels). By default the first output pair is assigned to the master mixer track, which means the whole project mix is sent to the first output pair. You are free to change this combination to fit your needs. For example, you can assign each mixer track to a separate output, thus assigning individual outputs to a maximum of 16 individual mixer tracks.

MIDI Support

ReWire allows transmitting and receiving MIDI data via a ReWire connection. The ReWire output bus is represented as regular MIDI output device in the MIDI Settings window of FL Studio.

The ReWire MIDI output is usually linked to port 10, but you can change this assignment to suit your needs (to use it, add a MIDI Out channel set to the same port).

MIDI input works by mapping the first 16 channels (in order) in the Step Sequencer to 16 unique MIDI channels. To control any of those 16 channels, simply send MIDI from the host to the appropriate channel number in the ReWire MIDI bus .

Automatic Launch

FL Studio is launched automatically when you activate its ReWire device in the host (since Cubase always activates all existing ReWire devices, FL Studio is launched at the startup of Cubase). Normally there is no need to launch FL Studio from the shortcut after launching the host.

If the ReWire device is activated, but not used, FL Studio will spend a minimum of additional system resources and will add next to nothing to the CPU load.

However, if you don't intend to use FL Studio as a ReWire device at all, you can unregister the device (see below).

Register/Unregister the ReWire Device

You can register (enable) the FL Studio ReWire device by launching the Install Plugin Version shortcut from your Start Menu:

Start Menu > Programs > FL Studio 4 > Advanced > Install Plugin Version

You will be prompted to install the VSTi and DXi plugins first. Click cancel on both boxes and confirm you want to register the ReWire device in the last box.

To unregister (disable) the FL Studio ReWire device, use this shortcut:

Start Menu > Programs > FL Studio 4 > Advanced > Uninstall ReWire Client

ReWire Panel

If there is a running host which supports ReWire devices and the FL Studio ReWire device is activated, launching FL Studio from the Start Menu shortcut will not display the default interface window, but the ReWire device panel (see below). Clicking the FL Studio logo enables you to toggle the visibility of the FL Studio window inside the host (normally the FL Studio window is automatically displayed after the ReWire panel is launched).

Not a Standalone Process

FL Studio is launched as a process inside the ReWire host. This means FL Studio's window is "linked" to the host application window. This has the following consequences:

  • The FL Studio window is "linked" to the same taskbar button as the host. Although the panel has its own taskbar button, the actual FL Studio window uses the one of the host.
  • Minimizing the FL Studio window hides the host window and vice versa. To hide the FL Studio window only, use the close button instead of the minimize button (this will not terminate the current FL Studio session), or click the icon in the FL Studio ReWire panel to toggle visibility.
  • Focusing the host window focuses the FL Studio window and the FL Studio window always appears in front of the host window. If FL Studio obstructs the view in the host, simply move it aside or hide it until it's needed.

General Usage

In most cases you need to follow these steps to get FL Studio running as a ReWire client in a compatible host:

  1. Make sure the FL Studio device is registered.
  2. Launch the host.
  3. If required by the host, activate the FL Studio ReWire device (some hosts do this automatically, such as Cubase).
  4. Launch the FL Studio ReWire panel from the standard FL Studio shortcut in the Start menu. Alternatively, some hosts (such as Sonar) provide hide/show panel button which can be used to toggle the FL Studio window visibility.
  5. If the host requires it (such as Cubase) activate at least one of the available ReWire audio channels to hear the output (FL Studio has the master output assigned to the first stereo pair of the ReWire channels).

Step By Step Guide

The following sections describe in a more detailed manner how to use FL Studio as a ReWire client in Steinberg Cubase SX and Cakewalk Software Sonar 2:

Using FL Studio with Cubase SX

Using FL Studio with Sonar 2


REWIRE SUPPORT

Using FL Studio ReWire with Cubase SX This feature is available only in FruityLoops Edition and Producer Edition.

The following guide covers the steps required to use the FL Studio ReWire device with Steinberg's Cubase SX sequencer.

The guide assumes you have read and understood the general information and guidelines about using FL Studio as a ReWire client (see Client Mode).

1. Make sure the FL Studio ReWire device is registered

Registering ensures Cubase will detect the device at startup and launch FL Studio as a ReWire client. If you have disabled the device earlier or you are not sure if it is registered, repeat the FL Studio ReWire device registration procedure.

2. Launch Cubase SX

Launch Cubase SX and start a new project (or open an existing one).

3. Enable the required audio channels

In the Cubase window, open the Devices menu and select FL Studio.

You will see the configuration for the FL Studio ReWire device. This window allows you to select which audio channels are active for the device. By default all channels are inactive.

The default setup of FL Studio links the master mixer track to the first stereo pair of audio channels. So to hear the entire mix, it's enough to enable the first audio channel pair.

4. Launch the FL Studio ReWire panel.

Launch FL Studio from the shortcut on your Desktop or the one in your Start Menu.

Since you have started a ReWire host prior to this (Cubase), you will see the FL Studio ReWire device panel.

The panel automatically displays the FL Studio window in the host.

5. Toggle the FL Studio window visibility

Clicking the FL Studio icon toggles the visibility of the FL Studio window inside Cubase.

If you need to hide the FL Studio window, use the close button in the FL Studio window (this will not terminate the current session) or click the icon button on the FL Studio ReWire panel.

To display the window later, click the icon button again.

6. End

Now FL Studio is setup to work properly as a ReWire device inside Cubase.

To test the setup, load an existing project in FL Studio or activate several steps in an existing channel and hit the play button in Cubase. You will hear FL Studio playing synchronized with Cubase.


REWIRE SUPPORT

Using FL Studio ReWire with Sonar 2 This feature is available only in FruityLoops Edition and Producer Edition.

The following guide covers the steps required to use the FL Studio ReWire device with Cakewalk's Sonar 2 sequencer.

The guide assumes you have read and understood the general information and guidelines about using FL Studio as a ReWire client (see Client Mode).

1. Make sure the FL Studio ReWire device is registered

Registering ensures Sonar will detect the device at startup and launch FL Studio as a ReWire client. If you have disabled the device earlier or you are not sure if it is registered, repeat the FL Studio ReWire device registration procedure.

2. Launch Sonar

Launch Sonar and start a new project (or open an existing one).

3. Activate the FL Studio ReWire device

In the Sonar window, open the View menu and select Synth Rack.

This window lets you activate the FL Studio ReWire panel. Open the Insert Synth button (see the picture), select ReWire Device, then click on FL Studio.

4. Show the FL Studio interface.

Sonar's Synth Rack contains the Properties button which lets you show the FL Studio interface. Click the button once to display the interface.

Alternatively, launch FL Studio from the shortcut on your Desktop or the one in your Start Menu.

Since you have started a ReWire host prior to this (Sonar), you will see the FL Studio ReWire device panel.

The panel automatically displays the FL Studio window in the host. Clicking the FL Studio icon toggles the visibility of the FL Studio window similar to the Properties button in the Synth Rack.

6. End

Now FL Studio is setup to work properly as a ReWire device inside Sonar.

To test the setup, load an existing project in FL Studio or activate several steps in an existing channel and hit the play button in Sonar. You will hear FL Studio playing synchronized with Sonar.


REWIRE SUPPORT

Host Mode This feature is available only in FruityLoops Edition and Producer Edition.

FL Studio can function as a ReWire host for installed ReWire devices. The host functionality is implemented via the ReWired plugin. Each instance of the plugin lets you host one ReWire device (to use multiple devices, simply add multiple instances of the plugin to your project).

The ReWire client sends all of its audio output to the ReWired plugin. The client synchronizes with the FL Studio transport controls as well (playback/stop, song position) and provides ability to transmit MIDI data from and to the ReWire client.

Parameters

  • Client - Here you can select the ReWire device to host.
  • Show Panel - Once you select the client, click here to launch the ReWired application. Note that some ReWire client might not launch from this button (such as ReBirth). In this case simply use their Start Menu shortcut. The ReWire client will detect the FL Studio host automatically at startup.
  • Online Device Information ("?" button) - Click this button to open your default browser and see more information about the ReWire client currently set in the Client combo box. You need to be on-line to use this feature.
  • Multi Outputs - Normally the whole mix from the ReWire client will be sent to the mixer track the ReWired plugin is linked to. If the ReWire client takes advantage of the multiple audio outputs ReWire supports, you can enable this option to send each ReWire output to an individual mixer track. For example, if ReWired was linked to track 10, output 1 will be sent to track 10, output 2 to track 11, output 3 to track 12 etc.
  • MIDI Options - This button launches the MIDI output dialog where you can map ReWire MIDI busses (input and output) to standard FL Studio MIDI ports. For more information, see "MIDI Connectivity" below.

General Usage

In most cases you need to follow these steps to get a ReWire client connect to FL Studio:

  1. Add an instance of the ReWired plugin.
  2. Select a ReWire device from the Client combo box (if the device is not present in the list, make sure the ReWire client is properly registered/installed).
  3. Click the Show Panel button to launch the ReWire client (this button might not work properly with some clients, in this case launch the application manually from its Start Menu shortcut, but always after you have selected the client in the ReWired plugin).
  4. Now the client is connected with FL Studio. Its audio output streams into the ReWired plugin and the playback and song position is synchronized.

After you have completed this setup you can also make use of the MIDI connectivity features of ReWire (if the client supports it), see MIDI Connectivity below.

MIDI Connectivity

ReWire allows the host (FL Studio) to send and receive MIDI data from the client.

FL Studio implements this functionality by mapping the ReWire input/output MIDI busses to regular FL Studio MIDI ports. To adjust the MIDI mapping settings, click the MIDI Options button in the ReWired plugin.

For this functionality to work, the client needs to make use of the MIDI connectivity features of ReWire, otherwise the controls in this window will be empty/disabled.
  • Mappings - Displays any existing mappings you have created for this ReWire client.
  • Map - Lets you select Input or Output port to map. Input port sends MIDI data from FL Studio to the client, output port maps MIDI data coming from the client to FL Studio MIDI port.
  • Port - Lets you select the FL Studio MIDI port to map.
  • To - Lets you select the ReWire MIDI bus the port will be mapped to.
  • Add/Change - Adds the mapping you've defined via the Map/Port/To control to the Mappings list.
  • Delete - Deletes the selected mapping from the Mappings list.
  • Channels - The list displays the synths/controls that are linked to each of the channels for the currently selected ReWire MIDI bus (selected by the "To" combo box). The list is informative, you can not edit the assignments.

You can perform several operations with the MIDI connectivity provided by ReWired:

Control the client via MIDI

To control the client and its synths from a MIDI Out channel, you map an input port to a ReWire MIDI bus. To do this:

  1. Via the MIDI Options of the ReWired plugin, map an input port to a ReWire MIDI bus.
  2. In a MIDI Out channel, set the same port as an output port.
  3. In the MIDI Out channel, select the MIDI channel to use (you can look at the Channels list in the Options window for a reference of the channel assignments).
Control a VSTi/DXi plugin from a client
  1. Via the MIDI Options dialog of the ReWired plugin, map an output port to a ReWire MIDI bus.
  2. Make sure the client is set up properly to send MIDI data to the same ReWire MIDI bus.
  3. In a VSTi/DXi channel, set the same port as an input port.
You can use similar setups to control a ReWire client from another ReWire client or send MIDI data from a VSTi/DXi plugin to a ReWire client.

NOTE: Even if no mapping exists for a ReWired plugin, adding a sequence for it (events, notes etc.) automatically sends the generated MIDI data to the default ReWire bus. It is recommended to use MIDI Out channels for greater control over the MIDI data mapping.

Step By Step Guide

The following sections describe how to setup and use two popular ReWire clients with FL Studio:

Using FL Studio with ReBirth

Using FL Studio with Reason


REWIRE SUPPORT

Using FL Studio ReWire with ReBirth This feature is available only in FruityLoops Edition and Producer Edition.

The following guide covers the steps required to use the FL Studio ReWire device with Propellerhead Software's ReBirth 2.01.

The guide assumes you have read and understood the general information and guidelines about using FL Studio as a ReWire host (see Host Mode).

1. Add ReWired to the project

Add an instance of the ReWired plugin to your project.

2. Select a Client

Select ReBirth Audio from the Client combo box of the ReWired channel.

If ReBirth Audio is not present in the list, make sure ReBirth is properly registered/installed. Keep in mind only ReBirth 2.01 and later support ReWire, ReBirth 2.0 and earlier can not connect with FL Studio.

3. Launch ReBirth

Launch ReBirth from its Start Menu shortcut.

Now ReBirth is operating as a ReWire client for FL Studio. All of its output streams into the ReWired plugin and the playback and song position is synchronized.


REWIRE SUPPORT

Using FL Studio ReWire with Reason This feature is available only in FruityLoops Edition and Producer Edition.

The following guide covers the steps required to use the FL Studio ReWire device with Propellerhead Software's Reason 2.5.

The guide assumes you have read and understood the general information and guidelines about using FL Studio as a ReWire host (see Host Mode).

General Usage

1. Add ReWired to the project

Add an instance of the ReWired plugin to your project.

2. Select a Client

Select Reason from the Client combo box of the ReWired channel.

If Reason is not present in the list, make sure Reason is properly registered/installed.

3. Launch Reason

Launch Reason from its Start Menu shortcut.

Alternatively, use the Show Panel button in the ReWired channel.

Now Reason is operating as a ReWire client for FL Studio. All of its output streams into the ReWired plugin and the playback and song position is synchronized.

Controlling Reason via MIDI

Reason provides access to many of its controls and synths via the ReWire MIDI busses. To make use of this feature, you need to set a MIDI Out channel in FL Studio to a specific port/channel which is mapped to the ReWire MIDI bus of Reason:

Open the MIDI Options for ReWired

Click the MIDI Options button for the ReWired channel that is linked to Reason.

Map Input Port

To send MIDI data to Reason, you need to map an FL Studio input port to the ReWire bus.

Use the following settings to create a new mapping:

  • Map: Input
  • Port: 50 (or any free MIDI port you have)
  • To: Reason

Click Add/Change and the mapping appears in the Mappings list.

Create a MIDI Out channel

Add an instance of the MIDI Out channel to your project.

Adjust the MIDI Out settings

Set the output port of the MIDI Out channel to 50 (or the port you have selected to map earlier).

Reason 2.5's default project contains a controllable synth on channel 2 - MelodyB (for a full list of synths, check the Channels list in the ReWired MIDI Options window), so select channel 2 in MIDI Out.

Now any notes you play in MIDI Out are sent to Reason and played by MelodyB. You can add additional MIDI Out channels to control the other available channels as well.


FL Studio AS A PLUGIN

FL Studio as a Plugin (VSTi/DXi2) This feature is available only in FruityLoops Edition and Producer Edition.

FL Studio can be loaded and used as a VSTi or DXi2 instrument in a compatible host application. In this mode the output is sent to the host; the play/stop events and tempo are synchronized as well. Controlling FL Studio channels and parameters using MIDI messages is supported. You can also send each mixer track to a separate output, if the host supports VSTi/DXi plugins with multiple outputs.

Installing the VSTi/DXi2 connection plugins

VSTi Connection

Normally FL Studio asks where to copy the VSTi connection during the installation. However, if you didn't install the plugin at that time, or you want to install it on more that one host, in the Windows Start Menu, select Programs>FL Studio 3>Advanced>Install Plugin Version. You will see a dialog where you can set the plugin folder of the host where you want the connection installed. You will be asked also whether to install the DXi2 version of the connection (click Cancel to skip this step).

DXi2 Connection

All DirectX plugins are registered directly in Windows and since then available to all compatible hosts, no matter of the plugin location. FL Studio asks whether to install the VSTi connection during the installation. However, if you didn't install the plugin at that time, in the Windows Start Menu, select Programs>FL Studio 3>Advanced>Install Plugin Version. First you will see a dialog where you can set the plugin folder of the host where you want the VSTi connection installed (click Cancel to skip this step). You will then be asked whether to install the DXi2 version of the connection - click Yes.

You can uninstall the DXi2 connection at any time by selecting Programs>FL Studio 3>Advanced>Uninstall DXi plugin from the Windows Start menu.

Basic usage of the VSTi/DXi2 connections

Add an instance of the FL Studio VSTi (FL Studio DXi for DXi hosts) plugin or the Multi FL Studio VSTi (Multi FL Studio DXi for DXi hosts) plugin. Open the editor of the plugin (for more information on how to work with plugins, check the manual that comes with your host application). Click the FL Studio button (shown on the picture) to bring up the interface of FL Studio. Now you can work as usual - load projects, edit instruments and melodies. However the audio output of FL Studio is sent to the host application. Also, when you play in the host application, FL Studio plays synchronized as well. You can select whether FL Studio should follow its own tempo or the host tempo with the Slave tempo option in the Audio Settings.

The Time Offset setting in the plugin editor sets how many bars earlier FL Studio should start playing compared to the host. With negative values, FL Studio starts later than the host. Because of a VSTi plugin issue (not FL Studio related), it's always better to leave one bar time empty in the start of the song. You can do that with this setting or leave empty bar in both the FL Studio Playlist and the host sequence.

NOTE: When you want to hide the FL Studio interface and work in the host, don't use the minimize button, this will hide the host window as well. Use the close button. FL Studio will stay active.

Using multiple outputs

The FL Studio plugin connections have two versions - single and multiple outputs. The single output version sends the whole audio output of FL Studio as single pair of channels (left and right channel). The multiple outputs version allows you to link each mixer track in FL Studio to one of 16 possible stereo outputs. You can then mix each stereo output separately in the host. To select output for the specific track, in FL Studio, open the Mixer window and use the I/O Routing options to select the output for the current FX track.

NOTE: Not every host may support VSTi or DXi plugins with multiple outputs. In that case just use the single output version of the plugin.

Controlling FL Studio channels & patterns from the host

All FL Studio channels can be controlled via MIDI messages from the host. To do so, create a MIDI channel in the host, select the FL Studio connection plugin as an output and check the instruments list. If the host supports properly custom instrument names, all FL Studio channels will be listed. Just select the name of the channel to control. Also, don't forget to give the track a unique MIDI channel number (out of 16 available).

You can control any automatable FL Studio parameter from the host as well. This feature works exactly like using MIDI remote control with external MIDI device. Just link the parameters as usual to the corresponding MIDI controller number and MIDI channel. You can select whether to record MIDI messages from the host application during recording sessions from the Audio Settings.

Since FL Studio 4, you can also trigger patterns directly from your VSTi host, using the Playlist Live Preview MIDI channel, see MIDI Settings.

Issues with the VSTi/DXi2 connections

Slide notes, per note shift, pan, cutoff and resonance are not supported by the MIDI standard, you have to use FL Studio for sequencing to have these features available.

When running the VSTi connection from Cubase, drag and drop operations in the Browser do not work.


FILE FORMATS

File Formats

This section contains a description of all file formats supported by FL Studio.

Open/Import File Formats

Save/Export File Formats

Sample File Formats

Other File Formats


FILE FORMATS

Open/Import File Formats

This section contains a description of the file formats that FL Studio can open/import. They are all accessible from Open and Import commands in the File menu.

FL Studio Loop File (*.FLP)

Zipped Loop File (*.ZIP)

BeatCreator/BeatSlicer Grid File (*.ZGR)

MIDI File (*.MID)

ReBirth RB-338 Song File (*.RBS)

Beat to Slice (*.WAV)


OPEN/IMPORT FILE FORMATS

FL Studio Loop File (*.FLP)

This is the native project format of FL Studio. It retains all data that belongs to your project, but note this does not include any wave samples, DrumSynth and SimSynth presets that are included in the loop. If you open a loop file that doesn't have the required samples or presets, FL Studio performs a search in the folder where the loop file was loaded from, then its sample folder, and all custom folders that are added to the Browser (see Directories). If you want to skip the check, press and hold ESC key while loading.


OPEN/IMPORT FILE FORMATS

Zipped Loop File (*.ZIP)

FL Studio can open and uncompress standard ZIP files automatically. Then it will search for a FL Studio loop file and open it. Any samples included in the ZIP file will be loaded, if they are included in the loop file. This enables you to create single file where you have both the loop file and all samples/presets it includes. FL Studio can also automatically create such zipped packages (see Zipped Loop File from Save/Export file formats).


OPEN/IMPORT FILE FORMATS

BeatCreator/BeatSlicer Grid File (*.ZGR)

ZGR files are created by BeatSlicer and BeatCreator programs. They contain the slicing scheme of particular loop - you can edit the slice points visually in either BeatSlicer or BeatCreator and then open grid files in FL Studio - it will slice the loop and map each slice to a separate Sampler channel automatically. BeatCreator is available at http://surf.to/zero-x.


OPEN/IMPORT FILE FORMATS

MIDI File (*.MID)

FL Studio can automatically import MIDI files by creating a separate MIDI Out generator for each MIDI channel in the file. Most of the common controller events are converted to automation events compatible with FL Studio (like panning, volume, pitch bending etc.).

MIDI Import Dialog Settings:

  • Which tracks to import? - This combo box lets you select if you want all MIDI tracks imported or a specific one.
  • Which channel to import? - Use the fields provided to set if a channel will be imported or not (channels displayed in red will import). Left-click on a channel number to import it and right-click it if you don't want to import it. Each channel will be imported in a separate MIDI Out generator.
  • Start new project - Turn this option on to clear the current project before importing the MIDI file.
  • Create one channel per track - If you turn on this option each track in the MIDI file will import as a separate MIDI Out generator, otherwise tracks that use the same channel are "welded" and imported into a single generator.
  • Realign events - Removes any "silence" in the beginning of a MIDI file by realigning all note and automation events.


OPEN/IMPORT FILE FORMATS

ReBirth RB-338 Song (*.RBS)

FL Studio can import native ReBirth RB-338 (TM) songs, retaining as many parameters of the original as possible. The two 303 generators are replaced by TS404 channels, and all drums are replaced by Sampler channels.


OPEN/IMPORT FILE FORMATS

Beat to Slice (*.WAV)

Selecting this item (from Import submenu in File menu) lets you import wave file into separate slices, using the BeatSlicer engine by Peter Segerdahl (available at www.flstudio.com).

After you choose a wave to be imported, select the folder where the sliced beat samples placed and this dialog box will appear:

  • Target - Lets you select how the sliced beat is imported to FL Studio. Available targets are: Layered Sampler Channels - each slice is imported to a (zipped) layered Sampler channel and the composition is placed in the Piano Roll of the Layer channel; Sampler Channels - each slice is imported to a Sampler channel and the Step Sequencer's grid is used to hold the beat composition; Slicer Channel - the sliced beat is imported to a single Slicer channel and the composition is placed in the Piano Roll.
  • Start New Project - Imports the sliced beat to a new project. When this option is off, the sliced beat is merged with the current project.


FILE FORMATS

Save/Export File Formats

This section contains a description of the file formats to which FL Studio can save/export a project. They are all accessible from the Save and Export commands in the File menu.

FL Studio Loop File (*.FLP)

Zipped Loop File (*.ZIP)

Wave / MPEG Layer 3 / MIDI (*.WAV; *.MP3; *.MID)


SAVE/EXPORT FILE FORMATS

FL Studio Loop File (*.FLP)

This is the native project format of FL Studio. It retains all data that belongs to your project, but note that this does not include any wave samples, DrumSynth and SimSynth presets that are included in the loop. To export package that includes all used samples and DrumSynth/SimSynth presets, use Zipped Loop Package instead.


SAVE/EXPORT FILE FORMATS

Zipped Loop File (*.ZIP)

You can export standard ZIP files from FL Studio that contain the FL Studio loop file and all samples/presets used in the project. Of course, FL Studio can read back such ZIP files directly (see Zipped loop file from Open/Import File formats).


SAVE/EXPORT FILE FORMATS

Wave / MPEG Layer 3 / MIDI (*.WAV; *.MP3, *.MID)

Choosing to export/save to any of these files formats (Wave, MP3, MIDI) opens the Rendering dialog. Wave files and MP3 files export the whole audio output of your song.

This does NOT include any sound produced by MIDI! To export MIDI data, you can export to a MIDI file format instead.

1. Info

Shows information about the current project.

  • Tempo - Shows tempo of the current project.
  • Total Time - Shows total time length of the song to be exported.
  • Disk Space - Shows the amount of disk space required to export wave and mp3 files (includes sizes only of checked file types in Output panel)
  • Bar# - Shows the current rendered bar and the total number of bars to render (current/total).

2. Looping Mode

Sets the looping mode. Applies only to wave and mp3 files. If after rendering the last bar from the song there is still a sound decaying, this option sets how should proceed FL Studio.

  • Cut Remainder - Cuts any decaying sound after the last bar was rendered.
  • Leave Remainder - Expands song's length to fit the remainder.
  • Wrap Remainder - Wraps any decaying sound in the beginning of the song (useful when rendering songs that will be looped).

3. Quality

Sets the quality of the rendered wave output.

  • Sampler's Interpolation - Sets the sample interpolation method used in Sampler channels when exporting to wave/mp3. Linear interpolation provides speed and good overall quality. It is suitable for realtime playback. 6-point Hermite applies high quality curve interpolation, and although slower than Linear, is a good choice for exporting audio files & realtime playback on fast machines. Sinc (depths 64, 128, 256) method provides the highest quality interpolation of all methods, but is also very slow. This method is too slow for realtime playback. It is recommended that you use it for your final rendering only. NOTE: To specify one of those interpolation methods to be used for realtime playback, adjust your Audio Settings.
  • Dithering - Applies 32->16bit dithering to 16 bit wave files and mp3 files.
  • Alias-free TS404 - Prevents TS404's "aliasing" when turned on, but also slows down the rendering.
  • HQ for all plugins - Sets high quality mode for any plugins (effects and generators) used in the song.
  • Disable Max Poly - Ignores the max poly setting in Miscellaneous Channel Settings. However it will NOT ignore whether you checked the Mono option.

4. Output

Sets what files should FL Studio output when rendering.

5. Wave

Contains a combo box where you can set at what bit depth should be created the wave file. You can choose standard 16bit wave file, or two types of 32bit wave output (provides more precise editing in wave editors that support 32 bit wave files, but it's likely that you would not be able to play directly such file in audio player). 32bit float (0.24) is the native format of FL Studio' mixer engine, while 32bit float (16.8) is the native format of Adobe Audition® (also known as Cool Edit®) .

5. MP3

Sets the bit rate of the MP3 file exported. Higher bit rate means higher quality MP3, but this also increases disk space required for the file.

6. Options

  • Split Mixer Tracks - When selected, each effects track in the project is exported as a separate file.
  • Save ACIDized - Saves additional information in the wave file that is read when using the rendered loop in Sound Foundry Acid (TM).
  • Save Slice Markers - If enabled, every note creates a slice marker in the exported file. This means that FL Studio can now export sliced drumloops automatically, ready for slice reordering and high quality time stretching.
  • Background Rendering - Minimizes and renders in background mode.
  • Go - Starts Rendering.


FILE FORMATS

Sample File Formats

This section contains a description of the file formats that can be used to "feed" the sample bank in Sampler channels (see Sampler Channel Settings).

MS Waveform File (*.WAV)

ReCycle Loops (*.REX / *.RX2 / *.RCY)

Speech presets (*.SPEECH)

SimSynth Preset (*.SYN)

DrumSynth Preset (*.DS)

FastTracker's Extended Instrument (*.XI)


SAMPLE FILE FORMATS

MS Waveform File (*.WAV)

Sampler can use MS Waveform file format for samples. Supported wave subformats include PCM Waveform and any ACM waveform, as long as you have the required codec properly installed and working.

FL Studio also natively supports 24-bit integer wave files.


SAMPLE FILE FORMATS

ReCycle Loops (*.REX / *.RX2 / *.RCY)

ReCycle loops are the native loop format for the Propellerhead Software Recycle software. These files contain the slicing scheme of particular loop, which will be used for the time-stretching functions in FL Studio. The slices also serve special purposes in the Granulizer and Fruity Slicer plugins.


SAMPLE FILE FORMATS

Speech Preset (*.SPEECH)

With the FL Studio integrated speech engine, you can quickly add vocoder-like or natural vocal parts to your projects. The *.SPEECH presets are supported by all native FL Studio plugins that take use of custom samples for synthesizing - Sampler, Granulizer, Fruity Slicer and Fruity Scratcher.

Basic Usage

To add speech samples to your project, load any speech preset in a FL Studio plugin. You will see the settings dialog. You can click OK to apply the preset as is, or you can change what you need and save the result as a new preset.

Speech Settings Dialog

1. Text Panel

  • Speech Text box - Enter here the text to be synthesized by the engine.
  • Listen button - Click to preview the sample based on the current settings.

2. Voice Panel

  • Personality combo box - Click this box to select voice personality. The personality changes the timbre of the voice used. The rest of the voice settings are also set to the defaults for the personality selected.
  • Style combo box - Selects intonation style for the voice. Monotone/Sing uses constant pitch for all words. Natural resembles a natural talk intonation. Random select random pitch for each word.
  • Mode - Select the amount of noise mixed in the voice generated. Normal uses natural levels for the noise mixed in the voice. Breathy uses more noise to create 'breathy' voices. Whispered uses only noise for the voice synthesis, thus creating "whispered" voice effect.
  • Rate LCD - Sets the speed of the voice.
  • Pitch Semitone combo box - Select the pitch semitone of the voice.
  • Pitch Octave LCD - Select the pitch octave of the voice.

3. OK button - Applies the speech preset to the generator/effect selected. If you have changed some of the settings in this dialog, you will be prompted to save the preset with a new name.

Speech Text Formatting

1. Pitch shifting of separate words

You can supply a pitch offset for a word. Just place the offset amount (in semitones) after the word as a number, enclosed in parentheses: "Semitone up(1), 2 semitones down(-2)". If in this sample the base pitch is, for example, F#2, the word "up" will have pitch G2 (one semitone higher), the word "down" will have pitch E2 (two semitones lower).

2. Separating words

To get more naturally sounding sentences, you may try replacing intervals " " with underscore "_". So the sentence: "This is example sentence", turns to: "This_is_example_sentence".

Note that underscored sentences are recognized as a single word by Fruity Slicer channels and are not sliced properly (see below).

Fruity Slicer Support

When you open a speech preset in a Fruity Slicer channel, the sentence is automatically sliced so each word resides in a separate slice. Because of this feature, a BeatSlicer grid (*.ZGR) file is automatically generated by the Fruity Slicer channel, that contains the sentence.


SAMPLE FILE FORMATS

SimSynth Preset (*.SYN)

Sampler can use presets from SimSynth 1 & 2 directly - a wave file is automatically generated from the SimSynth preset when loaded into FL Studio. SimSynth is a software synthesizer written by David Billen (http://ellisdee.onestop.net/SimSynth.html). You can get SimSynth from our download pages at www.flstudio.com (SimSynth 1 is now freeware!). When you load a SYN file instead of wave file, you also gain some additional options in Miscellaneous Channel Settings page, concerning the generated wave by SimSynth's engine integrated in FL Studio.


SAMPLE FILE FORMATS

DrumSynth Preset (*.DS)

Sampler can use presets from DrumSynth directly - a wave file is automatically generated from the DrumSynth preset when loaded into FL Studio. DrumSynth is a freeware drum synthesizer - you can get it from its author's (Paul Kellett) web page at http://www.abel.co.uk/~maxim. When you load a DS file instead of wave file, you also gain some additional options in Miscellaneous Channel Settings page, concerning the generated wave by DrumSynth's engine integrated in FL Studio.


SAMPLE FILE FORMATS

FastTracker's Extended Instrument (*.XI)

XI is the extended instrument file format of FastTracker. Sampler can "extract" wave sample from XI file directly, but note that some XI files contain more than one wave sample. Since Sampler supports only single wave per channel, only one of the available waves will be imported. Also, envelope and LFO settings are not imported.


FILE FORMATS

Other File Formats

This section contains other file formats used by FL Studio.

FL Studio State File (*.FST)

FL Studio Score File (*.FSC)

Humanize Preset File (*.FPR)

MIDI File (*.MID)


OTHER FILE FORMATS

FL Studio State File (*.FST)

State files in FL Studio are used to save generator and effects presets. See Save Channel State As in Channel Settings menu and Save Preset As in Mixer menu.


OTHER FILE FORMATS

FL Studio Score File (*.FSC)

FL Studio Score files in are used to save melodies from the Piano Roll. You can later import note events in a score file by dropping it on the Piano Roll view or a channel button.

Since FL Studio 3.5, you can also store and retrieve automation data in a FSC file.

For saving note scores, see Save Score As in the Piano Roll pages. For saving automation data, see Save Automation As in the Event Editor pages.


OTHER FILE FORMATS

Humanize Preset File (*.FPR)

These files contain humanize presets for notes properties in the Step Sequencer (you can set those properties manually using the Graph Editor). Currently humanize presets can't be created inside FL Studio. You can use a text editor (such as Notepad) for this purpose (they are standard text files that contain simple list of values for each property).


OTHER FILE FORMATS

MIDI File (*.MID)

FL Studio can import note and controller events from standard MIDI files. To import notes and controller data, select the Import MIDI File command in the Piano Roll or Event Editor menu, respectively. You can also drag and drop MIDI files from the Browser on the Piano Roll/Event Editor views.


TROUBLESHOOTING

Compatibility with Older Projects

In order to improve FL Studio for better usability and feature set, some changes are introduced through the various releases which might be incompatible with projects created in earlier versions of FL Studio & FruityLoops.

NOTE: "FruityLoops" is the name of the basic software package that only existed in previous versions. The current product is called FL Studio and it comes in 3 editions: Express Edition, FruityLoops Edition and Producer Edition.

Compatibility with Projects Before FL Studio 5

Corrected tempo calculation

In earlier releases the tempo was improperly computed based on the number of steps per beat (4 steps would always make a beat for the timer). This was fixed in FL Studio 5, by preserving the beats-per-minute value regardless of the number of steps the beat has.

This may affect older projects with number of steps different than 4 per beat, and may result in slower or faster tempo than expected. FL Studio will not attempt to correct the tempo of old projects so manual correction is needed.

The new tempo that should be set can be computed using this simple formula:

4 * (old project tempo) / (number of steps per beat) = (new tempo)

For example if you have an FL Studio 4.5 project with tempo 150 and 6 steps per beat, the proper FL Studio 5 tempo to achieve the same effect is:

4steps * 150bpm / 6steps = 100bpm

Compatibility with FL Studio 4.5 and Earlier

Altered Mono Mode Behaviour

In earlier release the mono mode worked in this way:

1. If a key is pressed and second is pressed the synth glides (portamento) to the second tone.

2. If the second key is released, the sound stops.

In the current release this behaviour changes to:

1. If a key is pressed and second is pressed the synth glides (portamento) to the second tone.

2. If the second key is released, the synth pitch glides back to the previous key.

This can result in some changes to the behaviour of synths in mono mode authored in older releases.

Compatibility with FL Studio 4.1 and Earlier

Different Pitch Bend Range

In earlier releases, the range of the pitch pend control was +-72 semitones (12 octaves). This overly wide range was rarely used and was causing problems with automation. In FL Studio 4.12 and later, the range is decreased to +-48 semitones (8 octaves). Older projects will import properly into FL Studio 4.12 and their pitch bend events and settings will be remapped properly to the new range. The only exceptions are:

  1. Pitch bend using a wider range than the now supported +-48 semitones.
  2. Using internal controllers to automate the pitch bend control. In this case, the internal controllers have no knowledge of the altered property range, so the effect of the controller automation is "scaled down". To fix this issue, you can increase the controller strength, range, or use the following mapping formula for the pitch bend: 1.5*(Input-0.1666666667).

Cut/Reso Filter Samplerate Independence

The cutoff/resonance filter available in all Sampler channels and Sampler (hybrid) plugins (such as Beepmap, 3xOSC etc.) produced different results when used in different samplerates. FL Studio 4.12 fixes this problem, however this means that older projects might sound different due to the fix.

Note that none of the projects authored in 44100Hz samplerate will experience a difference in their sound, but only some projects authored in other samplerates - 22050Hz, 48000Hz, 96000Hz etc.

Adjusting the cutoff/resonance settings in such projects can restore the original sound.

Compatibility with FruityLoops 3.56 and Earlier

Empty Playlist Functionality

In earlier releases, the lack of sequence in the Playlist caused FruityLoops to play all patterns in the song in sequential order. FL Studio 4 doesn't have that feature anymore. You need to order the patterns manually in the Playlist window to achieve the same effect.

Legacy Precomputed Effects

Some of the precomputed effects in the Sampler Channel Settings tab are deprecated in FL Studio and were hidden or replaced by better alternatives. However, for compatibility reasons, FL Studio still supports those legacy effects. To see them, turn on Show Legacy Precomputed Effects in your General Settings window.

Non-standard time Signature

In earlier releases, the project's time signature was defined as a number of steps per bar and number of steps per beat. This allowed for wrong time signatures, for example, ending a bar with half the steps from a new beat.

The current release defines time signature as a number of steps per beat and number of beats per bar. For compatibility with older projects that use non-standard time signatures, the beat steps are set to 1 to preserve the song structure.

Linear/Logarithmic Volume

Earlier releases had an option to turn off the logarithmic volume mapping and use linear mapping instead. The current release has logarithmic levels as a hard coded characteristic of the mixing engine.

Older projects that use linear volume mapping switch to logarithmic levels when opened in the new version of FL Studio.

Compatibility with FruityLoops 3.1 and Earlier

Rebuilt TS404 Generator

  • The enhanced TS404 generator in FruityLoops 3.5 and later supports Piano Roll sequencing (no compatibility issues)
  • Additional note properties supported include: velocity, pan and shift (no compatibility issues)
  • The off notes in the Step Sequencer are not used anymore by the TS404 generator. This won't affect most older projects, but if the TS404 melody sounds different when opened in FL Studio 3.5, you can replace the inactive notes with active ones with lower velocity (volume).
  • Slides work differently in TS404. Now the slides work the same way like in a Sampler channel. Previously, slide on a note in TS404 meant "slide the current note to the next one". Now it means "slide from the previous note to the current one". You can fix compatibility with older projects to a degree if you place all slides one step later in the sequence (without moving the actual notes). Also, you can now set the slide length with the portamento length property in the Misc Channel Settings.
  • The TS404 doesn't have its own gate anymore. It uses the generic gate in the Function Channel Settings page. FL Studio uses the generic gate when loading older projects.
  • The global TS404 delay was removed. You can easily fix older projects by using Fruity Delay 2 effect in a send FX track and use it to delay the insert track the TS404 channel is linked to.

Gate Wheel Behavior Changed

  • The values of the generic gate wheel for all channels was remapped for better usability (now it's easier to fine tune short lengths for the gate). FL Studio 3.5 will remap the gate values in older projects to the proper value.
  • Automation in older projects is also translated to sound properly with the changed gate wheel behavior.
  • Possible differences might occur for older projects that use internal controller to automate the gate setting for a channel.

Channel Name Colors Removed

FL Studio 3.5 doesn't support custom channel name color. Channel name colors in older projects are ignored. However, you can change the color of a channel button from the Channel Settings window.

NOTE: FL Studio 3.5 will load and play older projects without problems no matter if they include or not incompatible features.

Running FL Studio with an Older FruityLoops Release

You can upgrade to FL Studio 4 and still work with an older release to finish old projects, to avoid any compatibility issues. The registration information of FL Studio will not overwrite registration information of older releases.

To do that, before upgrading to FL Studio, ensure you have your earlier release installed properly with all plugins you need to have (don't install the plugins released with FL Studio on earlier FruityLoops release, because they might not be compatible). Then install FL Studio and its plugins in another folder. Your earlier FruityLoops release will retain its own registration and settings independently of FL Studio.


TROUBLESHOOTING

Troubleshooting Q&A

This section contains answers to common questions and problems that may occur while working in FL Studio. Please, read this carefully before posting about problems in the tech-support message board!

The first things you will have to set up are the MIDI output driver (if you plan to use MIDI) or the DirectSound driver (you probably want to import your own drum samples). If you don't set any of them you won't get any output!

Problem | Solution
The program reports about missing DirectX, then halts.

YOU NEED DIRECTX 5 OR LATER TO BE INSTALLED ON YOUR SYSTEM. The latest DirectX (currently 8) is available at the Microsoft web site. You can find a link to it at www.flstudio.com. You may also find the DirectX installer on CD's that go with many popular magazines. Also please read below about Windows NT!
No audio output. | If you don't get any sound be sure you've selected at least a DirectSound driver (see Audio settings) or a MIDI driver (see MIDI settings). Be sure the DirectSound driver has been initialized & working. If you don't get any MIDI sound from the playing loop you probably forgot to enable the 'Enable MIDI' menu option (see Options menu).
The sound is 'choppy' and strange (blips & glitches). | Be sure you've got the latest DirectX drivers & not emulated DirectSound drivers. You may try to put the mixing buffer length (see Audio settings) to the max. Note that you may also try to reduce it to minimize the latency. Today's soundcards can handle from 100ms down to 5ms latency.You may also have glitches problems if the playing loop eats too much CPU or when opening or closing other windows. Windows 9x is more or less animated, & some of those animations are very bad for the timing in audio applications. To fix that problem, go to the display settings (in Windows 98), select the "Effects" tab & uncheck the "Animate windows, menus and lists" box. There are other ways to optimize Windows 9x for audio applications, you can learn more about this on the Internet. Once again be sure you've got the proper DirectSound drivers accelerated for your soundcard. Also be sure no other CPU consuming or special application is running at the same time.
I upgraded and the automation doesn't work properly anymore.

Probably you are coming from FruityLoops 2, where the automation is written in one single global track.

Events in FL Studio are pattern based now. This means there is no more one global automation track - events are saved locally to each pattern (the selected pattern is the pattern where automation goes during recording). The old FruityLoops 2.x projects are imported by creating one additional pattern called "Main Automation" which replaces the global events tracks.
A TS404 pattern doesn't play in song mode, but plays in pattern mode. The TS404 is a monophonic synthesizer. That means it can not generate more than one tone at a moment. That is why when you trigger several patterns that contain TS404 notes and/or property changes (cutoff and pitch in the Graph Editor) only the topmost pattern is played and the rest are ignored.

Sometimes, you might skip to clear some patterns from TS404 data and they can mute another TS404 sequence placed below in the Playlist. To make sure that the patterns you trigger together with your TS404 sequence do not contain any data for the same TS404, switch to each pattern you want to clear, select the corresponding TS404 channel and press Ctrl+X (or select Cut from the Edit menu). That way all notes and properties in the Step Sequencer are set to default and the pattern is considered free of TS404 sequence data.
The chords menu doesn't pop up in the Randomizer. | This might be caused because of using custom font sizes and/or windows scheme. To cure the problem, try to switch back Windows to "small fonts" and use Windows Standard scheme (go to Control Panel > Display > Appearance).
FL Studio reports HHCTRL.OCX is missing, then halts. | This problem may occur in computers with older Windows installed (first releases of Windows 95). To cure the problem, install a newer version of Internet Explorer, which includes the necessary files. Note that if you really don't have that file installed, you shouldn't be able to open this help file as well...
FL Studio crashes when trying to open the Piano Roll window. | Some people reported such crashes on systems with ATI Xpert video cards. Download and install the latest drivers available for your video card to fix the problem.
FL Studio' interface looks strange, the colors are distorted. You're probably running Windows in 256 colors (palletized) or less. Please switch to 16Bit (high color) or 24/32Bit (true color) display modes. Everything under Windows is ugly in palletized display. Luckily today's computers (even laptops) can easily handle true color modes. For the best quality & smoothness in FL Studio we suggest you switch your display to 24Bit mode. Now your graphic board might not support 24Bit display. In this case switch to 32Bit mode. By the way, remember that FL Studio 1.x & 2.x skins are NOT compatible so don't use any of them.

You should also know that almost every early graphic driver has minor bugs. If you notice things not drawn properly, it might be your graphic driver (which should be updated).
Any of the *.WAV files fail to load, but all the *.SS2 presets load fine. For some reason, some people have all their Windows sound ACM codecs disabled. FL Studio needs them in order to translate compressed *.WAV files to PCM.
Under Windows, follow Start > Settings > Control Panel > Multimedia > Devices tab > Audio Compression Codecs. For each of the listed codecs, click Properties, then check "Use this audio codec" (if it's disabled).
FL Studio used to work fine, but now it keeps crashing at startup.

If it doesn't work anymore, but has worked once then you may try to do a config 'reset'. To do this, launch the Reset settings shortcut (Start Menu > Programs > FL Studio 3> Advanced > Reset Settings) & let it delete the needed registry keys.

Note: if you're running under WinNT, the shortcut switch might not work correctly, you might have to use regedit.exe. Take care not to delete any other registry entry! You can still use the Microsoft System Information tool to backup your registry if you're not sure (Important: don't use regedit.exe if you are not familiar with registry, since this may damage your Windows!).
FL Studio crashes at startup.

Some people have reported a crash when Windows is in 16Bit display. There's no reason for FL Studio not to work fine in 16Bit display but anyway you can try to switch to 24Bit (True Color) & see if it corrects your problem. Also according to the same people a problem may occur because of network cards. Again there's no reason for not to work when a network card is installed...

We've also been reported that old display drivers for the Diamond Viper v330 were causing a crash while FL Studio is running. Updating those drivers should fix that.
DirectX plugins disappeared from the plugin list. | Uninstall DirectX and then reinstall it again (DirectX can not be directly uninstalled. You should use third party tools, such as DirectX Buster - http://directxbuster.de/index_e.html).
The loop points in the sample view can't be added or moved. | Loop points can't be set inside FL Studio. They are part of the sample itself, and they can be set using external wave editor. Also, when you play looped wave sample in FL Studio and you hear pops and clicks, this means that the loop points of the sample are not well chosen. Well chosen loop points match end offsets (amplitudes) of the sample points and also match end slopes of the waveform as much as possible. Also, if the sample volume varies over time, you should set loop points so that level is equal or close to equal in the start and end loop points. Also, unless you're making a sample to be used as an oscillator shape, you should avoid creating short loops (less than ~50ms), because they may sound pitch shifted, thus not matching the pitch of the rest of the sample.
The sound becomes strange when you move windows or sliders. | This happens with some graphic boards (for example older versions of Matrox Mystique) which lock the bus when they shouldn't. Be sure you've got the latest drivers for your graphic card, it may correct the problem.
Can FL Studio have several instances running at the same time? Yes, just make sure not to pass any command line parameter. If you specify a loop file by the command line, the same instance will load it (for convenience). If you don't, then another instance will be opened.
Please note that Windows 9x graphics resources are very limited (due to compatibility problems), so opening several (4 or over) instances of FL Studio (which is graphically intensive) could crash your whole system!
You need more information about the LAME MP3 encoder used in FL Studio to export MP3 files. | You can find more info & the standalone version of LAME at www.sulaco.org/mp3. LAME is distributed under the GNU General Public License (see Texts\LGPL.txt for details). LAME was written by Mike Cheng & Mark Taylor. The DLL used in was written by Albert Faber, based on the original BladeEnc DLL interface written by Tord Jansson.
The loop sample always overlaps when it's retriggered. You want it to cut itself. | Just push the 'cut itself' button in the channel settings menu.
Some plugins suddenly start eating extremely much CPU power, while they performed good in a while. Sometimes happens that a plugin starts eating a huge amount of CPU when not fed for a while. It looks strange but it's not. Floating points are stored as a base & exponent. It works well, except for very small numbers (those are called tiny numbers, or denormalized numbers). Those tiny numbers are stored differently, & the math coprocessor actually eats much more CPU in that 'denormalization' process (that can also trigger an exception on demand).

There are workarounds, but they can only apply in the DSP functions themselves. FL Studio can't do much about it, it's up to the plugin (& most of the ones that come with FL Studio do it) to check if the values are very close to zero & snap them to zero instead.
Your song uses too much processing power and you can't play it in real-time without underruns even with maximum audio buffer. | Use the tips in the Optimizing CPU and Memory Usage page.
How to sync FL Studio to a MIDI sequencer. As with any other music app running under Windows, you need a virtual MIDI cable to achieve sync with FL Studio. FL Studio can act as a MASTER CLOCK. Just set your sequencer (or any other app) to be the slave & be sure it uses the correct virtual MIDI device.
WARNING:
Don't use Hubi's LoopBack device as the virtual MIDI cable. For some unknown (to us) reason it can loose clock messages so the sync will be really bad when you start moving windows (probably a 32bit threading problem)... Instead, use MIDI Yoke which seems very stable & does its job pretty well. You can download & get information about MIDI Yoke at: http://www.channel1.com/users/jamieo/html/midiyoke.html. You can find a more detailed explanation in the online manuals available at our web site.
Is FL Studio working under Windows 2000? | Yes, normally.
FL Studio working under Windows NT4? | Not officially. This is because there's no official DirectX5 for Windows NT4. However, you can download an unofficial patch for DirectX5 under WinNT at Erik Unger's DirectX page (from JEDI-Project). You could also do a search on the net for the NT4DX5.ZIP file. FL Studio is said to work okay under Windows NT using this unofficial DirectX5 version. Now you won't find accelerated drivers for this DirectX so you will have to deal with a bigger mixing buffer (meaning slower response).

Known bugs & limitations:

  • A couple of VST plugins crash. Some will crash after being loaded. Some other will crash for unknown reasons. You'll probably get even more crashes from the DirectX plugins (which are not reputed for their stability). Please note that we don't support any of the plugins available. If they crash your computer, we're not responsible. Plugins are DLL's. They contain code, meaning they can contain viruses too!
  • The TS404 delay line is reset on tempo changes. Unfortunately nothing can be done to fix that.


TROUBLESHOOTING

Optimizing CPU and memory usage

This section contains tips that will help you reduce CPU and memory usage in your projects.

  • Try to reduce the number of used TS-404 and external plugin generators. They all sound splendid, but also require much CPU power.
  • Try to reduce the number of effects you use in your songs. Now you can have one effect "weighted" in several FX tracks (see FX send tracks in Mixer window).
  • Try to use Smart Disable whenever possible (see Mixer window). If there are many effects you don't use constantly during your song, this feature will decrease CPU usage significantly.
  • Try to reduce the number of delay echoes (see Function Channel Settings) because they are actually retriggered samples (it is not a global delay line), so they increase the polyphony. In 99% of all cases Fruity Delay effect does the same job without using much CPU.
  • You can use the maximum polyphony setting to reduce the maximum polyphony of channels (see Miscellaneous Channel Settings). This often reduces dramatically CPU usage in complex melodies. You can still set FL Studio to ignore the maximum polyphony settings when exporting to wave/mp3 file (see Exporting to WAV/MP3/MIDI).
  • Trim (with any wave editor) the remaining silence or quasi-silence in your samples not to have it mixed (you don't hear it but it takes valuable CPU time). Any remaining ZERO silence is automatically removed within FL Studio, but nothing more.
  • Echo Delay will not trigger echoes (thus freeing CPU resources), if feedback is set to minimum (see Function Channel Settings).
  • Do not enable the MIDI output (see Enable MIDI Output in Options menu) if you don't plan to use it, because it lowers the performance of FL Studio.


TROUBLESHOOTING

Registration Exclusive Features

FL Studio comes in three versions, each with its own feature set: FL Studio Express Edition / Creative Edition; FL Studio FruityLoops Edition and FL Studio Producer Edition.

Whenever you see one of the following icons next to the page title, it means the feature covered is exclusive only to certain FL Studio version(s).

You can purchase an upgrade to FL Studio to gain access to these features. For more information, please visit www.flstudio.com.

- If you see this icon, the feature is available only in FL Studio FruityLoops Edition, FL Studio Producer Edition and XXL Edition.

- If you see this icon, the feature is available only in FL Studio Producer Edition & FL Studio XXL Edition.


GLOSSARY

ACM Waveform

A.C.M stands for Audio Compression Manager. MS ACM is part of every Windows. It enables third-party applications to read and compress wave files in many compression formats, such as TrueSpeech and GSM 6.10. For a specific compression to be accessible in audio application, its codec (COmpressor DECompressor) needs to be installed and enabled. To see what codecs do you have installed, go to Control Panel > Multimedia > Advanced > Audio Compression.


GLOSSARY

Cutoff and Resonance Filter

Cutoff is used to block certain frequencies from a sound. In a standard LP (Low Pass) cut/reso filter, cutoff determines the range of high frequencies to be cut. However, in modern software and hardware synthesizers (and in FL Studio itself) you will notice that cut/reso filter comes in many "flavors", such as HP (High Pass), which cuts the low frequencies of the sound instead.

Resonance effect originates from an artifact in the original cutoff filter used in old hardware synthesizers. It is narrow band of frequencies, near the cutoff level, where the sound is amplified. Today this artifact can be easily avoided, but it is still available though, because it can be used as a special effect. Changes in the cutoff level together with high resonance produces interesting phaser-like effect, which is one of the reasons for the popularity of the TB-303 synthesizer.


GLOSSARY

Envelope

The envelope is a special kind of shape that controls the value of a property (usually volume) over time. This gives a synthesizer more natural sounding, but it can also be used for creating special effects. The common type of envelope is called ADSR. ADSR stands for Attack-Decay-Sustain-Release. All envelopes now are less or more based on the ADSR envelope model. However, as you will see in FL Studio too, some envelopes are enhanced with additional elements, to suit some particular requirements for the specific generator.

ADSR Envelope elements:

  • Attack - Attack determines the time it takes for the note to get to the maximum level.
  • Decay - Decay determines the time it takes for the note to go from the maximum level to the sustain level (controlled by Sustain).
  • Sustain - Sustain determines the level the sound is played at while the note is being held (after the other envelope states (Attack and Decay) have been cycled through).
  • Release - Release determines the time it takes for the note to go from the sustain level to zero level when it is released.


GLOSSARY

Gate

The gate is an audio processor that cuts the sound if its volume falls below given threshold. Gate processors are used for variety of purposes, such as eliminating noise during speech pauses, or for special effects, as in the TS404 generator (see TS404 Channel Settings), where gate can be used for creating shorter, staccato sounds.


GLOSSARY

LFO

L.F.O. stands for Low Frequency Oscillator. Such oscillators are used to modulate a property in a synthesizer or effect. It can be used to simulate natural instrument effects, such as vibrato (by applying LFO to pitch) and tremolo (LFO applied to volume), or can be used to change gradually a setting to create special effects, such as applying a LFO to the cutoff value, thus creating phaser-like effect (as this can be done using the LFO in TS404 Channel Settings).


GLOSSARY

Underruns

Underruns occur in real-time audio processing software and software synthesizers (such as FL Studio) when the program can not mix the song fast enough. They are likely to happen on slow computers and non-DirectSound enabled sound cards. Underruns are heard like clicks and pops during real-time playback. They can be avoided by setting longer buffer for the DirectSound driver. Underruns may occur ONLY in real-time playback. They will not happen while exporting to wave or mp3 file.


CHANNEL SETTINGS

Automation Clip Settings

Automation clips are a natural way to automate parameters using spline-based graphs. The automation clips are placed directly in the dedicated tracks inside the Playlist window, and the channel which is added to the Step Sequencer is basically a placeholder for the options shown below.

Note that adding notes for the automation clips will trigger them just as well, however this is not a recommended practice.

  • LFO Switch - If turned on, enables and shows a preview of the LFO & its amplitude envelope inside the clip instances placed on the Playlist tracks. It is important to remember that turning on the LFO section won't disable the "main" envelope the clip has (although it's not visible). It's still in effect and you can decide how to combine it with the LFO with the Multiply switch (see below).
  • Speed (SPD) - Sets the speed of the LFO.
  • Tension (TENS) - Sets the LFO shape "tension". You can think for this parameter as a shape morph which alows you to precisely select the LFO shape - starting with square (pulse), sine, triangle and "spikes".
  • Shape Skew - Skews the LFO shape. Together with triangle shape, the skew can be used to create saw and reversed saw LFO shapes.
  • Pulse Width - Sets the pulse width of the LFO shape - this parameter is usually associated with square/pulse LFO shapes, however in this implementation it modifies all supported LFO shapes.
  • Level - Sets the LFO amplitude, i.e. strength. Reset to middle position to reset level to 0 and effectively disable the LFO. turn left for negative amplitude (inverted values) or right for positive amplitude.
  • Multiply - This parameter lets you decide how to combine the LFO values with the "main" spline envelope of the automation clip. Disabled: When the switch is disabled, both values are added together, you can think about this mode as LFO "offsetting" the envelope. This is useful for bipolar parameters like panning. Enabled: Enabling multiply will, as the name suggests, multiply the two values together. You can think for this mode as the LFO being an amplitude modulator to the envelope. This is useful for unipolar properties like cutoff frequency, volume etc.


CHANNEL SETTINGS

Layer Settings

This window appears only for Layer channels and contains settings specific only to that channel type.

1. Levels Adjustment

This section contains four wheels that control the volume (VOL), panning (PAN), cutoff (CUT) and resonance (RES) levels of the channel. They duplicate, more or less, the functionality of other controls found in the Channel Settings window. However, they are still useful for some reasons:

  • Easier automation - You can, for example, create a fade in/out effects for a channel using the volume adjustment wheel instead of the channel volume control. This allows you to independently set the overall volume level using the channel volume wheel, without needing to recreate the automation data. Another example is to use the pan adjustment wheel in this section to create panning LFO without automating the channel pan wheel - so you can adjust the overall panning without recreating any automation data.
  • Wider range - The volume adjustment wheel has a range of 0% to 200% as a difference from the channel volume wheel (0%-100%). This way you can preamp the volume up to twice louder the original level without using additional effects for that purpose.

NOTE: The levels you set here apply ONLY for the notes played through this layer channel. If you play a child of this channel through its own Step Sequencer dots or Piano Roll, these settings will not be used in any way.

2. Layering

  • Set Children - Assigns all selected channels in the Step Sequencer as children if this Layer channel. After the assignment when you play a note on the Layer channel, all the children will play along. To unassign a channel from the Layer channel, just select all the channels you want to remain children and press the Set Children button again (all unselected channels become unassigned for this Layer channel).
  • Show Children - Selects all channels that are children of this Layer channel in the Step Sequencer and deselect all other channels
  • Random - When this option is off, playing a note in the Layer channels plays the same note in ALL children of that Layer channel. Turning this option on will instead select a random child and play the note on it. You can use this feature to make more analog-like drums or instruments, by assigning many similar samples to each of the children, for each note random sample will be played, thus creating more natural sound for some drums/instruments.
  • Crossfade - When this option is on, you can use the Fade wheel to create crossfades between two channels that are children of this Layer channel. If, for example, you have 3 channels that are children of a Layer channel, as you turn the Fade wheel from left to right you will hear: Child1 >> Crossfade: Child1+Child2 >> Child2 >> Crossfade: Child2+Child3 >> Child3. First channel is considered the topmost channel (of those that are children for the Layer channel). Second channel is considered the first one below it etc.
  • Fade wheel - Used to set the crossfade level in crossfade mode.

If you click the small arrow at the top left of this panel you can access some additional commands:

  • Split Children - Splits the children of the Layer channel across the keyboard (starting with the root key of the Layer channel), assigning each layer to a single key. The root keys of the children are automatically adjusted, so they have the proper pitch when played through the Layer channel. This feature is useful when creating drumkits or instruments where each note has different sample.
  • Group Children - Adds all children of the Layer channel to a group (a popup window will appear to enter the name of the group). For more information see the Channel Filtering section in the Step Sequencer page.

3. Preview Keyboard

The preview keyboard lets you preview (left-click a key) the Layer channel sound, sets the root key (right-click a key), and set key region of the channel (drag the gray ruler to define the region).

Root Key - The orange rectangle in the ruler above the piano keys shows the root key of the channel. Since each sample has particular pitch (except probably noise samples), FL Studio has to know how to interpret it - when you set the root key to C6, FL Studio maps pitches considering that when played at its original speed, sample has pitch of C6. All other notes are generated by changing sample's speed (and thus changing its pitch). So actually setting the root key higher makes all notes sound lower. For example if a sample has pitch C5, and you map it to C6, FL Studio will consider that C5 sample as C6, thus shifting all notes one octave down. To set the root key right-click a key on the preview keyboard.

Key Region - When you set key region for a channel, all note events outside the region will be ignored (not played). This feature is not useful when using a channel by itself. However, when using a channel as a layer in a Layer channel to create complex instruments, you might want some of the layers to play only in their specified region, for example, having different sample for each octave (each sample is placed in a separate channel). Drag the ruler above the piano keys to define key region for this channel. Once created, you can edit the limits of the region by dragging its end points.

The panel above the preview keyboard contains some additional options:

  • Reset - Sets back the default base note and removes the key region (all notes will be played). For the Sampler & DrumSynth that is C5. For SimSynth it depends on how the preset was set in SimSynth.
  • Fine tuning (FINE) - You can use this wheel to fine-tune the base note in cents. 100 cents are one semitone.


APPENDIX

Acknowledgements

Design & Production: Stan Vassilev

Help Version: 5.00.02

Last Revision Date: November 08, 2004

Image Line Software BVBA

Kortrijksesteenweg 281

B-9830 Sint-Martens-Latem

Belgium